/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __ACTIONS_TYPES_H__
#define __ACTIONS_TYPES_H__


#include "dialogs/dialogs-types.h"
#include "tools/tools-types.h"


typedef enum
{
  PIKA_ACTION_SELECT_SET              =  0,
  PIKA_ACTION_SELECT_SET_TO_DEFAULT   = -1,
  PIKA_ACTION_SELECT_FIRST            = -2,
  PIKA_ACTION_SELECT_LAST             = -3,
  PIKA_ACTION_SELECT_SMALL_PREVIOUS   = -4,
  PIKA_ACTION_SELECT_SMALL_NEXT       = -5,
  PIKA_ACTION_SELECT_PREVIOUS         = -6,
  PIKA_ACTION_SELECT_NEXT             = -7,
  PIKA_ACTION_SELECT_SKIP_PREVIOUS    = -8,
  PIKA_ACTION_SELECT_SKIP_NEXT        = -9,
  PIKA_ACTION_SELECT_PERCENT_PREVIOUS = -10,
  PIKA_ACTION_SELECT_PERCENT_NEXT     = -11
} PikaActionSelectType;

typedef enum
{
  PIKA_SAVE_MODE_SAVE,
  PIKA_SAVE_MODE_SAVE_AS,
  PIKA_SAVE_MODE_SAVE_A_COPY,
  PIKA_SAVE_MODE_SAVE_AND_CLOSE,
  PIKA_SAVE_MODE_EXPORT,
  PIKA_SAVE_MODE_EXPORT_AS,
  PIKA_SAVE_MODE_OVERWRITE
} PikaSaveMode;


#endif /* __ACTIONS_TYPES_H__ */
