/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#include "config.h"

#include <gegl.h>
#include <gtk/gtk.h>

#include "libpikawidgets/pikawidgets.h"

#include "actions-types.h"

#include "widgets/pikaactiongroup.h"
#include "widgets/pikahelp-ids.h"

#include "help-actions.h"
#include "help-commands.h"

#include "pika-intl.h"


static const PikaActionEntry help_actions[] =
{
  { "help-help", "pika-prefs-help-system",
    NC_("help-action", "_Help"), NULL, { "F1", NULL },
    NC_("help-action", "Open the PIKA user manual"),
    help_help_cmd_callback,
    PIKA_HELP_HELP },

  { "help-context-help", "pika-prefs-help-system",
    NC_("help-action", "_Context Help"), NULL, { "<shift>F1", NULL },
    NC_("help-action", "Show the help for a specific user interface item"),
    help_context_help_cmd_callback,
    PIKA_HELP_HELP_CONTEXT }
};


void
help_actions_setup (PikaActionGroup *group)
{
  pika_action_group_add_actions (group, "help-action",
                                 help_actions,
                                 G_N_ELEMENTS (help_actions));
}

void
help_actions_update (PikaActionGroup *group,
                     gpointer         data)
{
}
