/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikageglprocedure.h
 * Copyright (C) 2016 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_GEGL_PROCEDURE_H__
#define __PIKA_GEGL_PROCEDURE_H__


#include "pdb/pikaprocedure.h"


#define PIKA_TYPE_GEGL_PROCEDURE            (pika_gegl_procedure_get_type ())
#define PIKA_GEGL_PROCEDURE(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_GEGL_PROCEDURE, PikaGeglProcedure))
#define PIKA_GEGL_PROCEDURE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_GEGL_PROCEDURE, PikaGeglProcedureClass))
#define PIKA_IS_GEGL_PROCEDURE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_GEGL_PROCEDURE))
#define PIKA_IS_GEGL_PROCEDURE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_GEGL_PROCEDURE))
#define PIKA_GEGL_PROCEDURE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_GEGL_PROCEDURE, PikaGeglProcedureClass))


typedef struct _PikaGeglProcedure      PikaGeglProcedure;
typedef struct _PikaGeglProcedureClass PikaGeglProcedureClass;

struct _PikaGeglProcedure
{
  PikaProcedure  parent_instance;

  gchar         *operation;

  PikaRunMode    default_run_mode;
  PikaObject    *default_settings;

  gchar         *menu_label;
};

struct _PikaGeglProcedureClass
{
  PikaProcedureClass parent_class;
};


GType           pika_gegl_procedure_get_type (void) G_GNUC_CONST;

PikaProcedure * pika_gegl_procedure_new      (Pika        *pika,
                                              PikaRunMode  default_run_mode,
                                              PikaObject  *default_settings,
                                              const gchar *operation,
                                              const gchar *name,
                                              const gchar *menu_label,
                                              const gchar *tooltip,
                                              const gchar *icon_name,
                                              const gchar *help_id);


#endif /* __PIKA_GEGL_PROCEDURE_H__ */
