/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PROCEDURE_COMMANDS_H__
#define __PROCEDURE_COMMANDS_H__


PikaValueArray * procedure_commands_get_run_mode_arg (PikaProcedure  *procedure);
PikaValueArray * procedure_commands_get_data_args    (PikaProcedure  *procedure,
                                                      PikaObject     *object);
PikaValueArray * procedure_commands_get_image_args   (PikaProcedure  *procedure,
                                                      PikaImage      *image);
PikaValueArray * procedure_commands_get_items_args   (PikaProcedure  *procedure,
                                                      PikaImage      *image,
                                                      GList          *items);
PikaValueArray * procedure_commands_get_display_args (PikaProcedure  *procedure,
                                                      PikaDisplay    *display,
                                                      PikaObject     *settings);

gboolean      procedure_commands_run_procedure       (PikaProcedure  *procedure,
                                                      Pika           *pika,
                                                      PikaProgress   *progress,
                                                      PikaValueArray *args);
gboolean      procedure_commands_run_procedure_async (PikaProcedure  *procedure,
                                                      Pika           *pika,
                                                      PikaProgress   *progress,
                                                      PikaRunMode     run_mode,
                                                      PikaValueArray *args,
                                                      PikaDisplay    *display);


#endif /* __PROCEDURE_COMMANDS_H__ */
