/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * PikaConfig typedefs
 * Copyright (C) 2001-2002  Sven Neumann <sven@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __CONFIG_TYPES_H__
#define __CONFIG_TYPES_H__


#include "libpikaconfig/pikaconfigtypes.h"

#include "config/config-enums.h"


#define PIKA_OPACITY_TRANSPARENT      0.0
#define PIKA_OPACITY_OPAQUE           1.0


typedef struct _PikaGeglConfig       PikaGeglConfig;
typedef struct _PikaCoreConfig       PikaCoreConfig;
typedef struct _PikaDisplayConfig    PikaDisplayConfig;
typedef struct _PikaGuiConfig        PikaGuiConfig;
typedef struct _PikaDialogConfig     PikaDialogConfig;
typedef struct _PikaEarlyRc          PikaEarlyRc;
typedef struct _PikaPluginConfig     PikaPluginConfig;
typedef struct _PikaRc               PikaRc;

typedef struct _PikaXmlParser        PikaXmlParser;

typedef struct _PikaDisplayOptions   PikaDisplayOptions;

/* should be in core/core-types.h */
typedef struct _PikaGrid             PikaGrid;
typedef struct _PikaTemplate         PikaTemplate;


/* for now these are defines, but can be turned into something
 * fancier for nicer debugging
 */
#define pika_assert             g_assert
#define pika_assert_not_reached g_assert_not_reached


#endif /* __CONFIG_TYPES_H__ */
