/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * PikaDisplayOptions
 * Copyright (C) 2003  Sven Neumann <sven@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_DISPLAY_OPTIONS_H__
#define __PIKA_DISPLAY_OPTIONS_H__


#define PIKA_TYPE_DISPLAY_OPTIONS            (pika_display_options_get_type ())
#define PIKA_TYPE_DISPLAY_OPTIONS_FULLSCREEN (pika_display_options_fullscreen_get_type ())
#define PIKA_TYPE_DISPLAY_OPTIONS_NO_IMAGE   (pika_display_options_no_image_get_type ())

#define PIKA_DISPLAY_OPTIONS(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_DISPLAY_OPTIONS, PikaDisplayOptions))
#define PIKA_DISPLAY_OPTIONS_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_DISPLAY_OPTIONS, PikaDisplayOptionsClass))
#define PIKA_IS_DISPLAY_OPTIONS(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_DISPLAY_OPTIONS))
#define PIKA_IS_DISPLAY_OPTIONS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_DISPLAY_OPTIONS))
#define PIKA_DISPLAY_OPTIONS_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_DISPLAY_OPTIONS, PikaDisplayOptionsClass))


typedef struct _PikaDisplayOptionsClass PikaDisplayOptionsClass;

struct _PikaDisplayOptions
{
  GObject                parent_instance;

  /*  PikaImageWindow options  */
  gboolean               show_menubar;
  gboolean               show_statusbar;

  /*  PikaDisplayShell options  */
  gboolean               show_rulers;
  gboolean               show_scrollbars;
  gboolean               show_selection;
  gboolean               show_layer_boundary;
  gboolean               show_canvas_boundary;
  gboolean               show_guides;
  gboolean               show_grid;
  gboolean               show_sample_points;

  gboolean               snap_to_guides;
  gboolean               snap_to_grid;
  gboolean               snap_to_canvas;
  gboolean               snap_to_path;
  gboolean               snap_to_bbox;
  gboolean               snap_to_equidistance;

  PikaCanvasPaddingMode  padding_mode;
  PikaRGB                padding_color;
  gboolean               padding_mode_set;
  gboolean               padding_in_show_all;
};

struct _PikaDisplayOptionsClass
{
  GObjectClass           parent_class;
};


GType  pika_display_options_get_type            (void) G_GNUC_CONST;
GType  pika_display_options_fullscreen_get_type (void) G_GNUC_CONST;
GType  pika_display_options_no_image_get_type   (void) G_GNUC_CONST;


#endif /* __PIKA_DISPLAY_OPTIONS_H__ */
