/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * PikaEarlyRc: pre-parsing of pikarc suitable for use during early
 * initialization, when the pika singleton is not constructed yet
 *
 * Copyright (C) 2017  Jehan <jehan@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_EARLY_RC_H__
#define __PIKA_EARLY_RC_H__

#include "core/core-enums.h"

#define PIKA_TYPE_EARLY_RC            (pika_early_rc_get_type ())
#define PIKA_EARLY_RC(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_EARLY_RC, PikaEarlyRc))
#define PIKA_EARLY_RC_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_EARLY_RC, PikaEarlyRcClass))
#define PIKA_IS_EARLY_RC(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_EARLY_RC))
#define PIKA_IS_EARLY_RC_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_EARLY_RC))


typedef struct _PikaEarlyRcClass PikaEarlyRcClass;

struct _PikaEarlyRc
{
  GObject        parent_instance;

  GFile         *user_pikarc;
  GFile         *system_pikarc;
  gboolean       verbose;

  gchar         *language;

#ifdef G_OS_WIN32
  PikaWin32PointerInputAPI win32_pointer_input_api;
#endif
};

struct _PikaEarlyRcClass
{
  GObjectClass   parent_class;
};


GType          pika_early_rc_get_type     (void) G_GNUC_CONST;

PikaEarlyRc  * pika_early_rc_new          (GFile      *system_pikarc,
                                           GFile      *user_pikarc,
                                           gboolean    verbose);
gchar        * pika_early_rc_get_language (PikaEarlyRc *rc);

#ifdef G_OS_WIN32
PikaWin32PointerInputAPI pika_early_rc_get_win32_pointer_input_api (PikaEarlyRc *rc);
#endif


#endif /* PIKA_EARLY_RC_H__ */

