/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * PikaPluginConfig class
 * Copyright (C) 2001  Sven Neumann <sven@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_PLUGIN_CONFIG_H__
#define __PIKA_PLUGIN_CONFIG_H__

#include "config/pikadialogconfig.h"


#define PIKA_TYPE_PLUGIN_CONFIG            (pika_plugin_config_get_type ())
#define PIKA_PLUGIN_CONFIG(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_PLUGIN_CONFIG, PikaPluginConfig))
#define PIKA_PLUGIN_CONFIG_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_PLUGIN_CONFIG, PikaPluginConfigClass))
#define PIKA_IS_PLUGIN_CONFIG(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_PLUGIN_CONFIG))
#define PIKA_IS_PLUGIN_CONFIG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_PLUGIN_CONFIG))


typedef struct _PikaPluginConfigClass PikaPluginConfigClass;

struct _PikaPluginConfig
{
  PikaDialogConfig    parent_instance;

  gchar              *fractalexplorer_path;
  gchar              *gfig_path;
  gchar              *gflare_path;
  gchar              *pikaressionist_path;
  gchar              *script_fu_path;
};

struct _PikaPluginConfigClass
{
  PikaGuiConfigClass  parent_class;
};


GType  pika_plugin_config_get_type (void) G_GNUC_CONST;


#endif /* PIKA_PLUGIN_CONFIG_H__ */
