/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * PikaRc
 * Copyright (C) 2001  Sven Neumann <sven@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_RC_H__
#define __PIKA_RC_H__

#include "config/pikapluginconfig.h"


#define PIKA_TYPE_RC            (pika_rc_get_type ())
#define PIKA_RC(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_RC, PikaRc))
#define PIKA_RC_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_RC, PikaRcClass))
#define PIKA_IS_RC(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_RC))
#define PIKA_IS_RC_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_RC))


typedef struct _PikaRcClass PikaRcClass;

struct _PikaRc
{
  PikaPluginConfig  parent_instance;

  GFile            *user_pikarc;
  GFile            *system_pikarc;
  gboolean          verbose;
  gboolean          autosave;
  guint             save_idle_id;
};

struct _PikaRcClass
{
  PikaPluginConfigClass  parent_class;
};


GType     pika_rc_get_type          (void) G_GNUC_CONST;

PikaRc  * pika_rc_new               (GObject     *pika,
                                     GFile       *system_pikarc,
                                     GFile       *user_pikarc,
                                     gboolean     verbose);

void      pika_rc_load_system       (PikaRc      *rc);
void      pika_rc_load_user         (PikaRc      *rc);

void      pika_rc_set_autosave      (PikaRc      *rc,
                                     gboolean     autosave);
void      pika_rc_save              (PikaRc      *rc);

gchar   * pika_rc_query             (PikaRc      *rc,
                                     const gchar *key);

void      pika_rc_set_unknown_token (PikaRc      *rc,
                                     const gchar *token,
                                     const gchar *value);

void      pika_rc_migrate           (PikaRc      *rc);


#endif /* PIKA_RC_H__ */
