/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995-1997 Spencer Kimball and Peter Mattis
 *
 * PikaXmlParser
 * Copyright (C) 2003  Sven Neumann <sven@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_XML_PARSER_H__
#define __PIKA_XML_PARSER_H__


PikaXmlParser * pika_xml_parser_new              (const GMarkupParser *markup_parser,
                                                  gpointer             user_data);
gboolean        pika_xml_parser_parse_file       (PikaXmlParser       *parser,
                                                  const gchar         *filename,
                                                  GError             **error);
gboolean        pika_xml_parser_parse_gfile      (PikaXmlParser       *parser,
                                                  GFile               *file,
                                                  GError             **error);
gboolean        pika_xml_parser_parse_fd         (PikaXmlParser       *parser,
                                                  gint                 fd,
                                                  GError             **error);
gboolean        pika_xml_parser_parse_io_channel (PikaXmlParser       *parser,
                                                  GIOChannel          *io,
                                                  GError             **error);
gboolean        pika_xml_parser_parse_buffer     (PikaXmlParser       *parser,
                                                  const gchar         *buffer,
                                                  gssize               len,
                                                  GError             **error);
void            pika_xml_parser_free             (PikaXmlParser       *parser);


#endif  /* __PIKA_XML_PARSER_H__ */
