/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995-2002 Spencer Kimball, Peter Mattis, and others
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_DATA_FACTORIES_H__
#define __PIKA_DATA_FACTORIES_H__


void      pika_data_factories_init        (Pika               *pika);
void      pika_data_factories_add_builtin (Pika               *pika);
void      pika_data_factories_clear       (Pika               *pika);
void      pika_data_factories_exit        (Pika               *pika);

gint64    pika_data_factories_get_memsize (Pika   *pika,
                                           gint64 *gui_size);
void      pika_data_factories_data_clean  (Pika   *pika);

void      pika_data_factories_load        (Pika               *pika,
                                           PikaInitStatusFunc  status_callback);
void      pika_data_factories_save        (Pika               *pika);


#endif /* __PIKA_DATA_FACTORIES_H__ */
