/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_EDIT_H__
#define __PIKA_EDIT_H__


PikaObject  * pika_edit_cut                (PikaImage       *image,
                                            GList           *drawables,
                                            PikaContext     *context,
                                            GError         **error);
PikaObject  * pika_edit_copy               (PikaImage       *image,
                                            GList           *drawables,
                                            PikaContext     *context,
                                            GError         **error);
PikaBuffer  * pika_edit_copy_visible       (PikaImage       *image,
                                            PikaContext     *context,
                                            GError         **error);

GList       * pika_edit_paste              (PikaImage       *image,
                                            GList           *drawables,
                                            PikaObject      *paste,
                                            PikaPasteType    paste_type,
                                            PikaContext     *context,
                                            gboolean         merged,
                                            gint             viewport_x,
                                            gint             viewport_y,
                                            gint             viewport_width,
                                            gint             viewport_height);
PikaImage   * pika_edit_paste_as_new_image (Pika            *pika,
                                            PikaObject      *paste,
                                            PikaContext     *context);

const gchar * pika_edit_named_cut          (PikaImage       *image,
                                            const gchar     *name,
                                            GList           *drawables,
                                            PikaContext     *context,
                                            GError         **error);
const gchar * pika_edit_named_copy         (PikaImage       *image,
                                            const gchar     *name,
                                            GList           *drawables,
                                            PikaContext     *context,
                                            GError         **error);
const gchar * pika_edit_named_copy_visible (PikaImage       *image,
                                            const gchar     *name,
                                            PikaContext     *context,
                                            GError         **error);


#endif  /*  __PIKA_EDIT_H__  */
