/* gimpparasite.h: Copyright 1998 Jay Cox <jaycox@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_PARASITES_H__
#define __PIKA_PARASITES_H__


/* some wrappers to access pika->parasites, mainly for the PDB */

gboolean              pika_parasite_validate     (Pika               *pika,
                                                  const PikaParasite *parasite,
                                                  GError            **error);
void                  pika_parasite_attach       (Pika               *pika,
                                                  const PikaParasite *parasite);
void                  pika_parasite_detach       (Pika               *pika,
                                                  const gchar        *name);
const PikaParasite  * pika_parasite_find         (Pika               *pika,
                                                  const gchar        *name);
gchar              ** pika_parasite_list         (Pika               *pika);

void                  pika_parasite_shift_parent (PikaParasite       *parasite);

void                  pika_parasiterc_load       (Pika               *pika);
void                  pika_parasiterc_save       (Pika               *pika);


#endif  /*  __PIKA_PARASITES_H__  */
