/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_USER_INSTALL_H__
#define __PIKA_USER_INSTALL_H__


typedef struct _PikaUserInstall PikaUserInstall;

typedef void  (* PikaUserInstallLogFunc) (const gchar *message,
                                          gboolean     error,
                                          gpointer     user_data);


PikaUserInstall * pika_user_install_new  (GObject          *pika,
                                          gboolean          verbose);
gboolean          pika_user_install_run  (PikaUserInstall  *install,
                                          gint              scale_factor);
void              pika_user_install_free (PikaUserInstall  *install);

void   pika_user_install_set_log_handler (PikaUserInstall        *install,
                                          PikaUserInstallLogFunc  log,
                                          gpointer                user_data);


#endif /* __USER_INSTALL_H__ */
