/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikaasyncset.h
 * Copyright (C) 2018 Ell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_ASYNC_SET_H__
#define __PIKA_ASYNC_SET_H__


#define PIKA_TYPE_ASYNC_SET            (pika_async_set_get_type ())
#define PIKA_ASYNC_SET(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_ASYNC_SET, PikaAsyncSet))
#define PIKA_ASYNC_SET_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_ASYNC_SET, PikaAsyncSetClass))
#define PIKA_IS_ASYNC_SET(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_ASYNC_SET))
#define PIKA_IS_ASYNC_SET_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_ASYNC_SET))
#define PIKA_ASYNC_SET_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_ASYNC_SET, PikaAsyncSetClass))


typedef struct _PikaAsyncSetPrivate PikaAsyncSetPrivate;
typedef struct _PikaAsyncSetClass   PikaAsyncSetClass;

struct _PikaAsyncSet
{
  GObject              parent_instance;

  PikaAsyncSetPrivate *priv;
};

struct _PikaAsyncSetClass
{
  GObjectClass  parent_class;
};


GType          pika_async_set_get_type (void) G_GNUC_CONST;

PikaAsyncSet * pika_async_set_new      (void);

void           pika_async_set_add      (PikaAsyncSet *async_set,
                                        PikaAsync    *async);
void           pika_async_set_remove   (PikaAsyncSet *async_set,
                                        PikaAsync    *async);
void           pika_async_set_clear    (PikaAsyncSet *async_set);
gboolean       pika_async_set_is_empty (PikaAsyncSet *async_set);


#endif /* __PIKA_ASYNC_SET_H__ */
