/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikabezierdesc.h
 * Copyright (C) 2010 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_BEZIER_DESC_H__
#define __PIKA_BEZIER_DESC_H__


#define          PIKA_TYPE_BEZIER_DESC     (pika_bezier_desc_get_type ())

GType            pika_bezier_desc_get_type (void) G_GNUC_CONST;


/* takes ownership of "data" */
PikaBezierDesc * pika_bezier_desc_new                 (cairo_path_data_t    *data,
                                                       gint                  n_data);

/* expects sorted PikaBoundSegs */
PikaBezierDesc * pika_bezier_desc_new_from_bound_segs (PikaBoundSeg         *bound_segs,
                                                       gint                  n_bound_segs,
                                                       gint                  n_bound_groups);

void             pika_bezier_desc_translate           (PikaBezierDesc       *desc,
                                                       gdouble               offset_x,
                                                       gdouble               offset_y);

PikaBezierDesc * pika_bezier_desc_copy                (const PikaBezierDesc *desc);
void             pika_bezier_desc_free                (PikaBezierDesc       *desc);


#endif /* __PIKA_BEZIER_DESC_H__ */
