/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikabrush-transform.h
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_BRUSH_TRANSFORM_H__
#define __PIKA_BRUSH_TRANSFORM_H__


/*  virtual functions of PikaBrush, don't call directly  */

void          pika_brush_real_transform_size   (PikaBrush   *brush,
                                                gdouble      scale,
                                                gdouble      aspect_ratio,
                                                gdouble      angle,
                                                gboolean     reflect,
                                                gint        *scaled_width,
                                                gint        *scaled_height);
PikaTempBuf * pika_brush_real_transform_mask   (PikaBrush   *brush,
                                                gdouble      scale,
                                                gdouble      aspect_ratio,
                                                gdouble      angle,
                                                gboolean     reflect,
                                                gdouble      hardness);
PikaTempBuf * pika_brush_real_transform_pixmap (PikaBrush   *brush,
                                                gdouble      scale,
                                                gdouble      aspect_ratio,
                                                gdouble      angle,
                                                gboolean     reflect,
                                                gdouble      hardness);

void          pika_brush_transform_get_scale   (gdouble      scale,
                                                gdouble      aspect_ratio,
                                                gdouble     *scale_x,
                                                gdouble     *scale_y);
void          pika_brush_transform_matrix      (gdouble      width,
                                                gdouble      height,
                                                gdouble      scale_x,
                                                gdouble      scale_y,
                                                gdouble      angle,
                                                gboolean     reflect,
                                                PikaMatrix3 *matrix);


#endif  /*  __PIKA_BRUSH_TRANSFORM_H__  */
