/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikabrushclipboard.h
 * Copyright (C) 2006 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_BRUSH_CLIPBOARD_H__
#define __PIKA_BRUSH_CLIPBOARD_H__


#include "pikabrush.h"


#define PIKA_TYPE_BRUSH_CLIPBOARD            (pika_brush_clipboard_get_type ())
#define PIKA_BRUSH_CLIPBOARD(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_BRUSH_CLIPBOARD, PikaBrushClipboard))
#define PIKA_BRUSH_CLIPBOARD_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_BRUSH_CLIPBOARD, PikaBrushClipboardClass))
#define PIKA_IS_BRUSH_CLIPBOARD(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_BRUSH_CLIPBOARD))
#define PIKA_IS_BRUSH_CLIPBOARD_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_BRUSH_CLIPBOARD))
#define PIKA_BRUSH_CLIPBOARD_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_BRUSH_CLIPBOARD, PikaBrushClipboardClass))


typedef struct _PikaBrushClipboardClass PikaBrushClipboardClass;

struct _PikaBrushClipboard
{
  PikaBrush  parent_instance;

  Pika      *pika;
  gboolean   mask_only;
};

struct _PikaBrushClipboardClass
{
  PikaBrushClass  parent_class;
};


GType      pika_brush_clipboard_get_type (void) G_GNUC_CONST;

PikaData * pika_brush_clipboard_new      (Pika     *pika,
                                          gboolean  mask_only);


#endif  /*  __PIKA_BRUSH_CLIPBOARD_H__  */
