/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_CHANNEL_COMBINE_H__
#define __PIKA_CHANNEL_COMBINE_H__


void   pika_channel_combine_rect         (PikaChannel    *mask,
                                          PikaChannelOps  op,
                                          gint            x,
                                          gint            y,
                                          gint            w,
                                          gint            h);
void   pika_channel_combine_ellipse      (PikaChannel    *mask,
                                          PikaChannelOps  op,
                                          gint            x,
                                          gint            y,
                                          gint            w,
                                          gint            h,
                                          gboolean        antialias);
void   pika_channel_combine_ellipse_rect (PikaChannel    *mask,
                                          PikaChannelOps  op,
                                          gint            x,
                                          gint            y,
                                          gint            w,
                                          gint            h,
                                          gdouble         rx,
                                          gdouble         ry,
                                          gboolean        antialias);
void   pika_channel_combine_mask         (PikaChannel    *mask,
                                          PikaChannel    *add_on,
                                          PikaChannelOps  op,
                                          gint            off_x,
                                          gint            off_y);
void   pika_channel_combine_buffer       (PikaChannel    *mask,
                                          GeglBuffer     *add_on_buffer,
                                          PikaChannelOps  op,
                                          gint            off_x,
                                          gint            off_y);

void   pika_channel_combine_items        (PikaChannel    *mask,
                                          GList          *items,
                                          PikaChannelOps  op);


#endif /* __PIKA_CHANNEL_COMBINE_H__ */
