/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikachunkiterator.h
 * Copyright (C) 2019 Ell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_CHUNK_ITEARTOR_H__
#define __PIKA_CHUNK_ITEARTOR_H__


PikaChunkIterator * pika_chunk_iterator_new               (cairo_region_t      *region);

void                pika_chunk_iterator_set_tile_rect     (PikaChunkIterator   *iter,
                                                           const GeglRectangle *rect);

void                pika_chunk_iterator_set_priority_rect (PikaChunkIterator   *iter,
                                                           const GeglRectangle *rect);

void                pika_chunk_iterator_set_interval      (PikaChunkIterator   *iter,
                                                           gdouble              interval);

gboolean            pika_chunk_iterator_next              (PikaChunkIterator   *iter);
gboolean            pika_chunk_iterator_get_rect          (PikaChunkIterator   *iter,
                                                           GeglRectangle       *rect);

cairo_region_t    * pika_chunk_iterator_stop              (PikaChunkIterator   *iter,
                                                           gboolean             free_region);


#endif  /*  __PIKA_CHUNK_ITEARTOR_H__  */
