/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikacoords-interpolate.h
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_COORDS_INTERPOLATE_H__
#define __PIKA_COORDS_INTERPOLATE_H__

void       pika_coords_interpolate_bezier    (const PikaCoords  bezier_pt[4],
                                              gdouble           precision,
                                              GArray           *ret_coords,
                                              GArray           *ret_params);

void       pika_coords_interpolate_bezier_at (const PikaCoords  bezier_pt[4],
                                              gdouble           t,
                                              PikaCoords       *position,
                                              PikaCoords       *velocity);

gboolean   pika_coords_bezier_is_straight    (const PikaCoords  bezier_pt[4],
                                              gdouble           precision);

void       pika_coords_interpolate_catmull   (const PikaCoords  catmull_pt[4],
                                              gdouble           precision,
                                              GArray           *ret_coords,
                                              GArray           *ret_params);

#endif /* __PIKA_COORDS_INTERPOLATE_H__ */
