/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995-1999 Spencer Kimball and Peter Mattis
 *
 * pikadashpattern.h
 * Copyright (C) 2003 Simon Budig
 * Copyright (C) 2005 Sven Neumann
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_DASH_PATTERN_H__
#define __PIKA_DASH_PATTERN_H__


#define PIKA_TYPE_DASH_PATTERN               (pika_dash_pattern_get_type ())
#define PIKA_VALUE_HOLDS_DASH_PATTERN(value) (G_TYPE_CHECK_VALUE_TYPE ((value), PIKA_TYPE_DASH_PATTERN))


GType            pika_dash_pattern_get_type          (void) G_GNUC_CONST;

GArray         * pika_dash_pattern_new_from_preset   (PikaDashPreset  preset);
GArray         * pika_dash_pattern_new_from_segments (const gboolean *segments,
                                                      gint            n_segments,
                                                      gdouble         dash_length);

void             pika_dash_pattern_fill_segments     (GArray         *pattern,
                                                      gboolean       *segments,
                                                      gint            n_segments);

GArray         * pika_dash_pattern_from_value_array  (PikaValueArray *value_array);
PikaValueArray * pika_dash_pattern_to_value_array    (GArray         *pattern);

GArray         * pika_dash_pattern_from_double_array (gint            n_dashes,
                                                      const gdouble  *dashes);
gdouble        * pika_dash_pattern_to_double_array   (GArray         *pattern,
                                                      gint           *n_dashes);

GArray         * pika_dash_pattern_copy              (GArray         *pattern);
void             pika_dash_pattern_free              (GArray         *pattern);


#endif  /*  __PIKA_DASH_PATTERN_H__  */
