/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995-1997 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_DOCUMENT_LIST_H__
#define __PIKA_DOCUMENT_LIST_H__

#include "core/pikalist.h"


#define PIKA_TYPE_DOCUMENT_LIST           (pika_document_list_get_type ())
#define PIKA_DOCUMENT_LIST(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_DOCUMENT_LIST, PikaDocumentList))
#define PIKA_DOCUMENT_LIST_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_DOCUMENT_LIST, PikaDocumentListClass))
#define PIKA_IS_DOCUMENT_LIST(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_DOCUMENT_LIST))
#define PIKA_IS_DOCUMENT_LIST_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_DOCUMENT_LIST))


typedef struct _PikaDocumentListClass PikaDocumentListClass;

struct _PikaDocumentList
{
  PikaList  parent_instance;

  Pika     *pika;
};

struct _PikaDocumentListClass
{
  PikaListClass  parent_class;
};


GType           pika_document_list_get_type (void) G_GNUC_CONST;
PikaContainer * pika_document_list_new      (Pika             *pika);

PikaImagefile * pika_document_list_add_file (PikaDocumentList *document_list,
                                             GFile            *file,
                                             const gchar      *mime_type);


#endif  /*  __PIKA_DOCUMENT_LIST_H__  */
