/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikadrawable-operation.h
 * Copyright (C) 2007 Øyvind Kolås <pippin@gimp.org>
 *                    Sven Neumann <sven@gimp.org>
 *                    Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_DRAWABLE_OPERATION_H__
#define __PIKA_DRAWABLE_OPERATION_H__


void   pika_drawable_apply_operation             (PikaDrawable *drawable,
                                                  PikaProgress *progress,
                                                  const gchar  *undo_desc,
                                                  GeglNode     *operation);
void   pika_drawable_apply_operation_with_config (PikaDrawable *drawable,
                                                  PikaProgress *progress,
                                                  const gchar  *undo_desc,
                                                  GeglNode     *operation,
                                                  GObject      *config);
void   pika_drawable_apply_operation_by_name     (PikaDrawable *drawable,
                                                  PikaProgress *progress,
                                                  const gchar  *undo_desc,
                                                  const gchar  *operation_type,
                                                  GObject      *config);


#endif /* __PIKA_DRAWABLE_OPERATION_H__ */
