/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_DRAWABLE__PREVIEW_H__
#define __PIKA_DRAWABLE__PREVIEW_H__


/*
 *  virtual functions of PikaDrawable -- don't call directly
 */
PikaTempBuf * pika_drawable_get_new_preview       (PikaViewable *viewable,
                                                   PikaContext  *context,
                                                   gint          width,
                                                   gint          height);
GdkPixbuf   * pika_drawable_get_new_pixbuf        (PikaViewable *viewable,
                                                   PikaContext  *context,
                                                   gint          width,
                                                   gint          height);

/*
 *  normal functions (no virtuals)
 */
const Babl  * pika_drawable_get_preview_format    (PikaDrawable *drawable);

PikaTempBuf * pika_drawable_get_sub_preview       (PikaDrawable *drawable,
                                                   gint          src_x,
                                                   gint          src_y,
                                                   gint          src_width,
                                                   gint          src_height,
                                                   gint          dest_width,
                                                   gint          dest_height);
GdkPixbuf   * pika_drawable_get_sub_pixbuf        (PikaDrawable *drawable,
                                                   gint          src_x,
                                                   gint          src_y,
                                                   gint          src_width,
                                                   gint          src_height,
                                                   gint          dest_width,
                                                   gint          dest_height);

PikaAsync   * pika_drawable_get_sub_preview_async (PikaDrawable *drawable,
                                                   gint          src_x,
                                                   gint          src_y,
                                                   gint          src_width,
                                                   gint          src_height,
                                                   gint          dest_width,
                                                   gint          dest_height);


#endif /* __PIKA_DRAWABLE__PREVIEW_H__ */
