/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikadrawable-shadow.h
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_DRAWABLE_SHADOW_H__
#define __PIKA_DRAWABLE_SHADOW_H__


GeglBuffer * pika_drawable_get_shadow_buffer   (PikaDrawable *drawable);
void         pika_drawable_free_shadow_buffer  (PikaDrawable *drawable);

void         pika_drawable_merge_shadow_buffer (PikaDrawable *drawable,
                                                gboolean      push_undo,
                                                const gchar  *undo_desc);


#endif /* __PIKA_DRAWABLE_SHADOW_H__ */
