/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikadrawable-stroke.h
 * Copyright (C) 2003 Simon Budig  <simon@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef  __PIKA_DRAWABLE_STROKE_H__
#define  __PIKA_DRAWABLE_STROKE_H__


void       pika_drawable_stroke_boundary     (PikaDrawable       *drawable,
                                              PikaStrokeOptions  *options,
                                              const PikaBoundSeg *bound_segs,
                                              gint                n_bound_segs,
                                              gint                offset_x,
                                              gint                offset_y,
                                              gboolean            push_undo);

gboolean   pika_drawable_stroke_vectors      (PikaDrawable       *drawable,
                                              PikaStrokeOptions  *options,
                                              PikaVectors        *vectors,
                                              gboolean            push_undo,
                                              GError            **error);

void       pika_drawable_stroke_scan_convert (PikaDrawable      *drawable,
                                              PikaStrokeOptions *options,
                                              PikaScanConvert   *scan_convert,
                                              gboolean           push_undo);


#endif  /*  __PIKA_DRAWABLE_STROKE_H__  */
