/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995-1999 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_DYNAMICS_H__
#define __PIKA_DYNAMICS_H__


#include "pikadata.h"


#define PIKA_TYPE_DYNAMICS            (pika_dynamics_get_type ())
#define PIKA_DYNAMICS(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_DYNAMICS, PikaDynamics))
#define PIKA_DYNAMICS_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_DYNAMICS, PikaDynamicsClass))
#define PIKA_IS_DYNAMICS(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_DYNAMICS))
#define PIKA_IS_DYNAMICS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_DYNAMICS))
#define PIKA_DYNAMICS_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_DYNAMICS, PikaDynamicsClass))


typedef struct _PikaDynamicsClass PikaDynamicsClass;

struct _PikaDynamics
{
  PikaData  parent_instance;
};

struct _PikaDynamicsClass
{
  PikaDataClass  parent_class;
};


GType                pika_dynamics_get_type     (void) G_GNUC_CONST;

PikaData           * pika_dynamics_new          (PikaContext            *context,
                                                 const gchar            *name);
PikaData           * pika_dynamics_get_standard (PikaContext            *context);

PikaDynamicsOutput * pika_dynamics_get_output   (PikaDynamics           *dynamics,
                                                 PikaDynamicsOutputType  type);

gboolean        pika_dynamics_is_output_enabled (PikaDynamics           *dynamics,
                                                 PikaDynamicsOutputType  type);

gdouble         pika_dynamics_get_linear_value  (PikaDynamics           *dynamics,
                                                 PikaDynamicsOutputType  type,
                                                 const PikaCoords       *coords,
                                                 PikaPaintOptions       *options,
                                                 gdouble                 fade_point);

gdouble         pika_dynamics_get_angular_value (PikaDynamics           *dynamics,
                                                 PikaDynamicsOutputType  type,
                                                 const PikaCoords       *coords,
                                                 PikaPaintOptions       *options,
                                                 gdouble                 fade_point);

gdouble         pika_dynamics_get_aspect_value  (PikaDynamics           *dynamics,
                                                 PikaDynamicsOutputType  type,
                                                 const PikaCoords       *coords,
                                                 PikaPaintOptions       *options,
                                                 gdouble                 fade_point);


#endif  /*  __PIKA_DYNAMICS_H__  */
