/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikafilter.h
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_FILTER_H__
#define __PIKA_FILTER_H__


#include "pikaviewable.h"


#define PIKA_TYPE_FILTER            (pika_filter_get_type ())
#define PIKA_FILTER(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_FILTER, PikaFilter))
#define PIKA_FILTER_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_FILTER, PikaFilterClass))
#define PIKA_IS_FILTER(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_FILTER))
#define PIKA_IS_FILTER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_FILTER))
#define PIKA_FILTER_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_FILTER, PikaFilterClass))


typedef struct _PikaFilterClass PikaFilterClass;

struct _PikaFilter
{
  PikaViewable  parent_instance;
};

struct _PikaFilterClass
{
  PikaViewableClass  parent_class;

  /*  signals  */
  void       (* active_changed) (PikaFilter *filter);

  /*  virtual functions  */
  GeglNode * (* get_node)       (PikaFilter *filter);
};


GType            pika_filter_get_type         (void) G_GNUC_CONST;
PikaFilter     * pika_filter_new              (const gchar    *name);

GeglNode       * pika_filter_get_node         (PikaFilter     *filter);
GeglNode       * pika_filter_peek_node        (PikaFilter     *filter);

void             pika_filter_set_active       (PikaFilter     *filter,
                                               gboolean        active);
gboolean         pika_filter_get_active       (PikaFilter     *filter);

void             pika_filter_set_is_last_node (PikaFilter     *filter,
                                               gboolean        is_last_node);
gboolean         pika_filter_get_is_last_node (PikaFilter     *filter);

void             pika_filter_set_applicator   (PikaFilter     *filter,
                                               PikaApplicator *applicator);
PikaApplicator * pika_filter_get_applicator   (PikaFilter     *filter);


#endif /* __PIKA_FILTER_H__ */
