/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995-1997 Spencer Kimball and Peter Mattis
 *
 * pikafilterstack.h
 * Copyright (C) 2008-2013 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_FILTER_STACK_H__
#define __PIKA_FILTER_STACK_H__

#include "pikalist.h"


#define PIKA_TYPE_FILTER_STACK            (pika_filter_stack_get_type ())
#define PIKA_FILTER_STACK(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_FILTER_STACK, PikaFilterStack))
#define PIKA_FILTER_STACK_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_FILTER_STACK, PikaFilterStackClass))
#define PIKA_IS_FILTER_STACK(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_FILTER_STACK))
#define PIKA_IS_FILTER_STACK_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_FILTER_STACK))


typedef struct _PikaFilterStackClass PikaFilterStackClass;

struct _PikaFilterStack
{
  PikaList  parent_instance;

  GeglNode *graph;
};

struct _PikaFilterStackClass
{
  PikaListClass  parent_class;
};


GType           pika_filter_stack_get_type  (void) G_GNUC_CONST;
PikaContainer * pika_filter_stack_new       (GType            filter_type);

GeglNode *      pika_filter_stack_get_graph (PikaFilterStack *stack);


#endif  /*  __PIKA_FILTER_STACK_H__  */
