/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * PikaGroupLayer
 * Copyright (C) 2009  Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_GROUP_LAYER_H__
#define __PIKA_GROUP_LAYER_H__


#include "core/pikalayer.h"


#define PIKA_TYPE_GROUP_LAYER            (pika_group_layer_get_type ())
#define PIKA_GROUP_LAYER(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_GROUP_LAYER, PikaGroupLayer))
#define PIKA_GROUP_LAYER_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_GROUP_LAYER, PikaGroupLayerClass))
#define PIKA_IS_GROUP_LAYER(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_GROUP_LAYER))
#define PIKA_IS_GROUP_LAYER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_GROUP_LAYER))
#define PIKA_GROUP_LAYER_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_GROUP_LAYER, PikaGroupLayerClass))


typedef struct _PikaGroupLayerClass PikaGroupLayerClass;

struct _PikaGroupLayer
{
  PikaLayer  parent_instance;
};

struct _PikaGroupLayerClass
{
  PikaLayerClass  parent_class;
};


GType            pika_group_layer_get_type            (void) G_GNUC_CONST;

PikaLayer      * pika_group_layer_new                 (PikaImage           *image);

PikaProjection * pika_group_layer_get_projection      (PikaGroupLayer      *group);

void             pika_group_layer_suspend_resize      (PikaGroupLayer      *group,
                                                       gboolean             push_undo);
void             pika_group_layer_resume_resize       (PikaGroupLayer      *group,
                                                       gboolean             push_undo);

void             pika_group_layer_suspend_mask        (PikaGroupLayer      *group,
                                                       gboolean             push_undo);
void             pika_group_layer_resume_mask         (PikaGroupLayer      *group,
                                                       gboolean             push_undo);


void             _pika_group_layer_set_suspended_mask (PikaGroupLayer      *group,
                                                       GeglBuffer          *buffer,
                                                       const GeglRectangle *bounds);
GeglBuffer     * _pika_group_layer_get_suspended_mask (PikaGroupLayer      *group,
                                                       GeglRectangle       *bounds);

void             _pika_group_layer_start_transform    (PikaGroupLayer      *group,
                                                       gboolean             push_undo);
void             _pika_group_layer_end_transform      (PikaGroupLayer      *group,
                                                       gboolean             push_undo);


#endif /* __PIKA_GROUP_LAYER_H__ */
