/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * PikaGuide
 * Copyright (C) 2003  Henrik Brix Andersen <brix@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_GUIDE_H__
#define __PIKA_GUIDE_H__


#include "pikaauxitem.h"


#define PIKA_GUIDE_POSITION_UNDEFINED G_MININT


#define PIKA_TYPE_GUIDE            (pika_guide_get_type ())
#define PIKA_GUIDE(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_GUIDE, PikaGuide))
#define PIKA_GUIDE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_GUIDE, PikaGuideClass))
#define PIKA_IS_GUIDE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_GUIDE))
#define PIKA_IS_GUIDE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_GUIDE))
#define PIKA_GUIDE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_GUIDE, PikaGuideClass))


typedef struct _PikaGuidePrivate PikaGuidePrivate;
typedef struct _PikaGuideClass   PikaGuideClass;

struct _PikaGuide
{
  PikaAuxItem       parent_instance;

  PikaGuidePrivate *priv;
};

struct _PikaGuideClass
{
  PikaAuxItemClass  parent_class;
};


GType               pika_guide_get_type         (void) G_GNUC_CONST;

PikaGuide *         pika_guide_new              (PikaOrientationType  orientation,
                                                 guint32              guide_ID);
PikaGuide *         pika_guide_custom_new       (PikaOrientationType  orientation,
                                                 guint32              guide_ID,
                                                 PikaGuideStyle       guide_style);

PikaOrientationType pika_guide_get_orientation  (PikaGuide           *guide);
void                pika_guide_set_orientation  (PikaGuide           *guide,
                                                 PikaOrientationType  orientation);

gint                pika_guide_get_position     (PikaGuide           *guide);
void                pika_guide_set_position     (PikaGuide           *guide,
                                                 gint                 position);

PikaGuideStyle      pika_guide_get_style        (PikaGuide           *guide);
gboolean            pika_guide_is_custom        (PikaGuide           *guide);


#endif /* __PIKA_GUIDE_H__ */
