/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikaidtable.h
 * Copyright (C) 2011 Martin Nordholts <martinn@src.gnome.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_ID_TABLE_H__
#define __PIKA_ID_TABLE_H__


#include "pikaobject.h"


#define PIKA_TYPE_ID_TABLE            (pika_id_table_get_type ())
#define PIKA_ID_TABLE(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_ID_TABLE, PikaIdTable))
#define PIKA_ID_TABLE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_ID_TABLE, PikaIdTableClass))
#define PIKA_IS_ID_TABLE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_ID_TABLE))
#define PIKA_IS_ID_TABLE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_ID_TABLE))
#define PIKA_ID_TABLE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_ID_TABLE, PikaIdTableClass))


typedef struct _PikaIdTableClass   PikaIdTableClass;
typedef struct _PikaIdTablePrivate PikaIdTablePrivate;

struct _PikaIdTable
{
  PikaObject          parent_instance;

  PikaIdTablePrivate *priv;
};

struct _PikaIdTableClass
{
  PikaObjectClass  parent_class;
};


GType          pika_id_table_get_type       (void) G_GNUC_CONST;
PikaIdTable *  pika_id_table_new            (void);
gint           pika_id_table_insert         (PikaIdTable *id_table,
                                             gpointer     data);
gint           pika_id_table_insert_with_id (PikaIdTable *id_table,
                                             gint         id,
                                             gpointer     data);
void           pika_id_table_replace        (PikaIdTable *id_table,
                                             gint         id,
                                             gpointer     data);
gpointer       pika_id_table_lookup         (PikaIdTable *id_table,
                                             gint         id);
gboolean       pika_id_table_remove         (PikaIdTable *id_table,
                                             gint         id);


#endif  /*  __PIKA_ID_TABLE_H__  */
