/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_IMAGE_GUIDES_H__
#define __PIKA_IMAGE_GUIDES_H__


/*  public guide adding API
 */
PikaGuide * pika_image_add_hguide     (PikaImage *image,
                                       gint       position,
                                       gboolean   push_undo);
PikaGuide * pika_image_add_vguide     (PikaImage *image,
                                       gint       position,
                                       gboolean   push_undo);

/*  internal guide adding API, does not check the guide's position and
 *  is publicly declared only to be used from undo
 */
void        pika_image_add_guide      (PikaImage *image,
                                       PikaGuide *guide,
                                       gint       position);

void        pika_image_remove_guide   (PikaImage *image,
                                       PikaGuide *guide,
                                       gboolean   push_undo);
void        pika_image_move_guide     (PikaImage *image,
                                       PikaGuide *guide,
                                       gint       position,
                                       gboolean   push_undo);

GList     * pika_image_get_guides     (PikaImage *image);
PikaGuide * pika_image_get_guide      (PikaImage *image,
                                       guint32    id);
PikaGuide * pika_image_get_next_guide (PikaImage *image,
                                       guint32    id,
                                       gboolean  *guide_found);


#endif /* __PIKA_IMAGE_GUIDES_H__ */
