/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_IMAGE_ITEM_LIST_H__
#define __PIKA_IMAGE_ITEM_LIST_H__


gboolean   pika_image_item_list_bounds    (PikaImage              *image,
                                           GList                  *list,
                                           gint                   *x,
                                           gint                   *y,
                                           gint                   *width,
                                           gint                   *height);

void       pika_image_item_list_translate (PikaImage              *image,
                                           GList                  *list,
                                           gint                    offset_x,
                                           gint                    offset_y,
                                           gboolean                push_undo);
void       pika_image_item_list_flip      (PikaImage              *image,
                                           GList                  *list,
                                           PikaContext            *context,
                                           PikaOrientationType     flip_type,
                                           gdouble                 axis,
                                           PikaTransformResize     expected_clip_result);
void       pika_image_item_list_rotate    (PikaImage              *image,
                                           GList                  *list,
                                           PikaContext            *context,
                                           PikaRotationType        rotate_type,
                                           gdouble                 center_x,
                                           gdouble                 center_y,
                                           gboolean                clip_result);
void       pika_image_item_list_transform (PikaImage              *image,
                                           GList                  *list,
                                           PikaContext            *context,
                                           const PikaMatrix3      *matrix,
                                           PikaTransformDirection  direction,
                                           PikaInterpolationType   interpolation_type,
                                           PikaTransformResize     clip_result,
                                           PikaProgress           *progress);

GList    * pika_image_item_list_get_list  (PikaImage              *image,
                                           PikaItemTypeMask        type,
                                           PikaItemSet             set);

GList    * pika_image_item_list_filter    (GList                  *list);


#endif /* __PIKA_IMAGE_ITEM_LIST_H__ */
