/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_IMAGE_METADATA_H__
#define __PIKA_IMAGE_METADATA_H__


PikaMetadata * pika_image_get_metadata                    (PikaImage    *image);
void           pika_image_set_metadata                    (PikaImage    *image,
                                                           PikaMetadata *metadata,
                                                           gboolean      push_undo);

void           pika_image_metadata_update_pixel_size      (PikaImage    *image);
void           pika_image_metadata_update_bits_per_sample (PikaImage    *image);
void           pika_image_metadata_update_resolution      (PikaImage    *image);
void           pika_image_metadata_update_colorspace      (PikaImage    *image);


#endif /* __PIKA_IMAGE_METADATA_H__ */
