/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995-1999 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_IMAGE_NEW_H__
#define __PIKA_IMAGE_NEW_H__


PikaTemplate * pika_image_new_get_last_template (Pika            *pika,
                                                 PikaImage       *image);
void           pika_image_new_set_last_template (Pika            *pika,
                                                 PikaTemplate    *template);

PikaImage    * pika_image_new_from_template     (Pika            *pika,
                                                 PikaTemplate    *template,
                                                 PikaContext     *context);
PikaImage    * pika_image_new_from_drawable     (Pika            *pika,
                                                 PikaDrawable    *drawable);
PikaImage    * pika_image_new_from_drawables    (Pika            *pika,
                                                 GList           *drawables,
                                                 gboolean         copy_selection,
                                                 gboolean         tag_copies);
PikaImage    * pika_image_new_from_component    (Pika            *pika,
                                                 PikaImage       *image,
                                                 PikaChannelType  component);
PikaImage    * pika_image_new_from_buffer       (Pika            *pika,
                                                 PikaBuffer      *buffer);
PikaImage    * pika_image_new_from_pixbuf       (Pika            *pika,
                                                 GdkPixbuf       *pixbuf,
                                                 const gchar     *layer_name);


#endif /* __PIKA_IMAGE_NEW__ */
