/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_IMAGE_PREVIEW_H__
#define __PIKA_IMAGE_PREVIEW_H__


const Babl  * pika_image_get_preview_format (PikaImage    *image);


/*
 *  virtual functions of PikaImage -- don't call directly
 */

void          pika_image_get_preview_size   (PikaViewable *viewable,
                                             gint          size,
                                             gboolean      is_popup,
                                             gboolean      dot_for_dot,
                                             gint         *width,
                                             gint         *height);
gboolean      pika_image_get_popup_size     (PikaViewable *viewable,
                                             gint          width,
                                             gint          height,
                                             gboolean      dot_for_dot,
                                             gint         *popup_width,
                                             gint         *popup_height);
PikaTempBuf * pika_image_get_new_preview    (PikaViewable *viewable,
                                             PikaContext  *context,
                                             gint          width,
                                             gint          height);
GdkPixbuf   * pika_image_get_new_pixbuf     (PikaViewable *viewable,
                                             PikaContext  *context,
                                             gint          width,
                                             gint          height);


#endif /* __PIKA_IMAGE_PREVIEW_H__ */
