/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_IMAGE_QUICK_MASK_H__
#define __PIKA_IMAGE_QUICK_MASK_H__


/*  don't change this string, it's used to identify the Quick Mask
 *  when opening files.
 */
#define PIKA_IMAGE_QUICK_MASK_NAME "Qmask"


void          pika_image_set_quick_mask_state    (PikaImage     *image,
                                                  gboolean       active);
gboolean      pika_image_get_quick_mask_state    (PikaImage     *image);

void          pika_image_set_quick_mask_color    (PikaImage     *image,
                                                  const PikaRGB *color);
void          pika_image_get_quick_mask_color    (PikaImage     *image,
                                                  PikaRGB       *color);

PikaChannel * pika_image_get_quick_mask          (PikaImage     *image);

void          pika_image_quick_mask_invert       (PikaImage     *image);
gboolean      pika_image_get_quick_mask_inverted (PikaImage     *image);


#endif /* __PIKA_IMAGE_QUICK_MASK_H__ */
