/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattisbvf
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_IMAGE_RESIZE_H__
#define __PIKA_IMAGE_RESIZE_H__


void   pika_image_resize              (PikaImage    *image,
                                       PikaContext  *context,
                                       gint          new_width,
                                       gint          new_height,
                                       gint          offset_x,
                                       gint          offset_y,
                                       PikaProgress *progress);

void   pika_image_resize_with_layers  (PikaImage    *image,
                                       PikaContext  *context,
                                       PikaFillType  fill_type,
                                       gint          new_width,
                                       gint          new_height,
                                       gint          offset_x,
                                       gint          offset_y,
                                       PikaItemSet   layer_set,
                                       gboolean      resize_text_layers,
                                       PikaProgress *progress);

void   pika_image_resize_to_layers    (PikaImage    *image,
                                       PikaContext  *context,
                                       gint         *offset_x,
                                       gint         *offset_y,
                                       gint         *new_width,
                                       gint         *new_height,
                                       PikaProgress *progress);
void   pika_image_resize_to_selection (PikaImage    *image,
                                       PikaContext  *context,
                                       PikaProgress *progress);


#endif /* __PIKA_IMAGE_RESIZE_H__ */
