/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_IMAGE_SAMPLE_POINTS_H__
#define __PIKA_IMAGE_SAMPLE_POINTS_H__


/*  public sample point adding API
 */
PikaSamplePoint * pika_image_add_sample_point_at_pos (PikaImage        *image,
                                                      gint              x,
                                                      gint              y,
                                                      gboolean          push_undo);

/*  internal sample point adding API, does not check the sample
 *  point's position and is publicly declared only to be used from
 *  undo
 */
void              pika_image_add_sample_point        (PikaImage       *image,
                                                      PikaSamplePoint *sample_point,
                                                      gint             x,
                                                      gint             y);

void              pika_image_remove_sample_point     (PikaImage       *image,
                                                      PikaSamplePoint *sample_point,
                                                      gboolean         push_undo);
void              pika_image_move_sample_point       (PikaImage       *image,
                                                      PikaSamplePoint *sample_point,
                                                      gint             x,
                                                      gint             y,
                                                      gboolean         push_undo);
void              pika_image_set_sample_point_pick_mode
                                                     (PikaImage       *image,
                                                      PikaSamplePoint *sample_point,
                                                      PikaColorPickMode pick_mode,
                                                      gboolean         push_undo);

GList           * pika_image_get_sample_points       (PikaImage       *image);
PikaSamplePoint * pika_image_get_sample_point        (PikaImage       *image,
                                                      guint32          id);
PikaSamplePoint * pika_image_get_next_sample_point   (PikaImage       *image,
                                                      guint32          id,
                                                      gboolean        *sample_point_found);


#endif /* __PIKA_IMAGE_SAMPLE_POINTS_H__ */
