/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikaimage-symmetry.h
 * Copyright (C) 2015 Jehan <jehan@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_IMAGE_SYMMETRY_H__
#define __PIKA_IMAGE_SYMMETRY_H__


GList        * pika_image_symmetry_list       (void);

PikaSymmetry * pika_image_symmetry_new        (PikaImage    *image,
                                               GType         type);
void           pika_image_symmetry_add        (PikaImage    *image,
                                               PikaSymmetry *sym);
void           pika_image_symmetry_remove     (PikaImage    *image,
                                               PikaSymmetry *sym);
GList        * pika_image_symmetry_get        (PikaImage    *image);

gboolean       pika_image_set_active_symmetry (PikaImage    *image,
                                               GType         type);
PikaSymmetry * pika_image_get_active_symmetry (PikaImage    *image);


#endif  /*  __PIKA_IMAGE_SYMMETRY_H__  */
