/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikaimageproxy.h
 * Copyright (C) 2019 Ell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_IMAGE_PROXY_H__
#define __PIKA_IMAGE_PROXY_H__


#include "pikaviewable.h"


#define PIKA_TYPE_IMAGE_PROXY            (pika_image_proxy_get_type ())
#define PIKA_IMAGE_PROXY(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_IMAGE_PROXY, PikaImageProxy))
#define PIKA_IMAGE_PROXY_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_IMAGE_PROXY, PikaImageProxyClass))
#define PIKA_IS_IMAGE_PROXY(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_IMAGE_PROXY))
#define PIKA_IS_IMAGE_PROXY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_IMAGE_PROXY))
#define PIKA_IMAGE_PROXY_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_IMAGE_PROXY, PikaImageProxyClass))


typedef struct _PikaImageProxyPrivate PikaImageProxyPrivate;
typedef struct _PikaImageProxyClass   PikaImageProxyClass;

struct _PikaImageProxy
{
  PikaViewable           parent_instance;

  PikaImageProxyPrivate *priv;
};

struct _PikaImageProxyClass
{
  PikaViewableClass  parent_class;
};


GType            pika_image_proxy_get_type         (void) G_GNUC_CONST;

PikaImageProxy * pika_image_proxy_new              (PikaImage      *image);

PikaImage      * pika_image_proxy_get_image        (PikaImageProxy *image_proxy);
              
void             pika_image_proxy_set_show_all     (PikaImageProxy *image_proxy,
                                                    gboolean        show_all);
gboolean         pika_image_proxy_get_show_all     (PikaImageProxy *image_proxy);
              
GeglRectangle    pika_image_proxy_get_bounding_box (PikaImageProxy *image_proxy);


#endif /* __PIKA_IMAGE_PROXY_H__ */
