/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikaitem-exclusive.h
 * Copyright (C) 2011 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_ITEM_EXCLUSIVE_H__
#define __PIKA_ITEM_EXCLUSIVE_H__

typedef gboolean        (* PikaItemIsEnabledFunc)    (PikaItem  *item);
typedef gboolean        (* PikaItemCanSetFunc)       (PikaItem  *item);
typedef void            (* PikaItemSetFunc)          (PikaItem  *item,
                                                      gboolean   enabled,
                                                      gboolean   push_undo);
typedef gboolean        (* PikaItemIsPropLocked)     (PikaItem  *item);
typedef PikaUndo      * (*PikaItemUndoPush)          (PikaImage     *image,
                                                      const gchar   *undo_desc,
                                                      PikaItem      *item);

void   pika_item_toggle_exclusive_visible (PikaItem             *item,
                                           gboolean              only_selected,
                                           PikaContext          *context);
void   pika_item_toggle_exclusive         (PikaItem             *item,
                                           PikaItemIsEnabledFunc is_enabled,
                                           PikaItemSetFunc       set_prop,
                                           PikaItemCanSetFunc    can_set,
                                           PikaItemIsPropLocked  is_prop_locked,
                                           PikaItemUndoPush      undo_push,
                                           const gchar          *undo_desc,
                                           PikaUndoType          group_undo_type,
                                           gboolean              only_selected,
                                           PikaContext          *context);


#endif /* __PIKA_ITEM_EXCLUSIVE_H__ */
