/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_ITEM_PROP_UNDO_H__
#define __PIKA_ITEM_PROP_UNDO_H__


#include "pikaitemundo.h"


#define PIKA_TYPE_ITEM_PROP_UNDO            (pika_item_prop_undo_get_type ())
#define PIKA_ITEM_PROP_UNDO(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_ITEM_PROP_UNDO, PikaItemPropUndo))
#define PIKA_ITEM_PROP_UNDO_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_ITEM_PROP_UNDO, PikaItemPropUndoClass))
#define PIKA_IS_ITEM_PROP_UNDO(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_ITEM_PROP_UNDO))
#define PIKA_IS_ITEM_PROP_UNDO_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_ITEM_PROP_UNDO))
#define PIKA_ITEM_PROP_UNDO_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_ITEM_PROP_UNDO, PikaItemPropUndoClass))


typedef struct _PikaItemPropUndo      PikaItemPropUndo;
typedef struct _PikaItemPropUndoClass PikaItemPropUndoClass;

struct _PikaItemPropUndo
{
  PikaItemUndo  parent_instance;

  PikaItem     *parent;
  gint          position;
  gchar        *name;
  gint          offset_x;
  gint          offset_y;
  guint         visible         : 1;
  guint         linked          : 1;
  guint         lock_content    : 1;
  guint         lock_position   : 1;
  guint         lock_visibility : 1;
  PikaColorTag  color_tag;
  gchar        *parasite_name;
  PikaParasite *parasite;
};

struct _PikaItemPropUndoClass
{
  PikaItemUndoClass  parent_class;
};


GType   pika_item_prop_undo_get_type (void) G_GNUC_CONST;


#endif /* __PIKA_ITEM_PROP_UNDO_H__ */
