/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_LAYER_NEW_H__
#define __PIKA_LAYER_NEW_H__


PikaLayer * pika_layer_new                  (PikaImage        *image,
                                             gint              width,
                                             gint              height,
                                             const Babl       *format,
                                             const gchar      *name,
                                             gdouble           opacity,
                                             PikaLayerMode     mode);

PikaLayer * pika_layer_new_from_buffer      (PikaBuffer       *buffer,
                                             PikaImage        *dest_image,
                                             const Babl       *format,
                                             const gchar      *name,
                                             gdouble           opacity,
                                             PikaLayerMode     mode);
PikaLayer * pika_layer_new_from_gegl_buffer (GeglBuffer       *buffer,
                                             PikaImage        *dest_image,
                                             const Babl       *format,
                                             const gchar      *name,
                                             gdouble           opacity,
                                             PikaLayerMode     mode,
                                             PikaColorProfile *buffer_profile);
PikaLayer * pika_layer_new_from_pixbuf      (GdkPixbuf        *pixbuf,
                                             PikaImage        *dest_image,
                                             const Babl       *format,
                                             const gchar      *name,
                                             gdouble           opacity,
                                             PikaLayerMode     mode);


#endif /* __PIKA_LAYER_NEW_H__ */
