/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995-1997 Spencer Kimball and Peter Mattis
 *
 * pikalayerstack.h
 * Copyright (C) 2017 Ell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_LAYER_STACK_H__
#define __PIKA_LAYER_STACK_H__

#include "pikadrawablestack.h"


#define PIKA_TYPE_LAYER_STACK            (pika_layer_stack_get_type ())
#define PIKA_LAYER_STACK(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_LAYER_STACK, PikaLayerStack))
#define PIKA_LAYER_STACK_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_LAYER_STACK, PikaLayerStackClass))
#define PIKA_IS_LAYER_STACK(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_LAYER_STACK))
#define PIKA_IS_LAYER_STACK_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_LAYER_STACK))


typedef struct _PikaLayerStackClass PikaLayerStackClass;

struct _PikaLayerStack
{
  PikaDrawableStack  parent_instance;
};

struct _PikaLayerStackClass
{
  PikaDrawableStackClass  parent_class;
};


GType           pika_layer_stack_get_type  (void) G_GNUC_CONST;
PikaContainer * pika_layer_stack_new       (GType layer_type);


#endif  /*  __PIKA_LAYER_STACK_H__  */
