/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * Copyright (C) 2017 Sébastien Fourey & David Tchumperlé
 * Copyright (C) 2018 Jehan
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_LINEART__
#define __PIKA_LINEART__


#include "pikaobject.h"

#define PIKA_TYPE_LINE_ART            (pika_line_art_get_type ())
#define PIKA_LINE_ART(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_LINE_ART, PikaLineArt))
#define PIKA_LINE_ART_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_LINE_ART, PikaLineArtClass))
#define PIKA_IS_LINE_ART(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_LINE_ART))
#define PIKA_IS_LINE_ART_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_LINE_ART))
#define PIKA_LINE_ART_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_LINE_ART, PikaLineArtClass))


typedef struct _PikaLineArtClass   PikaLineArtClass;
typedef struct _PikaLineArtPrivate PikaLineArtPrivate;

struct _PikaLineArt
{
  PikaObject          parent_instance;

  PikaLineArtPrivate *priv;
};

struct _PikaLineArtClass
{
  PikaObjectClass     parent_class;

  /* Signals */

  void (* computing_start) (PikaLineArt *line_art);
  void (* computing_end)   (PikaLineArt *line_art);
};


GType                pika_line_art_get_type         (void) G_GNUC_CONST;

PikaLineArt        * pika_line_art_new              (void);

void                 pika_line_art_bind_gap_length  (PikaLineArt  *line_art,
                                                     gboolean      bound);

void                 pika_line_art_set_input        (PikaLineArt  *line_art,
                                                     PikaPickable *pickable);
PikaPickable       * pika_line_art_get_input        (PikaLineArt  *line_art);
void                 pika_line_art_freeze           (PikaLineArt  *line_art);
void                 pika_line_art_thaw             (PikaLineArt  *line_art);
gboolean             pika_line_art_is_frozen        (PikaLineArt  *line_art);

GeglBuffer         * pika_line_art_get              (PikaLineArt  *line_art,
                                                     gfloat      **distmap);

#endif /* __PIKA_LINEART__ */
