/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikamybrush.h
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_MYBRUSH_H__
#define __PIKA_MYBRUSH_H__


#include "pikadata.h"


#define PIKA_TYPE_MYBRUSH            (pika_mybrush_get_type ())
#define PIKA_MYBRUSH(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_MYBRUSH, PikaMybrush))
#define PIKA_MYBRUSH_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_MYBRUSH, PikaMybrushClass))
#define PIKA_IS_MYBRUSH(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_MYBRUSH))
#define PIKA_IS_MYBRUSH_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_MYBRUSH))
#define PIKA_MYBRUSH_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_MYBRUSH, PikaMybrushClass))


typedef struct _PikaMybrushPrivate PikaMybrushPrivate;
typedef struct _PikaMybrushClass   PikaMybrushClass;

struct _PikaMybrush
{
  PikaData            parent_instance;

  PikaMybrushPrivate *priv;
};

struct _PikaMybrushClass
{
  PikaDataClass  parent_class;
};


GType         pika_mybrush_get_type             (void) G_GNUC_CONST;

PikaData    * pika_mybrush_new                  (PikaContext *context,
                                                 const gchar *name);
PikaData    * pika_mybrush_get_standard         (PikaContext *context);

const gchar * pika_mybrush_get_brush_json       (PikaMybrush *brush);

gdouble       pika_mybrush_get_radius           (PikaMybrush *brush);
gdouble       pika_mybrush_get_opaque           (PikaMybrush *brush);
gdouble       pika_mybrush_get_hardness         (PikaMybrush *brush);
gdouble       pika_mybrush_get_offset_by_random (PikaMybrush *brush);
gboolean      pika_mybrush_get_is_eraser        (PikaMybrush *brush);


#endif /* __PIKA_MYBRUSH_H__ */
