/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_PALETTE_IMPORT__
#define __PIKA_PALETTE_IMPORT__


PikaPalette * pika_palette_import_from_gradient      (PikaGradient *gradient,
                                                      PikaContext  *context,
                                                      gboolean      reverse,
                                                      PikaGradientBlendColorSpace  blend_color_space,
                                                      const gchar  *palette_name,
                                                      gint          n_colors);
PikaPalette * pika_palette_import_from_image         (PikaImage    *image,
                                                      PikaContext  *context,
                                                      const gchar  *palette_name,
                                                      gint          n_colors,
                                                      gint          threshold,
                                                      gboolean      selection_only);
PikaPalette * pika_palette_import_from_indexed_image (PikaImage    *image,
                                                      PikaContext  *context,
                                                      const gchar  *palette_name);
PikaPalette * pika_palette_import_from_drawables     (GList        *drawables,
                                                      PikaContext  *context,
                                                      const gchar  *palette_name,
                                                      gint          n_colors,
                                                      gint          threshold,
                                                      gboolean      selection_only);
PikaPalette * pika_palette_import_from_file          (PikaContext  *context,
                                                      GFile        *file,
                                                      const gchar  *palette_name,
                                                      GError      **error);

#endif  /* __PIKA_PALETTE_IMPORT_H__ */
