/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikapalettemru.h
 * Copyright (C) 2014 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_PALETTE_MRU_H__
#define __PIKA_PALETTE_MRU_H__


#include "pikapalette.h"


#define PIKA_TYPE_PALETTE_MRU            (pika_palette_mru_get_type ())
#define PIKA_PALETTE_MRU(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_PALETTE_MRU, PikaPaletteMru))
#define PIKA_PALETTE_MRU_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_PALETTE_MRU, PikaPaletteMruClass))
#define PIKA_IS_PALETTE_MRU(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_PALETTE_MRU))
#define PIKA_IS_PALETTE_MRU_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_PALETTE_MRU))
#define PIKA_PALETTE_MRU_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_PALETTE_MRU, PikaPaletteMruClass))


typedef struct _PikaPaletteMruClass PikaPaletteMruClass;

struct _PikaPaletteMru
{
  PikaPalette  parent_instance;
};

struct _PikaPaletteMruClass
{
  PikaPaletteClass  parent_class;
};


GType      pika_palette_mru_get_type (void) G_GNUC_CONST;

PikaData * pika_palette_mru_new      (const gchar    *name);

void       pika_palette_mru_load     (PikaPaletteMru *mru,
                                      GFile          *file);
void       pika_palette_mru_save     (PikaPaletteMru *mru,
                                      GFile          *file);

void       pika_palette_mru_add      (PikaPaletteMru *mru,
                                      const PikaRGB  *color);


#endif  /*  __PIKA_PALETTE_MRU_H__  */
