/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_PATTERN_HEADER_H__
#define __PIKA_PATTERN_HEADER_H__


#define PIKA_PATTERN_MAGIC    (('G' << 24) + ('P' << 16) + \
                               ('A' << 8)  + ('T' << 0))
#define PIKA_PATTERN_MAX_SIZE 10000 /* Max size in either dimension in px */
#define PIKA_PATTERN_MAX_NAME 256   /* Max length of the pattern's name   */


/*  All field entries are MSB  */

typedef struct _PikaPatternHeader PikaPatternHeader;

struct _PikaPatternHeader
{
  guint32   header_size;  /*  = sizeof (PikaPatternHeader) + pattern name  */
  guint32   version;      /*  pattern file version #  */
  guint32   width;        /*  width of pattern  */
  guint32   height;       /*  height of pattern  */
  guint32   bytes;        /*  depth of pattern in bytes  */
  guint32   magic_number; /*  PIKA pattern magic number  */
};

/*  In a pattern file, next comes the pattern name, null-terminated.
 *  After that comes the pattern data -- width * height * bytes bytes
 *  of it...
 */


#endif  /* __PIKA_PATTERN_HEADER_H__ */
