/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikapdbprogress.h
 * Copyright (C) 2004 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_PDB_PROGRESS_H__
#define __PIKA_PDB_PROGRESS_H__

G_BEGIN_DECLS


#define PIKA_TYPE_PDB_PROGRESS            (pika_pdb_progress_get_type ())
#define PIKA_PDB_PROGRESS(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_PDB_PROGRESS, PikaPdbProgress))
#define PIKA_PDB_PROGRESS_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_PDB_PROGRESS, PikaPdbProgressClass))
#define PIKA_IS_PDB_PROGRESS(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_PDB_PROGRESS))
#define PIKA_IS_PDB_PROGRESS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_PDB_PROGRESS))
#define PIKA_PDB_PROGRESS_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_PDB_PROGRESS, PikaPdbProgressClass))


typedef struct _PikaPdbProgressClass  PikaPdbProgressClass;

struct _PikaPdbProgress
{
  GObject      object;

  gboolean     active;
  gdouble      value;

  PikaPDB     *pdb;
  PikaContext *context;
  gchar       *callback_name;
  gboolean     callback_busy;
};

struct _PikaPdbProgressClass
{
  GObjectClass  parent_class;

  GList        *progresses;
};


GType             pika_pdb_progress_get_type        (void) G_GNUC_CONST;

PikaPdbProgress * pika_pdb_progress_get_by_callback (PikaPdbProgressClass *klass,
                                                     const gchar          *callback_name);


G_END_DECLS

#endif /* __PIKA_PDB_PROGRESS_H__ */
