/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_SELECTION_H__
#define __PIKA_SELECTION_H__


#include "pikachannel.h"


#define PIKA_TYPE_SELECTION            (pika_selection_get_type ())
#define PIKA_SELECTION(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_SELECTION, PikaSelection))
#define PIKA_SELECTION_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_SELECTION, PikaSelectionClass))
#define PIKA_IS_SELECTION(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_SELECTION))
#define PIKA_IS_SELECTION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_SELECTION))
#define PIKA_SELECTION_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_SELECTION, PikaSelectionClass))


typedef struct _PikaSelectionClass PikaSelectionClass;

struct _PikaSelection
{
  PikaChannel parent_instance;

  gint        suspend_count;
};

struct _PikaSelectionClass
{
  PikaChannelClass parent_class;
};


GType         pika_selection_get_type (void) G_GNUC_CONST;

PikaChannel * pika_selection_new      (PikaImage     *image,
                                       gint           width,
                                       gint           height);

gint          pika_selection_suspend  (PikaSelection *selection);
gint          pika_selection_resume   (PikaSelection *selection);

GeglBuffer  * pika_selection_extract  (PikaSelection *selection,
                                       GList         *pickables,
                                       PikaContext   *context,
                                       gboolean       cut_image,
                                       gboolean       keep_indexed,
                                       gboolean       add_alpha,
                                       gint          *offset_x,
                                       gint          *offset_y,
                                       GError       **error);

PikaLayer   * pika_selection_float    (PikaSelection *selection,
                                       GList         *drawables,
                                       PikaContext   *context,
                                       gboolean       cut_image,
                                       gint           off_x,
                                       gint           off_y,
                                       GError       **error);


#endif /* __PIKA_SELECTION_H__ */
