/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikasettings.h
 * Copyright (C) 2008 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_SETTINGS_H__
#define __PIKA_SETTINGS_H__


#include "pikaviewable.h"


#define PIKA_TYPE_SETTINGS            (pika_settings_get_type ())
#define PIKA_SETTINGS(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_SETTINGS, PikaSettings))
#define PIKA_SETTINGS_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass),  PIKA_TYPE_SETTINGS, PikaSettingsClass))
#define PIKA_IS_SETTINGS(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_SETTINGS))
#define PIKA_IS_SETTINGS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass),  PIKA_TYPE_SETTINGS))
#define PIKA_SETTINGS_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj),  PIKA_TYPE_SETTINGS, PikaSettingsClass))


typedef struct _PikaSettingsClass PikaSettingsClass;

struct _PikaSettings
{
  PikaViewable  parent_instance;

  gint64        time;
};

struct _PikaSettingsClass
{
  PikaViewableClass  parent_class;
};


GType   pika_settings_get_type (void) G_GNUC_CONST;

gint    pika_settings_compare  (PikaSettings *a,
                                PikaSettings *b);


#endif /* __PIKA_SETTINGS_H__ */
