/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_SUB_PROGRESS_H__
#define __PIKA_SUB_PROGRESS_H__


#define PIKA_TYPE_SUB_PROGRESS            (pika_sub_progress_get_type ())
#define PIKA_SUB_PROGRESS(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_SUB_PROGRESS, PikaSubProgress))
#define PIKA_SUB_PROGRESS_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_SUB_PROGRESS, PikaSubProgressClass))
#define PIKA_IS_SUB_PROGRESS(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_SUB_PROGRESS))
#define PIKA_IS_SUB_PROGRESS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_SUB_PROGRESS))
#define PIKA_SUB_PROGRESS_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_SUB_PROGRESS, PikaSubProgressClass))


typedef struct _PikaSubProgressClass PikaSubProgressClass;

struct _PikaSubProgress
{
  GObject       parent_instance;

  PikaProgress *progress;
  gdouble       start;
  gdouble       end;
};

struct _PikaSubProgressClass
{
  GObjectClass  parent_class;
};


GType          pika_sub_progress_get_type (void) G_GNUC_CONST;

PikaProgress * pika_sub_progress_new       (PikaProgress    *progress);
void           pika_sub_progress_set_range (PikaSubProgress *progress,
                                            gdouble          start,
                                            gdouble          end);
void           pika_sub_progress_set_step  (PikaSubProgress *progress,
                                            gint             index,
                                            gint             num_steps);



#endif /* __PIKA_SUB_PROGRESS_H__ */
