/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikasymmetry-mirror.h
 * Copyright (C) 2015 Jehan <jehan@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_MIRROR_H__
#define __PIKA_MIRROR_H__


#include "pikasymmetry.h"


#define PIKA_TYPE_MIRROR            (pika_mirror_get_type ())
#define PIKA_MIRROR(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_MIRROR, PikaMirror))
#define PIKA_MIRROR_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_MIRROR, PikaMirrorClass))
#define PIKA_IS_MIRROR(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_MIRROR))
#define PIKA_IS_MIRROR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_MIRROR))
#define PIKA_MIRROR_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_MIRROR, PikaMirrorClass))


typedef struct _PikaMirrorClass PikaMirrorClass;

struct _PikaMirror
{
  PikaSymmetry  parent_instance;

  gboolean      horizontal_mirror;
  gboolean      vertical_mirror;
  gboolean      point_symmetry;
  gboolean      disable_transformation;

  gdouble       mirror_position_y;
  gdouble       mirror_position_x;
  PikaGuide    *horizontal_guide;
  PikaGuide    *vertical_guide;
};

struct _PikaMirrorClass
{
  PikaSymmetryClass  parent_class;
};


GType   pika_mirror_get_type (void) G_GNUC_CONST;


#endif  /*  __PIKA_MIRROR_H__  */
