/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikasymmetry-tiling.h
 * Copyright (C) 2015 Jehan <jehan@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_TILING_H__
#define __PIKA_TILING_H__


#include "pikasymmetry.h"


#define PIKA_TYPE_TILING            (pika_tiling_get_type ())
#define PIKA_TILING(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_TILING, PikaTiling))
#define PIKA_TILING_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_TILING, PikaTilingClass))
#define PIKA_IS_TILING(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_TILING))
#define PIKA_IS_TILING_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_TILING))
#define PIKA_TILING_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_TILING, PikaTilingClass))


typedef struct _PikaTilingClass PikaTilingClass;

struct _PikaTiling
{
  PikaSymmetry  parent_instance;

  gdouble       interval_x;
  gdouble       interval_y;
  gdouble       shift;
  gint          max_x;
  gint          max_y;
};

struct _PikaTilingClass
{
  PikaSymmetryClass  parent_class;
};


GType   pika_tiling_get_type (void) G_GNUC_CONST;


#endif  /*  __PIKA_TILING_H__  */
