/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995-1997 Spencer Kimball and Peter Mattis
 *
 * pikataggedcontainer.h
 * Copyright (C) 2008 Aurimas Juška <aurisj@svn.gnome.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_TAGGED_CONTAINER_H__
#define __PIKA_TAGGED_CONTAINER_H__


#include "pikafilteredcontainer.h"


#define PIKA_TYPE_TAGGED_CONTAINER            (pika_tagged_container_get_type ())
#define PIKA_TAGGED_CONTAINER(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_TAGGED_CONTAINER, PikaTaggedContainer))
#define PIKA_TAGGED_CONTAINER_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_TAGGED_CONTAINER, PikaTaggedContainerClass))
#define PIKA_IS_TAGGED_CONTAINER(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_TAGGED_CONTAINER))
#define PIKA_IS_TAGGED_CONTAINER_CLASS(class) (G_TYPE_CHECK_CLASS_TYPE ((class), PIKA_TYPE_TAGGED_CONTAINER))
#define PIKA_TAGGED_CONTAINER_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_TAGGED_CONTAINER, PikaTaggedContainerClass))


typedef struct _PikaTaggedContainerClass PikaTaggedContainerClass;

struct _PikaTaggedContainer
{
  PikaFilteredContainer  parent_instance;

  GList                 *filter;
  GHashTable            *tag_ref_counts;
  gint                   tag_count;
};

struct _PikaTaggedContainerClass
{
  PikaFilteredContainerClass  parent_class;

  void (* tag_count_changed) (PikaTaggedContainer *container,
                              gint                 count);
};


GType           pika_tagged_container_get_type      (void) G_GNUC_CONST;

PikaContainer * pika_tagged_container_new           (PikaContainer       *src_container);

void            pika_tagged_container_set_filter    (PikaTaggedContainer *tagged_container,
                                                     GList               *tags);
const GList   * pika_tagged_container_get_filter    (PikaTaggedContainer *tagged_container);

gint            pika_tagged_container_get_tag_count (PikaTaggedContainer *container);


#endif  /* __PIKA_TAGGED_CONTAINER_H__ */
