/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikatoolitem.h
 * Copyright (C) 2020 Ell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_TOOL_ITEM_H__
#define __PIKA_TOOL_ITEM_H__


#include "pikaviewable.h"


#define PIKA_TYPE_TOOL_ITEM            (pika_tool_item_get_type ())
#define PIKA_TOOL_ITEM(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_TOOL_ITEM, PikaToolItem))
#define PIKA_TOOL_ITEM_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_TOOL_ITEM, PikaToolItemClass))
#define PIKA_IS_TOOL_ITEM(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_TOOL_ITEM))
#define PIKA_IS_TOOL_ITEM_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_TOOL_ITEM))
#define PIKA_TOOL_ITEM_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_TOOL_ITEM, PikaToolItemClass))


typedef struct _PikaToolItemPrivate PikaToolItemPrivate;
typedef struct _PikaToolItemClass   PikaToolItemClass;

struct _PikaToolItem
{
  PikaViewable         parent_instance;

  PikaToolItemPrivate *priv;
};

struct _PikaToolItemClass
{
  PikaViewableClass  parent_class;

  /*  signals  */
  void (* visible_changed) (PikaToolItem *tool_item);
  void (* shown_changed)   (PikaToolItem *tool_item);
};


GType      pika_tool_item_get_type      (void) G_GNUC_CONST;
                                        
void       pika_tool_item_set_visible   (PikaToolItem *tool_item,
                                         gboolean      visible);
gboolean   pika_tool_item_get_visible   (PikaToolItem *tool_item);
                                        
gboolean   pika_tool_item_get_shown     (PikaToolItem *tool_item);


/*  protected  */

void       pika_tool_item_shown_changed (PikaToolItem *tool_item);


#endif  /*  __PIKA_TOOL_ITEM_H__  */
