/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995-1999 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_TOOL_PRESET_H__
#define __PIKA_TOOL_PRESET_H__


#include "pikadata.h"


#define PIKA_TYPE_TOOL_PRESET            (pika_tool_preset_get_type ())
#define PIKA_TOOL_PRESET(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_TOOL_PRESET, PikaToolPreset))
#define PIKA_TOOL_PRESET_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_TOOL_PRESET, PikaToolPresetClass))
#define PIKA_IS_TOOL_PRESET(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_TOOL_PRESET))
#define PIKA_IS_TOOL_PRESET_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_TOOL_PRESET))
#define PIKA_TOOL_PRESET_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_TOOL_PRESET, PikaToolPresetClass))


typedef struct _PikaToolPresetClass PikaToolPresetClass;

struct _PikaToolPreset
{
  PikaData         parent_instance;

  Pika            *pika;
  PikaToolOptions *tool_options;

  gboolean         use_fg_bg;
  gboolean         use_opacity_paint_mode;
  gboolean         use_brush;
  gboolean         use_dynamics;
  gboolean         use_mybrush;
  gboolean         use_gradient;
  gboolean         use_pattern;
  gboolean         use_palette;
  gboolean         use_font;
};

struct _PikaToolPresetClass
{
  PikaDataClass  parent_class;
};


GType                 pika_tool_preset_get_type      (void) G_GNUC_CONST;

PikaData            * pika_tool_preset_new           (PikaContext    *context,
                                                      const gchar    *unused);

PikaContextPropMask   pika_tool_preset_get_prop_mask (PikaToolPreset *preset);


#endif  /*  __PIKA_TOOL_PRESET_H__  */
