/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * PikaTreeHandler
 * Copyright (C) 2009  Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_TREE_HANDLER_H__
#define __PIKA_TREE_HANDLER_H__


#include "core/pikaobject.h"


#define PIKA_TYPE_TREE_HANDLER            (pika_tree_handler_get_type ())
#define PIKA_TREE_HANDLER(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_TREE_HANDLER, PikaTreeHandler))
#define PIKA_TREE_HANDLER_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_TREE_HANDLER, PikaTreeHandlerClass))
#define PIKA_IS_TREE_HANDLER(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_TREE_HANDLER))
#define PIKA_IS_TREE_HANDLER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_TREE_HANDLER))
#define PIKA_TREE_HANDLER_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_TREE_HANDLER, PikaTreeHandlerClass))


typedef struct _PikaTreeHandlerClass PikaTreeHandlerClass;

struct _PikaTreeHandler
{
  PikaObject     parent_instance;

  PikaContainer *container;

  gchar         *signal_name;
  GCallback      callback;
  gpointer       user_data;
};

struct _PikaTreeHandlerClass
{
  PikaObjectClass  parent_class;
};


GType             pika_tree_handler_get_type   (void) G_GNUC_CONST;

PikaTreeHandler * pika_tree_handler_connect    (PikaContainer   *container,
                                                const gchar     *signal_name,
                                                GCallback        callback,
                                                gpointer         user_data);
void              pika_tree_handler_disconnect (PikaTreeHandler *handler);


#endif /* __PIKA_TREE_HANDLER_H__ */
