/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikatreeproxy.h
 * Copyright (C) 2020 Ell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_TREE_PROXY_H__
#define __PIKA_TREE_PROXY_H__


#include "pikalist.h"


#define PIKA_TYPE_TREE_PROXY            (pika_tree_proxy_get_type ())
#define PIKA_TREE_PROXY(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_TREE_PROXY, PikaTreeProxy))
#define PIKA_TREE_PROXY_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_TREE_PROXY, PikaTreeProxyClass))
#define PIKA_IS_TREE_PROXY(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_TREE_PROXY))
#define PIKA_IS_TREE_PROXY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_TREE_PROXY))
#define PIKA_TREE_PROXY_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_TREE_PROXY, PikaTreeProxyClass))


typedef struct _PikaTreeProxyPrivate PikaTreeProxyPrivate;
typedef struct _PikaTreeProxyClass   PikaTreeProxyClass;

struct _PikaTreeProxy
{
  PikaList              parent_instance;

  PikaTreeProxyPrivate *priv;
};

struct _PikaTreeProxyClass
{
  PikaListClass  parent_class;
};


GType           pika_tree_proxy_get_type (void) G_GNUC_CONST;

PikaContainer * pika_tree_proxy_new               (GType          children_type);
PikaContainer * pika_tree_proxy_new_for_container (PikaContainer *container);

void            pika_tree_proxy_set_container     (PikaTreeProxy *tree_proxy,
                                                   PikaContainer *container);
PikaContainer * pika_tree_proxy_get_container     (PikaTreeProxy *tree_proxy);

void            pika_tree_proxy_set_flat          (PikaTreeProxy *tree_proxy,
                                                   gboolean       flat);
gboolean        pika_tree_proxy_get_flat          (PikaTreeProxy *tree_proxy);


#endif  /*  __PIKA_TREE_PROXY_H__  */
