/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikauncancelablewaitable.h
 * Copyright (C) 2018 Ell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_UNCANCELABLE_WAITABLE_H__
#define __PIKA_UNCANCELABLE_WAITABLE_H__


#define PIKA_TYPE_UNCANCELABLE_WAITABLE            (pika_uncancelable_waitable_get_type ())
#define PIKA_UNCANCELABLE_WAITABLE(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_UNCANCELABLE_WAITABLE, PikaUncancelableWaitable))
#define PIKA_UNCANCELABLE_WAITABLE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_UNCANCELABLE_WAITABLE, PikaUncancelableWaitableClass))
#define PIKA_IS_UNCANCELABLE_WAITABLE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_UNCANCELABLE_WAITABLE))
#define PIKA_IS_UNCANCELABLE_WAITABLE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_UNCANCELABLE_WAITABLE))
#define PIKA_UNCANCELABLE_WAITABLE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_UNCANCELABLE_WAITABLE, PikaUncancelableWaitableClass))


typedef struct _PikaUncancelableWaitablePrivate PikaUncancelableWaitablePrivate;
typedef struct _PikaUncancelableWaitableClass   PikaUncancelableWaitableClass;

struct _PikaUncancelableWaitable
{
  GObject       parent_instance;

  PikaWaitable *waitable;
};

struct _PikaUncancelableWaitableClass
{
  GObjectClass  parent_class;
};


GType          pika_uncancelable_waitable_get_type (void) G_GNUC_CONST;

PikaWaitable * pika_uncancelable_waitable_new      (PikaWaitable *waitable);


#endif /* __PIKA_UNCANCELABLE_WAITABLE_H__ */
