/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995-1997 Spencer Kimball and Peter Mattis
 *
 * pikawaitable.h
 * Copyright (C) 2018 Ell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_WAITABLE_H__
#define __PIKA_WAITABLE_H__


#define PIKA_TYPE_WAITABLE (pika_waitable_get_type ())
G_DECLARE_INTERFACE (PikaWaitable, pika_waitable, PIKA, WAITABLE, GObject)


struct _PikaWaitableInterface
{
  GTypeInterface base_iface;

  /*  virtual functions  */
  void       (* wait)       (PikaWaitable *waitable);
  gboolean   (* try_wait)   (PikaWaitable *waitable);
  gboolean   (* wait_until) (PikaWaitable *waitable,
                             gint64        end_time);
};


void       pika_waitable_wait       (PikaWaitable *waitable);
gboolean   pika_waitable_try_wait   (PikaWaitable *waitable);
gboolean   pika_waitable_wait_until (PikaWaitable *waitable,
                                     gint64        end_time);
gboolean   pika_waitable_wait_for   (PikaWaitable *waitable,
                                     gint64        wait_duration);


#endif  /* __PIKA_WAITABLE_H__ */
