/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __LAYER_OPTIONS_DIALOG_H__
#define __LAYER_OPTIONS_DIALOG_H__


typedef void (* PikaLayerOptionsCallback) (GtkWidget              *dialog,
                                           PikaImage              *image,
                                           PikaLayer              *layer,
                                           PikaContext            *context,
                                           const gchar            *layer_name,
                                           PikaLayerMode           layer_mode,
                                           PikaLayerColorSpace     layer_blend_space,
                                           PikaLayerColorSpace     layer_composite_space,
                                           PikaLayerCompositeMode  layer_composite_mode,
                                           gdouble                 layer_opacity,
                                           PikaFillType            layer_fill_type,
                                           gint                    layer_width,
                                           gint                    layer_height,
                                           gint                    layer_offset_x,
                                           gint                    layer_offset_y,
                                           gboolean                layer_visible,
                                           PikaColorTag            layer_color_tag,
                                           gboolean                layer_lock_content,
                                           gboolean                layer_lock_position,
                                           gboolean                layer_lock_visibility,
                                           gboolean                layer_lock_alpha,
                                           gboolean                rename_text_layer,
                                           gpointer                user_data);


GtkWidget * layer_options_dialog_new (PikaImage                *image,
                                      PikaLayer                *layer,
                                      PikaContext              *context,
                                      GtkWidget                *parent,
                                      const gchar              *title,
                                      const gchar              *role,
                                      const gchar              *icon_name,
                                      const gchar              *desc,
                                      const gchar              *help_id,
                                      const gchar              *layer_name,
                                      PikaLayerMode             layer_mode,
                                      PikaLayerColorSpace       layer_blend_space,
                                      PikaLayerColorSpace       layer_composite_space,
                                      PikaLayerCompositeMode    layer_composite_mode,
                                      gdouble                   layer_opacity,
                                      PikaFillType              layer_fill_type,
                                      gboolean                  layer_visible,
                                      PikaColorTag              layer_color_tag,
                                      gboolean                  layer_lock_content,
                                      gboolean                  layer_lock_position,
                                      gboolean                  layer_lock_visibility,
                                      gboolean                  layer_lock_alpha,
                                      PikaLayerOptionsCallback  callback,
                                      gpointer                  user_data);


#endif /* __LAYER_OPTIONS_DIALOG_H__ */
