/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __RESIZE_DIALOG_H__
#define __RESIZE_DIALOG_H__


typedef void (* PikaResizeCallback) (GtkWidget    *dialog,
                                     PikaViewable *viewable,
                                     PikaContext  *context,
                                     gint          width,
                                     gint          height,
                                     PikaUnit      unit,
                                     gint          offset_x,
                                     gint          offset_y,
                                     gdouble       xres,
                                     gdouble       yres,
                                     PikaUnit      res_unit,
                                     PikaFillType  fill_type,
                                     PikaItemSet   layer_set,
                                     gboolean      resize_text_layers,
                                     gpointer      user_data);


GtkWidget * resize_dialog_new (PikaViewable       *viewable,
                               PikaContext        *context,
                               const gchar        *title,
                               const gchar        *role,
                               GtkWidget          *parent,
                               PikaHelpFunc        help_func,
                               const gchar        *help_id,
                               PikaUnit            unit,
                               PikaFillType        fill_type,
                               PikaItemSet         layer_set,
                               gboolean            resize_text_layers,
                               PikaResizeCallback  callback,
                               gpointer            user_data);


#endif  /*  __RESIZE_DIALOG_H__  */
