/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __VECTORS_OPTIONS_DIALOG_H__
#define __VECTORS_OPTIONS_DIALOG_H__


typedef void (* PikaVectorsOptionsCallback) (GtkWidget    *dialog,
                                             PikaImage    *image,
                                             PikaVectors  *vectors,
                                             PikaContext  *context,
                                             const gchar  *vectors_name,
                                             gboolean      vectors_visible,
                                             PikaColorTag  vectors_color_tag,
                                             gboolean      vectors_lock_content,
                                             gboolean      vectors_lock_position,
                                             gboolean      vectors_lock_visibility,
                                             gpointer      user_data);


GtkWidget * vectors_options_dialog_new (PikaImage                  *image,
                                        PikaVectors                *vectors,
                                        PikaContext                *context,
                                        GtkWidget                  *parent,
                                        const gchar                *title,
                                        const gchar                *role,
                                        const gchar                *icon_name,
                                        const gchar                *desc,
                                        const gchar                *help_id,
                                        const gchar                *vectors_name,
                                        gboolean                    vectors_visible,
                                        PikaColorTag                vectors_color_tag,
                                        gboolean                    vectors_lock_content,
                                        gboolean                    vectors_lock_position,
                                        gboolean                    vectors_lock_visibility,
                                        PikaVectorsOptionsCallback  callback,
                                        gpointer                    user_data);


#endif /* __VECTORS_OPTIONS_DIALOG_H__ */
