/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __DISPLAY_TYPES_H__
#define __DISPLAY_TYPES_H__


#include "propgui/propgui-types.h"

#include "display/display-enums.h"


typedef struct _PikaCanvas               PikaCanvas;
typedef struct _PikaCanvasGroup          PikaCanvasGroup;
typedef struct _PikaCanvasItem           PikaCanvasItem;

typedef struct _PikaDisplayShell         PikaDisplayShell;
typedef struct _PikaMotionBuffer         PikaMotionBuffer;

typedef struct _PikaImageWindow          PikaImageWindow;
typedef struct _PikaMultiWindowStrategy  PikaMultiWindowStrategy;
typedef struct _PikaSingleWindowStrategy PikaSingleWindowStrategy;

typedef struct _PikaCursorView           PikaCursorView;
typedef struct _PikaNavigationEditor     PikaNavigationEditor;
typedef struct _PikaScaleComboBox        PikaScaleComboBox;
typedef struct _PikaStatusbar            PikaStatusbar;

typedef struct _PikaToolDialog           PikaToolDialog;
typedef struct _PikaToolGui              PikaToolGui;
typedef struct _PikaToolWidget           PikaToolWidget;
typedef struct _PikaToolWidgetGroup      PikaToolWidgetGroup;

typedef struct _PikaDisplayXfer          PikaDisplayXfer;
typedef struct _Selection                Selection;

typedef struct _PikaModifiersManager     PikaModifiersManager;


#endif /* __DISPLAY_TYPES_H__ */
