/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikacanvasbufferpreview.h
 * Copyright (C) 2013 Marek Dvoroznak <dvoromar@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_CANVAS_BUFFER_PREVIEW_H__
#define __PIKA_CANVAS_BUFFER_PREVIEW_H__


#include "pikacanvasitem.h"


#define PIKA_TYPE_CANVAS_BUFFER_PREVIEW            (pika_canvas_buffer_preview_get_type ())
#define PIKA_CANVAS_BUFFER_PREVIEW(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_CANVAS_BUFFER_PREVIEW, PikaCanvasBufferPreview))
#define PIKA_CANVAS_BUFFER_PREVIEW_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_CANVAS_BUFFER_PREVIEW, PikaCanvasBufferPreviewClass))
#define PIKA_IS_CANVAS_BUFFER_PREVIEW(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_CANVAS_BUFFER_PREVIEW))
#define PIKA_IS_CANVAS_BUFFER_PREVIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_CANVAS_BUFFER_PREVIEW))
#define PIKA_CANVAS_BUFFER_PREVIEW_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_CANVAS_BUFFER_PREVIEW, PikaCanvasBufferPreviewClass))


typedef struct _PikaCanvasBufferPreview      PikaCanvasBufferPreview;
typedef struct _PikaCanvasBufferPreviewClass PikaCanvasBufferPreviewClass;

struct _PikaCanvasBufferPreview
{
  PikaCanvasItem  parent_instance;
};

struct _PikaCanvasBufferPreviewClass
{
  PikaCanvasItemClass  parent_class;
};


GType            pika_canvas_buffer_preview_get_type (void) G_GNUC_CONST;

PikaCanvasItem * pika_canvas_buffer_preview_new      (PikaDisplayShell  *shell,
                                                      GeglBuffer        *buffer);


#endif /* __PIKA_CANVAS_BUFFER_PREVIEW_H__ */
