/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikacanvascanvasvboundary.h
 * Copyright (C) 2019 Ell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_CANVAS_CANVAS_BOUNDARY_H__
#define __PIKA_CANVAS_CANVAS_BOUNDARY_H__


#include "pikacanvasrectangle.h"


#define PIKA_TYPE_CANVAS_CANVAS_BOUNDARY            (pika_canvas_canvas_boundary_get_type ())
#define PIKA_CANVAS_CANVAS_BOUNDARY(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_CANVAS_CANVAS_BOUNDARY, PikaCanvasCanvasBoundary))
#define PIKA_CANVAS_CANVAS_BOUNDARY_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_CANVAS_CANVAS_BOUNDARY, PikaCanvasCanvasBoundaryClass))
#define PIKA_IS_CANVAS_CANVAS_BOUNDARY(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_CANVAS_CANVAS_BOUNDARY))
#define PIKA_IS_CANVAS_CANVAS_BOUNDARY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_CANVAS_CANVAS_BOUNDARY))
#define PIKA_CANVAS_CANVAS_BOUNDARY_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_CANVAS_CANVAS_BOUNDARY, PikaCanvasCanvasBoundaryClass))


typedef struct _PikaCanvasCanvasBoundary      PikaCanvasCanvasBoundary;
typedef struct _PikaCanvasCanvasBoundaryClass PikaCanvasCanvasBoundaryClass;

struct _PikaCanvasCanvasBoundary
{
  PikaCanvasRectangle  parent_instance;
};

struct _PikaCanvasCanvasBoundaryClass
{
  PikaCanvasRectangleClass  parent_class;
};


GType            pika_canvas_canvas_boundary_get_type  (void) G_GNUC_CONST;

PikaCanvasItem * pika_canvas_canvas_boundary_new       (PikaDisplayShell        *shell);

void             pika_canvas_canvas_boundary_set_image (PikaCanvasCanvasBoundary *boundary,
                                                        PikaImage                *image);


#endif /* __PIKA_CANVAS_CANVAS_BOUNDARY_H__ */
