/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikacanvascursor.h
 * Copyright (C) 2010 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_CANVAS_CURSOR_H__
#define __PIKA_CANVAS_CURSOR_H__


#include "pikacanvasitem.h"


#define PIKA_TYPE_CANVAS_CURSOR            (pika_canvas_cursor_get_type ())
#define PIKA_CANVAS_CURSOR(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_CANVAS_CURSOR, PikaCanvasCursor))
#define PIKA_CANVAS_CURSOR_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_CANVAS_CURSOR, PikaCanvasCursorClass))
#define PIKA_IS_CANVAS_CURSOR(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_CANVAS_CURSOR))
#define PIKA_IS_CANVAS_CURSOR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_CANVAS_CURSOR))
#define PIKA_CANVAS_CURSOR_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_CANVAS_CURSOR, PikaCanvasCursorClass))


typedef struct _PikaCanvasCursor      PikaCanvasCursor;
typedef struct _PikaCanvasCursorClass PikaCanvasCursorClass;

struct _PikaCanvasCursor
{
  PikaCanvasItem  parent_instance;
};

struct _PikaCanvasCursorClass
{
  PikaCanvasItemClass  parent_class;
};


GType            pika_canvas_cursor_get_type (void) G_GNUC_CONST;

PikaCanvasItem * pika_canvas_cursor_new      (PikaDisplayShell *shell);

void             pika_canvas_cursor_set      (PikaCanvasItem   *cursor,
                                              gdouble           x,
                                              gdouble           y);


#endif /* __PIKA_CANVAS_CURSOR_H__ */
