/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikacanvasitem-utils.h
 * Copyright (C) 2010 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_CANVAS_ITEM_UTILS_H__
#define __PIKA_CANVAS_ITEM_UTILS_H__


gboolean   pika_canvas_item_on_handle           (PikaCanvasItem    *item,
                                                 gdouble            x,
                                                 gdouble            y,
                                                 PikaHandleType     type,
                                                 gdouble            handle_x,
                                                 gdouble            handle_y,
                                                 gint               width,
                                                 gint               height,
                                                 PikaHandleAnchor   anchor);

gboolean   pika_canvas_item_on_vectors_handle   (PikaCanvasItem    *item,
                                                 PikaVectors       *vectors,
                                                 const PikaCoords  *coord,
                                                 gint               width,
                                                 gint               height,
                                                 PikaAnchorType     preferred,
                                                 gboolean           exclusive,
                                                 PikaAnchor       **ret_anchor,
                                                 PikaStroke       **ret_stroke);
gboolean   pika_canvas_item_on_vectors_curve    (PikaCanvasItem    *item,
                                                 PikaVectors       *vectors,
                                                 const PikaCoords  *coord,
                                                 gint               width,
                                                 gint               height,
                                                 PikaCoords        *ret_coords,
                                                 gdouble           *ret_pos,
                                                 PikaAnchor       **ret_segment_start,
                                                 PikaAnchor       **ret_segment_end,
                                                 PikaStroke       **ret_stroke);
gboolean   pika_canvas_item_on_vectors          (PikaCanvasItem    *item,
                                                 const PikaCoords  *coords,
                                                 gint               width,
                                                 gint               height,
                                                 PikaCoords        *ret_coords,
                                                 gdouble           *ret_pos,
                                                 PikaAnchor       **ret_segment_start,
                                                 PikaAnchor       **ret_segment_end,
                                                 PikaStroke       **ret_stroke,
                                                 PikaVectors      **ret_vectors);

void       pika_canvas_item_shift_to_north_west (PikaHandleAnchor   anchor,
                                                 gdouble            x,
                                                 gdouble            y,
                                                 gint               width,
                                                 gint               height,
                                                 gdouble           *shifted_x,
                                                 gdouble           *shifted_y);
void       pika_canvas_item_shift_to_center     (PikaHandleAnchor   anchor,
                                                 gdouble            x,
                                                 gdouble            y,
                                                 gint               width,
                                                 gint               height,
                                                 gdouble           *shifted_x,
                                                 gdouble           *shifted_y);


#endif /* __PIKA_CANVAS_ITEM_UTILS_H__ */
