/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikacanvaslimit.h
 * Copyright (C) 2020 Ell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_CANVAS_LIMIT_H__
#define __PIKA_CANVAS_LIMIT_H__


#include "pikacanvasitem.h"


#define PIKA_TYPE_CANVAS_LIMIT            (pika_canvas_limit_get_type ())
#define PIKA_CANVAS_LIMIT(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_CANVAS_LIMIT, PikaCanvasLimit))
#define PIKA_CANVAS_LIMIT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_CANVAS_LIMIT, PikaCanvasLimitClass))
#define PIKA_IS_CANVAS_LIMIT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_CANVAS_LIMIT))
#define PIKA_IS_CANVAS_LIMIT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_CANVAS_LIMIT))
#define PIKA_CANVAS_LIMIT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_CANVAS_LIMIT, PikaCanvasLimitClass))


typedef struct _PikaCanvasLimit      PikaCanvasLimit;
typedef struct _PikaCanvasLimitClass PikaCanvasLimitClass;

struct _PikaCanvasLimit
{
  PikaCanvasItem  parent_instance;
};

struct _PikaCanvasLimitClass
{
  PikaCanvasItemClass  parent_class;
};


GType            pika_canvas_limit_get_type        (void) G_GNUC_CONST;

PikaCanvasItem * pika_canvas_limit_new             (PikaDisplayShell *shell,
                                                    PikaLimitType     type,
                                                    gdouble           x,
                                                    gdouble           y,
                                                    gdouble           radius,
                                                    gdouble           aspect_ratio,
                                                    gdouble           angle,
                                                    gboolean          dashed);

void             pika_canvas_limit_get_radii       (PikaCanvasLimit  *limit,
                                                    gdouble          *rx,
                                                    gdouble          *ry);

gboolean         pika_canvas_limit_is_inside       (PikaCanvasLimit  *limit,
                                                    gdouble           x,
                                                    gdouble           y);
void             pika_canvas_limit_boundary_point  (PikaCanvasLimit  *limit,
                                                    gdouble           x,
                                                    gdouble           y,
                                                    gdouble          *bx,
                                                    gdouble          *by);
gdouble          pika_canvas_limit_boundary_radius (PikaCanvasLimit  *limit,
                                                    gdouble           x,
                                                    gdouble           y);

void             pika_canvas_limit_center_point    (PikaCanvasLimit  *limit,
                                                    gdouble           x,
                                                    gdouble           y,
                                                    gdouble          *cx,
                                                    gdouble          *cy);


#endif /* __PIKA_CANVAS_LIMIT_H__ */
