/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Spencer Kimball and Peter Mattis
 *
 * pikacanvaspolygon.h
 * Copyright (C) 2010 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_CANVAS_POLYGON_H__
#define __PIKA_CANVAS_POLYGON_H__


#include "pikacanvasitem.h"


#define PIKA_TYPE_CANVAS_POLYGON            (pika_canvas_polygon_get_type ())
#define PIKA_CANVAS_POLYGON(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_CANVAS_POLYGON, PikaCanvasPolygon))
#define PIKA_CANVAS_POLYGON_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_CANVAS_POLYGON, PikaCanvasPolygonClass))
#define PIKA_IS_CANVAS_POLYGON(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_CANVAS_POLYGON))
#define PIKA_IS_CANVAS_POLYGON_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_CANVAS_POLYGON))
#define PIKA_CANVAS_POLYGON_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_CANVAS_POLYGON, PikaCanvasPolygonClass))


typedef struct _PikaCanvasPolygon      PikaCanvasPolygon;
typedef struct _PikaCanvasPolygonClass PikaCanvasPolygonClass;

struct _PikaCanvasPolygon
{
  PikaCanvasItem  parent_instance;
};

struct _PikaCanvasPolygonClass
{
  PikaCanvasItemClass  parent_class;
};


GType            pika_canvas_polygon_get_type        (void) G_GNUC_CONST;

PikaCanvasItem * pika_canvas_polygon_new             (PikaDisplayShell  *shell,
                                                      const PikaVector2 *points,
                                                      gint               n_points,
                                                      PikaMatrix3       *transform,
                                                      gboolean           filled);
PikaCanvasItem * pika_canvas_polygon_new_from_coords (PikaDisplayShell  *shell,
                                                      const PikaCoords  *coords,
                                                      gint               n_coords,
                                                      PikaMatrix3       *transform,
                                                      gboolean           filled);

void             pika_canvas_polygon_set_points      (PikaCanvasItem    *polygon,
                                                      const PikaVector2 *points,
                                                      gint               n_points);


#endif /* __PIKA_CANVAS_POLYGON_H__ */
