/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikacanvasprogress.h
 * Copyright (C) 2010 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_CANVAS_PROGRESS_H__
#define __PIKA_CANVAS_PROGRESS_H__


#include "pikacanvasitem.h"


#define PIKA_TYPE_CANVAS_PROGRESS            (pika_canvas_progress_get_type ())
#define PIKA_CANVAS_PROGRESS(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_CANVAS_PROGRESS, PikaCanvasProgress))
#define PIKA_CANVAS_PROGRESS_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_CANVAS_PROGRESS, PikaCanvasProgressClass))
#define PIKA_IS_CANVAS_PROGRESS(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_CANVAS_PROGRESS))
#define PIKA_IS_CANVAS_PROGRESS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_CANVAS_PROGRESS))
#define PIKA_CANVAS_PROGRESS_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_CANVAS_PROGRESS, PikaCanvasProgressClass))


typedef struct _PikaCanvasProgress      PikaCanvasProgress;
typedef struct _PikaCanvasProgressClass PikaCanvasProgressClass;

struct _PikaCanvasProgress
{
  PikaCanvasItem  parent_instance;
};

struct _PikaCanvasProgressClass
{
  PikaCanvasItemClass  parent_class;
};


GType            pika_canvas_progress_get_type (void) G_GNUC_CONST;

PikaCanvasItem * pika_canvas_progress_new      (PikaDisplayShell *shell,
                                                PikaHandleAnchor  anchor,
                                                gdouble           x,
                                                gdouble           y);


#endif /* __PIKA_CANVAS_PROGRESS_H__ */
