/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikacanvasproxygroup.h
 * Copyright (C) 2010 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_CANVAS_PROXY_GROUP_H__
#define __PIKA_CANVAS_PROXY_GROUP_H__


#include "pikacanvasgroup.h"


#define PIKA_TYPE_CANVAS_PROXY_GROUP            (pika_canvas_proxy_group_get_type ())
#define PIKA_CANVAS_PROXY_GROUP(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_CANVAS_PROXY_GROUP, PikaCanvasProxyGroup))
#define PIKA_CANVAS_PROXY_GROUP_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_CANVAS_PROXY_GROUP, PikaCanvasProxyGroupClass))
#define PIKA_IS_CANVAS_PROXY_GROUP(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_CANVAS_PROXY_GROUP))
#define PIKA_IS_CANVAS_PROXY_GROUP_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_CANVAS_PROXY_GROUP))
#define PIKA_CANVAS_PROXY_GROUP_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_CANVAS_PROXY_GROUP, PikaCanvasProxyGroupClass))


typedef struct _PikaCanvasProxyGroup      PikaCanvasProxyGroup;
typedef struct _PikaCanvasProxyGroupClass PikaCanvasProxyGroupClass;

struct _PikaCanvasProxyGroup
{
  PikaCanvasGroup  parent_instance;
};

struct _PikaCanvasProxyGroupClass
{
  PikaCanvasGroupClass  parent_class;
};


GType            pika_canvas_proxy_group_get_type    (void) G_GNUC_CONST;

PikaCanvasItem * pika_canvas_proxy_group_new         (PikaDisplayShell     *shell);

void             pika_canvas_proxy_group_add_item    (PikaCanvasProxyGroup *group,
                                                      gpointer              object,
                                                      PikaCanvasItem       *proxy_item);
void             pika_canvas_proxy_group_remove_item (PikaCanvasProxyGroup *group,
                                                      gpointer              object);
PikaCanvasItem * pika_canvas_proxy_group_get_item    (PikaCanvasProxyGroup *group,
                                                      gpointer              object);


#endif /* __PIKA_CANVAS_PROXY_GROUP_H__ */
