/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikacanvassamplepoint.h
 * Copyright (C) 2010 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_CANVAS_SAMPLE_POINT_H__
#define __PIKA_CANVAS_SAMPLE_POINT_H__


#include "pikacanvasitem.h"


#define PIKA_TYPE_CANVAS_SAMPLE_POINT            (pika_canvas_sample_point_get_type ())
#define PIKA_CANVAS_SAMPLE_POINT(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_CANVAS_SAMPLE_POINT, PikaCanvasSamplePoint))
#define PIKA_CANVAS_SAMPLE_POINT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_CANVAS_SAMPLE_POINT, PikaCanvasSamplePointClass))
#define PIKA_IS_CANVAS_SAMPLE_POINT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_CANVAS_SAMPLE_POINT))
#define PIKA_IS_CANVAS_SAMPLE_POINT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_CANVAS_SAMPLE_POINT))
#define PIKA_CANVAS_SAMPLE_POINT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_CANVAS_SAMPLE_POINT, PikaCanvasSamplePointClass))


typedef struct _PikaCanvasSamplePoint      PikaCanvasSamplePoint;
typedef struct _PikaCanvasSamplePointClass PikaCanvasSamplePointClass;

struct _PikaCanvasSamplePoint
{
  PikaCanvasItem  parent_instance;
};

struct _PikaCanvasSamplePointClass
{
  PikaCanvasItemClass  parent_class;
};


GType            pika_canvas_sample_point_get_type (void) G_GNUC_CONST;

PikaCanvasItem * pika_canvas_sample_point_new      (PikaDisplayShell *shell,
                                                    gint              x,
                                                    gint              y,
                                                    gint              index,
                                                    gboolean          sample_point_style);

void             pika_canvas_sample_point_set      (PikaCanvasItem   *sample_point,
                                                    gint              x,
                                                    gint              y);


#endif /* __PIKA_CANVAS_SAMPLE_POINT_H__ */
