/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikacanvastransformguides.h
 * Copyright (C) 2011 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_CANVAS_TRANSFORM_GUIDES_H__
#define __PIKA_CANVAS_TRANSFORM_GUIDES_H__


#include "pikacanvasitem.h"


#define PIKA_TYPE_CANVAS_TRANSFORM_GUIDES            (pika_canvas_transform_guides_get_type ())
#define PIKA_CANVAS_TRANSFORM_GUIDES(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_CANVAS_TRANSFORM_GUIDES, PikaCanvasTransformGuides))
#define PIKA_CANVAS_TRANSFORM_GUIDES_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_CANVAS_TRANSFORM_GUIDES, PikaCanvasTransformGuidesClass))
#define PIKA_IS_CANVAS_TRANSFORM_GUIDES(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_CANVAS_TRANSFORM_GUIDES))
#define PIKA_IS_CANVAS_TRANSFORM_GUIDES_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_CANVAS_TRANSFORM_GUIDES))
#define PIKA_CANVAS_TRANSFORM_GUIDES_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_CANVAS_TRANSFORM_GUIDES, PikaCanvasTransformGuidesClass))


typedef struct _PikaCanvasTransformGuides      PikaCanvasTransformGuides;
typedef struct _PikaCanvasTransformGuidesClass PikaCanvasTransformGuidesClass;

struct _PikaCanvasTransformGuides
{
  PikaCanvasItem  parent_instance;
};

struct _PikaCanvasTransformGuidesClass
{
  PikaCanvasItemClass  parent_class;
};


GType            pika_canvas_transform_guides_get_type (void) G_GNUC_CONST;

PikaCanvasItem * pika_canvas_transform_guides_new      (PikaDisplayShell  *shell,
                                                        const PikaMatrix3 *transform,
                                                        gdouble            x1,
                                                        gdouble            y1,
                                                        gdouble            x2,
                                                        gdouble            y2,
                                                        PikaGuidesType     type,
                                                        gint               n_guides,
                                                        gboolean           clip);

void             pika_canvas_transform_guides_set      (PikaCanvasItem    *guides,
                                                        const PikaMatrix3 *transform,
                                                        gdouble            x1,
                                                        gdouble            y1,
                                                        gdouble            x2,
                                                        gdouble            y2,
                                                        PikaGuidesType     type,
                                                        gint               n_guides,
                                                        gboolean           clip);


#endif /* __PIKA_CANVAS_TRANSFORM_GUIDES_H__ */
