/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikacursorview.h
 * Copyright (C) 2005-2016 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_CURSOR_VIEW_H__
#define __PIKA_CURSOR_VIEW_H__


#include "widgets/pikaeditor.h"


#define PIKA_TYPE_CURSOR_VIEW            (pika_cursor_view_get_type ())
#define PIKA_CURSOR_VIEW(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_CURSOR_VIEW, PikaCursorView))
#define PIKA_CURSOR_VIEW_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_CURSOR_VIEW, PikaCursorViewClass))
#define PIKA_IS_CURSOR_VIEW(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_CURSOR_VIEW))
#define PIKA_IS_CURSOR_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_CURSOR_VIEW))
#define PIKA_CURSOR_VIEW_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_CURSOR_VIEW, PikaCursorViewClass))


typedef struct _PikaCursorViewClass   PikaCursorViewClass;
typedef struct _PikaCursorViewPrivate PikaCursorViewPrivate;

struct _PikaCursorView
{
  PikaEditor             parent_instance;

  PikaCursorViewPrivate *priv;
};

struct _PikaCursorViewClass
{
  PikaEditorClass  parent_class;
};


GType       pika_cursor_view_get_type          (void) G_GNUC_CONST;

GtkWidget * pika_cursor_view_new               (Pika            *pika,
                                                PikaMenuFactory *menu_factory);

void        pika_cursor_view_set_sample_merged (PikaCursorView  *view,
                                                gboolean         sample_merged);
gboolean    pika_cursor_view_get_sample_merged (PikaCursorView  *view);

void        pika_cursor_view_update_cursor     (PikaCursorView  *view,
                                                PikaImage       *image,
                                                PikaUnit         shell_unit,
                                                gdouble          x,
                                                gdouble          y);
void        pika_cursor_view_clear_cursor      (PikaCursorView  *view);


#endif /* __PIKA_CURSOR_VIEW_H__ */
