/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_DISPLAY_SHELL_APPEARANCE_H__
#define __PIKA_DISPLAY_SHELL_APPEARANCE_H__


void       pika_display_shell_appearance_update        (PikaDisplayShell       *shell);

void       pika_display_shell_set_show_menubar         (PikaDisplayShell       *shell,
                                                        gboolean                show);
gboolean   pika_display_shell_get_show_menubar         (PikaDisplayShell       *shell);

void       pika_display_shell_set_show_statusbar       (PikaDisplayShell       *shell,
                                                        gboolean                show);
gboolean   pika_display_shell_get_show_statusbar       (PikaDisplayShell       *shell);

void       pika_display_shell_set_show_rulers          (PikaDisplayShell       *shell,
                                                        gboolean                show);
gboolean   pika_display_shell_get_show_rulers          (PikaDisplayShell       *shell);

void       pika_display_shell_set_show_scrollbars      (PikaDisplayShell       *shell,
                                                        gboolean                show);
gboolean   pika_display_shell_get_show_scrollbars      (PikaDisplayShell       *shell);

void       pika_display_shell_set_show_selection       (PikaDisplayShell       *shell,
                                                        gboolean                show);
gboolean   pika_display_shell_get_show_selection       (PikaDisplayShell       *shell);

void       pika_display_shell_set_show_layer           (PikaDisplayShell       *shell,
                                                        gboolean                show);
gboolean   pika_display_shell_get_show_layer           (PikaDisplayShell       *shell);

void       pika_display_shell_set_show_canvas          (PikaDisplayShell       *shell,
                                                        gboolean                show);
gboolean   pika_display_shell_get_show_canvas          (PikaDisplayShell       *shell);
void       pika_display_shell_update_show_canvas       (PikaDisplayShell       *shell);

void       pika_display_shell_set_show_grid            (PikaDisplayShell       *shell,
                                                        gboolean                show);
gboolean   pika_display_shell_get_show_grid            (PikaDisplayShell       *shell);

void       pika_display_shell_set_show_guides          (PikaDisplayShell       *shell,
                                                        gboolean                show);
gboolean   pika_display_shell_get_show_guides          (PikaDisplayShell       *shell);

void       pika_display_shell_set_snap_to_grid         (PikaDisplayShell       *shell,
                                                        gboolean                snap);
gboolean   pika_display_shell_get_snap_to_grid         (PikaDisplayShell       *shell);

void       pika_display_shell_set_show_sample_points   (PikaDisplayShell       *shell,
                                                        gboolean                show);
gboolean   pika_display_shell_get_show_sample_points   (PikaDisplayShell       *shell);

void       pika_display_shell_set_snap_to_guides       (PikaDisplayShell       *shell,
                                                        gboolean                snap);
gboolean   pika_display_shell_get_snap_to_guides       (PikaDisplayShell       *shell);

void       pika_display_shell_set_snap_to_canvas       (PikaDisplayShell       *shell,
                                                        gboolean                snap);
gboolean   pika_display_shell_get_snap_to_canvas       (PikaDisplayShell       *shell);

void       pika_display_shell_set_snap_to_vectors      (PikaDisplayShell       *shell,
                                                        gboolean                snap);
gboolean   pika_display_shell_get_snap_to_vectors      (PikaDisplayShell       *shell);

void       pika_display_shell_set_snap_to_bbox         (PikaDisplayShell       *shell,
                                                        gboolean                snap);
gboolean   pika_display_shell_get_snap_to_bbox         (PikaDisplayShell       *shell);

void       pika_display_shell_set_snap_to_equidistance (PikaDisplayShell       *shell,
                                                        gboolean                snap);
gboolean   pika_display_shell_get_snap_to_equidistance (PikaDisplayShell       *shell);

void       pika_display_shell_set_padding              (PikaDisplayShell       *shell,
                                                        PikaCanvasPaddingMode   mode,
                                                        const PikaRGB          *color);
void       pika_display_shell_get_padding              (PikaDisplayShell       *shell,
                                                        PikaCanvasPaddingMode  *mode,
                                                        PikaRGB                *color);
void       pika_display_shell_set_padding_in_show_all  (PikaDisplayShell       *shell,
                                                        gboolean                keep);
gboolean   pika_display_shell_get_padding_in_show_all  (PikaDisplayShell       *shell);


#endif /* __PIKA_DISPLAY_SHELL_APPEARANCE_H__ */
