/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_DISPLAY_SHELL_CALLBACKS_H__
#define __PIKA_DISPLAY_SHELL_CALLBACKS_H__


void       pika_display_shell_canvas_realize          (GtkWidget        *widget,
                                                       PikaDisplayShell *shell);
void       pika_display_shell_canvas_size_allocate    (GtkWidget        *widget,
                                                       GtkAllocation    *alloc,
                                                       PikaDisplayShell *shell);
gboolean   pika_display_shell_canvas_draw             (GtkWidget        *widget,
                                                       cairo_t          *cr,
                                                       PikaDisplayShell *shell);

gboolean   pika_display_shell_origin_button_press     (GtkWidget        *widget,
                                                       GdkEventButton   *bevent,
                                                       PikaDisplayShell *shell);

gboolean   pika_display_shell_quick_mask_button_press (GtkWidget        *widget,
                                                       GdkEventButton   *bevent,
                                                       PikaDisplayShell *shell);
void       pika_display_shell_quick_mask_toggled      (GtkWidget        *widget,
                                                       PikaDisplayShell *shell);

gboolean   pika_display_shell_navigation_button_press (GtkWidget        *widget,
                                                       GdkEventButton   *bevent,
                                                       PikaDisplayShell *shell);


#endif /* __PIKA_DISPLAY_SHELL_CALLBACKS_H__ */
