/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_DISPLAY_SHELL_CURSOR_H__
#define __PIKA_DISPLAY_SHELL_CURSOR_H__


/*  functions dealing with the normal windowing system cursor  */

void   pika_display_shell_set_cursor             (PikaDisplayShell    *shell,
                                                  PikaCursorType       cursor_type,
                                                  PikaToolCursorType   tool_cursor,
                                                  PikaCursorModifier   modifier);
void   pika_display_shell_unset_cursor           (PikaDisplayShell    *shell);
void   pika_display_shell_set_override_cursor    (PikaDisplayShell    *shell,
                                                  PikaCursorType       cursor_type);
void   pika_display_shell_unset_override_cursor  (PikaDisplayShell    *shell);


/*  functions dealing with the software cursor that is drawn to the
 *  canvas by PIKA
 */

void   pika_display_shell_update_software_cursor (PikaDisplayShell    *shell,
                                                  PikaCursorPrecision  precision,
                                                  gint                 display_x,
                                                  gint                 display_y,
                                                  gdouble              image_x,
                                                  gdouble              image_y);
void   pika_display_shell_clear_software_cursor  (PikaDisplayShell    *shell);


#endif /* __PIKA_DISPLAY_SHELL_CURSOR_H__ */
