/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikadisplayshell-items.h
 * Copyright (C) 2010  Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_DISPLAY_SHELL_ITEMS_H__
#define __PIKA_DISPLAY_SHELL_ITEMS_H__


void   pika_display_shell_items_init            (PikaDisplayShell *shell);
void   pika_display_shell_items_free            (PikaDisplayShell *shell);

void   pika_display_shell_add_item              (PikaDisplayShell *shell,
                                                 PikaCanvasItem   *item);
void   pika_display_shell_remove_item           (PikaDisplayShell *shell,
                                                 PikaCanvasItem   *item);

void   pika_display_shell_add_preview_item      (PikaDisplayShell *shell,
                                                 PikaCanvasItem   *item);
void   pika_display_shell_remove_preview_item   (PikaDisplayShell *shell,
                                                 PikaCanvasItem   *item);

void   pika_display_shell_add_unrotated_item    (PikaDisplayShell *shell,
                                                 PikaCanvasItem   *item);
void   pika_display_shell_remove_unrotated_item (PikaDisplayShell *shell,
                                                 PikaCanvasItem   *item);

void   pika_display_shell_add_tool_item         (PikaDisplayShell *shell,
                                                 PikaCanvasItem   *item);
void   pika_display_shell_remove_tool_item      (PikaDisplayShell *shell,
                                                 PikaCanvasItem   *item);


#endif /* __PIKA_DISPLAY_SHELL_ITEMS_H__ */
