/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_DISPLAY_SHELL_SCROLL_H__
#define __PIKA_DISPLAY_SHELL_SCROLL_H__


void   pika_display_shell_scroll                     (PikaDisplayShell *shell,
                                                      gint              x_offset,
                                                      gint              y_offset);
void   pika_display_shell_scroll_set_offset          (PikaDisplayShell *shell,
                                                      gint              offset_x,
                                                      gint              offset_y);

void   pika_display_shell_scroll_clamp_and_update    (PikaDisplayShell *shell);

void   pika_display_shell_scroll_unoverscrollify     (PikaDisplayShell *shell,
                                                      gint              in_offset_x,
                                                      gint              in_offset_y,
                                                      gint             *out_offset_x,
                                                      gint             *out_offset_y);

void   pika_display_shell_scroll_center_image_xy     (PikaDisplayShell *shell,
                                                      gdouble           image_x,
                                                      gdouble           image_y);
void   pika_display_shell_scroll_center_image        (PikaDisplayShell *shell,
                                                      gboolean          horizontally,
                                                      gboolean          vertically);
void   pika_display_shell_scroll_center_content      (PikaDisplayShell *shell,
                                                      gboolean          horizontally,
                                                      gboolean          vertically);

void   pika_display_shell_scroll_get_scaled_viewport (PikaDisplayShell *shell,
                                                      gint             *x,
                                                      gint             *y,
                                                      gint             *w,
                                                      gint             *h);
void   pika_display_shell_scroll_get_viewport        (PikaDisplayShell *shell,
                                                      gdouble          *x,
                                                      gdouble          *y,
                                                      gdouble          *w,
                                                      gdouble          *h);


#endif  /*  __PIKA_DISPLAY_SHELL_SCROLL_H__  */
