/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_DISPLAY_SHELL_TOOL_EVENTS_H__
#define __PIKA_DISPLAY_SHELL_TOOL_EVENTS_H__


gboolean   pika_display_shell_events                  (GtkWidget        *widget,
                                                       GdkEvent         *event,
                                                       PikaDisplayShell *shell);

gboolean   pika_display_shell_canvas_tool_events      (GtkWidget        *widget,
                                                       GdkEvent         *event,
                                                       PikaDisplayShell *shell);
void       pika_display_shell_canvas_grab_notify      (GtkWidget        *widget,
                                                       gboolean          was_grabbed,
                                                       PikaDisplayShell *shell);

void       pika_display_shell_zoom_gesture_begin      (GtkGestureZoom   *gesture,
                                                       GdkEventSequence *sequence,
                                                       PikaDisplayShell *shell);
void       pika_display_shell_zoom_gesture_update     (GtkGestureZoom   *gesture,
                                                       GdkEventSequence *sequence,
                                                       PikaDisplayShell *shell);
void       pika_display_shell_zoom_gesture_end        (GtkGestureZoom   *gesture,
                                                       GdkEventSequence *sequence,
                                                       PikaDisplayShell *shell);

void       pika_display_shell_rotate_gesture_begin    (GtkGestureRotate *gesture,
                                                       GdkEventSequence *sequence,
                                                       PikaDisplayShell *shell);
void       pika_display_shell_rotate_gesture_update   (GtkGestureRotate *gesture,
                                                       GdkEventSequence *sequence,
                                                       PikaDisplayShell *shell);
void       pika_display_shell_rotate_gesture_end      (GtkGestureRotate *gesture,
                                                       GdkEventSequence *sequence,
                                                       PikaDisplayShell *shell);

void       pika_display_shell_buffer_stroke           (PikaMotionBuffer *buffer,
                                                       const PikaCoords *coords,
                                                       guint32           time,
                                                       GdkModifierType   state,
                                                       PikaDisplayShell *shell);
void       pika_display_shell_buffer_hover            (PikaMotionBuffer *buffer,
                                                       const PikaCoords *coords,
                                                       GdkModifierType   state,
                                                       gboolean          proximity,
                                                       PikaDisplayShell *shell);

gboolean   pika_display_shell_hruler_button_press     (GtkWidget        *widget,
                                                       GdkEventButton   *bevent,
                                                       PikaDisplayShell *shell);
gboolean   pika_display_shell_vruler_button_press     (GtkWidget        *widget,
                                                       GdkEventButton   *bevent,
                                                       PikaDisplayShell *shell);


#endif /* __PIKA_DISPLAY_SHELL_TOOL_EVENT_H__ */
