/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikamultiwindowstrategy.c
 * Copyright (C) 2011 Martin Nordholts <martinn@src.gnome.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#include "config.h"

#include <gegl.h>
#include <gtk/gtk.h>

#include "display-types.h"

#include "core/pika.h"

#include "widgets/pikadialogfactory.h"
#include "widgets/pikawindowstrategy.h"

#include "pikamultiwindowstrategy.h"


static void        pika_multi_window_strategy_window_strategy_iface_init (PikaWindowStrategyInterface *iface);
static GtkWidget * pika_multi_window_strategy_show_dockable_dialog       (PikaWindowStrategy          *strategy,
                                                                          Pika                        *pika,
                                                                          PikaDialogFactory           *factory,
                                                                          GdkMonitor                  *monitor,
                                                                          const gchar                 *identifiers);


G_DEFINE_TYPE_WITH_CODE (PikaMultiWindowStrategy, pika_multi_window_strategy, PIKA_TYPE_OBJECT,
                         G_IMPLEMENT_INTERFACE (PIKA_TYPE_WINDOW_STRATEGY,
                                                pika_multi_window_strategy_window_strategy_iface_init))

#define parent_class pika_multi_window_strategy_parent_class


static void
pika_multi_window_strategy_class_init (PikaMultiWindowStrategyClass *klass)
{
}

static void
pika_multi_window_strategy_init (PikaMultiWindowStrategy *strategy)
{
}

static void
pika_multi_window_strategy_window_strategy_iface_init (PikaWindowStrategyInterface *iface)
{
  iface->show_dockable_dialog = pika_multi_window_strategy_show_dockable_dialog;
}

static GtkWidget *
pika_multi_window_strategy_show_dockable_dialog (PikaWindowStrategy *strategy,
                                                 Pika               *pika,
                                                 PikaDialogFactory  *factory,
                                                 GdkMonitor         *monitor,
                                                 const gchar        *identifiers)
{
  return pika_dialog_factory_dialog_raise (factory, monitor, NULL,
                                           identifiers, -1);
}

PikaObject *
pika_multi_window_strategy_get_singleton (void)
{
  static PikaObject *singleton = NULL;

  if (! singleton)
    singleton = g_object_new (PIKA_TYPE_MULTI_WINDOW_STRATEGY, NULL);

  return singleton;
}
