/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikamultiwindowstrategy.h
 * Copyright (C) 2011 Martin Nordholts <martinn@src.gnome.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_MULTI_WINDOW_STRATEGY_H__
#define __PIKA_MULTI_WINDOW_STRATEGY_H__


#include "core/pikaobject.h"


#define PIKA_TYPE_MULTI_WINDOW_STRATEGY            (pika_multi_window_strategy_get_type ())
#define PIKA_MULTI_WINDOW_STRATEGY(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_MULTI_WINDOW_STRATEGY, PikaMultiWindowStrategy))
#define PIKA_MULTI_WINDOW_STRATEGY_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_MULTI_WINDOW_STRATEGY, PikaMultiWindowStrategyClass))
#define PIKA_IS_MULTI_WINDOW_STRATEGY(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_MULTI_WINDOW_STRATEGY))
#define PIKA_IS_MULTI_WINDOW_STRATEGY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_MULTI_WINDOW_STRATEGY))
#define PIKA_MULTI_WINDOW_STRATEGY_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_MULTI_WINDOW_STRATEGY, PikaMultiWindowStrategyClass))


typedef struct _PikaMultiWindowStrategyClass PikaMultiWindowStrategyClass;

struct _PikaMultiWindowStrategy
{
  PikaObject  parent_instance;
};

struct _PikaMultiWindowStrategyClass
{
  PikaObjectClass  parent_class;
};


GType        pika_multi_window_strategy_get_type          (void) G_GNUC_CONST;

PikaObject * pika_multi_window_strategy_get_singleton     (void);


#endif /* __PIKA_MULTI_WINDOW_STRATEGY_H__ */
