/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikanavigationeditor.h
 * Copyright (C) 2002 Michael Natterer <mitch@gimp.org>
 *
 * partly based on app/nav_window
 * Copyright (C) 1999 Andy Thomas <alt@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_NAVIGATION_EDITOR_H__
#define __PIKA_NAVIGATION_EDITOR_H__


#include "widgets/pikaeditor.h"


#define PIKA_TYPE_NAVIGATION_EDITOR            (pika_navigation_editor_get_type ())
#define PIKA_NAVIGATION_EDITOR(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_NAVIGATION_EDITOR, PikaNavigationEditor))
#define PIKA_NAVIGATION_EDITOR_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_NAVIGATION_EDITOR, PikaNavigationEditorClass))
#define PIKA_IS_NAVIGATION_EDITOR(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_NAVIGATION_EDITOR))
#define PIKA_IS_NAVIGATION_EDITOR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_NAVIGATION_EDITOR))
#define PIKA_NAVIGATION_EDITOR_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_NAVIGATION_EDITOR, PikaNavigationEditorClass))


typedef struct _PikaNavigationEditorClass  PikaNavigationEditorClass;

struct _PikaNavigationEditor
{
  PikaEditor        parent_instance;

  PikaContext      *context;
  PikaDisplayShell *shell;

  PikaImageProxy   *image_proxy;

  GtkWidget        *view;
  GtkWidget        *zoom_label;
  GtkAdjustment    *zoom_adjustment;

  GtkWidget        *zoom_out_button;
  GtkWidget        *zoom_in_button;
  GtkWidget        *zoom_100_button;
  GtkWidget        *zoom_fit_in_button;
  GtkWidget        *zoom_fill_button;
  GtkWidget        *shrink_wrap_button;

  guint             scale_timeout;
};

struct _PikaNavigationEditorClass
{
  PikaEditorClass  parent_class;
};


GType       pika_navigation_editor_get_type  (void) G_GNUC_CONST;

GtkWidget * pika_navigation_editor_new       (PikaMenuFactory  *menu_factory);
void        pika_navigation_editor_popup     (PikaDisplayShell *shell,
                                              GtkWidget        *widget,
                                              GdkEvent         *event,
                                              gint              click_x,
                                              gint              click_y);


#endif  /*  __PIKA_NAVIGATION_EDITOR_H__  */
