/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikascalecombobox.h
 * Copyright (C) 2004, 2008  Sven Neumann <sven@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_SCALE_COMBO_BOX_H__
#define __PIKA_SCALE_COMBO_BOX_H__


#define PIKA_TYPE_SCALE_COMBO_BOX            (pika_scale_combo_box_get_type ())
#define PIKA_SCALE_COMBO_BOX(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_SCALE_COMBO_BOX, PikaScaleComboBox))
#define PIKA_SCALE_COMBO_BOX_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_SCALE_COMBO_BOX, PikaScaleComboBoxClass))
#define PIKA_IS_SCALE_COMBO_BOX(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_SCALE_COMBO_BOX))
#define PIKA_IS_SCALE_COMBO_BOX_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_SCALE_COMBO_BOX))
#define PIKA_SCALE_COMBO_BOX_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_SCALE_COMBO_BOX, PikaScaleComboBoxClass))


typedef struct _PikaScaleComboBoxClass  PikaScaleComboBoxClass;

struct _PikaScaleComboBox
{
  GtkComboBox  parent_instance;

  gdouble      scale;
  GtkTreePath *last_path;
  GList       *mru;
};

struct _PikaScaleComboBoxClass
{
  GtkComboBoxClass  parent_instance;

  void (* entry_activated) (PikaScaleComboBox *combo_box);
};


GType       pika_scale_combo_box_get_type   (void) G_GNUC_CONST;

GtkWidget * pika_scale_combo_box_new        (void);
void        pika_scale_combo_box_set_scale  (PikaScaleComboBox *combo_box,
                                             gdouble            scale);
gdouble     pika_scale_combo_box_get_scale  (PikaScaleComboBox *combo_box);


#endif  /* __PIKA_SCALE_COMBO_BOX_H__ */
