/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikatoolcompass.h
 * Copyright (C) 2017 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_TOOL_COMPASS_H__
#define __PIKA_TOOL_COMPASS_H__


#include "pikatoolwidget.h"


#define PIKA_TYPE_TOOL_COMPASS            (pika_tool_compass_get_type ())
#define PIKA_TOOL_COMPASS(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_TOOL_COMPASS, PikaToolCompass))
#define PIKA_TOOL_COMPASS_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_TOOL_COMPASS, PikaToolCompassClass))
#define PIKA_IS_TOOL_COMPASS(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_TOOL_COMPASS))
#define PIKA_IS_TOOL_COMPASS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_TOOL_COMPASS))
#define PIKA_TOOL_COMPASS_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_TOOL_COMPASS, PikaToolCompassClass))


typedef struct _PikaToolCompass        PikaToolCompass;
typedef struct _PikaToolCompassPrivate PikaToolCompassPrivate;
typedef struct _PikaToolCompassClass   PikaToolCompassClass;

struct _PikaToolCompass
{
  PikaToolWidget          parent_instance;

  PikaToolCompassPrivate *private;
};

struct _PikaToolCompassClass
{
  PikaToolWidgetClass  parent_class;

  void (* create_guides) (PikaToolCompass *compass,
                          gint             x,
                          gint             y,
                          gboolean         horizontal,
                          gboolean         vertical);
};


GType            pika_tool_compass_get_type (void) G_GNUC_CONST;

PikaToolWidget * pika_tool_compass_new      (PikaDisplayShell       *shell,
                                             PikaCompassOrientation  orinetation,
                                             gint                    n_points,
                                             gint                    x1,
                                             gint                    y1,
                                             gint                    x2,
                                             gint                    y2,
                                             gint                    y3,
                                             gint                    x3);


#endif /* __PIKA_TOOL_COMPASS_H__ */
