/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikatoolfocus.h
 * Copyright (C) 2020 Ell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_TOOL_FOCUS_H__
#define __PIKA_TOOL_FOCUS_H__


#include "pikatoolwidget.h"


#define PIKA_TYPE_TOOL_FOCUS            (pika_tool_focus_get_type ())
#define PIKA_TOOL_FOCUS(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_TOOL_FOCUS, PikaToolFocus))
#define PIKA_TOOL_FOCUS_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_TOOL_FOCUS, PikaToolFocusClass))
#define PIKA_IS_TOOL_FOCUS(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_TOOL_FOCUS))
#define PIKA_IS_TOOL_FOCUS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_TOOL_FOCUS))
#define PIKA_TOOL_FOCUS_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_TOOL_FOCUS, PikaToolFocusClass))


typedef struct _PikaToolFocus        PikaToolFocus;
typedef struct _PikaToolFocusPrivate PikaToolFocusPrivate;
typedef struct _PikaToolFocusClass   PikaToolFocusClass;

struct _PikaToolFocus
{
  PikaToolWidget        parent_instance;

  PikaToolFocusPrivate *priv;
};

struct _PikaToolFocusClass
{
  PikaToolWidgetClass  parent_class;
};


GType            pika_tool_focus_get_type (void) G_GNUC_CONST;

PikaToolWidget * pika_tool_focus_new      (PikaDisplayShell *shell);


#endif /* __PIKA_TOOL_FOCUS_H__ */
