/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikatoolgyroscope.h
 * Copyright (C) 2018 Ell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_TOOL_GYROSCOPE_H__
#define __PIKA_TOOL_GYROSCOPE_H__


#include "pikatoolwidget.h"


#define PIKA_TYPE_TOOL_GYROSCOPE            (pika_tool_gyroscope_get_type ())
#define PIKA_TOOL_GYROSCOPE(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_TOOL_GYROSCOPE, PikaToolGyroscope))
#define PIKA_TOOL_GYROSCOPE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_TOOL_GYROSCOPE, PikaToolGyroscopeClass))
#define PIKA_IS_TOOL_GYROSCOPE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_TOOL_GYROSCOPE))
#define PIKA_IS_TOOL_GYROSCOPE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_TOOL_GYROSCOPE))
#define PIKA_TOOL_GYROSCOPE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_TOOL_GYROSCOPE, PikaToolGyroscopeClass))


typedef struct _PikaToolGyroscope        PikaToolGyroscope;
typedef struct _PikaToolGyroscopePrivate PikaToolGyroscopePrivate;
typedef struct _PikaToolGyroscopeClass   PikaToolGyroscopeClass;

struct _PikaToolGyroscope
{
  PikaToolWidget            parent_instance;

  PikaToolGyroscopePrivate *private;
};

struct _PikaToolGyroscopeClass
{
  PikaToolWidgetClass  parent_class;
};


GType            pika_tool_gyroscope_get_type (void) G_GNUC_CONST;

PikaToolWidget * pika_tool_gyroscope_new      (PikaDisplayShell *shell);


#endif /* __PIKA_TOOL_GYROSCOPE_H__ */
