/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikatoolpolygon.h
 * Copyright (C) 2017 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_TOOL_POLYGON_H__
#define __PIKA_TOOL_POLYGON_H__


#include "pikatoolwidget.h"


#define PIKA_TYPE_TOOL_POLYGON            (pika_tool_polygon_get_type ())
#define PIKA_TOOL_POLYGON(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_TOOL_POLYGON, PikaToolPolygon))
#define PIKA_TOOL_POLYGON_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_TOOL_POLYGON, PikaToolPolygonClass))
#define PIKA_IS_TOOL_POLYGON(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_TOOL_POLYGON))
#define PIKA_IS_TOOL_POLYGON_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_TOOL_POLYGON))
#define PIKA_TOOL_POLYGON_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_TOOL_POLYGON, PikaToolPolygonClass))


typedef struct _PikaToolPolygon        PikaToolPolygon;
typedef struct _PikaToolPolygonPrivate PikaToolPolygonPrivate;
typedef struct _PikaToolPolygonClass   PikaToolPolygonClass;

struct _PikaToolPolygon
{
  PikaToolWidget          parent_instance;

  PikaToolPolygonPrivate *private;
};

struct _PikaToolPolygonClass
{
  PikaToolWidgetClass  parent_class;

  /*  signals  */
  void (* change_complete) (PikaToolPolygon *polygon);
};


GType            pika_tool_polygon_get_type   (void) G_GNUC_CONST;

PikaToolWidget * pika_tool_polygon_new        (PikaDisplayShell   *shell);

gboolean         pika_tool_polygon_is_closed  (PikaToolPolygon    *polygon);
void             pika_tool_polygon_get_points (PikaToolPolygon    *polygon,
                                               const PikaVector2 **points,
                                               gint               *n_points);


#endif /* __PIKA_TOOL_POLYGON_H__ */
