/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikatoolsheargrid.h
 * Copyright (C) 2017 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_TOOL_SHEAR_GRID_H__
#define __PIKA_TOOL_SHEAR_GRID_H__


#include "pikatooltransformgrid.h"


#define PIKA_TYPE_TOOL_SHEAR_GRID            (pika_tool_shear_grid_get_type ())
#define PIKA_TOOL_SHEAR_GRID(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_TOOL_SHEAR_GRID, PikaToolShearGrid))
#define PIKA_TOOL_SHEAR_GRID_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_TOOL_SHEAR_GRID, PikaToolShearGridClass))
#define PIKA_IS_TOOL_SHEAR_GRID(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_TOOL_SHEAR_GRID))
#define PIKA_IS_TOOL_SHEAR_GRID_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_TOOL_SHEAR_GRID))
#define PIKA_TOOL_SHEAR_GRID_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_TOOL_SHEAR_GRID, PikaToolShearGridClass))


typedef struct _PikaToolShearGrid        PikaToolShearGrid;
typedef struct _PikaToolShearGridPrivate PikaToolShearGridPrivate;
typedef struct _PikaToolShearGridClass   PikaToolShearGridClass;

struct _PikaToolShearGrid
{
  PikaToolTransformGrid     parent_instance;

  PikaToolShearGridPrivate *private;
};

struct _PikaToolShearGridClass
{
  PikaToolTransformGridClass  parent_class;
};


GType            pika_tool_shear_grid_get_type (void) G_GNUC_CONST;

PikaToolWidget * pika_tool_shear_grid_new      (PikaDisplayShell    *shell,
                                                gdouble              x1,
                                                gdouble              y1,
                                                gdouble              x2,
                                                gdouble              y2,
                                                PikaOrientationType  orientation,
                                                gdouble              shear_x,
                                                gdouble              shear_y);


#endif /* __PIKA_TOOL_SHEAR_GRID_H__ */
