/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikatoolwidgetgroup.h
 * Copyright (C) 2018 Ell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_TOOL_WIDGET_GROUP_H__
#define __PIKA_TOOL_WIDGET_GROUP_H__


#include "pikatoolwidget.h"


#define PIKA_TYPE_TOOL_WIDGET_GROUP            (pika_tool_widget_group_get_type ())
#define PIKA_TOOL_WIDGET_GROUP(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_TOOL_WIDGET_GROUP, PikaToolWidgetGroup))
#define PIKA_TOOL_WIDGET_GROUP_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_TOOL_WIDGET_GROUP, PikaToolWidgetGroupClass))
#define PIKA_IS_TOOL_WIDGET_GROUP(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_TOOL_WIDGET_GROUP))
#define PIKA_IS_TOOL_WIDGET_GROUP_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_TOOL_WIDGET_GROUP))
#define PIKA_TOOL_WIDGET_GROUP_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_TOOL_WIDGET_GROUP, PikaToolWidgetGroupClass))


typedef struct _PikaToolWidgetGroupPrivate PikaToolWidgetGroupPrivate;
typedef struct _PikaToolWidgetGroupClass   PikaToolWidgetGroupClass;

struct _PikaToolWidgetGroup
{
  PikaToolWidget              parent_instance;

  PikaToolWidgetGroupPrivate *priv;
};

struct _PikaToolWidgetGroupClass
{
  PikaToolWidgetClass  parent_class;
};


GType            pika_tool_widget_group_get_type         (void) G_GNUC_CONST;

PikaToolWidget * pika_tool_widget_group_new              (PikaDisplayShell    *shell);

PikaContainer  * pika_tool_widget_group_get_children     (PikaToolWidgetGroup *group);

PikaToolWidget * pika_tool_widget_group_get_focus_widget (PikaToolWidgetGroup *group);

void             pika_tool_widget_group_set_auto_raise   (PikaToolWidgetGroup *group,
                                                          gboolean             auto_raise);
gboolean         pika_tool_widget_group_get_auto_raise   (PikaToolWidgetGroup *group);


#endif /* __PIKA_TOOL_WIDGET_GROUP_H__ */
