/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * file-open.h
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __FILE_OPEN_H__
#define __FILE_OPEN_H__


PikaImage * file_open_image                 (Pika                *pika,
                                             PikaContext         *context,
                                             PikaProgress        *progress,
                                             GFile               *file,
                                             gboolean             as_new,
                                             PikaPlugInProcedure *file_proc,
                                             PikaRunMode          run_mode,
                                             PikaPDBStatusType   *status,
                                             const gchar        **mime_type,
                                             GError             **error);

PikaImage * file_open_thumbnail             (Pika                *pika,
                                             PikaContext         *context,
                                             PikaProgress        *progress,
                                             GFile               *file,
                                             gint                 size,
                                             const gchar        **mime_type,
                                             gint                *image_width,
                                             gint                *image_height,
                                             const Babl         **format,
                                             gint                *num_layers,
                                             GError             **error);
PikaImage * file_open_with_display          (Pika                *pika,
                                             PikaContext         *context,
                                             PikaProgress        *progress,
                                             GFile               *file,
                                             gboolean             as_new,
                                             GObject             *monitor,
                                             PikaPDBStatusType   *status,
                                             GError             **error);

PikaImage * file_open_with_proc_and_display (Pika                *pika,
                                             PikaContext         *context,
                                             PikaProgress        *progress,
                                             GFile               *file,
                                             gboolean             as_new,
                                             PikaPlugInProcedure *file_proc,
                                             GObject             *monitor,
                                             PikaPDBStatusType   *status,
                                             GError             **error);

GList     * file_open_layers                (Pika                *pika,
                                             PikaContext         *context,
                                             PikaProgress        *progress,
                                             PikaImage           *dest_image,
                                             gboolean             merge_visible,
                                             GFile               *file,
                                             PikaRunMode          run_mode,
                                             PikaPlugInProcedure *file_proc,
                                             PikaPDBStatusType   *status,
                                             GError             **error);

gboolean    file_open_from_command_line     (Pika                *pika,
                                             GFile               *file,
                                             gboolean             as_new,
                                             GObject             *monitor);


#endif /* __FILE_OPEN_H__ */
