/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995-1997 Spencer Kimball and Peter Mattis
 *
 * file-remote.h
 * Copyright (C) 2014  Michael Natterer <mitch@gimp.org>
 *
 * Based on: URI plug-in, GIO/GVfs backend
 * Copyright (C) 2008  Sven Neumann <sven@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __FILE_REMOTE_H__
#define __FILE_REMOTE_H__


gboolean   file_remote_mount_file           (Pika          *pika,
                                             GFile         *file,
                                             PikaProgress  *progress,
                                             GError       **error);

GFile    * file_remote_download_image       (Pika          *pika,
                                             GFile         *file,
                                             PikaProgress  *progress,
                                             GError       **error);

GFile    * file_remote_upload_image_prepare (Pika          *pika,
                                             GFile         *file,
                                             PikaProgress  *progress,
                                             GError       **error);
gboolean   file_remote_upload_image_finish  (Pika          *pika,
                                             GFile         *file,
                                             GFile         *local_file,
                                             PikaProgress  *progress,
                                             GError       **error);

#endif /* __FILE_REMOTE_H__ */
