/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pika-babl.h
 * Copyright (C) 2012 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_BABL_H__
#define __PIKA_BABL_H__


void                pika_babl_init                         (void);
void                pika_babl_init_fishes                  (PikaInitStatusFunc  status_callback);

const gchar       * pika_babl_format_get_description       (const Babl         *format);
PikaColorProfile  * pika_babl_format_get_color_profile     (const Babl         *format);
PikaColorProfile  * pika_babl_get_builtin_color_profile    (PikaImageBaseType   base_type,
                                                            PikaTRCType         trc);

PikaImageBaseType   pika_babl_format_get_base_type         (const Babl         *format);
PikaComponentType   pika_babl_format_get_component_type    (const Babl         *format);
PikaPrecision       pika_babl_format_get_precision         (const Babl         *format);
PikaTRCType         pika_babl_format_get_trc               (const Babl         *format);

PikaComponentType   pika_babl_component_type               (PikaPrecision       precision);
PikaTRCType         pika_babl_trc                          (PikaPrecision       precision);
PikaPrecision       pika_babl_precision                    (PikaComponentType   component,
                                                            PikaTRCType         trc);

gboolean            pika_babl_is_valid                     (PikaImageBaseType   base_type,
                                                            PikaPrecision       precision);
PikaComponentType   pika_babl_is_bounded                   (PikaPrecision       precision);

const Babl        * pika_babl_format                       (PikaImageBaseType   base_type,
                                                            PikaPrecision       precision,
                                                            gboolean            with_alpha,
                                                            const Babl         *space);
const Babl        * pika_babl_mask_format                  (PikaPrecision       precision);
const Babl        * pika_babl_component_format             (PikaImageBaseType   base_type,
                                                            PikaPrecision       precision,
                                                            gint                index);

const Babl        * pika_babl_format_change_component_type (const Babl          *format,
                                                            PikaComponentType    component);
const Babl        * pika_babl_format_change_trc            (const Babl          *format,
                                                            PikaTRCType          trc);

gchar            ** pika_babl_print_pixel                  (const Babl          *format,
                                                            gpointer             pixel);


#endif /* __PIKA_BABL_H__ */
