/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pika-gegl-nodes.h
 * Copyright (C) 2012 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_GEGL_NODES_H__
#define __PIKA_GEGL_NODES_H__


GeglNode * pika_gegl_create_flatten_node       (const PikaRGB         *background,
                                                const Babl            *space,
                                                PikaLayerColorSpace    composite_space);
GeglNode * pika_gegl_create_apply_opacity_node (GeglBuffer            *mask,
                                                gint                   mask_offset_x,
                                                gint                   mask_offset_y,
                                                gdouble                opacity);
GeglNode * pika_gegl_create_transform_node     (const PikaMatrix3     *matrix);

GeglNode * pika_gegl_add_buffer_source         (GeglNode              *parent,
                                                GeglBuffer            *buffer,
                                                gint                   offset_x,
                                                gint                   offset_y);

void       pika_gegl_mode_node_set_mode        (GeglNode               *node,
                                                PikaLayerMode           mode,
                                                PikaLayerColorSpace     blend_space,
                                                PikaLayerColorSpace     composite_space,
                                                PikaLayerCompositeMode  composite_mode);
void       pika_gegl_mode_node_set_opacity     (GeglNode               *node,
                                                gdouble                 opacity);

void       pika_gegl_node_set_matrix           (GeglNode               *node,
                                                const PikaMatrix3      *matrix);
void       pika_gegl_node_set_color            (GeglNode               *node,
                                                const PikaRGB          *color,
                                                const Babl             *space);


#endif /* __PIKA_GEGL_NODES_H__ */
