/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pika-gegl-utils.h
 * Copyright (C) 2007 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_GEGL_UTILS_H__
#define __PIKA_GEGL_UTILS_H__


GList       * pika_gegl_get_op_classes                (void);

GType         pika_gegl_get_op_enum_type              (const gchar         *operation,
                                                       const gchar         *property);

GeglColor   * pika_gegl_color_new                     (const PikaRGB       *rgb,
                                                       const Babl          *space);

void          pika_gegl_progress_connect              (GeglNode            *node,
                                                       PikaProgress        *progress,
                                                       const gchar         *text);

gboolean      pika_gegl_node_is_source_operation      (GeglNode            *node);
gboolean      pika_gegl_node_is_point_operation       (GeglNode            *node);
gboolean      pika_gegl_node_is_area_filter_operation (GeglNode            *node);

const gchar * pika_gegl_node_get_key                  (GeglNode            *node,
                                                       const gchar         *key);
gboolean      pika_gegl_node_has_key                  (GeglNode            *node,
                                                       const gchar         *key);

const Babl  * pika_gegl_node_get_format               (GeglNode            *node,
                                                       const gchar         *pad_name);

void          pika_gegl_node_set_underlying_operation (GeglNode           *node,
                                                       GeglNode           *operation);
GeglNode    * pika_gegl_node_get_underlying_operation (GeglNode           *node);

gboolean      pika_gegl_param_spec_has_key            (GParamSpec          *pspec,
                                                       const gchar         *key,
                                                       const gchar         *value);

GeglBuffer  * pika_gegl_buffer_dup                    (GeglBuffer          *buffer);

gboolean      pika_gegl_buffer_set_extent             (GeglBuffer          *buffer,
                                                       const GeglRectangle *extent);


#endif /* __PIKA_GEGL_UTILS_H__ */
