/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikauiconfigurer.h
 * Copyright (C) 2009 Martin Nordholts <martinn@src.gnome.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_UI_CONFIGURER_H__
#define __PIKA_UI_CONFIGURER_H__


#include "core/pikaobject.h"


#define PIKA_TYPE_UI_CONFIGURER              (pika_ui_configurer_get_type ())
#define PIKA_UI_CONFIGURER(obj)              (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_UI_CONFIGURER, PikaUIConfigurer))
#define PIKA_UI_CONFIGURER_CLASS(vtable)     (G_TYPE_CHECK_CLASS_CAST ((vtable), PIKA_TYPE_UI_CONFIGURER, PikaUIConfigurerClass))
#define PIKA_IS_UI_CONFIGURER(obj)           (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_UI_CONFIGURER))
#define PIKA_IS_UI_CONFIGURER_CLASS(vtable)  (G_TYPE_CHECK_CLASS_TYPE ((vtable), PIKA_TYPE_UI_CONFIGURER))
#define PIKA_UI_CONFIGURER_GET_CLASS(inst)   (G_TYPE_INSTANCE_GET_CLASS ((inst), PIKA_TYPE_UI_CONFIGURER, PikaUIConfigurerClass))


typedef struct _PikaUIConfigurerClass   PikaUIConfigurerClass;
typedef struct _PikaUIConfigurerPrivate PikaUIConfigurerPrivate;

struct _PikaUIConfigurer
{
  PikaObject parent_instance;

  PikaUIConfigurerPrivate *p;
};

struct _PikaUIConfigurerClass
{
  PikaObjectClass parent_class;
};


GType         pika_ui_configurer_get_type  (void) G_GNUC_CONST;
void          pika_ui_configurer_configure (PikaUIConfigurer *ui_configurer,
                                            gboolean          single_window_mode);


#endif  /* __PIKA_UI_CONFIGURER_H__ */
