/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikaoperationnormal.h
 * Copyright (C) 2012 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_OPERATION_NORMAL_H__
#define __PIKA_OPERATION_NORMAL_H__


#include "pikaoperationlayermode.h"


#define PIKA_TYPE_OPERATION_NORMAL            (pika_operation_normal_get_type ())
#define PIKA_OPERATION_NORMAL(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_OPERATION_NORMAL, PikaOperationNormal))
#define PIKA_OPERATION_NORMAL_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass),  PIKA_TYPE_OPERATION_NORMAL, PikaOperationNormalClass))
#define PIKA_IS_OPERATION_NORMAL(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_OPERATION_NORMAL))
#define PIKA_IS_OPERATION_NORMAL_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass),  PIKA_TYPE_OPERATION_NORMAL))
#define PIKA_OPERATION_NORMAL_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj),  PIKA_TYPE_OPERATION_NORMAL, PikaOperationNormalClass))


typedef struct _PikaOperationNormal      PikaOperationNormal;
typedef struct _PikaOperationNormalClass PikaOperationNormalClass;

struct _PikaOperationNormal
{
  PikaOperationLayerMode  parent_instance;
};

struct _PikaOperationNormalClass
{
  PikaOperationLayerModeClass  parent_class;
};


GType      pika_operation_normal_get_type     (void) G_GNUC_CONST;


/*  protected  */

gboolean   pika_operation_normal_process      (GeglOperation       *op,
                                               void                *in,
                                               void                *layer,
                                               void                *mask,
                                               void                *out,
                                               glong                samples,
                                               const GeglRectangle *roi,
                                               gint                 level);

#if COMPILE_SSE2_INTRINISICS

gboolean   pika_operation_normal_process_sse2 (GeglOperation       *op,
                                               void                *in,
                                               void                *layer,
                                               void                *mask,
                                               void                *out,
                                               glong                samples,
                                               const GeglRectangle *roi,
                                               gint                 level);

#endif /* COMPILE_SSE2_INTRINISICS */

#if COMPILE_SSE4_1_INTRINISICS

gboolean   pika_operation_normal_process_sse4 (GeglOperation       *op,
                                               void                *in,
                                               void                *layer,
                                               void                *mask,
                                               void                *out,
                                               glong                samples,
                                               const GeglRectangle *roi,
                                               gint                 level);

#endif /* COMPILE_SSE4_1_INTRINISICS */


#endif /* __PIKA_OPERATION_NORMAL_H__ */
