/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * operations-types.h
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __OPERATIONS_TYPES_H__
#define __OPERATIONS_TYPES_H__


#include <gegl-types.h>

#include "gegl/pika-gegl-types.h"

#include "operations-enums.h"


/*  operations  */

typedef struct _PikaOperationPointFilter        PikaOperationPointFilter;
typedef struct _PikaOperationLayerMode          PikaOperationLayerMode;


/*  operation config objects  */

typedef struct _PikaOperationSettings           PikaOperationSettings;

typedef struct _PikaBrightnessContrastConfig    PikaBrightnessContrastConfig;
typedef struct _PikaCageConfig                  PikaCageConfig;
typedef struct _PikaColorBalanceConfig          PikaColorBalanceConfig;
typedef struct _PikaColorizeConfig              PikaColorizeConfig;
typedef struct _PikaCurvesConfig                PikaCurvesConfig;
typedef struct _PikaDesaturateConfig            PikaDesaturateConfig;
typedef struct _PikaHueSaturationConfig         PikaHueSaturationConfig;
typedef struct _PikaLevelsConfig                PikaLevelsConfig;
typedef struct _PikaPosterizeConfig             PikaPosterizeConfig;
typedef struct _PikaThresholdConfig             PikaThresholdConfig;


/*  non-object types  */

typedef struct _PikaCagePoint                   PikaCagePoint;


/*  functions  */

typedef gboolean (* PikaLayerModeFunc)      (GeglOperation          *operation,
                                             void                   *in,
                                             void                   *aux,
                                             void                   *mask,
                                             void                   *out,
                                             glong                   samples,
                                             const GeglRectangle    *roi,
                                             gint                    level);

typedef  void    (* PikaLayerModeBlendFunc) (GeglOperation          *operation,
                                             const gfloat           *in,
                                             const gfloat           *layer,
                                             gfloat                 *out,
                                             gint                    samples);


#endif /* __OPERATIONS_TYPES_H__ */
