/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_OPERATION_CONFIG_H__
#define __PIKA_OPERATION_CONFIG_H__


void            pika_operation_config_register      (Pika          *pika,
                                                     const gchar   *operation,
                                                     GType          config_type);

GType           pika_operation_config_get_type      (Pika          *pika,
                                                     const gchar   *operation,
                                                     const gchar   *icon_name,
                                                     GType          parent_type);

PikaContainer * pika_operation_config_get_container (Pika          *pika,
                                                     GType          config_type,
                                                     GCompareFunc   sort_func);

void            pika_operation_config_serialize     (Pika          *pika,
                                                     PikaContainer *container,
                                                     GFile         *file);
void            pika_operation_config_deserialize   (Pika          *pika,
                                                     PikaContainer *container,
                                                     GFile         *file);

void            pika_operation_config_sync_node     (GObject       *config,
                                                     GeglNode      *node);
void            pika_operation_config_connect_node  (GObject       *config,
                                                     GeglNode      *node);

GParamSpec ** pika_operation_config_list_properties (GObject      *config,
                                                     GType         owner_type,
                                                     GParamFlags   flags,
                                                     guint        *n_pspecs);


#endif /* __PIKA_OPERATION_CONFIG_H__ */
