/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikabrightnesscontrastconfig.h
 * Copyright (C) 2007 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_BRIGHTNESS_CONTRAST_CONFIG_H__
#define __PIKA_BRIGHTNESS_CONTRAST_CONFIG_H__


#include "pikaoperationsettings.h"


#define PIKA_TYPE_BRIGHTNESS_CONTRAST_CONFIG            (pika_brightness_contrast_config_get_type ())
#define PIKA_BRIGHTNESS_CONTRAST_CONFIG(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_BRIGHTNESS_CONTRAST_CONFIG, PikaBrightnessContrastConfig))
#define PIKA_BRIGHTNESS_CONTRAST_CONFIG_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass),  PIKA_TYPE_BRIGHTNESS_CONTRAST_CONFIG, PikaBrightnessContrastConfigClass))
#define PIKA_IS_BRIGHTNESS_CONTRAST_CONFIG(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_BRIGHTNESS_CONTRAST_CONFIG))
#define PIKA_IS_BRIGHTNESS_CONTRAST_CONFIG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass),  PIKA_TYPE_BRIGHTNESS_CONTRAST_CONFIG))
#define PIKA_BRIGHTNESS_CONTRAST_CONFIG_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj),  PIKA_TYPE_BRIGHTNESS_CONTRAST_CONFIG, PikaBrightnessContrastConfigClass))


typedef struct _PikaBrightnessContrastConfigClass PikaBrightnessContrastConfigClass;

struct _PikaBrightnessContrastConfig
{
  PikaOperationSettings  parent_instance;

  gdouble                brightness;
  gdouble                contrast;
};

struct _PikaBrightnessContrastConfigClass
{
  PikaOperationSettingsClass  parent_class;
};


GType   pika_brightness_contrast_config_get_type (void) G_GNUC_CONST;

PikaLevelsConfig *
pika_brightness_contrast_config_to_levels_config (PikaBrightnessContrastConfig *config);


#endif /* __PIKA_BRIGHTNESS_CONTRAST_CONFIG_H__ */
