/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikacolorbalanceconfig.h
 * Copyright (C) 2007 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_COLOR_BALANCE_CONFIG_H__
#define __PIKA_COLOR_BALANCE_CONFIG_H__


#include "pikaoperationsettings.h"


#define PIKA_TYPE_COLOR_BALANCE_CONFIG            (pika_color_balance_config_get_type ())
#define PIKA_COLOR_BALANCE_CONFIG(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_COLOR_BALANCE_CONFIG, PikaColorBalanceConfig))
#define PIKA_COLOR_BALANCE_CONFIG_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass),  PIKA_TYPE_COLOR_BALANCE_CONFIG, PikaColorBalanceConfigClass))
#define PIKA_IS_COLOR_BALANCE_CONFIG(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_COLOR_BALANCE_CONFIG))
#define PIKA_IS_COLOR_BALANCE_CONFIG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass),  PIKA_TYPE_COLOR_BALANCE_CONFIG))
#define PIKA_COLOR_BALANCE_CONFIG_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj),  PIKA_TYPE_COLOR_BALANCE_CONFIG, PikaColorBalanceConfigClass))


typedef struct _PikaColorBalanceConfigClass PikaColorBalanceConfigClass;

struct _PikaColorBalanceConfig
{
  PikaOperationSettings  parent_instance;

  PikaTransferMode       range;

  gdouble                cyan_red[3];
  gdouble                magenta_green[3];
  gdouble                yellow_blue[3];

  gboolean               preserve_luminosity;
};

struct _PikaColorBalanceConfigClass
{
  PikaOperationSettingsClass  parent_class;
};


GType   pika_color_balance_config_get_type    (void) G_GNUC_CONST;

void    pika_color_balance_config_reset_range (PikaColorBalanceConfig *config);


#endif /* __PIKA_COLOR_BALANCE_CONFIG_H__ */
