/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 *
 * pikaoperationcagecoefcalc.h
 * Copyright (C) 2010 Michael Muré <batolettre@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_OPERATION_CAGE_COEF_CALC_H__
#define __PIKA_OPERATION_CAGE_COEF_CALC_H__


#include <gegl-plugin.h>
#include <operation/gegl-operation-source.h>


enum
{
  PIKA_OPERATION_CAGE_COEF_CALC_PROP_0,
  PIKA_OPERATION_CAGE_COEF_CALC_PROP_CONFIG
};


#define PIKA_TYPE_OPERATION_CAGE_COEF_CALC            (pika_operation_cage_coef_calc_get_type ())
#define PIKA_OPERATION_CAGE_COEF_CALC(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_OPERATION_CAGE_COEF_CALC, PikaOperationCageCoefCalc))
#define PIKA_OPERATION_CAGE_COEF_CALC_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass),  PIKA_TYPE_OPERATION_CAGE_COEF_CALC, PikaOperationCageCoefCalcClass))
#define PIKA_IS_OPERATION_CAGE_COEF_CALC(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_OPERATION_CAGE_COEF_CALC))
#define PIKA_IS_OPERATION_CAGE_COEF_CALC_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass),  PIKA_TYPE_OPERATION_CAGE_COEF_CALC))
#define PIKA_OPERATION_CAGE_COEF_CALC_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj),  PIKA_TYPE_OPERATION_CAGE_COEF_CALC, PikaOperationCageCoefCalcClass))


typedef struct _PikaOperationCageCoefCalc      PikaOperationCageCoefCalc;
typedef struct _PikaOperationCageCoefCalcClass PikaOperationCageCoefCalcClass;

struct _PikaOperationCageCoefCalc
{
  GeglOperationSource  parent_instance;

  PikaCageConfig      *config;
};

struct _PikaOperationCageCoefCalcClass
{
  GeglOperationSourceClass  parent_class;
};


GType   pika_operation_cage_coef_calc_get_type (void) G_GNUC_CONST;


#endif /* __PIKA_OPERATION_CAGE_COEF_CALC_H__ */
