/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 *
 * pikaoperationcagetransform.h
 * Copyright (C) 2010 Michael Muré <batolettre@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_OPERATION_CAGE_TRANSFORM_H__
#define __PIKA_OPERATION_CAGE_TRANSFORM_H__


#include <gegl-plugin.h>
#include <operation/gegl-operation-composer.h>


#define PIKA_TYPE_OPERATION_CAGE_TRANSFORM            (pika_operation_cage_transform_get_type ())
#define PIKA_OPERATION_CAGE_TRANSFORM(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_OPERATION_CAGE_TRANSFORM, PikaOperationCageTransform))
#define PIKA_OPERATION_CAGE_TRANSFORM_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass),  PIKA_TYPE_OPERATION_CAGE_TRANSFORM, PikaOperationCageTransformClass))
#define PIKA_IS_OPERATION_CAGE_TRANSFORM(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_OPERATION_CAGE_TRANSFORM))
#define PIKA_IS_OPERATION_CAGE_TRANSFORM_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass),  PIKA_TYPE_OPERATION_CAGE_TRANSFORM))
#define PIKA_OPERATION_CAGE_TRANSFORM_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj),  PIKA_TYPE_OPERATION_CAGE_TRANSFORM, PikaOperationCageTransformClass))


typedef struct _PikaOperationCageTransform      PikaOperationCageTransform;
typedef struct _PikaOperationCageTransformClass PikaOperationCageTransformClass;

struct _PikaOperationCageTransform
{
  GeglOperationComposer  parent_instance;

  PikaCageConfig        *config;
  gboolean               fill_plain_color;

  const Babl            *format_coords;
};

struct _PikaOperationCageTransformClass
{
  GeglOperationComposerClass  parent_class;
};


GType   pika_operation_cage_transform_get_type (void) G_GNUC_CONST;


#endif /* __PIKA_OPERATION_CAGE_TRANSFORM_H__ */
