/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikaoperationdesaturate.h
 * Copyright (C) 2007 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_OPERATION_DESATURATE_H__
#define __PIKA_OPERATION_DESATURATE_H__


#include "pikaoperationpointfilter.h"


#define PIKA_TYPE_OPERATION_DESATURATE            (pika_operation_desaturate_get_type ())
#define PIKA_OPERATION_DESATURATE(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_OPERATION_DESATURATE, PikaOperationDesaturate))
#define PIKA_OPERATION_DESATURATE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass),  PIKA_TYPE_OPERATION_DESATURATE, PikaOperationDesaturateClass))
#define PIKA_IS_OPERATION_DESATURATE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_OPERATION_DESATURATE))
#define PIKA_IS_OPERATION_DESATURATE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass),  PIKA_TYPE_OPERATION_DESATURATE))
#define PIKA_OPERATION_DESATURATE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj),  PIKA_TYPE_OPERATION_DESATURATE, PikaOperationDesaturateClass))


typedef struct _PikaOperationDesaturate      PikaOperationDesaturate;
typedef struct _PikaOperationDesaturateClass PikaOperationDesaturateClass;

struct _PikaOperationDesaturate
{
  PikaOperationPointFilter  parent_instance;

  PikaDesaturateMode        mode;
};

struct _PikaOperationDesaturateClass
{
  PikaOperationPointFilterClass  parent_class;
};


GType   pika_operation_desaturate_get_type (void) G_GNUC_CONST;


#endif /* __PIKA_OPERATION_DESATURATE_H__ */
