/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikaoperationgradient.h
 * Copyright (C) 2014 Michael Henning <drawoc@darkrefraction.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_OPERATION_GRADIENT_H__
#define __PIKA_OPERATION_GRADIENT_H__


#include <gegl-plugin.h>


#define PIKA_TYPE_OPERATION_GRADIENT            (pika_operation_gradient_get_type ())
#define PIKA_OPERATION_GRADIENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_OPERATION_GRADIENT, PikaOperationGradient))
#define PIKA_OPERATION_GRADIENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass),  PIKA_TYPE_OPERATION_GRADIENT, PikaOperationGradientClass))
#define PIKA_IS_OPERATION_GRADIENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_OPERATION_GRADIENT))
#define PIKA_IS_OPERATION_GRADIENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass),  PIKA_TYPE_OPERATION_GRADIENT))
#define PIKA_OPERATION_GRADIENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj),  PIKA_TYPE_OPERATION_GRADIENT, PikaOperationGradientClass))


typedef struct _PikaOperationGradient      PikaOperationGradient;
typedef struct _PikaOperationGradientClass PikaOperationGradientClass;

struct _PikaOperationGradient
{
  GeglOperationFilter          parent_instance;

  PikaContext                 *context;

  PikaGradient                *gradient;
  gdouble                      start_x, start_y, end_x, end_y;
  PikaGradientType             gradient_type;
  PikaRepeatMode               gradient_repeat;
  gdouble                      offset;
  gboolean                     gradient_reverse;
  PikaGradientBlendColorSpace  gradient_blend_color_space;

  gboolean                     supersample;
  gint                         supersample_depth;
  gdouble                      supersample_threshold;

  gboolean                     dither;

  PikaRGB                     *gradient_cache;
  gint                         gradient_cache_size;
  GMutex                       gradient_cache_mutex;
};

struct _PikaOperationGradientClass
{
  GeglOperationFilterClass  parent_class;
};


GType   pika_operation_gradient_get_type (void) G_GNUC_CONST;


#endif /* __PIKA_OPERATION_GRADIENT_H__ */
