/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikaoperationhistogramsink.h
 * Copyright (C) 2012 Øyvind Kolås
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_OPERATION_HISTOGRAM_SINK_H__
#define __PIKA_OPERATION_HISTOGRAM_SINK_H__


#include <gegl-plugin.h>
#include <operation/gegl-operation-sink.h>


#define PIKA_TYPE_OPERATION_HISTOGRAM_SINK            (pika_operation_histogram_sink_get_type ())
#define PIKA_OPERATION_HISTOGRAM_SINK(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_OPERATION_HISTOGRAM_SINK, PikaOperationHistogramSink))
#define PIKA_OPERATION_HISTOGRAM_SINK_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass),  PIKA_TYPE_OPERATION_HISTOGRAM_SINK, PikaOperationHistogramSinkClass))
#define GEGL_IS_OPERATION_HISTOGRAM_SINK(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_OPERATION_HISTOGRAM_SINK))
#define GEGL_IS_OPERATION_HISTOGRAM_SINK_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass),  PIKA_TYPE_OPERATION_HISTOGRAM_SINK))
#define PIKA_OPERATION_HISTOGRAM_SINK_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj),  PIKA_TYPE_OPERATION_HISTOGRAM_SINK, PikaOperationHistogramSinkClass))


typedef struct _PikaOperationHistogramSink      PikaOperationHistogramSink;
typedef struct _PikaOperationHistogramSinkClass PikaOperationHistogramSinkClass;

struct _PikaOperationHistogramSink
{
  GeglOperation  parent_instance;

  PikaHistogram *histogram;
};

struct _PikaOperationHistogramSinkClass
{
  GeglOperationSinkClass  parent_class;
};


GType   pika_operation_histogram_sink_get_type (void) G_GNUC_CONST;


#endif /* __PIKA_OPERATION_HISTOGRAM_SINK_C__ */
