/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikaoperationmaskcomponents.h
 * Copyright (C) 2012 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_OPERATION_MASK_COMPONENTS_H__
#define __PIKA_OPERATION_MASK_COMPONENTS_H__

#include <gegl-plugin.h>


#define PIKA_TYPE_OPERATION_MASK_COMPONENTS            (pika_operation_mask_components_get_type ())
#define PIKA_OPERATION_MASK_COMPONENTS(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_OPERATION_MASK_COMPONENTS, PikaOperationMaskComponents))
#define PIKA_OPERATION_MASK_COMPONENTS_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass),  PIKA_TYPE_OPERATION_MASK_COMPONENTS, PikaOperationMaskComponentsClass))
#define PIKA_IS_OPERATION_MASK_COMPONENTS(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_OPERATION_MASK_COMPONENTS))
#define PIKA_IS_OPERATION_MASK_COMPONENTS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass),  PIKA_TYPE_OPERATION_MASK_COMPONENTS))
#define PIKA_OPERATION_MASK_COMPONENTS_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj),  PIKA_TYPE_OPERATION_MASK_COMPONENTS, PikaOperationMaskComponentsClass))


typedef struct _PikaOperationMaskComponents      PikaOperationMaskComponents;
typedef struct _PikaOperationMaskComponentsClass PikaOperationMaskComponentsClass;

struct _PikaOperationMaskComponents
{
  GeglOperationPointComposer  parent_instance;

  PikaComponentMask           mask;
  gdouble                     alpha;

  guint32                     alpha_value;
  gpointer                    process;
  const Babl                 *format;
};

struct _PikaOperationMaskComponentsClass
{
  GeglOperationPointComposerClass  parent_class;
};


GType        pika_operation_mask_components_get_type   (void) G_GNUC_CONST;

const Babl * pika_operation_mask_components_get_format (const Babl        *input_format);

void         pika_operation_mask_components_process    (const Babl        *format,
                                                        gconstpointer      in,
                                                        gconstpointer      aux,
                                                        gpointer           out,
                                                        gint               n,
                                                        PikaComponentMask  mask);


#endif /* __PIKA_OPERATION_MASK_COMPONENTS_H__ */
