/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikaoperationoffset.h
 * Copyright (C) 2019 Ell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_OPERATION_OFFSET_H__
#define __PIKA_OPERATION_OFFSET_H__


#define PIKA_TYPE_OPERATION_OFFSET            (pika_operation_offset_get_type ())
#define PIKA_OPERATION_OFFSET(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_OPERATION_OFFSET, PikaOperationOffset))
#define PIKA_OPERATION_OFFSET_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass),  PIKA_TYPE_OPERATION_OFFSET, PikaOperationOffsetClass))
#define PIKA_IS_OPERATION_OFFSET(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_OPERATION_OFFSET))
#define PIKA_IS_OPERATION_OFFSET_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass),  PIKA_TYPE_OPERATION_OFFSET))
#define PIKA_OPERATION_OFFSET_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj),  PIKA_TYPE_OPERATION_OFFSET, PikaOperationOffsetClass))


typedef struct _PikaOperationOffset      PikaOperationOffset;
typedef struct _PikaOperationOffsetClass PikaOperationOffsetClass;

struct _PikaOperationOffset
{
  GeglOperationFilter  parent_instance;

  PikaContext         *context;
  PikaOffsetType       type;
  gint                 x;
  gint                 y;
};

struct _PikaOperationOffsetClass
{
  GeglOperationFilterClass  parent_class;
};


GType   pika_operation_offset_get_type (void) G_GNUC_CONST;


#endif /* __PIKA_OPERATION_OFFSET_H__ */
