/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikaoperationpointfilter.h
 * Copyright (C) 2007 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_OPERATION_POINT_FILTER_H__
#define __PIKA_OPERATION_POINT_FILTER_H__


#include <gegl-plugin.h>
#include <operation/gegl-operation-point-filter.h>


enum
{
  PIKA_OPERATION_POINT_FILTER_PROP_0,
  PIKA_OPERATION_POINT_FILTER_PROP_TRC,
  PIKA_OPERATION_POINT_FILTER_PROP_CONFIG
};


#define PIKA_TYPE_OPERATION_POINT_FILTER            (pika_operation_point_filter_get_type ())
#define PIKA_OPERATION_POINT_FILTER(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_OPERATION_POINT_FILTER, PikaOperationPointFilter))
#define PIKA_OPERATION_POINT_FILTER_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass),  PIKA_TYPE_OPERATION_POINT_FILTER, PikaOperationPointFilterClass))
#define PIKA_IS_OPERATION_POINT_FILTER(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_OPERATION_POINT_FILTER))
#define PIKA_IS_OPERATION_POINT_FILTER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass),  PIKA_TYPE_OPERATION_POINT_FILTER))
#define PIKA_OPERATION_POINT_FILTER_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj),  PIKA_TYPE_OPERATION_POINT_FILTER, PikaOperationPointFilterClass))


typedef struct _PikaOperationPointFilterClass PikaOperationPointFilterClass;

struct _PikaOperationPointFilter
{
  GeglOperationPointFilter  parent_instance;

  PikaTRCType               trc;
  GObject                  *config;
};

struct _PikaOperationPointFilterClass
{
  GeglOperationPointFilterClass  parent_class;
};


GType   pika_operation_point_filter_get_type     (void) G_GNUC_CONST;

void    pika_operation_point_filter_get_property (GObject      *object,
                                                  guint         property_id,
                                                  GValue       *value,
                                                  GParamSpec   *pspec);
void    pika_operation_point_filter_set_property (GObject      *object,
                                                  guint         property_id,
                                                  const GValue *value,
                                                  GParamSpec   *pspec);


#endif /* __PIKA_OPERATION_POINT_FILTER_H__ */
