/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikaoperationposterize.h
 * Copyright (C) 2007 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_OPERATION_POSTERIZE_H__
#define __PIKA_OPERATION_POSTERIZE_H__


#include "pikaoperationpointfilter.h"


#define PIKA_TYPE_OPERATION_POSTERIZE            (pika_operation_posterize_get_type ())
#define PIKA_OPERATION_POSTERIZE(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_OPERATION_POSTERIZE, PikaOperationPosterize))
#define PIKA_OPERATION_POSTERIZE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass),  PIKA_TYPE_OPERATION_POSTERIZE, PikaOperationPosterizeClass))
#define PIKA_IS_OPERATION_POSTERIZE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_OPERATION_POSTERIZE))
#define PIKA_IS_OPERATION_POSTERIZE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass),  PIKA_TYPE_OPERATION_POSTERIZE))
#define PIKA_OPERATION_POSTERIZE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj),  PIKA_TYPE_OPERATION_POSTERIZE, PikaOperationPosterizeClass))


typedef struct _PikaOperationPosterize      PikaOperationPosterize;
typedef struct _PikaOperationPosterizeClass PikaOperationPosterizeClass;

struct _PikaOperationPosterize
{
  PikaOperationPointFilter  parent_instance;

  gint                      levels;
};

struct _PikaOperationPosterizeClass
{
  PikaOperationPointFilterClass  parent_class;
};


GType   pika_operation_posterize_get_type (void) G_GNUC_CONST;


#endif /* __PIKA_OPERATION_POSTERIZE_H__ */
