/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikaoperationsettings.h
 * Copyright (C) 2020 Ell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_OPERATION_SETTINGS_H__
#define __PIKA_OPERATION_SETTINGS_H__


#include "core/pikasettings.h"


#define PIKA_TYPE_OPERATION_SETTINGS            (pika_operation_settings_get_type ())
#define PIKA_OPERATION_SETTINGS(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_OPERATION_SETTINGS, PikaOperationSettings))
#define PIKA_OPERATION_SETTINGS_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass),  PIKA_TYPE_OPERATION_SETTINGS, PikaOperationSettingsClass))
#define PIKA_IS_OPERATION_SETTINGS(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_OPERATION_SETTINGS))
#define PIKA_IS_OPERATION_SETTINGS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass),  PIKA_TYPE_OPERATION_SETTINGS))
#define PIKA_OPERATION_SETTINGS_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj),  PIKA_TYPE_OPERATION_SETTINGS, PikaOperationSettingsClass))


typedef struct _PikaOperationSettingsClass PikaOperationSettingsClass;

struct _PikaOperationSettings
{
  PikaSettings         parent_instance;

  PikaTransformResize  clip;
  PikaFilterRegion     region;
  PikaLayerMode        mode;
  gdouble              opacity;
  gboolean             gamma_hack;
};

struct _PikaOperationSettingsClass
{
  PikaSettingsClass  parent_class;
};


GType      pika_operation_settings_get_type              (void) G_GNUC_CONST;

void       pika_operation_settings_sync_drawable_filter  (PikaOperationSettings *settings,
                                                          PikaDrawableFilter    *filter);


/*  protected  */

gboolean   pika_operation_settings_config_serialize_base (PikaConfig            *config,
                                                          PikaConfigWriter      *writer,
                                                          gpointer               data);
gboolean   pika_operation_settings_config_equal_base     (PikaConfig            *a,
                                                          PikaConfig            *b);
void       pika_operation_settings_config_reset_base     (PikaConfig            *config);
gboolean   pika_operation_settings_config_copy_base      (PikaConfig            *src,
                                                          PikaConfig            *dest,
                                                          GParamFlags            flags);


#endif /* __PIKA_OPERATION_SETTINGS_H__ */
