/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PAINT_TYPES_H__
#define __PAINT_TYPES_H__


#include "core/core-types.h"
#include "paint/paint-enums.h"


/*  paint cores  */

typedef struct _PikaPaintCore        PikaPaintCore;
typedef struct _PikaBrushCore        PikaBrushCore;
typedef struct _PikaSourceCore       PikaSourceCore;

typedef struct _PikaAirbrush         PikaAirbrush;
typedef struct _PikaClone            PikaClone;
typedef struct _PikaConvolve         PikaConvolve;
typedef struct _PikaDodgeBurn        PikaDodgeBurn;
typedef struct _PikaEraser           PikaEraser;
typedef struct _PikaHeal             PikaHeal;
typedef struct _PikaInk              PikaInk;
typedef struct _PikaMybrushCore      PikaMybrushCore;
typedef struct _PikaPaintbrush       PikaPaintbrush;
typedef struct _PikaPencil           PikaPencil;
typedef struct _PikaPerspectiveClone PikaPerspectiveClone;
typedef struct _PikaSmudge           PikaSmudge;


/*  paint options  */

typedef struct _PikaPaintOptions            PikaPaintOptions;
typedef struct _PikaSourceOptions           PikaSourceOptions;

typedef struct _PikaAirbrushOptions         PikaAirbrushOptions;
typedef struct _PikaCloneOptions            PikaCloneOptions;
typedef struct _PikaConvolveOptions         PikaConvolveOptions;
typedef struct _PikaDodgeBurnOptions        PikaDodgeBurnOptions;
typedef struct _PikaEraserOptions           PikaEraserOptions;
typedef struct _PikaInkOptions              PikaInkOptions;
typedef struct _PikaMybrushOptions          PikaMybrushOptions;
typedef struct _PikaPencilOptions           PikaPencilOptions;
typedef struct _PikaPerspectiveCloneOptions PikaPerspectiveCloneOptions;
typedef struct _PikaSmudgeOptions           PikaSmudgeOptions;


/*  functions  */

typedef void (* PikaPaintRegisterCallback) (Pika        *pika,
                                            GType        paint_type,
                                            GType        paint_options_type,
                                            const gchar *identifier,
                                            const gchar *blurb,
                                            const gchar *icon_name);

typedef void (* PikaPaintRegisterFunc)     (Pika                      *pika,
                                            PikaPaintRegisterCallback  callback);


#endif /* __PAINT_TYPES_H__ */
