/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_AIRBRUSH_H__
#define __PIKA_AIRBRUSH_H__


#include "pikapaintbrush.h"


#define PIKA_TYPE_AIRBRUSH            (pika_airbrush_get_type ())
#define PIKA_AIRBRUSH(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_AIRBRUSH, PikaAirbrush))
#define PIKA_AIRBRUSH_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_AIRBRUSH, PikaAirbrushClass))
#define PIKA_IS_AIRBRUSH(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_AIRBRUSH))
#define PIKA_IS_AIRBRUSH_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_AIRBRUSH))
#define PIKA_AIRBRUSH_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_AIRBRUSH, PikaAirbrushClass))


typedef struct _PikaAirbrushClass PikaAirbrushClass;

struct _PikaAirbrush
{
  PikaPaintbrush    parent_instance;

  guint             timeout_id;

  PikaSymmetry     *sym;
  PikaDrawable     *drawable;
  PikaPaintOptions *paint_options;
  PikaCoords        coords;
};

struct _PikaAirbrushClass
{
  PikaPaintbrushClass  parent_class;

  /*  signals  */
  void (* stamp) (PikaAirbrush *airbrush);
};


void    pika_airbrush_register (Pika                      *pika,
                                PikaPaintRegisterCallback  callback);

GType   pika_airbrush_get_type (void) G_GNUC_CONST;

void    pika_airbrush_stamp    (PikaAirbrush              *airbrush);


#endif  /*  __PIKA_AIRBRUSH_H__  */
