/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_CONVOLVE_H__
#define __PIKA_CONVOLVE_H__


#include "pikabrushcore.h"


#define PIKA_TYPE_CONVOLVE            (pika_convolve_get_type ())
#define PIKA_CONVOLVE(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_CONVOLVE, PikaConvolve))
#define PIKA_CONVOLVE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_CONVOLVE, PikaConvolveClass))
#define PIKA_IS_CONVOLVE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_CONVOLVE))
#define PIKA_IS_CONVOLVE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_CONVOLVE))
#define PIKA_CONVOLVE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_CONVOLVE, PikaConvolveClass))


typedef struct _PikaConvolveClass PikaConvolveClass;

struct _PikaConvolve
{
  PikaBrushCore  parent_instance;
  gfloat         matrix[9];
  gfloat         matrix_divisor;
};

struct _PikaConvolveClass
{
  PikaBrushCoreClass parent_class;
};


void    pika_convolve_register (Pika                      *pika,
                                PikaPaintRegisterCallback  callback);

GType   pika_convolve_get_type (void) G_GNUC_CONST;


#endif  /*  __PIKA_CONVOLVE_H__  */
