/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef  __PIKA_INK_OPTIONS_H__
#define  __PIKA_INK_OPTIONS_H__


#include "pikapaintoptions.h"


#define PIKA_TYPE_INK_OPTIONS            (pika_ink_options_get_type ())
#define PIKA_INK_OPTIONS(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_INK_OPTIONS, PikaInkOptions))
#define PIKA_INK_OPTIONS_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_INK_OPTIONS, PikaInkOptionsClass))
#define PIKA_IS_INK_OPTIONS(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_INK_OPTIONS))
#define PIKA_IS_INK_OPTIONS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_INK_OPTIONS))
#define PIKA_INK_OPTIONS_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_INK_OPTIONS, PikaInkOptionsClass))


typedef struct _PikaInkOptionsClass PikaInkOptionsClass;

struct _PikaInkOptions
{
  PikaPaintOptions  parent_instance;

  gdouble           size;
  gdouble           tilt_angle;

  gdouble           size_sensitivity;
  gdouble           vel_sensitivity;
  gdouble           tilt_sensitivity;

  PikaInkBlobType   blob_type;
  gdouble           blob_aspect;
  gdouble           blob_angle;
};

struct _PikaInkOptionsClass
{
  PikaPaintOptionsClass  parent_instance;
};


GType   pika_ink_options_get_type (void) G_GNUC_CONST;


#endif  /*  __PIKA_INK_OPTIONS_H__  */
