/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#include "config.h"

#include <gdk-pixbuf/gdk-pixbuf.h>
#include <gegl.h>

#include "paint-types.h"

#include "pikapencil.h"
#include "pikapenciloptions.h"

#include "pika-intl.h"


G_DEFINE_TYPE (PikaPencil, pika_pencil, PIKA_TYPE_PAINTBRUSH)


void
pika_pencil_register (Pika                      *pika,
                      PikaPaintRegisterCallback  callback)
{
  (* callback) (pika,
                PIKA_TYPE_PENCIL,
                PIKA_TYPE_PENCIL_OPTIONS,
                "pika-pencil",
                _("Pencil"),
                "pika-tool-pencil");
}

static void
pika_pencil_class_init (PikaPencilClass *klass)
{
}

static void
pika_pencil_init (PikaPencil *pencil)
{
}
