/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_SOURCE_OPTIONS_H__
#define __PIKA_SOURCE_OPTIONS_H__


#include "pikapaintoptions.h"


#define PIKA_TYPE_SOURCE_OPTIONS            (pika_source_options_get_type ())
#define PIKA_SOURCE_OPTIONS(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_SOURCE_OPTIONS, PikaSourceOptions))
#define PIKA_SOURCE_OPTIONS_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_SOURCE_OPTIONS, PikaSourceOptionsClass))
#define PIKA_IS_SOURCE_OPTIONS(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_SOURCE_OPTIONS))
#define PIKA_IS_SOURCE_OPTIONS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_SOURCE_OPTIONS))
#define PIKA_SOURCE_OPTIONS_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_SOURCE_OPTIONS, PikaSourceOptionsClass))


typedef struct _PikaSourceOptionsClass PikaSourceOptionsClass;

struct _PikaSourceOptions
{
  PikaPaintOptions     parent_instance;

  GList               *src_drawables;
  gint                 src_x;
  gint                 src_y;

  /* The pickable to use when not in sample merged mode. */
  PikaPickable        *src_pickable;
  PikaImage           *src_image;

  PikaSourceAlignMode  align_mode;
  gboolean             sample_merged;
};

struct _PikaSourceOptionsClass
{
  PikaPaintOptionsClass  parent_class;
};


GType   pika_source_options_get_type (void) G_GNUC_CONST;


#endif  /*  __PIKA_SOURCE_OPTIONS_H__  */
