/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikaenvirontable.h
 * (C) 2002 Manish Singh <yosh@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_ENVIRON_TABLE_H__
#define __PIKA_ENVIRON_TABLE_H__


#define PIKA_TYPE_ENVIRON_TABLE            (pika_environ_table_get_type ())
#define PIKA_ENVIRON_TABLE(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_ENVIRON_TABLE, PikaEnvironTable))
#define PIKA_ENVIRON_TABLE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_ENVIRON_TABLE, PikaEnvironTableClass))
#define PIKA_IS_ENVIRON_TABLE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_ENVIRON_TABLE))
#define PIKA_IS_ENVIRON_TABLE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_ENVIRON_TABLE))
#define PIKA_ENVIRON_TABLE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_ENVIRON_TABLE, PikaEnvironTableClass))


typedef struct _PikaEnvironTableClass PikaEnvironTableClass;

struct _PikaEnvironTable
{
  GObject      parent_instance;

  gboolean     verbose;

  GHashTable  *vars;
  GHashTable  *internal;

  gchar      **envp;
};

struct _PikaEnvironTableClass
{
  GObjectClass  parent_class;
};


GType               pika_environ_table_get_type  (void) G_GNUC_CONST;
PikaEnvironTable  * pika_environ_table_new       (gboolean          verbose);

void                pika_environ_table_load      (PikaEnvironTable *environ_table,
                                                  GList            *path);

void                pika_environ_table_add       (PikaEnvironTable *environ_table,
                                                  const gchar      *name,
                                                  const gchar      *value,
                                                  const gchar      *separator);
void                pika_environ_table_remove    (PikaEnvironTable *environ_table,
                                                  const gchar      *name);

void                pika_environ_table_clear     (PikaEnvironTable *environ_table);
void                pika_environ_table_clear_all (PikaEnvironTable *environ_table);

gchar            ** pika_environ_table_get_envp  (PikaEnvironTable *environ_table);


#endif /* __PIKA_ENVIRON_TABLE_H__ */
