/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikaplugin-cleanup.h
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_PLUG_IN_CLEANUP_H__
#define __PIKA_PLUG_IN_CLEANUP_H__


gboolean   pika_plug_in_cleanup_undo_group_start (PikaPlugIn          *plug_in,
                                                  PikaImage           *image);
gboolean   pika_plug_in_cleanup_undo_group_end   (PikaPlugIn          *plug_in,
                                                  PikaImage           *image);

gboolean   pika_plug_in_cleanup_layers_freeze    (PikaPlugIn          *plug_in,
                                                  PikaImage           *image);
gboolean   pika_plug_in_cleanup_layers_thaw      (PikaPlugIn          *plug_in,
                                                  PikaImage           *image);

gboolean   pika_plug_in_cleanup_channels_freeze  (PikaPlugIn          *plug_in,
                                                  PikaImage           *image);
gboolean   pika_plug_in_cleanup_channels_thaw    (PikaPlugIn          *plug_in,
                                                  PikaImage           *image);

gboolean   pika_plug_in_cleanup_vectors_freeze   (PikaPlugIn          *plug_in,
                                                  PikaImage           *image);
gboolean   pika_plug_in_cleanup_vectors_thaw     (PikaPlugIn          *plug_in,
                                                  PikaImage           *image);

gboolean   pika_plug_in_cleanup_add_shadow       (PikaPlugIn          *plug_in,
                                                  PikaDrawable        *drawable);
gboolean   pika_plug_in_cleanup_remove_shadow    (PikaPlugIn          *plug_in,
                                                  PikaDrawable        *drawable);

void       pika_plug_in_cleanup                  (PikaPlugIn          *plug_in,
                                                  PikaPlugInProcFrame *proc_frame);


#endif /* __PIKA_PLUG_IN_CLEANUP_H__ */
