/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikaplugindebug.h
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_PLUG_IN_DEBUG_H__
#define __PIKA_PLUG_IN_DEBUG_H__


typedef enum
{
  PIKA_DEBUG_WRAP_QUERY = 1 << 0,
  PIKA_DEBUG_WRAP_INIT  = 1 << 1,
  PIKA_DEBUG_WRAP_RUN   = 1 << 2,

  PIKA_DEBUG_WRAP_DEFAULT = PIKA_DEBUG_WRAP_RUN
} PikaDebugWrapFlag;


PikaPlugInDebug  * pika_plug_in_debug_new  (void);
void               pika_plug_in_debug_free (PikaPlugInDebug    *debug);

gchar           ** pika_plug_in_debug_argv (PikaPlugInDebug    *debug,
                                            const gchar        *name,
                                            PikaDebugWrapFlag   flag,
                                            const gchar       **args);


#endif /* __PIKA_PLUG_IN_DEBUG_H__ */
