/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikapluginmanager-call.h
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_PLUG_IN_MANAGER_CALL_H__
#define __PIKA_PLUG_IN_MANAGER_CALL_H__

#ifndef __YES_I_NEED_PIKA_PLUG_IN_MANAGER_CALL__
#error Do not use pika_plug_in_manager_call_run*(), use pika_procedure_execute*() instead.
#endif


/*  Call the plug-in's query() function
 */
void             pika_plug_in_manager_call_query    (PikaPlugInManager      *manager,
                                                     PikaContext            *context,
                                                     PikaPlugInDef          *plug_in_def);

/*  Call the plug-in's init() function
 */
void             pika_plug_in_manager_call_init     (PikaPlugInManager      *manager,
                                                     PikaContext            *context,
                                                     PikaPlugInDef          *plug_in_def);

/*  Run a plug-in as if it were a procedure database procedure
 */
PikaValueArray * pika_plug_in_manager_call_run      (PikaPlugInManager      *manager,
                                                     PikaContext            *context,
                                                     PikaProgress           *progress,
                                                     PikaPlugInProcedure    *procedure,
                                                     PikaValueArray         *args,
                                                     gboolean                synchronous,
                                                     PikaDisplay            *display);

/*  Run a temp plug-in proc as if it were a procedure database procedure
 */
PikaValueArray * pika_plug_in_manager_call_run_temp (PikaPlugInManager      *manager,
                                                     PikaContext            *context,
                                                     PikaProgress           *progress,
                                                     PikaTemporaryProcedure *procedure,
                                                     PikaValueArray         *args);


#endif /* __PIKA_PLUG_IN_MANAGER_CALL_H__ */
