/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikapluginmanager-file.h
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_PLUG_IN_MANAGER_FILE_H__
#define __PIKA_PLUG_IN_MANAGER_FILE_H__


void       pika_plug_in_manager_add_load_procedure    (PikaPlugInManager      *manager,
                                                       PikaPlugInProcedure    *proc);
void       pika_plug_in_manager_add_save_procedure    (PikaPlugInManager      *manager,
                                                       PikaPlugInProcedure    *proc);

GSList   * pika_plug_in_manager_get_file_procedures   (PikaPlugInManager      *manager,
                                                       PikaFileProcedureGroup  group);

PikaPlugInProcedure *
pika_plug_in_manager_file_procedure_find              (PikaPlugInManager      *manager,
                                                       PikaFileProcedureGroup  group,
                                                       GFile                  *file,
                                                       GError                **error);
PikaPlugInProcedure *
pika_plug_in_manager_file_procedure_find_by_prefix    (PikaPlugInManager      *manager,
                                                       PikaFileProcedureGroup  group,
                                                       GFile                  *file);
PikaPlugInProcedure *
pika_plug_in_manager_file_procedure_find_by_extension (PikaPlugInManager      *manager,
                                                       PikaFileProcedureGroup  group,
                                                       GFile                  *file);
PikaPlugInProcedure *
pika_plug_in_manager_file_procedure_find_by_mime_type (PikaPlugInManager      *manager,
                                                       PikaFileProcedureGroup  group,
                                                       const gchar            *mime_type);


#endif /* __PIKA_PLUG_IN_MANAGER_FILE_H__ */
