/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikapluginmanager-menu-branch.h
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_PLUG_IN_MANAGER_MENU_BRANCH_H__
#define __PIKA_PLUG_IN_MANAGER_MENU_BRANCH_H__


struct _PikaPlugInMenuBranch
{
  GFile *file;
  gchar *menu_path;
  gchar *menu_label;
};


void     pika_plug_in_manager_menu_branch_exit  (PikaPlugInManager *manager);

/* Add a menu branch */
void     pika_plug_in_manager_add_menu_branch   (PikaPlugInManager *manager,
                                                 GFile             *file,
                                                 const gchar       *menu_path,
                                                 const gchar       *menu_label);
GSList * pika_plug_in_manager_get_menu_branches (PikaPlugInManager *manager);


#endif /* __PIKA_PLUG_IN_MANAGER_MENU_BRANCH_H__ */
