/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikatemporaryprocedure.h
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_TEMPORARY_PROCEDURE_H__
#define __PIKA_TEMPORARY_PROCEDURE_H__


#include "pikapluginprocedure.h"


#define PIKA_TYPE_TEMPORARY_PROCEDURE            (pika_temporary_procedure_get_type ())
#define PIKA_TEMPORARY_PROCEDURE(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_TEMPORARY_PROCEDURE, PikaTemporaryProcedure))
#define PIKA_TEMPORARY_PROCEDURE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_TEMPORARY_PROCEDURE, PikaTemporaryProcedureClass))
#define PIKA_IS_TEMPORARY_PROCEDURE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_TEMPORARY_PROCEDURE))
#define PIKA_IS_TEMPORARY_PROCEDURE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_TEMPORARY_PROCEDURE))
#define PIKA_TEMPORARY_PROCEDURE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_TEMPORARY_PROCEDURE, PikaTemporaryProcedureClass))


typedef struct _PikaTemporaryProcedureClass PikaTemporaryProcedureClass;

struct _PikaTemporaryProcedure
{
  PikaPlugInProcedure  parent_instance;

  PikaPlugIn          *plug_in;
};

struct _PikaTemporaryProcedureClass
{
  PikaPlugInProcedureClass parent_class;
};


GType           pika_temporary_procedure_get_type (void) G_GNUC_CONST;

PikaProcedure * pika_temporary_procedure_new      (PikaPlugIn *plug_in);


#endif /* __PIKA_TEMPORARY_PROCEDURE_H__ */
