/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PLUG_IN_ENUMS_H__
#define __PLUG_IN_ENUMS_H__


#define PIKA_TYPE_PLUG_IN_IMAGE_TYPE (pika_plug_in_image_type_get_type ())

GType pika_plug_in_image_type_get_type (void) G_GNUC_CONST;

typedef enum
{
  PIKA_PLUG_IN_RGB_IMAGE      = 1 << 0,
  PIKA_PLUG_IN_GRAY_IMAGE     = 1 << 1,
  PIKA_PLUG_IN_INDEXED_IMAGE  = 1 << 2,
  PIKA_PLUG_IN_RGBA_IMAGE     = 1 << 3,
  PIKA_PLUG_IN_GRAYA_IMAGE    = 1 << 4,
  PIKA_PLUG_IN_INDEXEDA_IMAGE = 1 << 5
} PikaPlugInImageType;


#define PIKA_TYPE_PLUG_CALL_MODE (pika_plug_in_call_mode_get_type ())

GType pika_plug_in_call_mode_get_type (void) G_GNUC_CONST;

typedef enum
{
  PIKA_PLUG_IN_CALL_NONE,
  PIKA_PLUG_IN_CALL_RUN,
  PIKA_PLUG_IN_CALL_QUERY,
  PIKA_PLUG_IN_CALL_INIT
} PikaPlugInCallMode;


#define PIKA_TYPE_FILE_PROCEDURE_GROUP (pika_file_procedure_group_get_type ())

GType pika_file_procedure_group_get_type (void) G_GNUC_CONST;

typedef enum
{
  PIKA_FILE_PROCEDURE_GROUP_NONE,
  PIKA_FILE_PROCEDURE_GROUP_ANY,
  PIKA_FILE_PROCEDURE_GROUP_OPEN,
  PIKA_FILE_PROCEDURE_GROUP_SAVE,
  PIKA_FILE_PROCEDURE_GROUP_EXPORT
} PikaFileProcedureGroup;


#endif /* __PLUG_IN_ENUMS_H__ */
