/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 2009 Martin Nordholts <martinn@src.gnome.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef  __PIKA_APP_TEST_UTILS_H__
#define  __PIKA_APP_TEST_UTILS_H__


void            pika_test_utils_set_env_to_subdir    (const gchar *root_env_var,
                                                      const gchar *subdir,
                                                      const gchar *target_env_var);
void            pika_test_utils_set_env_to_subpath   (const gchar *root_env_var1,
                                                      const gchar *root_env_var2,
                                                      const gchar *subdir,
                                                      const gchar *target_env_var);
void            pika_test_utils_set_pika3_directory  (const gchar *root_env_var,
                                                      const gchar *subdir);
void            pika_test_utils_setup_menus_path     (void);
void            pika_test_utils_create_image         (Pika        *pika,
                                                      gint         width,
                                                      gint         height);
void            pika_test_utils_synthesize_key_event (GtkWidget   *widget,
                                                      guint        keyval);
PikaUIManager * pika_test_utils_get_ui_manager       (Pika        *pika);
PikaImage     * pika_test_utils_create_image_from_dialog
                                                     (Pika        *pika);


#endif /* __PIKA_APP_TEST_UTILS_H__ */
