/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikafont.h
 * Copyright (C) 2003 Michael Natterer <mitch@gimp.org>
 *                    Sven Neumann <sven@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_FONT_H__
#define __PIKA_FONT_H__


#include "core/pikadata.h"


#define PIKA_TYPE_FONT            (pika_font_get_type ())
#define PIKA_FONT(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_FONT, PikaFont))
#define PIKA_FONT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_FONT, PikaFontClass))
#define PIKA_IS_FONT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_FONT))
#define PIKA_IS_FONT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_FONT))
#define PIKA_FONT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_FONT, PikaFontClass))


typedef struct _PikaFontClass PikaFontClass;

GType         pika_font_get_type               (void) G_GNUC_CONST;

PikaData    * pika_font_get_standard           (void);
const gchar * pika_font_get_lookup_name        (PikaFont      *font);
void          pika_font_set_lookup_name        (PikaFont      *font,
                                                gchar         *name);
gboolean      pika_font_match_by_lookup_name   (PikaFont      *font,
                                                const gchar   *name);
void          pika_font_set_font_info          (PikaFont      *font,
                                                gpointer       font_info[]);
void          pika_font_class_set_font_factory (PikaContainer *factory);

enum
{
  /* properties for serialization*/
  PROP_HASH,
  PROP_FULLNAME,
  PROP_FAMILY,
  PROP_STYLE,
  PROP_PSNAME,
  PROP_WEIGHT,
  PROP_WIDTH,
  PROP_INDEX,
  PROP_SLANT,
  PROP_FONTVERSION,

  /*for backward compatibility*/
  PROP_DESC,

  PROPERTIES_COUNT
};

#endif /* __PIKA_FONT_H__ */
