/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikafontfactory.h
 * Copyright (C) 2018 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_FONT_FACTORY_H__
#define __PIKA_FONT_FACTORY_H__


#include "core/pikadatafactory.h"


#define PIKA_TYPE_FONT_FACTORY            (pika_font_factory_get_type ())
#define PIKA_FONT_FACTORY(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_FONT_FACTORY, PikaFontFactory))
#define PIKA_FONT_FACTORY_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_FONT_FACTORY, PikaFontFactoryClass))
#define PIKA_IS_FONT_FACTORY(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_FONT_FACTORY))
#define PIKA_IS_FONT_FACTORY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_FONT_FACTORY))
#define PIKA_FONT_FACTORY_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_FONT_FACTORY, PikaFontFactoryClass))


typedef struct _PikaFontFactoryPrivate PikaFontFactoryPrivate;
typedef struct _PikaFontFactoryClass   PikaFontFactoryClass;

struct _PikaFontFactory
{
  PikaDataFactory         parent_instance;

  PikaFontFactoryPrivate *priv;
};

struct _PikaFontFactoryClass
{
  PikaDataFactoryClass  parent_class;
};


GType             pika_font_factory_get_type (void) G_GNUC_CONST;

PikaDataFactory * pika_font_factory_new      (Pika        *pika,
                                              const gchar *path_property_name);


#endif  /*  __PIKA_FONT_FACTORY_H__  */
