/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * PikaTextLayer
 * Copyright (C) 2002-2003  Sven Neumann <sven@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_TEXT_LAYER_TRANSFORM_H__
#define __PIKA_TEXT_LAYER_TRANSFORM_H__


void  pika_text_layer_scale     (PikaItem               *item,
                                 gint                    new_width,
                                 gint                    new_height,
                                 gint                    new_offset_x,
                                 gint                    new_offset_y,
                                 PikaInterpolationType   interpolation_type,
                                 PikaProgress           *progress);
void  pika_text_layer_flip      (PikaItem               *item,
                                 PikaContext            *context,
                                 PikaOrientationType     flip_type,
                                 gdouble                 axis,
                                 gboolean                clip_result);
void  pika_text_layer_rotate    (PikaItem               *item,
                                 PikaContext            *context,
                                 PikaRotationType        rotate_type,
                                 gdouble                 center_x,
                                 gdouble                 center_y,
                                 gboolean                clip_result);
void  pika_text_layer_transform (PikaItem               *item,
                                 PikaContext            *context,
                                 const PikaMatrix3      *matrix,
                                 PikaTransformDirection  direction,
                                 PikaInterpolationType   interpolation_type,
                                 gboolean                supersample,
                                 PikaTransformResize     clip_result,
                                 PikaProgress           *progress);


#endif /* __PIKA_TEXT_LAYER_TRANSFORM_H__ */
