/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * PikaText
 * Copyright (C) 2002-2003  Sven Neumann <sven@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_TEXT_LAYOUT_H__
#define __PIKA_TEXT_LAYOUT_H__


#define PIKA_TYPE_TEXT_LAYOUT    (pika_text_layout_get_type ())
#define PIKA_TEXT_LAYOUT(obj)    (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_TEXT_LAYOUT, PikaTextLayout))
#define PIKA_IS_TEXT_LAYOUT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_TEXT_LAYOUT))


typedef struct _PikaTextLayoutClass PikaTextLayoutClass;

struct _PikaTextLayoutClass
{
  GObjectClass   parent_class;
};


GType            pika_text_layout_get_type             (void) G_GNUC_CONST;

PikaTextLayout * pika_text_layout_new                  (PikaText       *text,
                                                        gdouble         xres,
                                                        gdouble         yres,
                                                        GError        **error);
gboolean         pika_text_layout_get_size             (PikaTextLayout *layout,
                                                        gint           *width,
                                                        gint           *height);
void             pika_text_layout_get_offsets          (PikaTextLayout *layout,
                                                        gint           *x,
                                                        gint           *y);
void             pika_text_layout_get_resolution       (PikaTextLayout *layout,
                                                        gdouble        *xres,
                                                        gdouble        *yres);

PikaText       * pika_text_layout_get_text             (PikaTextLayout *layout);
PangoLayout    * pika_text_layout_get_pango_layout     (PikaTextLayout *layout);

void             pika_text_layout_get_transform        (PikaTextLayout *layout,
                                                        cairo_matrix_t *matrix);

void             pika_text_layout_transform_rect       (PikaTextLayout *layout,
                                                        PangoRectangle *rect);
void             pika_text_layout_transform_point      (PikaTextLayout *layout,
                                                        gdouble        *x,
                                                        gdouble        *y);
void             pika_text_layout_transform_distance   (PikaTextLayout *layout,
                                                        gdouble        *x,
                                                        gdouble        *y);

void             pika_text_layout_untransform_rect     (PikaTextLayout *layout,
                                                        PangoRectangle *rect);
void             pika_text_layout_untransform_point    (PikaTextLayout *layout,
                                                        gdouble        *x,
                                                        gdouble        *y);
void             pika_text_layout_untransform_distance (PikaTextLayout *layout,
                                                        gdouble        *x,
                                                        gdouble        *y);


#endif /* __PIKA_TEXT_LAYOUT_H__ */
