/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __TEXT_ENUMS_H__
#define __TEXT_ENUMS_H__


#define PIKA_TYPE_TEXT_BOX_MODE (pika_text_box_mode_get_type ())

GType pika_text_box_mode_get_type (void) G_GNUC_CONST;

typedef enum
{
  PIKA_TEXT_BOX_DYNAMIC, /*< desc="Dynamic" >*/
  PIKA_TEXT_BOX_FIXED    /*< desc="Fixed"   >*/
} PikaTextBoxMode;


#define PIKA_TYPE_TEXT_OUTLINE (pika_text_outline_get_type ())

GType pika_text_outline_get_type (void) G_GNUC_CONST;

typedef enum
{
  PIKA_TEXT_OUTLINE_NONE,        /*< desc="Filled"              >*/
  PIKA_TEXT_OUTLINE_STROKE_ONLY, /*< desc="Outlined"            >*/
  PIKA_TEXT_OUTLINE_STROKE_FILL  /*< desc="Outlined and filled" >*/
} PikaTextOutline;


#endif /* __TEXT_ENUMS_H__ */
