/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995-2001 Spencer Kimball, Peter Mattis and others
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_TOOLS_H__
#define __PIKA_TOOLS_H__


void       pika_tools_init        (Pika              *pika);
void       pika_tools_exit        (Pika              *pika);

void       pika_tools_restore     (Pika              *pika);
void       pika_tools_save        (Pika              *pika,
                                   gboolean           save_tool_options,
                                   gboolean           always_save);

gboolean   pika_tools_clear       (Pika              *pika,
                                   GError           **error);

gboolean   pika_tools_serialize   (Pika              *pika,
                                   PikaContainer     *container,
                                   PikaConfigWriter  *writer);
gboolean   pika_tools_deserialize (Pika              *pika,
                                   PikaContainer     *container,
                                   GScanner          *scanner);

void       pika_tools_reset       (Pika              *pika,
                                   PikaContainer     *container,
                                   gboolean           user_toolrc);


#endif  /* __PIKA_TOOLS_H__ */
