/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_ALIGN_OPTIONS_H__
#define __PIKA_ALIGN_OPTIONS_H__


#include "core/pikatooloptions.h"


#define PIKA_TYPE_ALIGN_OPTIONS            (pika_align_options_get_type ())
#define PIKA_ALIGN_OPTIONS(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_ALIGN_OPTIONS, PikaAlignOptions))
#define PIKA_ALIGN_OPTIONS_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_ALIGN_OPTIONS, PikaAlignOptionsClass))
#define PIKA_IS_ALIGN_OPTIONS(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_ALIGN_OPTIONS))
#define PIKA_IS_ALIGN_OPTIONS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_ALIGN_OPTIONS))
#define PIKA_ALIGN_OPTIONS_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_ALIGN_OPTIONS, PikaAlignOptionsClass))


typedef struct _PikaAlignOptions        PikaAlignOptions;
typedef struct _PikaAlignOptionsPrivate PikaAlignOptionsPrivate;
typedef struct _PikaAlignOptionsClass   PikaAlignOptionsClass;

struct _PikaAlignOptions
{
  PikaToolOptions          parent_instance;

  PikaAlignReferenceType   align_reference;

  PikaAlignOptionsPrivate *priv;
};

struct _PikaAlignOptionsClass
{
  PikaToolOptionsClass  parent_class;

  void (* align_button_clicked) (PikaAlignOptions  *options,
                                 PikaAlignmentType  align_type);
};


GType       pika_align_options_get_type          (void) G_GNUC_CONST;

GtkWidget * pika_align_options_gui               (PikaToolOptions  *tool_options);

GList     * pika_align_options_get_objects       (PikaAlignOptions *options);
void        pika_align_options_get_pivot         (PikaAlignOptions *options,
                                                  gdouble          *x,
                                                  gdouble          *y);

void        pika_align_options_pick_reference    (PikaAlignOptions *options,
                                                  GObject          *object);
GObject   * pika_align_options_get_reference     (PikaAlignOptions *options,
                                                  gboolean          blink_if_none);
gboolean    pika_align_options_align_contents    (PikaAlignOptions *options);

void        pika_align_options_pick_guide        (PikaAlignOptions *options,
                                                  PikaGuide        *guide,
                                                  gboolean          extend);


#endif /* __PIKA_ALIGN_OPTIONS_H__ */
