/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_BRIGHTNESS_CONTRAST_TOOL_H__
#define __PIKA_BRIGHTNESS_CONTRAST_TOOL_H__


#include "pikafiltertool.h"


#define PIKA_TYPE_BRIGHTNESS_CONTRAST_TOOL            (pika_brightness_contrast_tool_get_type ())
#define PIKA_BRIGHTNESS_CONTRAST_TOOL(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_BRIGHTNESS_CONTRAST_TOOL, PikaBrightnessContrastTool))
#define PIKA_BRIGHTNESS_CONTRAST_TOOL_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_BRIGHTNESS_CONTRAST_TOOL, PikaBrightnessContrastToolClass))
#define PIKA_IS_BRIGHTNESS_CONTRAST_TOOL(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_BRIGHTNESS_CONTRAST_TOOL))
#define PIKA_IS_BRIGHTNESS_CONTRAST_TOOL_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_BRIGHTNESS_CONTRAST_TOOL))
#define PIKA_BRIGHTNESS_CONTRAST_TOOL_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_BRIGHTNESS_CONTRAST_TOOL, PikaBrightnessContrastToolClass))


typedef struct _PikaBrightnessContrastTool      PikaBrightnessContrastTool;
typedef struct _PikaBrightnessContrastToolClass PikaBrightnessContrastToolClass;

struct _PikaBrightnessContrastTool
{
  PikaFilterTool  parent_instance;

  gboolean        dragging;
  gdouble         x, y;
  gdouble         dx, dy;

  /* dialog */
  GtkWidget      *brightness_scale;
  GtkWidget      *contrast_scale;
};

struct _PikaBrightnessContrastToolClass
{
  PikaFilterToolClass  parent_class;
};


void    pika_brightness_contrast_tool_register (PikaToolRegisterCallback  callback,
                                                gpointer                  data);

GType   pika_brightness_contrast_tool_get_type (void) G_GNUC_CONST;


#endif  /*  __PIKA_BRIGHTNESS_CONTRAST_TOOL_H__  */
