/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_BRUSH_TOOL_H__
#define __PIKA_BRUSH_TOOL_H__


#include "pikapainttool.h"


#define PIKA_TYPE_BRUSH_TOOL            (pika_brush_tool_get_type ())
#define PIKA_BRUSH_TOOL(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_BRUSH_TOOL, PikaBrushTool))
#define PIKA_BRUSH_TOOL_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_BRUSH_TOOL, PikaBrushToolClass))
#define PIKA_IS_BRUSH_TOOL(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_BRUSH_TOOL))
#define PIKA_IS_BRUSH_TOOL_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_BRUSH_TOOL))
#define PIKA_BRUSH_TOOL_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_BRUSH_TOOL, PikaBrushToolClass))


typedef struct _PikaBrushToolClass PikaBrushToolClass;

struct _PikaBrushTool
{
  PikaPaintTool   parent_instance;

  PikaBezierDesc *boundary;
  gint            boundary_width;
  gint            boundary_height;
  gdouble         boundary_scale;
  gdouble         boundary_aspect_ratio;
  gdouble         boundary_angle;
  gboolean        boundary_reflect;
  gdouble         boundary_hardness;
};

struct _PikaBrushToolClass
{
  PikaPaintToolClass  parent_class;
};


GType            pika_brush_tool_get_type       (void) G_GNUC_CONST;

PikaCanvasItem * pika_brush_tool_create_outline (PikaBrushTool *brush_tool,
                                                 PikaDisplay   *display,
                                                 gdouble        x,
                                                 gdouble        y);


#endif  /*  __PIKA_BRUSH_TOOL_H__  */
