/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_CROP_OPTIONS_H__
#define __PIKA_CROP_OPTIONS_H__


#include "core/pikatooloptions.h"


#define PIKA_TYPE_CROP_OPTIONS            (pika_crop_options_get_type ())
#define PIKA_CROP_OPTIONS(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_CROP_OPTIONS, PikaCropOptions))
#define PIKA_CROP_OPTIONS_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_CROP_OPTIONS, PikaCropOptionsClass))
#define PIKA_IS_CROP_OPTIONS(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_CROP_OPTIONS))
#define PIKA_IS_CROP_OPTIONS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_CROP_OPTIONS))
#define PIKA_CROP_OPTIONS_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_CROP_OPTIONS, PikaCropOptionsClass))


typedef struct _PikaCropOptions      PikaCropOptions;
typedef struct _PikaToolOptionsClass PikaCropOptionsClass;

struct _PikaCropOptions
{
  PikaToolOptions  parent_instance;

  /* Work on the current layer rather than the image. */
  gboolean         layer_only;

  /* Allow the crop rectangle to be larger than the image/layer. This
   * will resize the image/layer.
   */
  gboolean         allow_growing;

  /* How to fill new areas created by 'allow_growing. */
  PikaFillType     fill_type;

  /* Whether to discard layer data that falls out of the crop region */
  gboolean         delete_pixels;
};


GType       pika_crop_options_get_type (void) G_GNUC_CONST;

GtkWidget * pika_crop_options_gui      (PikaToolOptions *tool_options);


#endif /* __PIKA_CROP_OPTIONS_H__ */
