/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_CURVES_TOOL_H__
#define __PIKA_CURVES_TOOL_H__


#include "pikafiltertool.h"


#define PIKA_TYPE_CURVES_TOOL            (pika_curves_tool_get_type ())
#define PIKA_CURVES_TOOL(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_CURVES_TOOL, PikaCurvesTool))
#define PIKA_IS_CURVES_TOOL(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_CURVES_TOOL))
#define PIKA_CURVES_TOOL_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_CURVES_TOOL, PikaCurvesToolClass))
#define PIKA_IS_CURVES_TOOL_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_CURVES_TOOL))


typedef struct _PikaCurvesTool      PikaCurvesTool;
typedef struct _PikaCurvesToolClass PikaCurvesToolClass;

struct _PikaCurvesTool
{
  PikaFilterTool  parent_instance;

  /* dialog */
  gdouble           scale;
  gdouble           picked_color[5];

  GtkWidget        *channel_menu;
  GtkWidget        *xrange;
  GtkWidget        *yrange;
  GtkWidget        *graph;
  GtkWidget        *point_box;
  GtkWidget        *point_input;
  GtkWidget        *point_output;
  GtkWidget        *point_type;
  GtkWidget        *curve_type;

  /* export dialog */
  gboolean          export_old_format;
};

struct _PikaCurvesToolClass
{
  PikaFilterToolClass  parent_class;
};


void    pika_curves_tool_register (PikaToolRegisterCallback  callback,
                                   gpointer                  data);

GType   pika_curves_tool_get_type (void) G_GNUC_CONST;


#endif  /*  __PIKA_CURVES_TOOL_H__  */
