/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_EDIT_SELECTION_TOOL_H__
#define __PIKA_EDIT_SELECTION_TOOL_H__


#include "pikadrawtool.h"


#define PIKA_TYPE_EDIT_SELECTION_TOOL            (pika_edit_selection_tool_get_type ())
#define PIKA_EDIT_SELECTION_TOOL(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_EDIT_SELECTION_TOOL, PikaEditSelectionTool))
#define PIKA_EDIT_SELECTION_TOOL_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_EDIT_SELECTION_TOOL, PikaEditSelectionToolClass))
#define PIKA_IS_EDIT_SELECTION_TOOL(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_EDIT_SELECTION_TOOL))
#define PIKA_IS_EDIT_SELECTION_TOOL_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_EDIT_SELECTION_TOOL))


GType      pika_edit_selection_tool_get_type  (void) G_GNUC_CONST;

void       pika_edit_selection_tool_start     (PikaTool          *parent_tool,
                                               PikaDisplay       *display,
                                               const PikaCoords  *coords,
                                               PikaTranslateMode  edit_mode,
                                               gboolean           propagate_release);

gboolean   pika_edit_selection_tool_key_press (PikaTool          *tool,
                                               GdkEventKey       *kevent,
                                               PikaDisplay       *display);
gboolean   pika_edit_selection_tool_translate (PikaTool          *tool,
                                               GdkEventKey       *kevent,
                                               PikaTransformType  translate_type,
                                               PikaDisplay       *display,
                                               GtkWidget        **type_box);


#endif  /*  __PIKA_EDIT_SELECTION_TOOL_H__  */
