/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_FILTER_OPTIONS_H__
#define __PIKA_FILTER_OPTIONS_H__


#include "pikacoloroptions.h"


#define PIKA_TYPE_FILTER_OPTIONS            (pika_filter_options_get_type ())
#define PIKA_FILTER_OPTIONS(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_FILTER_OPTIONS, PikaFilterOptions))
#define PIKA_FILTER_OPTIONS_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_FILTER_OPTIONS, PikaFilterOptionsClass))
#define PIKA_IS_FILTER_OPTIONS(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_FILTER_OPTIONS))
#define PIKA_IS_FILTER_OPTIONS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_FILTER_OPTIONS))
#define PIKA_FILTER_OPTIONS_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_FILTER_OPTIONS, PikaFilterOptionsClass))


typedef struct _PikaFilterOptionsClass PikaFilterOptionsClass;

struct _PikaFilterOptions
{
  PikaColorOptions   parent_instance;

  gboolean           preview;
  gboolean           preview_split;
  PikaAlignmentType  preview_split_alignment;
  gint               preview_split_position;
  gboolean           controller;

  gboolean           blending_options_expanded;
  gboolean           color_options_expanded;
};

struct _PikaFilterOptionsClass
{
  PikaColorOptionsClass  parent_instance;
};


GType   pika_filter_options_get_type                   (void) G_GNUC_CONST;

void    pika_filter_options_switch_preview_side        (PikaFilterOptions *options);
void    pika_filter_options_switch_preview_orientation (PikaFilterOptions *options,
                                                        gint               position_x,
                                                        gint               position_y);


#endif /* __PIKA_FILTER_OPTIONS_H__ */
