/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef  __PIKA_GRADIENT_TOOL_EDITOR_H__
#define  __PIKA_GRADIENT_TOOL_EDITOR_H__


void          pika_gradient_tool_editor_options_notify   (PikaGradientTool *gradient_tool,
                                                          PikaToolOptions  *options,
                                                          const GParamSpec *pspec);

void          pika_gradient_tool_editor_start            (PikaGradientTool *gradient_tool);
void          pika_gradient_tool_editor_halt             (PikaGradientTool *gradient_tool);

gboolean      pika_gradient_tool_editor_line_changed     (PikaGradientTool *gradient_tool);

void          pika_gradient_tool_editor_fg_bg_changed    (PikaGradientTool *gradient_tool);

void          pika_gradient_tool_editor_gradient_dirty   (PikaGradientTool *gradient_tool);

void          pika_gradient_tool_editor_gradient_changed (PikaGradientTool *gradient_tool);

const gchar * pika_gradient_tool_editor_can_undo         (PikaGradientTool *gradient_tool);
const gchar * pika_gradient_tool_editor_can_redo         (PikaGradientTool *gradient_tool);

gboolean      pika_gradient_tool_editor_undo             (PikaGradientTool *gradient_tool);
gboolean      pika_gradient_tool_editor_redo             (PikaGradientTool *gradient_tool);

void          pika_gradient_tool_editor_start_edit       (PikaGradientTool *gradient_tool);
void          pika_gradient_tool_editor_end_edit         (PikaGradientTool *gradient_tool,
                                                          gboolean          cancel);


#endif  /*  __PIKA_GRADIENT_TOOL_EDITOR_H__  */
