/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_GUIDE_TOOL_H__
#define __PIKA_GUIDE_TOOL_H__


#include "pikadrawtool.h"


#define PIKA_TYPE_GUIDE_TOOL            (pika_guide_tool_get_type ())
#define PIKA_GUIDE_TOOL(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_GUIDE_TOOL, PikaGuideTool))
#define PIKA_GUIDE_TOOL_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_GUIDE_TOOL, PikaGuideToolClass))
#define PIKA_IS_GUIDE_TOOL(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_GUIDE_TOOL))
#define PIKA_IS_GUIDE_TOOL_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_GUIDE_TOOL))
#define PIKA_GUIDE_TOOL_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_GUIDE_TOOL, PikaGuideToolClass))


typedef struct _PikaGuideToolGuide PikaGuideToolGuide;
typedef struct _PikaGuideTool      PikaGuideTool;
typedef struct _PikaGuideToolClass PikaGuideToolClass;

struct _PikaGuideToolGuide
{
  PikaGuide           *guide;

  gint                 old_position;
  gint                 position;
  PikaOrientationType  orientation;
  gboolean             custom;
};

struct _PikaGuideTool
{
  PikaDrawTool        parent_instance;

  PikaGuideToolGuide *guides;
  gint                n_guides;
};

struct _PikaGuideToolClass
{
  PikaDrawToolClass  parent_class;
};


GType   pika_guide_tool_get_type        (void) G_GNUC_CONST;

void    pika_guide_tool_start_new       (PikaTool            *parent_tool,
                                         PikaDisplay         *display,
                                         PikaOrientationType  orientation);
void    pika_guide_tool_start_edit      (PikaTool            *parent_tool,
                                         PikaDisplay         *display,
                                         PikaGuide           *guide);
void    pika_guide_tool_start_edit_many (PikaTool            *parent_tool,
                                         PikaDisplay         *display,
                                         GList               *guides);


#endif  /*  __PIKA_GUIDE_TOOL_H__  */
