/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_MEASURE_TOOL_H__
#define __PIKA_MEASURE_TOOL_H__


#include "pikatransformtool.h"


#define PIKA_TYPE_MEASURE_TOOL            (pika_measure_tool_get_type ())
#define PIKA_MEASURE_TOOL(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_MEASURE_TOOL, PikaMeasureTool))
#define PIKA_MEASURE_TOOL_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_MEASURE_TOOL, PikaMeasureToolClass))
#define PIKA_IS_MEASURE_TOOL(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_MEASURE_TOOL))
#define PIKA_IS_MEASURE_TOOL_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_MEASURE_TOOL))
#define PIKA_MEASURE_TOOL_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_MEASURE_TOOL, PikaMeasureToolClass))

#define PIKA_MEASURE_TOOL_GET_OPTIONS(t)  (PIKA_MEASURE_OPTIONS (pika_tool_get_options (PIKA_TOOL (t))))


typedef struct _PikaMeasureTool      PikaMeasureTool;
typedef struct _PikaMeasureToolClass PikaMeasureToolClass;

struct _PikaMeasureTool
{
  PikaTransformTool  parent_instance;

  PikaToolWidget    *widget;
  PikaToolWidget    *grab_widget;

  gboolean           supress_guides;

  gint               n_points;
  gint               x[3];
  gint               y[3];

  PikaToolGui       *gui;
  GtkWidget         *distance_label[2];
  GtkWidget         *angle_label[2];
  GtkWidget         *width_label[2];
  GtkWidget         *height_label[2];
  GtkWidget         *unit_label[4];
};

struct _PikaMeasureToolClass
{
  PikaTransformToolClass  parent_class;
};


void    pika_measure_tool_register (PikaToolRegisterCallback  callback,
                                    gpointer                  data);

GType   pika_measure_tool_get_type (void) G_GNUC_CONST;


#endif  /*  __PIKA_MEASURE_TOOL_H__  */
