/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 *
 * pikanpointdeformationoptions.h
 * Copyright (C) 2013 Marek Dvoroznak <dvoromar@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_N_POINT_DEFORMATION_OPTIONS_H__
#define __PIKA_N_POINT_DEFORMATION_OPTIONS_H__


#include "core/pikatooloptions.h"


#define PIKA_TYPE_N_POINT_DEFORMATION_OPTIONS            (pika_n_point_deformation_options_get_type ())
#define PIKA_N_POINT_DEFORMATION_OPTIONS(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_N_POINT_DEFORMATION_OPTIONS, PikaNPointDeformationOptions))
#define PIKA_N_POINT_DEFORMATION_OPTIONS_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_N_POINT_DEFORMATION_OPTIONS, PikaNPointDeformationOptionsClass))
#define PIKA_IS_N_POINT_DEFORMATION_OPTIONS(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_N_POINT_DEFORMATION_OPTIONS))
#define PIKA_IS_N_POINT_DEFORMATION_OPTIONS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_N_POINT_DEFORMATION_OPTIONS))
#define PIKA_N_POINT_DEFORMATION_OPTIONS_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_N_POINT_DEFORMATION_OPTIONS, PikaNPointDeformationOptionsClass))


typedef struct _PikaNPointDeformationOptions      PikaNPointDeformationOptions;
typedef struct _PikaNPointDeformationOptionsClass PikaNPointDeformationOptionsClass;

struct _PikaNPointDeformationOptions
{
  PikaToolOptions  parent_instance;

  gdouble          square_size;
  gdouble          rigidity;
  gboolean         asap_deformation;
  gboolean         mls_weights;
  gdouble          mls_weights_alpha;
  gboolean         mesh_visible;

  GtkWidget       *scale_square_size;
  GtkWidget       *check_mesh_visible;
};

struct _PikaNPointDeformationOptionsClass
{
  PikaToolOptionsClass  parent_class;
};


GType       pika_n_point_deformation_options_get_type (void) G_GNUC_CONST;

GtkWidget * pika_n_point_deformation_options_gui      (PikaToolOptions *tool_options);

void        pika_n_point_deformation_options_set_sensitivity (PikaNPointDeformationOptions *npd_options,
                                                              gboolean                      tool_active);


#endif  /*  __PIKA_N_POINT_DEFORMATION_OPTIONS_H__  */
