/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_OFFSET_TOOL_H__
#define __PIKA_OFFSET_TOOL_H__


#include "pikafiltertool.h"


#define PIKA_TYPE_OFFSET_TOOL            (pika_offset_tool_get_type ())
#define PIKA_OFFSET_TOOL(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_OFFSET_TOOL, PikaOffsetTool))
#define PIKA_OFFSET_TOOL_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_OFFSET_TOOL, PikaOffsetToolClass))
#define PIKA_IS_OFFSET_TOOL(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_OFFSET_TOOL))
#define PIKA_IS_OFFSET_TOOL_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_OFFSET_TOOL))
#define PIKA_OFFSET_TOOL_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_OFFSET_TOOL, PikaOffsetToolClass))


typedef struct _PikaOffsetTool      PikaOffsetTool;
typedef struct _PikaOffsetToolClass PikaOffsetToolClass;

struct _PikaOffsetTool
{
  PikaFilterTool  parent_instance;

  gboolean        dragging;
  gdouble         x;
  gdouble         y;
  gint            offset_x;
  gint            offset_y;

  /* dialog */
  GtkWidget      *offset_se;
  GtkWidget      *transparent_radio;
};

struct _PikaOffsetToolClass
{
  PikaFilterToolClass  parent_class;
};


void    pika_offset_tool_register (PikaToolRegisterCallback callback,
                                   gpointer                 data);

GType   pika_offset_tool_get_type (void) G_GNUC_CONST;


#endif  /*  __PIKA_OFFSET_TOOL_H__  */
