/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */


#ifndef __PIKA_PAINT_SELECT_OPTIONS_H__
#define __PIKA_PAINT_SELECT_OPTIONS_H__


#include "core/pikatooloptions.h"


#define PIKA_TYPE_PAINT_SELECT_OPTIONS            (pika_paint_select_options_get_type ())
#define PIKA_PAINT_SELECT_OPTIONS(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_PAINT_SELECT_OPTIONS, PikaPaintSelectOptions))
#define PIKA_PAINT_SELECT_OPTIONS_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_PAINT_SELECT_OPTIONS, PikaPaintSelectOptionsClass))
#define PIKA_IS_PAINT_SELECT_OPTIONS(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_PAINT_SELECT_OPTIONS))
#define PIKA_IS_PAINT_SELECT_OPTIONS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_PAINT_SELECT_OPTIONS))
#define PIKA_PAINT_SELECT_OPTIONS_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_PAINT_SELECT_OPTIONS, PikaPaintSelectOptionsClass))


typedef struct _PikaPaintSelectOptions      PikaPaintSelectOptions;
typedef struct _PikaPaintSelectOptionsClass PikaPaintSelectOptionsClass;

struct _PikaPaintSelectOptions
{
  PikaToolOptions        parent_instance;

  PikaPaintSelectMode    mode;
  gint                   stroke_width;
  gboolean               show_scribbles;
};

struct _PikaPaintSelectOptionsClass
{
  PikaToolOptionsClass  parent_class;
};


GType       pika_paint_select_options_get_type       (void) G_GNUC_CONST;

GtkWidget * pika_paint_select_options_gui            (PikaToolOptions             *tool_options);



#endif /* __PIKA_PAINT_SELECT_OPTIONS_H__ */