/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#include "config.h"

#include <gegl.h>
#include <gtk/gtk.h>

#include "libpikawidgets/pikawidgets.h"

#include "tools-types.h"

#include "paint/pikapenciloptions.h"

#include "widgets/pikahelp-ids.h"

#include "pikapenciltool.h"
#include "pikapaintoptions-gui.h"
#include "pikatoolcontrol.h"

#include "pika-intl.h"


G_DEFINE_TYPE (PikaPencilTool, pika_pencil_tool, PIKA_TYPE_PAINTBRUSH_TOOL)


void
pika_pencil_tool_register (PikaToolRegisterCallback  callback,
                           gpointer                  data)
{
  (* callback) (PIKA_TYPE_PENCIL_TOOL,
                PIKA_TYPE_PENCIL_OPTIONS,
                pika_paint_options_gui,
                PIKA_PAINT_OPTIONS_CONTEXT_MASK |
                PIKA_CONTEXT_PROP_MASK_GRADIENT,
                "pika-pencil-tool",
                _("Pencil"),
                _("Pencil Tool: Hard edge painting using a brush"),
                N_("Pe_ncil"), "N",
                NULL, PIKA_HELP_TOOL_PENCIL,
                PIKA_ICON_TOOL_PENCIL,
                data);
}

static void
pika_pencil_tool_class_init (PikaPencilToolClass *klass)
{
}

static void
pika_pencil_tool_init (PikaPencilTool *pencil)
{
  PikaTool *tool = PIKA_TOOL (pencil);

  pika_tool_control_set_tool_cursor (tool->control, PIKA_TOOL_CURSOR_PENCIL);
}
