/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is polygon software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Polygon Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_POLYGON_SELECT_TOOL_H__
#define __PIKA_POLYGON_SELECT_TOOL_H__


#include "pikaselectiontool.h"


#define PIKA_TYPE_POLYGON_SELECT_TOOL            (pika_polygon_select_tool_get_type ())
#define PIKA_POLYGON_SELECT_TOOL(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_POLYGON_SELECT_TOOL, PikaPolygonSelectTool))
#define PIKA_POLYGON_SELECT_TOOL_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_POLYGON_SELECT_TOOL, PikaPolygonSelectToolClass))
#define PIKA_IS_POLYGON_SELECT_TOOL(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_POLYGON_SELECT_TOOL))
#define PIKA_IS_POLYGON_SELECT_TOOL_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_POLYGON_SELECT_TOOL))
#define PIKA_POLYGON_SELECT_TOOL_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_POLYGON_SELECT_TOOL, PikaPolygonSelectToolClass))


typedef struct _PikaPolygonSelectTool        PikaPolygonSelectTool;
typedef struct _PikaPolygonSelectToolPrivate PikaPolygonSelectToolPrivate;
typedef struct _PikaPolygonSelectToolClass   PikaPolygonSelectToolClass;

struct _PikaPolygonSelectTool
{
  PikaSelectionTool             parent_instance;

  PikaPolygonSelectToolPrivate *priv;
};

struct _PikaPolygonSelectToolClass
{
  PikaSelectionToolClass  parent_class;

  /*  virtual functions  */
  void (* change_complete) (PikaPolygonSelectTool *poly_sel,
                            PikaDisplay           *display);
  void (* confirm)         (PikaPolygonSelectTool *poly_sel,
                            PikaDisplay           *display);
};


GType      pika_polygon_select_tool_get_type   (void) G_GNUC_CONST;

gboolean   pika_polygon_select_tool_is_closed  (PikaPolygonSelectTool  *poly_sel);
void       pika_polygon_select_tool_get_points (PikaPolygonSelectTool  *poly_sel,
                                                const PikaVector2     **points,
                                                gint                   *n_points);

/*  protected functions */
gboolean   pika_polygon_select_tool_is_grabbed (PikaPolygonSelectTool  *poly_sel);

void       pika_polygon_select_tool_halt       (PikaPolygonSelectTool  *poly_sel);


#endif  /*  __PIKA_POLYGON_SELECT_TOOL_H__  */
