/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef  __PIKA_RECTANGLE_SELECT_TOOL_H__
#define  __PIKA_RECTANGLE_SELECT_TOOL_H__


#include "pikaselectiontool.h"


#define PIKA_TYPE_RECTANGLE_SELECT_TOOL            (pika_rectangle_select_tool_get_type ())
#define PIKA_RECTANGLE_SELECT_TOOL(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_RECTANGLE_SELECT_TOOL, PikaRectangleSelectTool))
#define PIKA_RECTANGLE_SELECT_TOOL_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_RECTANGLE_SELECT_TOOL, PikaRectangleSelectToolClass))
#define PIKA_IS_RECTANGLE_SELECT_TOOL(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_RECTANGLE_SELECT_TOOL))
#define PIKA_IS_RECTANGLE_SELECT_TOOL_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_RECTANGLE_SELECT_TOOL))
#define PIKA_RECTANGLE_SELECT_TOOL_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_RECTANGLE_SELECT_TOOL, PikaRectangleSelectToolClass))

#define PIKA_RECTANGLE_SELECT_TOOL_GET_OPTIONS(t)  (PIKA_RECTANGLE_SELECT_OPTIONS (pika_tool_get_options (PIKA_TOOL (t))))


typedef struct _PikaRectangleSelectTool        PikaRectangleSelectTool;
typedef struct _PikaRectangleSelectToolPrivate PikaRectangleSelectToolPrivate;
typedef struct _PikaRectangleSelectToolClass   PikaRectangleSelectToolClass;

struct _PikaRectangleSelectTool
{
  PikaSelectionTool               parent_instance;

  PikaRectangleSelectToolPrivate *private;
};

struct _PikaRectangleSelectToolClass
{
  PikaSelectionToolClass  parent_class;

  void (* select) (PikaRectangleSelectTool *rect_select,
                   PikaChannelOps           operation,
                   gint                     x,
                   gint                     y,
                   gint                     w,
                   gint                     h);

  gboolean draw_ellipse;
};


void    pika_rectangle_select_tool_register (PikaToolRegisterCallback  callback,
                                             gpointer                  data);

GType   pika_rectangle_select_tool_get_type (void) G_GNUC_CONST;


#endif  /*  __PIKA_RECTANGLE_SELECT_TOOL_H__  */
