/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_SAMPLE_POINT_TOOL_H__
#define __PIKA_SAMPLE_POINT_TOOL_H__


#include "pikadrawtool.h"


#define PIKA_TYPE_SAMPLE_POINT_TOOL            (pika_sample_point_tool_get_type ())
#define PIKA_SAMPLE_POINT_TOOL(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_SAMPLE_POINT_TOOL, PikaSamplePointTool))
#define PIKA_SAMPLE_POINT_TOOL_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_SAMPLE_POINT_TOOL, PikaSamplePointToolClass))
#define PIKA_IS_SAMPLE_POINT_TOOL(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_SAMPLE_POINT_TOOL))
#define PIKA_IS_SAMPLE_POINT_TOOL_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_SAMPLE_POINT_TOOL))
#define PIKA_SAMPLE_POINT_TOOL_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_SAMPLE_POINT_TOOL, PikaSamplePointToolClass))


typedef struct _PikaSamplePointTool      PikaSamplePointTool;
typedef struct _PikaSamplePointToolClass PikaSamplePointToolClass;

struct _PikaSamplePointTool
{
  PikaDrawTool     parent_instance;

  PikaSamplePoint *sample_point;
  gint             sample_point_old_x;
  gint             sample_point_old_y;
  gint             sample_point_x;
  gint             sample_point_y;
};

struct _PikaSamplePointToolClass
{
  PikaDrawToolClass  parent_class;
};


GType   pika_sample_point_tool_get_type   (void) G_GNUC_CONST;

void    pika_sample_point_tool_start_new  (PikaTool        *parent_tool,
                                           PikaDisplay     *display);
void    pika_sample_point_tool_start_edit (PikaTool        *parent_tool,
                                           PikaDisplay     *display,
                                           PikaSamplePoint *sample_point);


#endif  /*  __PIKA_SAMPLE_POINT_TOOL_H__  */
