/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 *
 * pikaseamlesscloneoptions.h
 * Copyright (C) 2011 Barak Itkin <lightningismyname@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_SEAMLESS_CLONE_OPTIONS_H__
#define __PIKA_SEAMLESS_CLONE_OPTIONS_H__


#include "core/pikatooloptions.h"


#define PIKA_TYPE_SEAMLESS_CLONE_OPTIONS            (pika_seamless_clone_options_get_type ())
#define PIKA_SEAMLESS_CLONE_OPTIONS(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_SEAMLESS_CLONE_OPTIONS, PikaSeamlessCloneOptions))
#define PIKA_SEAMLESS_CLONE_OPTIONS_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_SEAMLESS_CLONE_OPTIONS, PikaSeamlessCloneOptionsClass))
#define PIKA_IS_SEAMLESS_CLONE_OPTIONS(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_SEAMLESS_CLONE_OPTIONS))
#define PIKA_IS_SEAMLESS_CLONE_OPTIONS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_SEAMLESS_CLONE_OPTIONS))
#define PIKA_SEAMLESS_CLONE_OPTIONS_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_SEAMLESS_CLONE_OPTIONS, PikaSeamlessCloneOptionsClass))


typedef struct _PikaSeamlessCloneOptions      PikaSeamlessCloneOptions;
typedef struct _PikaSeamlessCloneOptionsClass PikaSeamlessCloneOptionsClass;

struct _PikaSeamlessCloneOptions
{
  PikaToolOptions parent_instance;

  gint            max_refine_scale;
  gboolean        temp;
};

struct _PikaSeamlessCloneOptionsClass
{
  PikaToolOptionsClass  parent_class;
};


GType       pika_seamless_clone_options_get_type (void) G_GNUC_CONST;

GtkWidget * pika_seamless_clone_options_gui      (PikaToolOptions *tool_options);


#endif  /*  __PIKA_SEAMLESS_CLONE_OPTIONS_H__  */
