/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * PikaTextTool
 * Copyright (C) 2002-2010  Sven Neumann <sven@gimp.org>
 *                          Daniel Eddeland <danedde@svn.gnome.org>
 *                          Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_TEXT_TOOL_EDITOR_H__
#define __PIKA_TEXT_TOOL_EDITOR_H__


void       pika_text_tool_editor_init             (PikaTextTool        *text_tool);
void       pika_text_tool_editor_finalize         (PikaTextTool        *text_tool);

void       pika_text_tool_editor_start            (PikaTextTool        *text_tool);
void       pika_text_tool_editor_position         (PikaTextTool        *text_tool);
void       pika_text_tool_editor_halt             (PikaTextTool        *text_tool);

void       pika_text_tool_editor_button_press     (PikaTextTool        *text_tool,
                                                   gdouble              x,
                                                   gdouble              y,
                                                   PikaButtonPressType  press_type);
void       pika_text_tool_editor_button_release   (PikaTextTool        *text_tool);
void       pika_text_tool_editor_motion           (PikaTextTool        *text_tool,
                                                   gdouble              x,
                                                   gdouble              y);
gboolean   pika_text_tool_editor_key_press        (PikaTextTool        *text_tool,
                                                   GdkEventKey         *kevent);
gboolean   pika_text_tool_editor_key_release      (PikaTextTool        *text_tool,
                                                   GdkEventKey         *kevent);

void       pika_text_tool_reset_im_context        (PikaTextTool        *text_tool);
void       pika_text_tool_abort_im_context        (PikaTextTool        *text_tool);

void       pika_text_tool_editor_get_cursor_rect  (PikaTextTool        *text_tool,
                                                   gboolean             overwrite,
                                                   PangoRectangle      *cursor_rect);
void       pika_text_tool_editor_update_im_cursor (PikaTextTool        *text_tool);


#endif /* __PIKA_TEXT_TOOL_EDITOR_H__ */
