/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_TILE_HANDLER_ISCISSORS_H__
#define __PIKA_TILE_HANDLER_ISCISSORS_H__


#include "gegl/pikatilehandlervalidate.h"


/***
 * PikaTileHandlerIscissors is a GeglTileHandler that renders the
 * Iscissors tool's gradmap.
 */

#define PIKA_TYPE_TILE_HANDLER_ISCISSORS            (pika_tile_handler_iscissors_get_type ())
#define PIKA_TILE_HANDLER_ISCISSORS(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_TILE_HANDLER_ISCISSORS, PikaTileHandlerIscissors))
#define PIKA_TILE_HANDLER_ISCISSORS_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass),  PIKA_TYPE_TILE_HANDLER_ISCISSORS, PikaTileHandlerIscissorsClass))
#define PIKA_IS_TILE_HANDLER_ISCISSORS(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_TILE_HANDLER_ISCISSORS))
#define PIKA_IS_TILE_HANDLER_ISCISSORS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass),  PIKA_TYPE_TILE_HANDLER_ISCISSORS))
#define PIKA_TILE_HANDLER_ISCISSORS_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj),  PIKA_TYPE_TILE_HANDLER_ISCISSORS, PikaTileHandlerIscissorsClass))


typedef struct _PikaTileHandlerIscissors      PikaTileHandlerIscissors;
typedef struct _PikaTileHandlerIscissorsClass PikaTileHandlerIscissorsClass;

struct _PikaTileHandlerIscissors
{
  PikaTileHandlerValidate  parent_instance;

  PikaPickable            *pickable;
};

struct _PikaTileHandlerIscissorsClass
{
  PikaTileHandlerValidateClass  parent_class;
};


GType             pika_tile_handler_iscissors_get_type (void) G_GNUC_CONST;

GeglTileHandler * pika_tile_handler_iscissors_new      (PikaPickable *pickable);


#endif /* __PIKA_TILE_HANDLER_ISCISSORS_H__ */
