/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995-1999 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#include "config.h"

#include <gegl.h>
#include <gtk/gtk.h>

#include "libpikawidgets/pikawidgets.h"

#include "tools-types.h"

#include "core/pikatooloptions.h"

#include "pikatooloptions-gui.h"

#include "pika-intl.h"


/*  public functions  */

GtkWidget *
pika_tool_options_gui (PikaToolOptions *tool_options)
{
  GtkWidget *vbox;

  g_return_val_if_fail (PIKA_IS_TOOL_OPTIONS (tool_options), NULL);

  vbox = gtk_box_new (GTK_ORIENTATION_VERTICAL, 4);

  return vbox;
}

GtkWidget *
pika_tool_options_empty_gui (PikaToolOptions *tool_options)
{
  GtkWidget *vbox = pika_tool_options_gui (tool_options);
  GtkWidget *label;

  label = gtk_label_new (_("This tool has\nno options."));
  gtk_label_set_justify (GTK_LABEL (label), GTK_JUSTIFY_CENTER);
  pika_label_set_attributes (GTK_LABEL (label),
                             PANGO_ATTR_STYLE, PANGO_STYLE_ITALIC,
                             -1);
  gtk_box_pack_start (GTK_BOX (vbox), label, FALSE, FALSE, 6);
  gtk_widget_show (label);

  return vbox;
}
