/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_TRANSFORM_3D_TOOL_H__
#define __PIKA_TRANSFORM_3D_TOOL_H__


#include "pikatransformgridtool.h"


#define PIKA_TYPE_TRANSFORM_3D_TOOL           (pika_transform_3d_tool_get_type ())
#define PIKA_TRANSFORM_3D_TOOL(obj)           (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_TRANSFORM_3D_TOOL, PikaTransform3DTool))
#define PIKA_TRANSFORM_3D_TOOL_CLASS(klass)   (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_TRANSFORM_3D_TOOL, PikaTransform3DToolClass))
#define PIKA_IS_TRANSFORM_3D_TOOL(obj)        (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_TRANSFORM_3D_TOOL))
#define PIKA_TRANSFORM_3D_TOOL_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_TRANSFORM_3D_TOOL, PikaTransform3DToolClass))

#define PIKA_TRANSFORM_3D_TOOL_GET_OPTIONS(t) (PIKA_TRANSFORM_3D_OPTIONS (pika_tool_get_options (PIKA_TOOL (t))))


typedef struct _PikaTransform3DTool      PikaTransform3DTool;
typedef struct _PikaTransform3DToolClass PikaTransform3DToolClass;

struct _PikaTransform3DTool
{
  PikaTransformGridTool  parent_instance;

  gboolean               updating;

  GtkWidget             *notebook;
  GtkWidget             *vanishing_point_se;
  GtkWidget             *lens_mode_combo;
  GtkWidget             *focal_length_se;
  GtkWidget             *angle_of_view_scale;
  GtkAdjustment         *angle_of_view_adj;
  GtkWidget             *offset_se;
  GtkWidget             *rotation_order_buttons[3];
  GtkAdjustment         *angle_adj[3];
  GtkWidget             *pivot_selector;
};

struct _PikaTransform3DToolClass
{
  PikaTransformGridToolClass parent_class;
};


void    pika_transform_3d_tool_register (PikaToolRegisterCallback  callback,
                                         gpointer                  data);

GType   pika_transform_3d_tool_get_type (void) G_GNUC_CONST;


#endif  /*  __PIKA_TRANSFORM_3D_TOOL_H__  */
