/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_TRANSFORM_GRID_OPTIONS_H__
#define __PIKA_TRANSFORM_GRID_OPTIONS_H__


#include "pikatransformoptions.h"


#define PIKA_TYPE_TRANSFORM_GRID_OPTIONS            (pika_transform_grid_options_get_type ())
#define PIKA_TRANSFORM_GRID_OPTIONS(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_TRANSFORM_GRID_OPTIONS, PikaTransformGridOptions))
#define PIKA_TRANSFORM_GRID_OPTIONS_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_TRANSFORM_GRID_OPTIONS, PikaTransformGridOptionsClass))
#define PIKA_IS_TRANSFORM_GRID_OPTIONS(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_TRANSFORM_GRID_OPTIONS))
#define PIKA_IS_TRANSFORM_GRID_OPTIONS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_TRANSFORM_GRID_OPTIONS))
#define PIKA_TRANSFORM_GRID_OPTIONS_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_TRANSFORM_GRID_OPTIONS, PikaTransformGridOptionsClass))


typedef struct _PikaTransformGridOptions      PikaTransformGridOptions;
typedef struct _PikaTransformGridOptionsClass PikaTransformGridOptionsClass;

struct _PikaTransformGridOptions
{
  PikaTransformOptions  parent_instance;

  gboolean              direction_linked;
  gboolean              show_preview;
  gboolean              composited_preview;
  gboolean              synchronous_preview;
  gdouble               preview_opacity;
  PikaGuidesType        grid_type;
  gint                  grid_size;
  gboolean              constrain_move;
  gboolean              constrain_scale;
  gboolean              constrain_rotate;
  gboolean              constrain_shear;
  gboolean              constrain_perspective;
  gboolean              frompivot_scale;
  gboolean              frompivot_shear;
  gboolean              frompivot_perspective;
  gboolean              cornersnap;
  gboolean              fixedpivot;

  /*  options gui  */
  GtkWidget            *direction_chain_button;
};

struct _PikaTransformGridOptionsClass
{
  PikaTransformOptionsClass  parent_class;
};


GType       pika_transform_grid_options_get_type     (void) G_GNUC_CONST;

GtkWidget * pika_transform_grid_options_gui          (PikaToolOptions          *tool_options);

gboolean    pika_transform_grid_options_show_preview (PikaTransformGridOptions *options);


#endif /* __PIKA_TRANSFORM_GRID_OPTIONS_H__ */
