/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 *
 * pikawarpoptions.h
 * Copyright (C) 2011 Michael Muré <batolettre@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_WARP_OPTIONS_H__
#define __PIKA_WARP_OPTIONS_H__


#include "core/pikatooloptions.h"


#define PIKA_TYPE_WARP_OPTIONS            (pika_warp_options_get_type ())
#define PIKA_WARP_OPTIONS(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_WARP_OPTIONS, PikaWarpOptions))
#define PIKA_WARP_OPTIONS_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_WARP_OPTIONS, PikaWarpOptionsClass))
#define PIKA_IS_WARP_OPTIONS(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_WARP_OPTIONS))
#define PIKA_IS_WARP_OPTIONS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_WARP_OPTIONS))
#define PIKA_WARP_OPTIONS_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_WARP_OPTIONS, PikaWarpOptionsClass))


typedef struct _PikaWarpOptions      PikaWarpOptions;
typedef struct _PikaWarpOptionsClass PikaWarpOptionsClass;

struct _PikaWarpOptions
{
  PikaToolOptions        parent_instance;

  PikaWarpBehavior       behavior;
  gdouble                effect_size;
  gdouble                effect_hardness;
  gdouble                effect_strength;
  gdouble                stroke_spacing;
  PikaInterpolationType  interpolation;
  GeglAbyssPolicy        abyss_policy;
  gboolean               high_quality_preview;
  gboolean               real_time_preview;

  gboolean               stroke_during_motion;
  gboolean               stroke_periodically;
  gdouble                stroke_periodically_rate;

  gint                   n_animation_frames;

  /*  options gui  */
  GtkWidget             *behavior_combo;
  GtkWidget             *stroke_frame;
  GtkWidget             *animate_button;
};

struct _PikaWarpOptionsClass
{
  PikaToolOptionsClass  parent_class;
};


GType       pika_warp_options_get_type (void) G_GNUC_CONST;

GtkWidget * pika_warp_options_gui      (PikaToolOptions *tool_options);


#endif  /*  __PIKA_WARP_OPTIONS_H__  */
