/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __TOOL_MANAGER_H__
#define __TOOL_MANAGER_H__


void       tool_manager_init                       (Pika             *pika);
void       tool_manager_exit                       (Pika             *pika);

PikaTool * tool_manager_get_active                 (Pika             *pika);

void       tool_manager_push_tool                  (Pika             *pika,
                                                    PikaTool         *tool);
void       tool_manager_pop_tool                   (Pika             *pika);


gboolean   tool_manager_initialize_active          (Pika             *pika,
                                                    PikaDisplay      *display);
void       tool_manager_control_active             (Pika             *pika,
                                                    PikaToolAction    action,
                                                    PikaDisplay      *display);
void       tool_manager_button_press_active        (Pika             *pika,
                                                    const PikaCoords *coords,
                                                    guint32           time,
                                                    GdkModifierType   state,
                                                    PikaButtonPressType press_type,
                                                    PikaDisplay      *display);
void       tool_manager_button_release_active      (Pika             *pika,
                                                    const PikaCoords *coords,
                                                    guint32           time,
                                                    GdkModifierType   state,
                                                    PikaDisplay      *display);
void       tool_manager_motion_active              (Pika             *pika,
                                                    const PikaCoords *coords,
                                                    guint32           time,
                                                    GdkModifierType   state,
                                                    PikaDisplay      *display);
gboolean   tool_manager_key_press_active           (Pika             *pika,
                                                    GdkEventKey      *kevent,
                                                    PikaDisplay      *display);
gboolean   tool_manager_key_release_active         (Pika             *pika,
                                                    GdkEventKey      *kevent,
                                                    PikaDisplay      *display);

void       tool_manager_focus_display_active       (Pika             *pika,
                                                    PikaDisplay      *display);
void       tool_manager_modifier_state_active      (Pika             *pika,
                                                    GdkModifierType   state,
                                                    PikaDisplay      *display);

void     tool_manager_active_modifier_state_active (Pika             *pika,
                                                    GdkModifierType   state,
                                                    PikaDisplay      *display);

void       tool_manager_oper_update_active         (Pika             *pika,
                                                    const PikaCoords *coords,
                                                    GdkModifierType   state,
                                                    gboolean          proximity,
                                                    PikaDisplay      *display);
void       tool_manager_cursor_update_active       (Pika             *pika,
                                                    const PikaCoords *coords,
                                                    GdkModifierType   state,
                                                    PikaDisplay      *display);

const gchar   * tool_manager_can_undo_active       (Pika             *pika,
                                                    PikaDisplay      *display);
const gchar   * tool_manager_can_redo_active       (Pika             *pika,
                                                    PikaDisplay      *display);
gboolean        tool_manager_undo_active           (Pika             *pika,
                                                    PikaDisplay      *display);
gboolean        tool_manager_redo_active           (Pika             *pika,
                                                    PikaDisplay      *display);

PikaUIManager * tool_manager_get_popup_active      (Pika             *pika,
                                                    const PikaCoords *coords,
                                                    GdkModifierType   state,
                                                    PikaDisplay      *display,
                                                    const gchar     **ui_path);


#endif  /*  __TOOL_MANAGER_H__  */
