/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __TOOLS_TYPES_H__
#define __TOOLS_TYPES_H__

#include "paint/paint-types.h"
#include "display/display-types.h"

#include "tools/tools-enums.h"


G_BEGIN_DECLS


typedef struct _PikaTool                     PikaTool;
typedef struct _PikaToolControl              PikaToolControl;

typedef struct _PikaBrushTool                PikaBrushTool;
typedef struct _PikaColorTool                PikaColorTool;
typedef struct _PikaDrawTool                 PikaDrawTool;
typedef struct _PikaFilterTool               PikaFilterTool;
typedef struct _PikaGenericTransformTool     PikaGenericTransformTool;
typedef struct _PikaPaintTool                PikaPaintTool;
typedef struct _PikaTransformGridTool        PikaTransformGridTool;
typedef struct _PikaTransformTool            PikaTransformTool;

typedef struct _PikaColorOptions             PikaColorOptions;
typedef struct _PikaFilterOptions            PikaFilterOptions;


/*  functions  */

typedef void (* PikaToolRegisterCallback) (GType                     tool_type,
                                           GType                     tool_option_type,
                                           PikaToolOptionsGUIFunc    options_gui_func,
                                           PikaContextPropMask       context_props,
                                           const gchar              *identifier,
                                           const gchar              *label,
                                           const gchar              *tooltip,
                                           const gchar              *menu_path,
                                           const gchar              *menu_accel,
                                           const gchar              *help_domain,
                                           const gchar              *help_data,
                                           const gchar              *icon_name,
                                           gpointer                  register_data);

typedef void (* PikaToolRegisterFunc)     (PikaToolRegisterCallback  callback,
                                           gpointer                  register_data);


G_END_DECLS

#endif /* __TOOLS_TYPES_H__ */
