/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikaanchor.h
 * Copyright (C) 2002 Simon Budig  <simon@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_ANCHOR_H__
#define __PIKA_ANCHOR_H__

#define PIKA_ANCHOR(anchor)  ((PikaAnchor *) (anchor))

#define PIKA_TYPE_ANCHOR               (pika_anchor_get_type ())
#define PIKA_VALUE_HOLDS_ANCHOR(value) (G_TYPE_CHECK_VALUE_TYPE ((value), PIKA_TYPE_ANCHOR))

GType   pika_anchor_get_type           (void) G_GNUC_CONST;


struct _PikaAnchor
{
  PikaCoords        position;

  PikaAnchorType    type;   /* Interpretation dependent on PikaStroke type */
  gboolean          selected;
};


PikaAnchor  * pika_anchor_new  (PikaAnchorType    type,
                                const PikaCoords *position);

PikaAnchor  * pika_anchor_copy (const PikaAnchor *anchor);
void          pika_anchor_free (PikaAnchor       *anchor);


#endif /* __PIKA_ANCHOR_H__ */
