/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikaaccellabel.h
 * Copyright (C) 2020 Ell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_ACCEL_LABEL_H__
#define __PIKA_ACCEL_LABEL_H__


#define PIKA_TYPE_ACCEL_LABEL            (pika_accel_label_get_type ())
#define PIKA_ACCEL_LABEL(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_ACCEL_LABEL, PikaAccelLabel))
#define PIKA_ACCEL_LABEL_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_ACCEL_LABEL, PikaAccelLabelClass))
#define PIKA_IS_ACCEL_LABEL(obj)         (G_TYPE_CHECK_INSTANCE_TYPE (obj, PIKA_TYPE_ACCEL_LABEL))
#define PIKA_IS_ACCEL_LABEL_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_ACCEL_LABEL))
#define PIKA_ACCEL_LABEL_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_ACCEL_LABEL, PikaAccelLabelClass))


typedef struct _PikaAccelLabelPrivate PikaAccelLabelPrivate;
typedef struct _PikaAccelLabelClass   PikaAccelLabelClass;

struct _PikaAccelLabel
{
  GtkLabel               parent_instance;

  PikaAccelLabelPrivate *priv;
};

struct _PikaAccelLabelClass
{
  GtkLabelClass  parent_class;
};


GType        pika_accel_label_get_type   (void) G_GNUC_CONST;

GtkWidget  * pika_accel_label_new        (PikaAction     *action);

void         pika_accel_label_set_action (PikaAccelLabel *accel_label,
                                          PikaAction     *action);
PikaAction * pika_accel_label_get_action (PikaAccelLabel *accel_label);


#endif /* __PIKA_ACCEL_LABEL_H__ */
