/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikaactionimpl.h
 * Copyright (C) 2004-2019 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_ACTION_IMPL_H__
#define __PIKA_ACTION_IMPL_H__

#include "core/pikaobject.h"

#define PIKA_TYPE_ACTION_IMPL            (pika_action_impl_get_type ())
#define PIKA_ACTION_IMPL(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_ACTION_IMPL, PikaActionImpl))
#define PIKA_ACTION_IMPL_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_ACTION_IMPL, PikaActionImplClass))
#define PIKA_IS_ACTION_IMPL(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_ACTION_IMPL))
#define PIKA_IS_ACTION_IMPL_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((obj), PIKA_TYPE_ACTION_IMPL))
#define PIKA_ACTION_IMPL_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj), PIKA_TYPE_ACTION_IMPL, PikaActionImplClass))

typedef struct _PikaActionImplClass   PikaActionImplClass;
typedef struct _PikaActionImplPrivate PikaActionImplPrivate;

struct _PikaActionImpl
{
  PikaObject             parent_instance;

  PikaActionImplPrivate *priv;
};

struct _PikaActionImplClass
{
  PikaObjectClass   parent_class;

  /*  signals  */
  void           (* change_state) (PikaActionImpl *impl,
                                   GVariant       *value);
};

GType         pika_action_impl_get_type       (void) G_GNUC_CONST;

PikaAction  * pika_action_impl_new            (const gchar   *name,
                                               const gchar   *label,
                                               const gchar   *short_label,
                                               const gchar   *tooltip,
                                               const gchar   *icon_name,
                                               const gchar   *help_id,
                                               PikaContext   *context);


#endif  /* __PIKA_ACTION_IMPL_H__ */
