/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikaactionview.h
 * Copyright (C) 2004-2005  Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_ACTION_VIEW_H__
#define __PIKA_ACTION_VIEW_H__


enum
{
  PIKA_ACTION_VIEW_COLUMN_VISIBLE,
  PIKA_ACTION_VIEW_COLUMN_ACTION,
  PIKA_ACTION_VIEW_COLUMN_ICON_NAME,
  PIKA_ACTION_VIEW_COLUMN_LABEL,
  PIKA_ACTION_VIEW_COLUMN_LABEL_CASEFOLD,
  PIKA_ACTION_VIEW_COLUMN_NAME,
  PIKA_ACTION_VIEW_COLUMN_ACCEL_KEY,
  PIKA_ACTION_VIEW_COLUMN_ACCEL_MASK,
  PIKA_ACTION_VIEW_N_COLUMNS
};


#define PIKA_TYPE_ACTION_VIEW            (pika_action_view_get_type ())
#define PIKA_ACTION_VIEW(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_ACTION_VIEW, PikaActionView))
#define PIKA_ACTION_VIEW_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_ACTION_VIEW, PikaActionViewClass))
#define PIKA_IS_ACTION_VIEW(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_ACTION_VIEW))
#define PIKA_IS_ACTION_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_ACTION_VIEW))
#define PIKA_ACTION_VIEW_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_ACTION_VIEW, PikaActionViewClass))


typedef struct _PikaActionViewClass PikaActionViewClass;

struct _PikaActionView
{
  GtkTreeView    parent_instance;

  Pika          *pika;
  gboolean       show_shortcuts;

  gchar         *filter;
};

struct _PikaActionViewClass
{
  GtkTreeViewClass  parent_class;
};


GType       pika_action_view_get_type   (void) G_GNUC_CONST;

GtkWidget * pika_action_view_new        (Pika           *pika,
                                         const gchar    *select_action,
                                         gboolean        show_shortcuts);

void        pika_action_view_set_filter (PikaActionView *view,
                                         const gchar    *filter);


#endif  /*  __PIKA_ACTION_VIEW_H__  */
