/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikabrushfactoryview.h
 * Copyright (C) 2001 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_BRUSH_FACTORY_VIEW_H__
#define __PIKA_BRUSH_FACTORY_VIEW_H__

#include "pikadatafactoryview.h"


#define PIKA_TYPE_BRUSH_FACTORY_VIEW            (pika_brush_factory_view_get_type ())
#define PIKA_BRUSH_FACTORY_VIEW(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_BRUSH_FACTORY_VIEW, PikaBrushFactoryView))
#define PIKA_BRUSH_FACTORY_VIEW_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_BRUSH_FACTORY_VIEW, PikaBrushFactoryViewClass))
#define PIKA_IS_BRUSH_FACTORY_VIEW(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_BRUSH_FACTORY_VIEW))
#define PIKA_IS_BRUSH_FACTORY_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_BRUSH_FACTORY_VIEW))
#define PIKA_BRUSH_FACTORY_VIEW_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_BRUSH_FACTORY_VIEW, PikaBrushFactoryViewClass))


typedef struct _PikaBrushFactoryViewClass  PikaBrushFactoryViewClass;

struct _PikaBrushFactoryView
{
  PikaDataFactoryView  parent_instance;

  GtkWidget           *spacing_scale;
  GtkAdjustment       *spacing_adjustment;

  gboolean             change_brush_spacing;
  GQuark               spacing_changed_handler_id;
};

struct _PikaBrushFactoryViewClass
{
  PikaDataFactoryViewClass  parent_class;

  /* Signals */

  void (* spacing_changed) (PikaBrushFactoryView *view);
};


GType       pika_brush_factory_view_get_type (void) G_GNUC_CONST;

GtkWidget * pika_brush_factory_view_new      (PikaViewType     view_type,
                                              PikaDataFactory *factory,
                                              PikaContext     *context,
                                              gboolean         change_brush_spacing,
                                              gint             view_size,
                                              gint             view_border_width,
                                              PikaMenuFactory *menu_factory);


#endif  /*  __PIKA_BRUSH_FACTORY_VIEW_H__  */
