/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikabuffersourcebox.h
 * Copyright (C) 2015  Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_BUFFER_SOURCE_BOX_H__
#define __PIKA_BUFFER_SOURCE_BOX_H__


#define PIKA_TYPE_BUFFER_SOURCE_BOX            (pika_buffer_source_box_get_type ())
#define PIKA_BUFFER_SOURCE_BOX(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_BUFFER_SOURCE_BOX, PikaBufferSourceBox))
#define PIKA_BUFFER_SOURCE_BOX_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_BUFFER_SOURCE_BOX, PikaBufferSourceBoxClass))
#define PIKA_IS_BUFFER_SOURCE_BOX(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_BUFFER_SOURCE_BOX))
#define PIKA_IS_BUFFER_SOURCE_BOX_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_BUFFER_SOURCE_BOX))
#define PIKA_BUFFER_SOURCE_BOX_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_BUFFER_SOURCE_BOX, PikaBufferSourceBoxClass))


typedef struct _PikaBufferSourceBoxPrivate PikaBufferSourceBoxPrivate;
typedef struct _PikaBufferSourceBoxClass   PikaBufferSourceBoxClass;

struct _PikaBufferSourceBox
{
  GtkBox                      parent_instance;

  PikaBufferSourceBoxPrivate *priv;
};

struct _PikaBufferSourceBoxClass
{
  GtkBoxClass  parent_class;
};


GType       pika_buffer_source_box_get_type (void) G_GNUC_CONST;

GtkWidget * pika_buffer_source_box_new        (PikaContext         *context,
                                               GeglNode            *source_node,
                                               const gchar         *name);

GtkWidget * pika_buffer_source_box_get_toggle (PikaBufferSourceBox *box);


#endif  /*  __PIKA_BUFFER_SOURCE_BOX_H__  */
