/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikabufferview.h
 * Copyright (C) 2001 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_BUFFER_VIEW_H__
#define __PIKA_BUFFER_VIEW_H__


#include "pikacontainereditor.h"


#define PIKA_TYPE_BUFFER_VIEW            (pika_buffer_view_get_type ())
#define PIKA_BUFFER_VIEW(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_BUFFER_VIEW, PikaBufferView))
#define PIKA_BUFFER_VIEW_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_BUFFER_VIEW, PikaBufferViewClass))
#define PIKA_IS_BUFFER_VIEW(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_BUFFER_VIEW))
#define PIKA_IS_BUFFER_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_BUFFER_VIEW))
#define PIKA_BUFFER_VIEW_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_BUFFER_VIEW, PikaBufferViewClass))


typedef struct _PikaBufferViewClass  PikaBufferViewClass;

struct _PikaBufferView
{
  PikaContainerEditor  parent_instance;

  GtkWidget           *clipboard_view;
  GtkWidget           *clipboard_label;

  GtkWidget           *paste_button;
  GtkWidget           *paste_into_button;
  GtkWidget           *paste_as_new_layer_button;
  GtkWidget           *paste_as_new_image_button;
  GtkWidget           *delete_button;
};

struct _PikaBufferViewClass
{
  PikaContainerEditorClass  parent_class;
};


GType       pika_buffer_view_get_type (void) G_GNUC_CONST;

GtkWidget * pika_buffer_view_new      (PikaViewType     view_type,
                                       PikaContainer   *container,
                                       PikaContext     *context,
                                       gint             view_size,
                                       gint             view_border_width,
                                       PikaMenuFactory *menu_factory);


#endif  /*  __PIKA_BUFFER_VIEW_H__  */
