/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_CLIPBOARD_H__
#define __PIKA_CLIPBOARD_H__


void         pika_clipboard_init       (Pika        *pika);
void         pika_clipboard_exit       (Pika        *pika);

gboolean     pika_clipboard_has_image  (Pika        *pika);
gboolean     pika_clipboard_has_buffer (Pika        *pika);
gboolean     pika_clipboard_has_svg    (Pika        *pika);
gboolean     pika_clipboard_has_curve  (Pika        *pika);

PikaObject * pika_clipboard_get_object (Pika        *pika);

PikaImage  * pika_clipboard_get_image  (Pika        *pika);
PikaBuffer * pika_clipboard_get_buffer (Pika        *pika);
gchar      * pika_clipboard_get_svg    (Pika        *pika,
                                        gsize       *svg_length);
PikaCurve  * pika_clipboard_get_curve  (Pika        *pika);

void         pika_clipboard_set_image  (Pika        *pika,
                                        PikaImage   *image);
void         pika_clipboard_set_buffer (Pika        *pika,
                                        PikaBuffer  *buffer);
void         pika_clipboard_set_svg    (Pika        *pika,
                                        const gchar *svg);
void         pika_clipboard_set_text   (Pika        *pika,
                                        const gchar *text);
void         pika_clipboard_set_curve  (Pika        *pika,
                                        PikaCurve   *curve);


#endif /* __PIKA_CLIPBOARD_H__ */
