/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_COLOR_BAR_H__
#define __PIKA_COLOR_BAR_H__


#define PIKA_TYPE_COLOR_BAR            (pika_color_bar_get_type ())
#define PIKA_COLOR_BAR(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_COLOR_BAR, PikaColorBar))
#define PIKA_COLOR_BAR_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_COLOR_BAR, PikaColorBarClass))
#define PIKA_IS_COLOR_BAR(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_COLOR_BAR))
#define PIKA_IS_COLOR_BAR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_COLOR_BAR))
#define PIKA_COLOR_BAR_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_COLOR_BAR, PikaColorBarClass))


typedef struct _PikaColorBarClass  PikaColorBarClass;

struct _PikaColorBar
{
  GtkEventBox     parent_class;

  GtkOrientation  orientation;
  guchar          buf[3 * 256];
};

struct _PikaColorBarClass
{
  GtkEventBoxClass  parent_class;
};


GType       pika_color_bar_get_type    (void) G_GNUC_CONST;

GtkWidget * pika_color_bar_new         (GtkOrientation        orientation);

void        pika_color_bar_set_color   (PikaColorBar         *bar,
                                        const PikaRGB        *color);
void        pika_color_bar_set_channel (PikaColorBar         *bar,
                                        PikaHistogramChannel  channel);
void        pika_color_bar_set_buffers (PikaColorBar         *bar,
                                        const guchar         *red,
                                        const guchar         *green,
                                        const guchar         *blue);


#endif  /*  __PIKA_COLOR_BAR_H__  */
