/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikacolordisplayeditor.h
 * Copyright (C) 2003 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_COLOR_DISPLAY_EDITOR_H__
#define __PIKA_COLOR_DISPLAY_EDITOR_H__


#define PIKA_TYPE_COLOR_DISPLAY_EDITOR            (pika_color_display_editor_get_type ())
#define PIKA_COLOR_DISPLAY_EDITOR(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_COLOR_DISPLAY_EDITOR, PikaColorDisplayEditor))
#define PIKA_COLOR_DISPLAY_EDITOR_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_COLOR_DISPLAY_EDITOR, PikaColorDisplayEditorClass))
#define PIKA_IS_COLOR_DISPLAY_EDITOR(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_COLOR_DISPLAY_EDITOR))
#define PIKA_IS_COLOR_DISPLAY_EDITOR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_COLOR_DISPLAY_EDITOR))
#define PIKA_COLOR_DISPLAY_EDITOR_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_COLOR_DISPLAY_EDITOR, PikaColorDisplayEditorClass))


typedef struct _PikaColorDisplayEditorClass  PikaColorDisplayEditorClass;

struct _PikaColorDisplayEditor
{
  GtkBox                 parent_instance;

  Pika                  *pika;
  PikaColorDisplayStack *stack;
  PikaColorConfig       *config;
  PikaColorManaged      *managed;

  GtkListStore          *src;
  GtkListStore          *dest;

  GtkTreeSelection      *src_sel;
  GtkTreeSelection      *dest_sel;

  PikaColorDisplay      *selected;

  GtkWidget             *add_button;

  GtkWidget             *remove_button;
  GtkWidget             *up_button;
  GtkWidget             *down_button;

  GtkWidget             *config_frame;
  GtkWidget             *config_box;
  GtkWidget             *config_widget;

  GtkWidget             *reset_button;
};

struct _PikaColorDisplayEditorClass
{
  GtkBoxClass parent_class;
};


GType       pika_color_display_editor_get_type (void) G_GNUC_CONST;

GtkWidget * pika_color_display_editor_new      (Pika                  *pika,
                                                PikaColorDisplayStack *stack,
                                                PikaColorConfig       *config,
                                                PikaColorManaged      *managed);


#endif  /*  __PIKA_COLOR_DISPLAY_EDITOR_H__  */
