/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikacoloreditor.h
 * Copyright (C) 2002 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_COLOR_EDITOR_H__
#define __PIKA_COLOR_EDITOR_H__


#include "pikaeditor.h"


#define PIKA_TYPE_COLOR_EDITOR            (pika_color_editor_get_type ())
#define PIKA_COLOR_EDITOR(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_COLOR_EDITOR, PikaColorEditor))
#define PIKA_COLOR_EDITOR_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_COLOR_EDITOR, PikaColorEditorClass))
#define PIKA_IS_COLOR_EDITOR(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_COLOR_EDITOR))
#define PIKA_IS_COLOR_EDITOR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_COLOR_EDITOR))
#define PIKA_COLOR_EDITOR_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_COLOR_EDITOR, PikaColorEditorClass))


typedef struct _PikaColorEditorClass PikaColorEditorClass;

struct _PikaColorEditor
{
  PikaEditor   parent_instance;

  PikaContext *context;
  gboolean     edit_bg;

  GtkWidget   *hbox;
  GtkWidget   *notebook;
  GtkWidget   *fg_bg;
  GtkWidget   *hex_entry;
};

struct _PikaColorEditorClass
{
  PikaEditorClass  parent_class;
};


GType       pika_color_editor_get_type (void) G_GNUC_CONST;

GtkWidget * pika_color_editor_new      (PikaContext *context);


#endif /* __PIKA_COLOR_EDITOR_H__ */
