/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikacolorhistory.h
 * Copyright (C) 2015 Jehan <jehan@girinstud.io>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_COLOR_HISTORY_H__
#define __PIKA_COLOR_HISTORY_H__


#define PIKA_TYPE_COLOR_HISTORY            (pika_color_history_get_type ())
#define PIKA_COLOR_HISTORY(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_COLOR_HISTORY, PikaColorHistory))
#define PIKA_COLOR_HISTORY_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_COLOR_HISTORY, PikaColorHistoryClass))
#define PIKA_IS_COLOR_HISTORY(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_COLOR_HISTORY))
#define PIKA_IS_COLOR_HISTORY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_COLOR_HISTORY))
#define PIKA_COLOR_HISTORY_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_COLOR_HISTORY, PikaColorHistoryClass))


typedef struct _PikaColorHistoryClass PikaColorHistoryClass;

struct _PikaColorHistory
{
  GtkGrid       parent_instance;

  PikaContext  *context;
  PikaImage    *active_image;

  GtkWidget   **color_areas;
  GtkWidget   **buttons;
  gint          history_size;
  gint          n_rows;
};

struct _PikaColorHistoryClass
{
  GtkGridClass  parent_class;

  /*  signals  */
  void   (* color_selected) (PikaColorHistory *history,
                             const PikaRGB    *rgb);
};


GType       pika_color_history_get_type (void) G_GNUC_CONST;

GtkWidget * pika_color_history_new      (PikaContext     *context,
                                         gint             history_size);

#endif /* __PIKA_COLOR_HISTORY_H__ */

