/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_COLOR_PANEL_H__
#define __PIKA_COLOR_PANEL_H__


#define PIKA_TYPE_COLOR_PANEL            (pika_color_panel_get_type ())
#define PIKA_COLOR_PANEL(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_COLOR_PANEL, PikaColorPanel))
#define PIKA_COLOR_PANEL_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_COLOR_PANEL, PikaColorPanelClass))
#define PIKA_IS_COLOR_PANEL(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_COLOR_PANEL))
#define PIKA_IS_COLOR_PANEL_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_COLOR_PANEL))
#define PIKA_COLOR_PANEL_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_COLOR_PANEL, PikaColorPanelClass))


typedef struct _PikaColorPanelClass PikaColorPanelClass;

struct _PikaColorPanel
{
  PikaColorButton  parent_instance;

  PikaContext     *context;
  GtkWidget       *color_dialog;
};

struct _PikaColorPanelClass
{
  PikaColorButtonClass  parent_class;

  /*  signals  */
  void (* response) (PikaColorPanel       *panel,
                     PikaColorDialogState  state);
};


GType       pika_color_panel_get_type        (void) G_GNUC_CONST;

GtkWidget * pika_color_panel_new             (const gchar          *title,
                                              const PikaRGB        *color,
                                              PikaColorAreaType     type,
                                              gint                  width,
                                              gint                  height);

void        pika_color_panel_set_context     (PikaColorPanel       *panel,
                                              PikaContext          *context);

void        pika_color_panel_dialog_response (PikaColorPanel       *panel,
                                              PikaColorDialogState  state);


#endif  /*  __PIKA_COLOR_PANEL_H__  */
