/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikacombotagentry.h
 * Copyright (C) 2008 Aurimas Juška <aurisj@svn.gnome.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_COMBO_TAG_ENTRY_H__
#define __PIKA_COMBO_TAG_ENTRY_H__

#include "pikatagentry.h"

#define PIKA_TYPE_COMBO_TAG_ENTRY            (pika_combo_tag_entry_get_type ())
#define PIKA_COMBO_TAG_ENTRY(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_COMBO_TAG_ENTRY, PikaComboTagEntry))
#define PIKA_COMBO_TAG_ENTRY_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_COMBO_TAG_ENTRY, PikaComboTagEntryClass))
#define PIKA_IS_COMBO_TAG_ENTRY(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_COMBO_TAG_ENTRY))
#define PIKA_IS_COMBO_TAG_ENTRY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_COMBO_TAG_ENTRY))
#define PIKA_COMBO_TAG_ENTRY_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_COMBO_TAG_ENTRY, PikaComboTagEntryClass))


typedef struct _PikaComboTagEntryClass  PikaComboTagEntryClass;

struct _PikaComboTagEntry
{
  PikaTagEntry  parent_instance;

  GtkWidget    *popup;
};

struct _PikaComboTagEntryClass
{
  PikaTagEntryClass  parent_class;
};


GType       pika_combo_tag_entry_get_type (void) G_GNUC_CONST;

GtkWidget * pika_combo_tag_entry_new      (PikaTaggedContainer *container,
                                           PikaTagEntryMode     mode);


#endif  /*  __PIKA_COMBO_TAG_ENTRY_H__  */
