/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikacomponenteditor.h
 * Copyright (C) 2003 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_COMPONENT_EDITOR_H__
#define __PIKA_COMPONENT_EDITOR_H__


#include "pikaimageeditor.h"


#define PIKA_TYPE_COMPONENT_EDITOR            (pika_component_editor_get_type ())
#define PIKA_COMPONENT_EDITOR(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_COMPONENT_EDITOR, PikaComponentEditor))
#define PIKA_COMPONENT_EDITOR_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_COMPONENT_EDITOR, PikaComponentEditorClass))
#define PIKA_IS_COMPONENT_EDITOR(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_COMPONENT_EDITOR))
#define PIKA_IS_COMPONENT_EDITOR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_COMPONENT_EDITOR))
#define PIKA_COMPONENT_EDITOR_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_COMPONENT_EDITOR, PikaComponentEditorClass))


typedef struct _PikaComponentEditorClass  PikaComponentEditorClass;

struct _PikaComponentEditor
{
  PikaImageEditor    parent_instance;

  gint               view_size;

  GtkTreeModel      *model;
  GtkTreeView       *view;
  GtkTreeSelection  *selection;

  GtkTreeViewColumn *eye_column;
  GtkCellRenderer   *eye_cell;
  GtkCellRenderer   *renderer_cell;

  PikaChannelType    clicked_component;
};

struct _PikaComponentEditorClass
{
  PikaImageEditorClass  parent_class;
};


GType       pika_component_editor_get_type      (void) G_GNUC_CONST;

GtkWidget * pika_component_editor_new           (gint                 view_size,
                                                 PikaMenuFactory     *menu_factory);
void        pika_component_editor_set_view_size (PikaComponentEditor *editor,
                                                 gint                 view_size);


#endif  /*  __PIKA_COMPONENT_EDITOR_H__  */
