/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikacontainercombobox.h
 * Copyright (C) 2004  Sven Neumann <sven@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_CONTAINER_COMBO_BOX_H__
#define __PIKA_CONTAINER_COMBO_BOX_H__


#define PIKA_TYPE_CONTAINER_COMBO_BOX            (pika_container_combo_box_get_type ())
#define PIKA_CONTAINER_COMBO_BOX(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_CONTAINER_COMBO_BOX, PikaContainerComboBox))
#define PIKA_CONTAINER_COMBO_BOX_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_CONTAINER_COMBO_BOX, PikaContainerComboBoxClass))
#define PIKA_IS_CONTAINER_COMBO_BOX(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_CONTAINER_COMBO_BOX))
#define PIKA_IS_CONTAINER_COMBO_BOX_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_CONTAINER_COMBO_BOX))
#define PIKA_CONTAINER_COMBO_BOX_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_CONTAINER_COMBO_BOX, PikaContainerComboBoxClass))


typedef struct _PikaContainerComboBoxClass  PikaContainerComboBoxClass;

struct _PikaContainerComboBox
{
  GtkComboBox      parent_instance;

  GtkCellRenderer *text_renderer;
  GtkCellRenderer *viewable_renderer;
};

struct _PikaContainerComboBoxClass
{
  GtkComboBoxClass  parent_class;
};


GType       pika_container_combo_box_get_type (void) G_GNUC_CONST;

GtkWidget * pika_container_combo_box_new      (PikaContainer *container,
                                               PikaContext   *context,
                                               gint           view_size,
                                               gint           view_border_width);


#endif  /*  __PIKA_CONTAINER_COMBO_BOX_H__  */
