/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikacontainereditor.h
 * Copyright (C) 2001-2011 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_CONTAINER_EDITOR_H__
#define __PIKA_CONTAINER_EDITOR_H__


#define PIKA_TYPE_CONTAINER_EDITOR            (pika_container_editor_get_type ())
#define PIKA_CONTAINER_EDITOR(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_CONTAINER_EDITOR, PikaContainerEditor))
#define PIKA_CONTAINER_EDITOR_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_CONTAINER_EDITOR, PikaContainerEditorClass))
#define PIKA_IS_CONTAINER_EDITOR(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_CONTAINER_EDITOR))
#define PIKA_IS_CONTAINER_EDITOR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_CONTAINER_EDITOR))
#define PIKA_CONTAINER_EDITOR_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_CONTAINER_EDITOR, PikaContainerEditorClass))


typedef struct _PikaContainerEditorPrivate PikaContainerEditorPrivate;
typedef struct _PikaContainerEditorClass   PikaContainerEditorClass;

struct _PikaContainerEditor
{
  GtkBox             parent_instance;

  PikaContainerView *view;

  PikaContainerEditorPrivate *priv;
};

struct _PikaContainerEditorClass
{
  GtkBoxClass  parent_class;

  void (* select_item)   (PikaContainerEditor *editor,
                          PikaViewable        *object);
  void (* activate_item) (PikaContainerEditor *editor,
                          PikaViewable        *object);
};


GType            pika_container_editor_get_type           (void) G_GNUC_CONST;

GtkSelectionMode pika_container_editor_get_selection_mode (PikaContainerEditor *editor);
void             pika_container_editor_set_selection_mode (PikaContainerEditor *editor,
                                                           GtkSelectionMode     mode);

void             pika_container_editor_bind_to_async_set  (PikaContainerEditor *editor,
                                                           PikaAsyncSet        *async_set,
                                                           const gchar         *message);


#endif  /*  __PIKA_CONTAINER_EDITOR_H__  */
