/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikacontainerpopup.h
 * Copyright (C) 2003-2014 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_CONTAINER_POPUP_H__
#define __PIKA_CONTAINER_POPUP_H__


#include "pikapopup.h"


#define PIKA_TYPE_CONTAINER_POPUP            (pika_container_popup_get_type ())
#define PIKA_CONTAINER_POPUP(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_CONTAINER_POPUP, PikaContainerPopup))
#define PIKA_CONTAINER_POPUP_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_CONTAINER_POPUP, PikaContainerPopupClass))
#define PIKA_IS_CONTAINER_POPUP(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_CONTAINER_POPUP))
#define PIKA_IS_CONTAINER_POPUP_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_CONTAINER_POPUP))
#define PIKA_CONTAINER_POPUP_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_CONTAINER_POPUP, PikaContainerPopupClass))


typedef struct _PikaContainerPopupClass  PikaContainerPopupClass;

struct _PikaContainerPopup
{
  PikaPopup            parent_instance;

  PikaContainer       *container;
  PikaContext         *orig_context;
  PikaContext         *context;

  PikaViewType         view_type;
  gint                 default_view_size;
  gint                 view_size;
  gint                 view_border_width;

  GtkWidget           *frame;
  PikaContainerEditor *editor;

  PikaDialogFactory   *dialog_factory;
  gchar               *dialog_identifier;
  gchar               *dialog_icon_name;
  gchar               *dialog_tooltip;
};

struct _PikaContainerPopupClass
{
  PikaPopupClass  parent_instance;
};


GType       pika_container_popup_get_type (void) G_GNUC_CONST;

GtkWidget * pika_container_popup_new      (PikaContainer      *container,
                                           PikaContext        *context,
                                           PikaViewType        view_type,
                                           gint                default_view_size,
                                           gint                view_size,
                                           gint                view_border_width,
                                           PikaDialogFactory  *dialog_factory,
                                           const gchar        *dialog_identifier,
                                           const gchar        *dialog_icon_name,
                                           const gchar        *dialog_tooltip);

PikaViewType pika_container_popup_get_view_type (PikaContainerPopup *popup);
void         pika_container_popup_set_view_type (PikaContainerPopup *popup,
                                                 PikaViewType        view_type);

gint         pika_container_popup_get_view_size (PikaContainerPopup *popup);
void         pika_container_popup_set_view_size (PikaContainerPopup *popup,
                                                 gint                view_size);


#endif  /*  __PIKA_CONTAINER_POPUP_H__  */
