/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikacontrollereditor.h
 * Copyright (C) 2004 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_CONTROLLER_EDITOR_H__
#define __PIKA_CONTROLLER_EDITOR_H__


#define PIKA_TYPE_CONTROLLER_EDITOR            (pika_controller_editor_get_type ())
#define PIKA_CONTROLLER_EDITOR(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_CONTROLLER_EDITOR, PikaControllerEditor))
#define PIKA_CONTROLLER_EDITOR_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_CONTROLLER_EDITOR, PikaControllerEditorClass))
#define PIKA_IS_CONTROLLER_EDITOR(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_CONTROLLER_EDITOR))
#define PIKA_IS_CONTROLLER_EDITOR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_CONTROLLER_EDITOR))
#define PIKA_CONTROLLER_EDITOR_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_CONTROLLER_EDITOR, PikaControllerEditorClass))


typedef struct _PikaControllerEditorClass PikaControllerEditorClass;

struct _PikaControllerEditor
{
  GtkBox              parent_instance;

  PikaControllerInfo *info;
  PikaContext        *context;

  GtkTreeSelection   *sel;

  GtkWidget          *grab_button;
  GtkWidget          *edit_button;
  GtkWidget          *delete_button;

  GtkWidget          *edit_dialog;
  GtkTreeSelection   *edit_sel;
};

struct _PikaControllerEditorClass
{
  GtkBoxClass   parent_class;
};


GType       pika_controller_editor_get_type (void) G_GNUC_CONST;

GtkWidget * pika_controller_editor_new      (PikaControllerInfo *info,
                                             PikaContext        *context);


#endif  /*  __PIKA_CONTROLLER_EDITOR_H__  */
