/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995-1997 Peter Mattis and Spencer Kimball
 *
 * pikacontrollerkeyboard.h
 * Copyright (C) 2004 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_CONTROLLER_KEYBOARD_H__
#define __PIKA_CONTROLLER_KEYBOARD_H__


#define PIKA_ENABLE_CONTROLLER_UNDER_CONSTRUCTION
#include "libpikawidgets/pikacontroller.h"


#define PIKA_TYPE_CONTROLLER_KEYBOARD            (pika_controller_keyboard_get_type ())
#define PIKA_CONTROLLER_KEYBOARD(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_CONTROLLER_KEYBOARD, PikaControllerKeyboard))
#define PIKA_CONTROLLER_KEYBOARD_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_CONTROLLER_KEYBOARD, PikaControllerKeyboardClass))
#define PIKA_IS_CONTROLLER_KEYBOARD(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_CONTROLLER_KEYBOARD))
#define PIKA_IS_CONTROLLER_KEYBOARD_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_CONTROLLER_KEYBOARD))
#define PIKA_CONTROLLER_KEYBOARD_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_CONTROLLER_KEYBOARD, PikaControllerKeyboardClass))


typedef struct _PikaControllerKeyboardClass PikaControllerKeyboardClass;

struct _PikaControllerKeyboard
{
  PikaController parent_instance;
};

struct _PikaControllerKeyboardClass
{
  PikaControllerClass parent_class;
};


GType      pika_controller_keyboard_get_type  (void) G_GNUC_CONST;

gboolean   pika_controller_keyboard_key_press (PikaControllerKeyboard *keyboard,
                                               const GdkEventKey      *kevent);


#endif /* __PIKA_CONTROLLER_KEYBOARD_H__ */
