/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikacriticaldialog.h
 * Copyright (C) 2018  Jehan <jehan@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_CRITICAL_DIALOG_H__
#define __PIKA_CRITICAL_DIALOG_H__

G_BEGIN_DECLS


#define PIKA_TYPE_CRITICAL_DIALOG            (pika_critical_dialog_get_type ())
#define PIKA_CRITICAL_DIALOG(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_CRITICAL_DIALOG, PikaCriticalDialog))
#define PIKA_CRITICAL_DIALOG_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_CRITICAL_DIALOG, PikaCriticalDialogClass))
#define PIKA_IS_CRITICAL_DIALOG(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_CRITICAL_DIALOG))
#define PIKA_IS_CRITICAL_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_CRITICAL_DIALOG))
#define PIKA_CRITICAL_DIALOG_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_CRITICAL_DIALOG, PikaCriticalDialogClass))


typedef struct _PikaCriticalDialog       PikaCriticalDialog;
typedef struct _PikaCriticalDialogClass  PikaCriticalDialogClass;

struct _PikaCriticalDialog
{
  GtkDialog        parent_instance;

  GtkWidget       *main_vbox;
  GtkWidget       *top_label;
  GtkWidget       *center_label;
  GtkWidget       *bottom_label;
  GtkWidget       *details;

  gchar           *program;
  gint             pid;

  gchar           *last_version;
  gchar           *release_date;
};

struct _PikaCriticalDialogClass
{
  GtkDialogClass   parent_class;
};


GType       pika_critical_dialog_get_type (void) G_GNUC_CONST;

GtkWidget * pika_critical_dialog_new      (const gchar        *title,
                                           const gchar        *last_version,
                                           gint64              release_timestamp);
void        pika_critical_dialog_add      (GtkWidget          *dialog,
                                           const gchar        *message,
                                           const gchar        *trace,
                                           gboolean            is_fatal,
                                           const gchar        *program,
                                           gint                pid);


G_END_DECLS

#endif /* __PIKA_CRITICAL_DIALOG_H__ */
