/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikadasheditor.h
 * Copyright (C) 2003 Simon Budig  <simon@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_DASH_EDITOR_H__
#define __PIKA_DASH_EDITOR_H__


#define PIKA_TYPE_DASH_EDITOR            (pika_dash_editor_get_type ())
#define PIKA_DASH_EDITOR(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_DASH_EDITOR, PikaDashEditor))
#define PIKA_DASH_EDITOR_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_DASH_EDITOR, PikaDashEditorClass))
#define PIKA_IS_DASH_EDITOR(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_DASH_EDITOR))
#define PIKA_IS_DASH_EDITOR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_DASH_EDITOR))
#define PIKA_DASH_EDITOR_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_DASH_EDITOR, PikaDashEditorClass))


typedef struct _PikaDashEditorClass  PikaDashEditorClass;

struct _PikaDashEditor
{
  GtkDrawingArea     parent_instance;

  PikaStrokeOptions *stroke_options;
  gdouble            dash_length;

  /* GUI stuff */
  gint               n_segments;
  gboolean          *segments;

  /* coordinates of the first block main dash pattern */
  gint               x0;
  gint               y0;
  gint               block_width;
  gint               block_height;

  gboolean           edit_mode;
  gint               edit_button_x0;
};

struct _PikaDashEditorClass
{
  GtkDrawingAreaClass  parent_class;
};


GType       pika_dash_editor_get_type    (void) G_GNUC_CONST;

GtkWidget * pika_dash_editor_new         (PikaStrokeOptions *stroke_options);

void        pika_dash_editor_shift_left  (PikaDashEditor    *editor);
void        pika_dash_editor_shift_right (PikaDashEditor    *editor);


#endif /* __PIKA_DASH_EDITOR_H__ */
