/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikadataeditor.h
 * Copyright (C) 2002-2004 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_DATA_EDITOR_H__
#define __PIKA_DATA_EDITOR_H__


#include "pikaeditor.h"


#define PIKA_TYPE_DATA_EDITOR            (pika_data_editor_get_type ())
#define PIKA_DATA_EDITOR(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_DATA_EDITOR, PikaDataEditor))
#define PIKA_DATA_EDITOR_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_DATA_EDITOR, PikaDataEditorClass))
#define PIKA_IS_DATA_EDITOR(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_DATA_EDITOR))
#define PIKA_IS_DATA_EDITOR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_DATA_EDITOR))
#define PIKA_DATA_EDITOR_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_DATA_EDITOR, PikaDataEditorClass))


typedef struct _PikaDataEditorClass PikaDataEditorClass;

struct _PikaDataEditor
{
  PikaEditor       parent_instance;

  PikaDataFactory *data_factory;
  PikaContext     *context;
  gboolean         edit_active;

  PikaData        *data;
  gboolean         data_editable;

  GtkWidget       *name_entry;

  GtkWidget       *view; /* filled by subclasses */
};

struct _PikaDataEditorClass
{
  PikaEditorClass  parent_class;

  /*  virtual functions  */
  void (* set_data) (PikaDataEditor *editor,
                     PikaData       *data);

  const gchar *title;
};


GType       pika_data_editor_get_type        (void) G_GNUC_CONST;

void        pika_data_editor_set_data        (PikaDataEditor *editor,
                                              PikaData       *data);
PikaData  * pika_data_editor_get_data        (PikaDataEditor *editor);

void        pika_data_editor_set_edit_active (PikaDataEditor *editor,
                                              gboolean        edit_active);
gboolean    pika_data_editor_get_edit_active (PikaDataEditor *editor);


#endif  /*  __PIKA_DATA_EDITOR_H__  */
