/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikadatafactoryview.h
 * Copyright (C) 2001 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_DATA_FACTORY_VIEW_H__
#define __PIKA_DATA_FACTORY_VIEW_H__


#include "pikacontainereditor.h"


#define PIKA_TYPE_DATA_FACTORY_VIEW            (pika_data_factory_view_get_type ())
#define PIKA_DATA_FACTORY_VIEW(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_DATA_FACTORY_VIEW, PikaDataFactoryView))
#define PIKA_DATA_FACTORY_VIEW_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_DATA_FACTORY_VIEW, PikaDataFactoryViewClass))
#define PIKA_IS_DATA_FACTORY_VIEW(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_DATA_FACTORY_VIEW))
#define PIKA_IS_DATA_FACTORY_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_DATA_FACTORY_VIEW))
#define PIKA_DATA_FACTORY_VIEW_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_DATA_FACTORY_VIEW, PikaDataFactoryViewClass))


typedef struct _PikaDataFactoryViewClass   PikaDataFactoryViewClass;
typedef struct _PikaDataFactoryViewPrivate PikaDataFactoryViewPrivate;

struct _PikaDataFactoryView
{
  PikaContainerEditor         parent_instance;

  PikaDataFactoryViewPrivate *priv;
};

struct _PikaDataFactoryViewClass
{
  PikaContainerEditorClass  parent_class;
};


GType             pika_data_factory_view_get_type             (void) G_GNUC_CONST;

GtkWidget *       pika_data_factory_view_new                  (PikaViewType      view_type,
                                                               PikaDataFactory  *factory,
                                                               PikaContext      *context,
                                                               gint              view_size,
                                                               gint              view_border_width,
                                                               PikaMenuFactory  *menu_factory,
                                                               const gchar      *menu_identifier,
                                                               const gchar      *ui_path,
                                                               const gchar      *action_group);

GtkWidget       * pika_data_factory_view_get_edit_button      (PikaDataFactoryView *factory_view);
GtkWidget       * pika_data_factory_view_get_duplicate_button (PikaDataFactoryView *factory_view);
PikaDataFactory * pika_data_factory_view_get_data_factory     (PikaDataFactoryView *factory_view);
GType             pika_data_factory_view_get_children_type    (PikaDataFactoryView *factory_view);
gboolean          pika_data_factory_view_has_data_new_func    (PikaDataFactoryView *factory_view);
gboolean          pika_data_factory_view_have                 (PikaDataFactoryView *factory_view,
                                                               PikaObject          *object);


#endif  /*  __PIKA_DATA_FACTORY_VIEW_H__  */
