/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikadevicemanager.h
 * Copyright (C) 2011 Michael Natterer
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_DEVICE_MANAGER_H__
#define __PIKA_DEVICE_MANAGER_H__


#include "core/pikalist.h"


G_BEGIN_DECLS


#define PIKA_TYPE_DEVICE_MANAGER            (pika_device_manager_get_type ())
#define PIKA_DEVICE_MANAGER(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_DEVICE_MANAGER, PikaDeviceManager))
#define PIKA_DEVICE_MANAGER_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_DEVICE_MANAGER, PikaDeviceManagerClass))
#define PIKA_IS_DEVICE_MANAGER(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_DEVICE_MANAGER))
#define PIKA_IS_DEVICE_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_DEVICE_MANAGER))
#define PIKA_DEVICE_MANAGER_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_DEVICE_MANAGER, PikaDeviceManagerClass))


typedef struct _PikaDeviceManagerPrivate PikaDeviceManagerPrivate;
typedef struct _PikaDeviceManagerClass   PikaDeviceManagerClass;

struct _PikaDeviceManager
{
  PikaList                  parent_instance;

  PikaDeviceManagerPrivate *priv;
};

struct _PikaDeviceManagerClass
{
  PikaListClass  parent_class;
};


GType               pika_device_manager_get_type           (void) G_GNUC_CONST;

PikaDeviceManager * pika_device_manager_new                (Pika *pika);

PikaDeviceInfo    * pika_device_manager_get_current_device (PikaDeviceManager *manager);
void                pika_device_manager_set_current_device (PikaDeviceManager *manager,
                                                            PikaDeviceInfo    *info);

void                pika_device_manager_reset              (PikaDeviceManager *manager);

G_END_DECLS

#endif /* __PIKA_DEVICE_MANAGER_H__ */
