/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikadevicestatus.h
 * Copyright (C) 2003 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_DEVICE_STATUS_H__
#define __PIKA_DEVICE_STATUS_H__


#include "pikaeditor.h"


#define PIKA_TYPE_DEVICE_STATUS            (pika_device_status_get_type ())
#define PIKA_DEVICE_STATUS(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_DEVICE_STATUS, PikaDeviceStatus))
#define PIKA_DEVICE_STATUS_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_DEVICE_STATUS, PikaDeviceStatusClass))
#define PIKA_IS_DEVICE_STATUS(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_DEVICE_STATUS))
#define PIKA_IS_DEVICE_STATUS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_DEVICE_STATUS))
#define PIKA_DEVICE_STATUS_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_DEVICE_STATUS, PikaDeviceStatusClass))


typedef struct _PikaDeviceStatusEntry PikaDeviceStatusEntry;
typedef struct _PikaDeviceStatusClass PikaDeviceStatusClass;

struct _PikaDeviceStatus
{
  PikaEditor      parent_instance;

  Pika           *pika;
  PikaDeviceInfo *current_device;

  GList          *devices;

  GtkWidget      *vbox;

  GtkWidget      *save_button;
  GtkWidget      *edit_button;
};

struct _PikaDeviceStatusClass
{
  PikaEditorClass  parent_class;
};


GType       pika_device_status_get_type (void) G_GNUC_CONST;

GtkWidget * pika_device_status_new      (Pika *pika);


#endif  /*  __PIKA_DEVICE_STATUS_H__  */
