/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikadial.h
 * Copyright (C) 2014 Michael Natterer <mitch@gimp.org>
 *
 * Based on code from the color-rotate plug-in
 * Copyright (C) 1997-1999 Sven Anders (anderss@fmi.uni-passau.de)
 *                         Based on code from Pavel Grinfeld (pavel@ml.com)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_DIAL_H__
#define __PIKA_DIAL_H__


#include "pikacircle.h"


#define PIKA_TYPE_DIAL            (pika_dial_get_type ())
#define PIKA_DIAL(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_DIAL, PikaDial))
#define PIKA_DIAL_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_DIAL, PikaDialClass))
#define PIKA_IS_DIAL(obj)         (G_TYPE_CHECK_INSTANCE_TYPE (obj, PIKA_TYPE_DIAL))
#define PIKA_IS_DIAL_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_DIAL))
#define PIKA_DIAL_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_DIAL, PikaDialClass))


typedef struct _PikaDialPrivate PikaDialPrivate;
typedef struct _PikaDialClass   PikaDialClass;

struct _PikaDial
{
  PikaCircle       parent_instance;

  PikaDialPrivate *priv;
};

struct _PikaDialClass
{
  PikaCircleClass  parent_class;
};


GType          pika_dial_get_type          (void) G_GNUC_CONST;

GtkWidget    * pika_dial_new               (void);


#endif /* __PIKA_DIAL_H__ */
