/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikadockcolumns.h
 * Copyright (C) 2009 Martin Nordholts <martinn@src.gnome.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_DOCK_COLUMNS_H__
#define __PIKA_DOCK_COLUMNS_H__


#define PIKA_TYPE_DOCK_COLUMNS            (pika_dock_columns_get_type ())
#define PIKA_DOCK_COLUMNS(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_DOCK_COLUMNS, PikaDockColumns))
#define PIKA_DOCK_COLUMNS_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_DOCK_COLUMNS, PikaDockColumnsClass))
#define PIKA_IS_DOCK_COLUMNS(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_DOCK_COLUMNS))
#define PIKA_IS_DOCK_COLUMNS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_DOCK_COLUMNS))
#define PIKA_DOCK_COLUMNS_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_DOCK_COLUMNS, PikaDockColumnsClass))


typedef struct _PikaDockColumnsClass    PikaDockColumnsClass;
typedef struct _PikaDockColumnsPrivate  PikaDockColumnsPrivate;

/**
 * PikaDockColumns:
 *
 * A widget containing PikaDocks so that dockables are arranged in
 * columns.
 */
struct _PikaDockColumns
{
  GtkBox parent_instance;

  PikaDockColumnsPrivate *p;
};

struct _PikaDockColumnsClass
{
  GtkBoxClass parent_class;

  void (* dock_added)   (PikaDockColumns *dock_columns,
                         PikaDock        *dock);
  void (* dock_removed) (PikaDockColumns *dock_columns,
                         PikaDock        *dock);
};


GType               pika_dock_columns_get_type           (void) G_GNUC_CONST;
GtkWidget         * pika_dock_columns_new                (PikaContext       *context,
                                                          PikaDialogFactory *dialog_factory,
                                                          PikaUIManager     *ui_manager);
void                pika_dock_columns_add_dock           (PikaDockColumns   *dock_columns,
                                                          PikaDock          *dock,
                                                          gint               index);
void                pika_dock_columns_prepare_dockbook   (PikaDockColumns   *dock_columns,
                                                          gint               dock_index,
                                                          GtkWidget        **dockbook_p);
void                pika_dock_columns_remove_dock        (PikaDockColumns   *dock_columns,
                                                          PikaDock          *dock);
GList             * pika_dock_columns_get_docks          (PikaDockColumns   *dock_columns);
PikaContext       * pika_dock_columns_get_context        (PikaDockColumns   *dock_columns);
void                pika_dock_columns_set_context        (PikaDockColumns   *dock_columns,
                                                          PikaContext       *context);
PikaDialogFactory * pika_dock_columns_get_dialog_factory (PikaDockColumns   *dock_columns);
PikaUIManager     * pika_dock_columns_get_ui_manager     (PikaDockColumns   *dock_columns);


#endif /* __PIKA_DOCK_COLUMNS_H__ */
