/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikaerrorconsole.h
 * Copyright (C) 2003 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_ERROR_CONSOLE_H__
#define __PIKA_ERROR_CONSOLE_H__


#include "pikaeditor.h"


#define PIKA_TYPE_ERROR_CONSOLE            (pika_error_console_get_type ())
#define PIKA_ERROR_CONSOLE(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_ERROR_CONSOLE, PikaErrorConsole))
#define PIKA_ERROR_CONSOLE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_ERROR_CONSOLE, PikaErrorConsoleClass))
#define PIKA_IS_ERROR_CONSOLE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_ERROR_CONSOLE))
#define PIKA_IS_ERROR_CONSOLE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_ERROR_CONSOLE))
#define PIKA_ERROR_CONSOLE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_ERROR_CONSOLE, PikaErrorConsoleClass))


typedef struct _PikaErrorConsoleClass PikaErrorConsoleClass;

struct _PikaErrorConsole
{
  PikaEditor     parent_instance;

  Pika          *pika;

  GtkTextBuffer *text_buffer;
  GtkWidget     *text_view;

  GtkWidget     *clear_button;
  GtkWidget     *save_button;

  GtkWidget     *file_dialog;
  gboolean       save_selection;

  gboolean       highlight[PIKA_MESSAGE_ERROR + 1];
};

struct _PikaErrorConsoleClass
{
  PikaEditorClass  parent_class;
};


GType       pika_error_console_get_type (void) G_GNUC_CONST;

GtkWidget * pika_error_console_new      (Pika                *pika,
                                         PikaMenuFactory     *menu_factory);

void        pika_error_console_add      (PikaErrorConsole    *console,
                                         PikaMessageSeverity  severity,
                                         const gchar         *domain,
                                         const gchar         *message);


#endif  /*  __PIKA_ERROR_CONSOLE_H__  */
