/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikaextensiondetails.h
 * Copyright (C) 2018 Jehan <jehan@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_EXTENSION_DETAILS_H__
#define __PIKA_EXTENSION_DETAILS_H__


#define PIKA_TYPE_EXTENSION_DETAILS            (pika_extension_details_get_type ())
#define PIKA_EXTENSION_DETAILS(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_EXTENSION_DETAILS, PikaExtensionDetails))
#define PIKA_EXTENSION_DETAILS_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_EXTENSION_DETAILS, PikaExtensionDetailsClass))
#define PIKA_IS_EXTENSION_DETAILS(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_EXTENSION_DETAILS))
#define PIKA_IS_EXTENSION_DETAILS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_EXTENSION_DETAILS))
#define PIKA_EXTENSION_DETAILS_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_EXTENSION_DETAILS, PikaExtensionDetailsClass))


typedef struct _PikaExtensionDetailsClass    PikaExtensionDetailsClass;
typedef struct _PikaExtensionDetailsPrivate  PikaExtensionDetailsPrivate;

struct _PikaExtensionDetails
{
  GtkFrame                     parent_instance;

  PikaExtensionDetailsPrivate *p;
};

struct _PikaExtensionDetailsClass
{
  GtkFrameClass                parent_class;
};


GType        pika_extension_details_get_type     (void) G_GNUC_CONST;

GtkWidget  * pika_extension_details_new          (void);

void         pika_extension_details_set          (PikaExtensionDetails *details,
                                                  PikaExtension        *extension);

#endif /* __PIKA_EXTENSION_DETAILS_H__ */

