/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikaextensionlist.h
 * Copyright (C) 2018 Jehan <jehan@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_EXTENSION_LIST_H__
#define __PIKA_EXTENSION_LIST_H__


#define PIKA_TYPE_EXTENSION_LIST            (pika_extension_list_get_type ())
#define PIKA_EXTENSION_LIST(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_EXTENSION_LIST, PikaExtensionList))
#define PIKA_EXTENSION_LIST_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_EXTENSION_LIST, PikaExtensionListClass))
#define PIKA_IS_EXTENSION_LIST(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_EXTENSION_LIST))
#define PIKA_IS_EXTENSION_LIST_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_EXTENSION_LIST))
#define PIKA_EXTENSION_LIST_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_EXTENSION_LIST, PikaExtensionListClass))


typedef struct _PikaExtensionListClass    PikaExtensionListClass;
typedef struct _PikaExtensionListPrivate  PikaExtensionListPrivate;

struct _PikaExtensionList
{
  GtkListBox                parent_instance;

  PikaExtensionListPrivate *p;
};

struct _PikaExtensionListClass
{
  GtkListBoxClass           parent_class;

  void         (* extension_activated) (PikaExtensionList *list,
                                        PikaExtension     *extension);
};


GType        pika_extension_list_get_type     (void) G_GNUC_CONST;

GtkWidget  * pika_extension_list_new          (PikaExtensionManager *manager);

void         pika_extension_list_show_system  (PikaExtensionList *list);
void         pika_extension_list_show_user    (PikaExtensionList *list);
void         pika_extension_list_show_search  (PikaExtensionList *list,
                                               const gchar       *search_terms);

#endif /* __PIKA_EXTENSION_LIST_H__ */
