/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikafileprocview.h
 * Copyright (C) 2004  Sven Neumann <sven@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_FILE_PROC_VIEW_H__
#define __PIKA_FILE_PROC_VIEW_H__


#define PIKA_TYPE_FILE_PROC_VIEW            (pika_file_proc_view_get_type ())
#define PIKA_FILE_PROC_VIEW(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_FILE_PROC_VIEW, PikaFileProcView))
#define PIKA_FILE_PROC_VIEW_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_FILE_PROC_VIEW, PikaFileProcViewClass))
#define PIKA_IS_FILE_PROC_VIEW(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_FILE_PROC_VIEW))
#define PIKA_IS_FILE_PROC_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_FILE_PROC_VIEW))
#define PIKA_FILE_PROC_VIEW_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_FILE_PROC_VIEW, PikaFileProcViewClass))


typedef struct _PikaFileProcViewClass PikaFileProcViewClass;

struct _PikaFileProcView
{
  GtkTreeView        parent_instance;

  GList             *meta_extensions;
};

struct _PikaFileProcViewClass
{
  GtkTreeViewClass   parent_class;

  void (* changed) (PikaFileProcView *view);
};


GType                 pika_file_proc_view_get_type    (void) G_GNUC_CONST;

GtkWidget           * pika_file_proc_view_new         (Pika                 *pika,
                                                       GSList               *procedures,
                                                       const gchar          *automatic,
                                                       const gchar          *automatic_help_id);

PikaPlugInProcedure * pika_file_proc_view_get_proc    (PikaFileProcView     *view,
                                                       gchar               **label,
                                                       GtkFileFilter       **filter);
gboolean              pika_file_proc_view_set_proc    (PikaFileProcView     *view,
                                                       PikaPlugInProcedure  *proc);

gchar               * pika_file_proc_view_get_help_id (PikaFileProcView     *view);


#endif  /*  __PIKA_FILE_PROC_VIEW_H__  */
