/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_HANDLE_BAR_H__
#define __PIKA_HANDLE_BAR_H__


#define PIKA_TYPE_HANDLE_BAR            (pika_handle_bar_get_type ())
#define PIKA_HANDLE_BAR(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_HANDLE_BAR, PikaHandleBar))
#define PIKA_HANDLE_BAR_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_HANDLE_BAR, PikaHandleBarClass))
#define PIKA_IS_HANDLE_BAR(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_HANDLE_BAR))
#define PIKA_IS_HANDLE_BAR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_HANDLE_BAR))
#define PIKA_HANDLE_BAR_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_HANDLE_BAR, PikaHandleBarClass))


typedef struct _PikaHandleBarClass  PikaHandleBarClass;

struct _PikaHandleBar
{
  GtkEventBox     parent_class;

  GtkOrientation  orientation;

  GtkAdjustment  *slider_adj[3];
  gboolean        limits_set;
  gdouble         lower;
  gdouble         upper;

  gint            slider_pos[3];
  gint            active_slider;
};

struct _PikaHandleBarClass
{
  GtkEventBoxClass   parent_class;
};


GType       pika_handle_bar_get_type       (void) G_GNUC_CONST;

GtkWidget * pika_handle_bar_new            (GtkOrientation  orientation);

void        pika_handle_bar_set_adjustment (PikaHandleBar  *bar,
                                            gint            handle_no,
                                            GtkAdjustment  *adjustment);

void        pika_handle_bar_set_limits     (PikaHandleBar  *bar,
                                            gdouble         lower,
                                            gdouble         upper);
void        pika_handle_bar_unset_limits   (PikaHandleBar  *bar);
gboolean    pika_handle_bar_get_limits     (PikaHandleBar  *bar,
                                            gdouble        *lower,
                                            gdouble        *upper);

void        pika_handle_bar_connect_events (PikaHandleBar  *bar,
                                            GtkWidget      *event_source);


#endif  /*  __PIKA_HANDLE_BAR_H__  */
