/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikahelp.h
 * Copyright (C) 1999-2000 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_HELP_H__
#define __PIKA_HELP_H__


/*  the main help function
 *
 *  there should be no need to use it directly
 */
void       pika_help_show (Pika         *pika,
                           PikaProgress *progress,
                           const gchar  *help_domain,
                           const gchar  *help_id);


/*  checks if the help browser is available
 */
gboolean   pika_help_browser_is_installed     (Pika *pika);

/*  checks if the user manual is installed locally
 */
gboolean   pika_help_user_manual_is_installed (Pika *pika);

/*  the configuration changed with respect to the location
 *  of the user manual, invalidate the cached information
 */
void       pika_help_user_manual_changed      (Pika *pika);


GList    * pika_help_get_installed_languages  (void);

#endif /* __PIKA_HELP_H__ */
