/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikaiconpicker.h
 * Copyright (C) 2011 Michael Natterer <mitch@gimp.org>
 *               2012 Daniel Sabo
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_ICON_PICKER_H__
#define __PIKA_ICON_PICKER_H__


#define PIKA_TYPE_ICON_PICKER            (pika_icon_picker_get_type ())
#define PIKA_ICON_PICKER(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_ICON_PICKER, PikaIconPicker))
#define PIKA_ICON_PICKER_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_ICON_PICKER, PikaIconPickerClass))
#define PIKA_IS_ICON_PICKER(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_ICON_PICKER))
#define PIKA_IS_ICON_PICKER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_ICON_PICKER))
#define PIKA_ICON_PICKER_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_ICON_PICKER, PikaIconPickerClass))


typedef struct _PikaIconPickerClass PikaIconPickerClass;

struct _PikaIconPicker
{
  GtkBox  parent_instance;
};

struct _PikaIconPickerClass
{
  GtkBoxClass   parent_class;
};


GType          pika_icon_picker_get_type       (void) G_GNUC_CONST;

GtkWidget   * pika_icon_picker_new             (Pika           *pika);

const gchar * pika_icon_picker_get_icon_name   (PikaIconPicker *picker);
void          pika_icon_picker_set_icon_name   (PikaIconPicker *picker,
                                                const gchar    *icon_name);

GdkPixbuf   * pika_icon_picker_get_icon_pixbuf (PikaIconPicker *picker);
void          pika_icon_picker_set_icon_pixbuf (PikaIconPicker *picker,
                                                GdkPixbuf      *value);


#endif  /*  __PIKA_ICON_PICKER_H__  */
