/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * PikaImagePropView
 * Copyright (C) 2005  Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_IMAGE_PROP_VIEW_H__
#define __PIKA_IMAGE_PROP_VIEW_H__


#define PIKA_TYPE_IMAGE_PROP_VIEW            (pika_image_prop_view_get_type ())
#define PIKA_IMAGE_PROP_VIEW(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_IMAGE_PROP_VIEW, PikaImagePropView))
#define PIKA_IMAGE_PROP_VIEW_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_IMAGE_PROP_VIEW, PikaImagePropViewClass))
#define PIKA_IS_IMAGE_PROP_VIEW(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_IMAGE_PROP_VIEW))
#define PIKA_IS_IMAGE_PROP_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_IMAGE_PROP_VIEW))
#define PIKA_IMAGE_PROP_VIEW_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_IMAGE_PROP_VIEW, PikaImagePropViewClass))


typedef struct _PikaImagePropViewClass PikaImagePropViewClass;

struct _PikaImagePropView
{
  GtkGrid    parent_instance;

  PikaImage *image;

  GtkWidget *pixel_size_label;
  GtkWidget *print_size_label;
  GtkWidget *resolution_label;
  GtkWidget *colorspace_label;
  GtkWidget *precision_label;
  GtkWidget *filename_label;
  GtkWidget *filesize_label;
  GtkWidget *filetype_label;
  GtkWidget *memsize_label;
  GtkWidget *undo_label;
  GtkWidget *redo_label;
  GtkWidget *pixels_label;
  GtkWidget *layers_label;
  GtkWidget *channels_label;
  GtkWidget *vectors_label;
};

struct _PikaImagePropViewClass
{
  GtkGridClass  parent_class;
};


GType       pika_image_prop_view_get_type (void) G_GNUC_CONST;

GtkWidget * pika_image_prop_view_new      (PikaImage *image);


#endif /*  __PIKA_IMAGE_PROP_VIEW_H__  */
