/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikalanguagecombobox.h
 * Copyright (C) 2009  Sven Neumann <sven@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_LANGUAGE_COMBO_BOX_H__
#define __PIKA_LANGUAGE_COMBO_BOX_H__


#define PIKA_TYPE_LANGUAGE_COMBO_BOX            (pika_language_combo_box_get_type ())
#define PIKA_LANGUAGE_COMBO_BOX(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_LANGUAGE_COMBO_BOX, PikaLanguageComboBox))
#define PIKA_LANGUAGE_COMBO_BOX_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_LANGUAGE_COMBO_BOX, PikaLanguageComboBoxClass))
#define PIKA_IS_LANGUAGE_COMBO_BOX(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_LANGUAGE_COMBO_BOX))
#define PIKA_IS_LANGUAGE_COMBO_BOX_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_LANGUAGE_COMBO_BOX))
#define PIKA_LANGUAGE_COMBO_BOX_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_LANGUAGE_COMBO_BOX, PikaLanguageComboBoxClass))


typedef struct _PikaLanguageComboBoxClass  PikaLanguageComboBoxClass;

struct _PikaLanguageComboBoxClass
{
  GtkComboBoxClass  parent_class;
};


GType       pika_language_combo_box_get_type (void) G_GNUC_CONST;

GtkWidget * pika_language_combo_box_new      (gboolean              manual_l18n,
                                              const gchar          *empty_label);

gchar     * pika_language_combo_box_get_code (PikaLanguageComboBox *combo);
gboolean    pika_language_combo_box_set_code (PikaLanguageComboBox *combo,
                                              const gchar          *code);


#endif  /* __PIKA_LANGUAGE_COMBO_BOX_H__ */
