/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikalanguageentry.h
 * Copyright (C) 2008  Sven Neumann <sven@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_LANGUAGE_ENTRY_H__
#define __PIKA_LANGUAGE_ENTRY_H__


#define PIKA_TYPE_LANGUAGE_ENTRY            (pika_language_entry_get_type ())
#define PIKA_LANGUAGE_ENTRY(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_LANGUAGE_ENTRY, PikaLanguageEntry))
#define PIKA_LANGUAGE_ENTRY_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_LANGUAGE_ENTRY, PikaLanguageEntryClass))
#define PIKA_IS_LANGUAGE_ENTRY(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_LANGUAGE_ENTRY))
#define PIKA_IS_LANGUAGE_ENTRY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_LANGUAGE_ENTRY))
#define PIKA_LANGUAGE_ENTRY_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_LANGUAGE_ENTRY, PikaLanguageEntryClass))


typedef struct _PikaLanguageEntryClass  PikaLanguageEntryClass;

struct _PikaLanguageEntryClass
{
  GtkEntryClass  parent_class;
};


GType         pika_language_entry_get_type     (void) G_GNUC_CONST;

GtkWidget   * pika_language_entry_new      (void);

const gchar * pika_language_entry_get_code (PikaLanguageEntry *entry);
gboolean      pika_language_entry_set_code (PikaLanguageEntry *entry,
                                            const gchar       *code);


#endif  /* __PIKA_LANGUAGE_ENTRY_H__ */
