/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikalanguagestore.h
 * Copyright (C) 2008, 2009  Sven Neumann <sven@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_LANGUAGE_STORE_H__
#define __PIKA_LANGUAGE_STORE_H__


enum
{
  PIKA_LANGUAGE_STORE_LABEL,
  PIKA_LANGUAGE_STORE_CODE
};


#define PIKA_TYPE_LANGUAGE_STORE            (pika_language_store_get_type ())
#define PIKA_LANGUAGE_STORE(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_LANGUAGE_STORE, PikaLanguageStore))
#define PIKA_LANGUAGE_STORE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_LANGUAGE_STORE, PikaLanguageStoreClass))
#define PIKA_IS_LANGUAGE_STORE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_LANGUAGE_STORE))
#define PIKA_IS_LANGUAGE_STORE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_LANGUAGE_STORE))
#define PIKA_LANGUAGE_STORE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_LANGUAGE_STORE, PikaLanguageStoreClass))


typedef struct _PikaLanguageStoreClass  PikaLanguageStoreClass;

struct _PikaLanguageStoreClass
{
  GtkListStoreClass  parent_class;

  void (* add) (PikaLanguageStore *store,
                const gchar       *label,
                const gchar       *code);
};

struct _PikaLanguageStore
{
  GtkListStore     parent_instance;
};


GType          pika_language_store_get_type (void) G_GNUC_CONST;

GtkListStore * pika_language_store_new      (void);

gboolean       pika_language_store_lookup   (PikaLanguageStore *store,
                                             const gchar       *code,
                                             GtkTreeIter       *iter);

#endif  /* __PIKA_LANGUAGE_STORE_H__ */
