/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-1999 Peter Mattis and Spencer Kimball
 *
 * pikalayermodecombobox.h
 * Copyright (C) 2017  Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_LAYER_MODE_COMBO_BOX_H__
#define __PIKA_LAYER_MODE_COMBO_BOX_H__


#define PIKA_TYPE_LAYER_MODE_COMBO_BOX            (pika_layer_mode_combo_box_get_type ())
#define PIKA_LAYER_MODE_COMBO_BOX(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_LAYER_MODE_COMBO_BOX, PikaLayerModeComboBox))
#define PIKA_LAYER_MODE_COMBO_BOX_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_LAYER_MODE_COMBO_BOX, PikaLayerModeComboBoxClass))
#define PIKA_IS_LAYER_MODE_COMBO_BOX(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_LAYER_MODE_COMBO_BOX))
#define PIKA_IS_LAYER_MODE_COMBO_BOX_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_LAYER_MODE_COMBO_BOX))
#define PIKA_LAYER_MODE_COMBO_BOX_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_LAYER_MODE_COMBO_BOX, PikaLayerModeComboBoxClass))


typedef struct _PikaLayerModeComboBoxPrivate PikaLayerModeComboBoxPrivate;
typedef struct _PikaLayerModeComboBoxClass   PikaLayerModeComboBoxClass;

struct _PikaLayerModeComboBox
{
  PikaEnumComboBox              parent_instance;

  PikaLayerModeComboBoxPrivate *priv;
};

struct _PikaLayerModeComboBoxClass
{
  PikaEnumComboBoxClass  parent_class;
};


GType                  pika_layer_mode_combo_box_get_type    (void) G_GNUC_CONST;

GtkWidget            * pika_layer_mode_combo_box_new         (PikaLayerModeContext   context);

void                   pika_layer_mode_combo_box_set_context (PikaLayerModeComboBox *combo,
                                                              PikaLayerModeContext   context);
PikaLayerModeContext   pika_layer_mode_combo_box_get_context (PikaLayerModeComboBox *combo);

void                   pika_layer_mode_combo_box_set_mode    (PikaLayerModeComboBox *combo,
                                                              PikaLayerMode          mode);
PikaLayerMode          pika_layer_mode_combo_box_get_mode    (PikaLayerModeComboBox *combo);

void                   pika_layer_mode_combo_box_set_group   (PikaLayerModeComboBox *combo,
                                                              PikaLayerModeGroup     group);
PikaLayerModeGroup     pika_layer_mode_combo_box_get_group   (PikaLayerModeComboBox *combo);


#endif  /* __PIKA_LAYER_MODE_COMBO_BOX_H__ */
