/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikamenu.h
 * Copyright (C) 2023 Jehan
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_MENU_H__
#define __PIKA_MENU_H__


#define PIKA_TYPE_MENU            (pika_menu_get_type ())
#define PIKA_MENU(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_MENU, PikaMenu))
#define PIKA_MENU_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_MENU, PikaMenuClass))
#define PIKA_IS_MENU(obj)         (G_TYPE_CHECK_INSTANCE_TYPE (obj, PIKA_TYPE_MENU))
#define PIKA_IS_MENU_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_MENU))
#define PIKA_MENU_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_MENU, PikaMenuClass))


typedef struct _PikaMenuPrivate PikaMenuPrivate;
typedef struct _PikaMenuClass   PikaMenuClass;

struct _PikaMenu
{
  GtkMenu           parent_instance;

  PikaMenuPrivate  *priv;
};

struct _PikaMenuClass
{
  GtkMenuClass  parent_class;
};


GType        pika_menu_get_type   (void) G_GNUC_CONST;

GtkWidget  * pika_menu_new        (PikaUIManager *manager);

void         pika_menu_merge      (PikaMenu      *menu,
                                   PikaMenu      *menu2,
                                   gboolean       top);


#endif /* __PIKA_MENU_H__ */
