/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikamenu_model.h
 * Copyright (C) 2023 Jehan
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_MENU_MODEL_H__
#define __PIKA_MENU_MODEL_H__


#define PIKA_TYPE_MENU_MODEL            (pika_menu_model_get_type ())
#define PIKA_MENU_MODEL(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_MENU_MODEL, PikaMenuModel))
#define PIKA_MENU_MODEL_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_MENU_MODEL, PikaMenuModelClass))
#define PIKA_IS_MENU_MODEL(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_MENU_MODEL))
#define PIKA_IS_MENU_MODEL_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_MENU_MODEL))
#define PIKA_MENU_MODEL_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_MENU_MODEL, PikaMenuModelClass))


typedef struct _PikaMenuModelPrivate PikaMenuModelPrivate;
typedef struct _PikaMenuModelClass   PikaMenuModelClass;

struct _PikaMenuModel
{
  GMenuModel             parent_instance;

  PikaMenuModelPrivate  *priv;
};

struct _PikaMenuModelClass
{
  GMenuModelClass        parent_class;
};


GType            pika_menu_model_get_type   (void) G_GNUC_CONST;

PikaMenuModel  * pika_menu_model_new        (PikaUIManager *manager,
                                             GMenuModel    *model);

PikaMenuModel  * pika_menu_model_get_submodel (PikaMenuModel *model,
                                               const gchar   *path);

const gchar    * pika_menu_model_get_path     (PikaMenuModel *model);

void             pika_menu_model_set_title    (PikaMenuModel *model,
                                               const gchar   *path,
                                               const gchar   *title);
void             pika_menu_model_set_color    (PikaMenuModel *model,
                                               const gchar   *path,
                                               const PikaRGB *color);


#endif /* __PIKA_MENU_MODEL_H__ */
