/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikamenushell.h
 * Copyright (C) 2023 Jehan
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_MENU_SHELL_H__
#define __PIKA_MENU_SHELL_H__


#define PIKA_TYPE_MENU_SHELL               (pika_menu_shell_get_type ())
#define PIKA_MENU_SHELL(obj)               (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_MENU_SHELL, PikaMenuShell))
#define PIKA_IS_MENU_SHELL(obj)            (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_MENU_SHELL))
#define PIKA_MENU_SHELL_GET_INTERFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE((obj), PIKA_TYPE_MENU_SHELL, PikaMenuShellInterface))


enum
{
  PIKA_MENU_SHELL_PROP_0,
  PIKA_MENU_SHELL_PROP_MANAGER,
  PIKA_MENU_SHELL_PROP_MODEL,

  PIKA_MENU_SHELL_PROP_LAST = PIKA_MENU_SHELL_PROP_MODEL,
};

typedef struct _PikaMenuShellInterface PikaMenuShellInterface;

struct _PikaMenuShellInterface
{
  GTypeInterface base_interface;

  /* Signals */

  void          (* model_deleted) (PikaMenuShell  *shell);

  /* Virtual functions. */

  void          (* append)        (PikaMenuShell  *shell,
                                   PikaMenuModel  *model);
  void          (* add_ui)        (PikaMenuShell  *shell,
                                   const gchar   **paths,
                                   const gchar    *action_name,
                                   gboolean        top);
  void          (* remove_ui)     (PikaMenuShell  *shell,
                                   const gchar   **paths,
                                   const gchar    *action_name);
};


GType           pika_menu_shell_get_type            (void) G_GNUC_CONST;

void            pika_menu_shell_fill                (PikaMenuShell *shell,
                                                     PikaMenuModel *model,
                                                     gboolean       drop_top_submenu);


/* Protected functions. */

void            pika_menu_shell_append              (PikaMenuShell *shell,
                                                     PikaMenuModel *model);

void            pika_menu_shell_init                (PikaMenuShell *shell);
void            pika_menu_shell_install_properties  (GObjectClass  *klass);
void            pika_menu_shell_get_property        (GObject       *object,
                                                     guint          property_id,
                                                     GValue        *value,
                                                     GParamSpec    *pspec);
void            pika_menu_shell_set_property        (GObject       *object,
                                                     guint          property_id,
                                                     const GValue  *value,
                                                     GParamSpec    *pspec);

PikaUIManager * pika_menu_shell_get_manager         (PikaMenuShell *shell);


#endif  /* __PIKA_MENU_SHELL_H__ */
