/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikamessagebox.h
 * Copyright (C) 2004 Sven Neumann <sven@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_MESSAGE_BOX_H__
#define __PIKA_MESSAGE_BOX_H__

G_BEGIN_DECLS


#define PIKA_TYPE_MESSAGE_BOX            (pika_message_box_get_type ())
#define PIKA_MESSAGE_BOX(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_MESSAGE_BOX, PikaMessageBox))
#define PIKA_MESSAGE_BOX_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_MESSAGE_BOX, PikaMessageBoxClass))
#define PIKA_IS_MESSAGE_BOX(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_MESSAGE_BOX))
#define PIKA_IS_MESSAGE_BOX_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_MESSAGE_BOX))
#define PIKA_MESSAGE_BOX_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_MESSAGE_BOX, PikaMessageBoxClass))


typedef struct _PikaMessageBoxClass  PikaMessageBoxClass;

struct _PikaMessageBox
{
  GtkBox     parent_instance;

  gchar     *icon_name;
  gint       repeat;
  GtkWidget *label[3];
  GtkWidget *image;

  guint      idle_id;
};

struct _PikaMessageBoxClass
{
  GtkBoxClass  parent_class;
};


GType       pika_message_box_get_type         (void) G_GNUC_CONST;

GtkWidget * pika_message_box_new              (const gchar    *icon_name);
void        pika_message_box_set_primary_text (PikaMessageBox *box,
                                               const gchar    *format,
                                               ...) G_GNUC_PRINTF (2, 3);
void        pika_message_box_set_text         (PikaMessageBox *box,
                                               const gchar    *format,
                                               ...) G_GNUC_PRINTF (2, 3);
void        pika_message_box_set_markup       (PikaMessageBox *box,
                                               const gchar    *format,
                                               ...) G_GNUC_PRINTF (2, 3);
gint        pika_message_box_repeat           (PikaMessageBox *box);


G_END_DECLS

#endif /* __PIKA_MESSAGE_BOX_H__ */
