/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikamessagedialog.h
 * Copyright (C) 2004 Sven Neumann <sven@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_MESSAGE_DIALOG_H__
#define __PIKA_MESSAGE_DIALOG_H__

G_BEGIN_DECLS


#define PIKA_TYPE_MESSAGE_DIALOG            (pika_message_dialog_get_type ())
#define PIKA_MESSAGE_DIALOG(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_MESSAGE_DIALOG, PikaMessageDialog))
#define PIKA_MESSAGE_DIALOG_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_MESSAGE_DIALOG, PikaMessageDialogClass))
#define PIKA_IS_MESSAGE_DIALOG(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_MESSAGE_DIALOG))
#define PIKA_IS_MESSAGE_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_MESSAGE_DIALOG))
#define PIKA_MESSAGE_DIALOG_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_MESSAGE_DIALOG, PikaMessageDialogClass))


typedef struct _PikaMessageDialogClass  PikaMessageDialogClass;

struct _PikaMessageDialog
{
  PikaDialog       parent_instance;

  PikaMessageBox  *box;
};

struct _PikaMessageDialogClass
{
  PikaDialogClass  parent_class;
};


GType       pika_message_dialog_get_type (void) G_GNUC_CONST;

GtkWidget * pika_message_dialog_new      (const gchar       *title,
                                          const gchar       *icon_name,
                                          GtkWidget         *parent,
                                          GtkDialogFlags     flags,
                                          PikaHelpFunc       help_func,
                                          const gchar       *help_id,
                                          ...) G_GNUC_NULL_TERMINATED;


G_END_DECLS

#endif /* __PIKA_MESSAGE_DIALOG_H__ */
