/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikamodifierseditor.h
 * Copyright (C) 2022 Jehan
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_MODIFIERS_EDITOR_H__
#define __PIKA_MODIFIERS_EDITOR_H__


#define PIKA_TYPE_MODIFIERS_EDITOR            (pika_modifiers_editor_get_type ())
#define PIKA_MODIFIERS_EDITOR(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_MODIFIERS_EDITOR, PikaModifiersEditor))
#define PIKA_MODIFIERS_EDITOR_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_MODIFIERS_EDITOR, PikaModifiersEditorClass))
#define PIKA_IS_MODIFIERS_EDITOR(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_MODIFIERS_EDITOR))
#define PIKA_IS_MODIFIERS_EDITOR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_MODIFIERS_EDITOR))
#define PIKA_MODIFIERS_EDITOR_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_MODIFIERS_EDITOR, PikaModifiersEditorClass))


typedef struct _PikaModifiersEditorPrivate PikaModifiersEditorPrivate;
typedef struct _PikaModifiersEditorClass   PikaModifiersEditorClass;

struct _PikaModifiersEditor
{
  PikaFrame                  parent_instance;

  PikaModifiersEditorPrivate *priv;
};

struct _PikaModifiersEditorClass
{
  PikaFrameClass             parent_class;
};


GType          pika_modifiers_editor_get_type (void) G_GNUC_CONST;

GtkWidget    * pika_modifiers_editor_new      (PikaModifiersManager *manager,
                                               Pika                 *pika);

void           pika_modifiers_editor_clear    (PikaModifiersEditor  *editor);


#endif /* __PIKA_MODIFIERS_EDITOR_H__ */
