/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikaopendialog.h
 * Copyright (C) 2015 Jehan <jehan@girinstud.io>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_OPEN_DIALOG_H__
#define __PIKA_OPEN_DIALOG_H__

#include "pikafiledialog.h"

G_BEGIN_DECLS

#define PIKA_TYPE_OPEN_DIALOG            (pika_open_dialog_get_type ())
#define PIKA_OPEN_DIALOG(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_OPEN_DIALOG, PikaOpenDialog))
#define PIKA_OPEN_DIALOG_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_OPEN_DIALOG, PikaOpenDialogClass))
#define PIKA_IS_OPEN_DIALOG(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_OPEN_DIALOG))
#define PIKA_IS_OPEN_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_OPEN_DIALOG))
#define PIKA_OPEN_DIALOG_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_OPEN_DIALOG, PikaOpenDialogClass))


typedef struct _PikaOpenDialogClass PikaOpenDialogClass;

struct _PikaOpenDialog
{
  PikaFileDialog       parent_instance;

  gboolean             open_as_layers;
};

struct _PikaOpenDialogClass
{
  PikaFileDialogClass  parent_class;
};


GType       pika_open_dialog_get_type   (void) G_GNUC_CONST;

GtkWidget * pika_open_dialog_new        (Pika           *pika);

void        pika_open_dialog_set_image  (PikaOpenDialog *dialog,
                                         PikaImage      *image,
                                         gboolean        open_as_layers);

G_END_DECLS

#endif /* __PIKA_OPEN_DIALOG_H__ */
