/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * PikaOverlayBox
 * Copyright (C) 2009 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_OVERLAY_BOX_H__
#define __PIKA_OVERLAY_BOX_H__


#define PIKA_TYPE_OVERLAY_BOX            (pika_overlay_box_get_type ())
#define PIKA_OVERLAY_BOX(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_OVERLAY_BOX, PikaOverlayBox))
#define PIKA_OVERLAY_BOX_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_OVERLAY_BOX, PikaOverlayBoxClass))
#define PIKA_IS_OVERLAY_BOX(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_OVERLAY_BOX))
#define PIKA_IS_OVERLAY_BOX_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_OVERLAY_BOX))
#define PIKA_OVERLAY_BOX_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_OVERLAY_BOX, PikaOverlayBoxClass))


typedef struct _PikaOverlayBoxClass PikaOverlayBoxClass;

struct _PikaOverlayBox
{
  GtkContainer  parent_instance;

  GList        *children;
};

struct _PikaOverlayBoxClass
{
  GtkContainerClass  parent_class;
};


GType       pika_overlay_box_get_type            (void) G_GNUC_CONST;

GtkWidget * pika_overlay_box_new                 (void);

void        pika_overlay_box_add_child           (PikaOverlayBox *box,
                                                  GtkWidget      *child,
                                                  gdouble         xalign,
                                                  gdouble         yalign);
void        pika_overlay_box_set_child_alignment (PikaOverlayBox *box,
                                                  GtkWidget      *child,
                                                  gdouble         xalign,
                                                  gdouble         yalign);
void        pika_overlay_box_set_child_position  (PikaOverlayBox *box,
                                                  GtkWidget      *child,
                                                  gdouble         x,
                                                  gdouble         y);
void        pika_overlay_box_set_child_angle     (PikaOverlayBox *box,
                                                  GtkWidget      *child,
                                                  gdouble         angle);
void        pika_overlay_box_set_child_opacity   (PikaOverlayBox *box,
                                                  GtkWidget      *child,
                                                  gdouble         opacity);

void        pika_overlay_box_scroll              (PikaOverlayBox *box,
                                                  gint            offset_x,
                                                  gint            offset_y);


#endif /*  __PIKA_OVERLAY_BOX_H__  */
