/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikapaletteview.h
 * Copyright (C) 2005 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_PALETTE_VIEW_H__
#define __PIKA_PALETTE_VIEW_H__

#include "pikaview.h"


#define PIKA_TYPE_PALETTE_VIEW            (pika_palette_view_get_type ())
#define PIKA_PALETTE_VIEW(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_PALETTE_VIEW, PikaPaletteView))
#define PIKA_PALETTE_VIEW_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_PALETTE_VIEW, PikaPaletteViewClass))
#define PIKA_IS_PALETTE_VIEW(obj)         (G_TYPE_CHECK_INSTANCE_TYPE (obj, PIKA_TYPE_PALETTE_VIEW))
#define PIKA_IS_PALETTE_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_PALETTE_VIEW))
#define PIKA_PALETTE_VIEW_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_PALETTE_VIEW, PikaPaletteViewClass))


typedef struct _PikaPaletteViewClass  PikaPaletteViewClass;

struct _PikaPaletteView
{
  PikaView          parent_instance;

  PikaPaletteEntry *selected;
  PikaPaletteEntry *dnd_entry;
};

struct _PikaPaletteViewClass
{
  PikaViewClass  parent_class;

  void (* entry_clicked)   (PikaPaletteView  *view,
                            PikaPaletteEntry *entry,
                            GdkModifierType   state);
  void (* entry_selected)  (PikaPaletteView  *view,
                            PikaPaletteEntry *entry);
  void (* entry_activated) (PikaPaletteView  *view,
                            PikaPaletteEntry *entry);
  void (* entry_context)   (PikaPaletteView  *view,
                            PikaPaletteEntry *entry);
  void (* color_dropped)   (PikaPaletteView  *view,
                            PikaPaletteEntry *entry,
                            const PikaRGB    *color);
};


GType   pika_palette_view_get_type     (void) G_GNUC_CONST;

void    pika_palette_view_select_entry (PikaPaletteView  *view,
                                        PikaPaletteEntry *entry);

PikaPaletteEntry * pika_palette_view_get_selected_entry (PikaPaletteView *view);

void               pika_palette_view_get_entry_rect     (PikaPaletteView  *view,
                                                         PikaPaletteEntry *entry,
                                                         GdkRectangle     *rect);


#endif /* __PIKA_PALETTE_VIEW_H__ */
