/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikapanedbox.h
 * Copyright (C) 2001-2005 Michael Natterer <mitch@gimp.org>
 * Copyright (C)      2009 Martin Nordholts <martinn@src.gnome.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_PANED_BOX_H__
#define __PIKA_PANED_BOX_H__


#define PIKA_TYPE_PANED_BOX            (pika_paned_box_get_type ())
#define PIKA_PANED_BOX(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_PANED_BOX, PikaPanedBox))
#define PIKA_PANED_BOX_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_PANED_BOX, PikaPanedBoxClass))
#define PIKA_IS_PANED_BOX(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_PANED_BOX))
#define PIKA_IS_PANED_BOX_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_PANED_BOX))
#define PIKA_PANED_BOX_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_PANED_BOX, PikaPanedBoxClass))


typedef struct _PikaPanedBoxClass    PikaPanedBoxClass;
typedef struct _PikaPanedBoxPrivate  PikaPanedBoxPrivate;

/**
 * PikaPanedBox:
 *
 * A #GtkBox with the children separated by #GtkPaned:s and basic
 * docking mechanisms.
 */
struct _PikaPanedBox
{
  GtkBox parent_instance;

  PikaPanedBoxPrivate *p;
};

struct _PikaPanedBoxClass
{
  GtkBoxClass parent_class;
};


GType               pika_paned_box_get_type              (void) G_GNUC_CONST;
GtkWidget         * pika_paned_box_new                   (gboolean                 homogeneous,
                                                          gint                     spacing,
                                                          GtkOrientation           orientation);
void                pika_paned_box_set_dropped_cb        (PikaPanedBox            *paned_box,
                                                          PikaPanedBoxDroppedFunc  dropped_cb,
                                                          gpointer                 dropped_cb_data);
void                pika_paned_box_add_widget            (PikaPanedBox            *paned_box,
                                                          GtkWidget               *widget,
                                                          gint                     index);
void                pika_paned_box_remove_widget         (PikaPanedBox            *paned_box,
                                                          GtkWidget               *widget);
gboolean            pika_paned_box_will_handle_drag      (PikaPanedBox            *paned_box,
                                                          GtkWidget               *widget,
                                                          GdkDragContext          *context,
                                                          gint                     x,
                                                          gint                     y,
                                                          gint                     time);
void                pika_paned_box_set_drag_handler      (PikaPanedBox            *paned_box,
                                                          PikaPanedBox            *drag_handler);


#endif /* __PIKA_PANED_BOX_H__ */
