/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikapickablebutton.h
 * Copyright (C) 2013 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_PICKABLE_BUTTON_H__
#define __PIKA_PICKABLE_BUTTON_H__


#define PIKA_TYPE_PICKABLE_BUTTON            (pika_pickable_button_get_type ())
#define PIKA_PICKABLE_BUTTON(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_PICKABLE_BUTTON, PikaPickableButton))
#define PIKA_PICKABLE_BUTTON_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_PICKABLE_BUTTON, PikaPickableButtonClass))
#define PIKA_IS_PICKABLE_BUTTON(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_PICKABLE_BUTTON))
#define PIKA_IS_PICKABLE_BUTTON_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_PICKABLE_BUTTON))
#define PIKA_PICKABLE_BUTTON_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_PICKABLE_BUTTON, PikaPickableButtonClass))


typedef struct _PikaPickableButtonPrivate PikaPickableButtonPrivate;
typedef struct _PikaPickableButtonClass   PikaPickableButtonClass;

struct _PikaPickableButton
{
  PikaButton                 parent_instance;

  PikaPickableButtonPrivate *private;
};

struct _PikaPickableButtonClass
{
  PikaButtonClass  parent_class;
};


GType          pika_pickable_button_get_type     (void) G_GNUC_CONST;

GtkWidget    * pika_pickable_button_new          (PikaContext        *context,
                                                  gint                view_size,
                                                  gint                view_border_width);

PikaPickable * pika_pickable_button_get_pickable (PikaPickableButton *button);
void           pika_pickable_button_set_pickable (PikaPickableButton *button,
                                                  PikaPickable       *pickable);


#endif /* __PIKA_PICKABLE_BUTTON_H__ */
