/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikapivotselector.h
 * Copyright (C) 2019 Ell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_PIVOT_SELECTOR_H__
#define __PIKA_PIVOT_SELECTOR_H__


#define PIKA_TYPE_PIVOT_SELECTOR            (pika_pivot_selector_get_type ())
#define PIKA_PIVOT_SELECTOR(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_PIVOT_SELECTOR, PikaPivotSelector))
#define PIKA_PIVOT_SELECTOR_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_PIVOT_SELECTOR, PikaPivotSelectorClass))
#define PIKA_IS_PIVOT_SELECTOR(obj)         (G_TYPE_CHECK_INSTANCE_TYPE (obj, PIKA_TYPE_PIVOT_SELECTOR))
#define PIKA_IS_PIVOT_SELECTOR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_PIVOT_SELECTOR))
#define PIKA_PIVOT_SELECTOR_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_PIVOT_SELECTOR, PikaPivotSelectorClass))


typedef struct _PikaPivotSelectorPrivate PikaPivotSelectorPrivate;
typedef struct _PikaPivotSelectorClass   PikaPivotSelectorClass;

struct _PikaPivotSelector
{
  GtkGrid                   parent_instance;

  PikaPivotSelectorPrivate *priv;
};

struct _PikaPivotSelectorClass
{
  GtkGridClass  parent_class;

  /*  signals  */
  void (* changed) (PikaPivotSelector *selector);
};


GType       pika_pivot_selector_get_type     (void) G_GNUC_CONST;

GtkWidget * pika_pivot_selector_new          (gdouble            left,
                                              gdouble            top,
                                              gdouble            right,
                                              gdouble            bottom);

void        pika_pivot_selector_set_position (PikaPivotSelector *selector,
                                              gdouble            x,
                                              gdouble            y);
void        pika_pivot_selector_get_position (PikaPivotSelector *selector,
                                              gdouble           *x,
                                              gdouble           *y);

void        pika_pivot_selector_set_bounds   (PikaPivotSelector *selector,
                                              gdouble            left,
                                              gdouble            top,
                                              gdouble            right,
                                              gdouble            bottom);
void        pika_pivot_selector_get_bounds   (PikaPivotSelector *selector,
                                              gdouble           *left,
                                              gdouble           *top,
                                              gdouble           *right,
                                              gdouble           *bottom);


#endif /* __PIKA_PIVOT_SELECTOR_H__ */
