/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikapluginview.h
 * Copyright (C) 2017  Michael Natterer <mitch@gimp.org>
 * Copyright (C) 2004  Sven Neumann <sven@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_PLUG_IN_VIEW_H__
#define __PIKA_PLUG_IN_VIEW_H__


#define PIKA_TYPE_PLUG_IN_VIEW            (pika_plug_in_view_get_type ())
#define PIKA_PLUG_IN_VIEW(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_PLUG_IN_VIEW, PikaPlugInView))
#define PIKA_PLUG_IN_VIEW_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_PLUG_IN_VIEW, PikaPlugInViewClass))
#define PIKA_IS_PLUG_IN_VIEW(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_PLUG_IN_VIEW))
#define PIKA_IS_PLUG_IN_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_PLUG_IN_VIEW))
#define PIKA_PLUG_IN_VIEW_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_PLUG_IN_VIEW, PikaPlugInViewClass))


typedef struct _PikaPlugInViewClass PikaPlugInViewClass;

struct _PikaPlugInView
{
  GtkTreeView  parent_instance;

  GHashTable  *plug_in_hash;
};

struct _PikaPlugInViewClass
{
  GtkTreeViewClass   parent_class;

  void (* changed) (PikaPlugInView *view);
};


GType       pika_plug_in_view_get_type    (void) G_GNUC_CONST;

GtkWidget * pika_plug_in_view_new         (GSList         *procedures);

gchar     * pika_plug_in_view_get_plug_in (PikaPlugInView *view);
gboolean    pika_plug_in_view_set_plug_in (PikaPlugInView *view,
                                           const gchar    *path);


#endif  /*  __PIKA_PLUG_IN_VIEW_H__  */
