/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikapopup.h
 * Copyright (C) 2003-2014 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_POPUP_H__
#define __PIKA_POPUP_H__


#define PIKA_TYPE_POPUP            (pika_popup_get_type ())
#define PIKA_POPUP(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_POPUP, PikaPopup))
#define PIKA_POPUP_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_POPUP, PikaPopupClass))
#define PIKA_IS_POPUP(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_POPUP))
#define PIKA_IS_POPUP_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_POPUP))
#define PIKA_POPUP_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_POPUP, PikaPopupClass))


typedef struct _PikaPopupClass  PikaPopupClass;

struct _PikaPopup
{
  GtkWindow  parent_instance;
};

struct _PikaPopupClass
{
  GtkWindowClass  parent_instance;

  void (* cancel)  (PikaPopup *popup);
  void (* confirm) (PikaPopup *popup);
};


GType   pika_popup_get_type (void) G_GNUC_CONST;

void    pika_popup_show     (PikaPopup *popup,
                             GtkWidget *widget);


#endif  /*  __PIKA_POPUP_H__  */
