/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikaprefsbox.h
 * Copyright (C) 2013-2016 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_PREFS_BOX_H__
#define __PIKA_PREFS_BOX_H__


#define PIKA_TYPE_PREFS_BOX            (pika_prefs_box_get_type ())
#define PIKA_PREFS_BOX(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_PREFS_BOX, PikaPrefsBox))
#define PIKA_PREFS_BOX_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_PREFS_BOX, PikaPrefsBoxClass))
#define PIKA_IS_PREFS_BOX(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_PREFS_BOX))
#define PIKA_IS_PREFS_BOX_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_PREFS_BOX))
#define PIKA_PREFS_BOX_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_PREFS_BOX, PikaPrefsBoxClass))


typedef struct _PikaPrefsBoxPrivate PikaPrefsBoxPrivate;
typedef struct _PikaPrefsBoxClass   PikaPrefsBoxClass;

struct _PikaPrefsBox
{
  GtkBox               parent_instance;

  PikaPrefsBoxPrivate *priv;
};

struct _PikaPrefsBoxClass
{
  GtkBoxClass  parent_class;
};


GType         pika_prefs_box_get_type              (void) G_GNUC_CONST;

GtkWidget   * pika_prefs_box_new                   (void);

GtkWidget   * pika_prefs_box_add_page              (PikaPrefsBox *box,
                                                    const gchar  *icon_name,
                                                    const gchar  *page_title,
                                                    const gchar  *tree_label,
                                                    const gchar  *help_id,
                                                    GtkTreeIter  *parent,
                                                    GtkTreeIter  *iter);

const gchar * pika_prefs_box_get_current_icon_name (PikaPrefsBox *box);
const gchar * pika_prefs_box_get_current_help_id   (PikaPrefsBox *box);

void          pika_prefs_box_set_page_scrollable   (PikaPrefsBox *box,
                                                    GtkWidget    *page,
                                                    gboolean      scrollable);
GtkWidget   * pika_prefs_box_set_page_resettable   (PikaPrefsBox *box,
                                                    GtkWidget    *page,
                                                    const gchar  *label);

GtkWidget   * pika_prefs_box_get_tree_view         (PikaPrefsBox *box);


#endif  /*  __PIKA_PREFS_BOX_H__  */
