/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikaprogressdialog.h
 * Copyright (C) 2004 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_PROGRESS_DIALOG_H__
#define __PIKA_PROGRESS_DIALOG_H__


#define PIKA_TYPE_PROGRESS_DIALOG            (pika_progress_dialog_get_type ())
#define PIKA_PROGRESS_DIALOG(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_PROGRESS_DIALOG, PikaProgressDialog))
#define PIKA_PROGRESS_DIALOG_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_PROGRESS_DIALOG, PikaProgressDialogClass))
#define PIKA_IS_PROGRESS_DIALOG(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_PROGRESS_DIALOG))
#define PIKA_IS_PROGRESS_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_PROGRESS_DIALOG))
#define PIKA_PROGRESS_DIALOG_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_PROGRESS_DIALOG, PikaProgressDialogClass))


typedef struct _PikaProgressDialogClass  PikaProgressDialogClass;

struct _PikaProgressDialog
{
  PikaDialog  parent_instance;

  GtkWidget  *box;
};

struct _PikaProgressDialogClass
{
  PikaDialogClass  parent_class;
};


GType       pika_progress_dialog_get_type (void) G_GNUC_CONST;

GtkWidget * pika_progress_dialog_new      (void);


#endif /* __PIKA_PROGRESS_DIALOG_H__ */
