/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikaradioaction.h
 * Copyright (C) 2004 Michael Natterer <mitch@gimp.org>
 * Copyright (C) 2008 Sven Neumann <sven@gimp.org>
 * Copyright (C) 2023 Jehan
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_RADIO_ACTION_H__
#define __PIKA_RADIO_ACTION_H__

#include "pikatoggleaction.h"

#define PIKA_TYPE_RADIO_ACTION            (pika_radio_action_get_type ())
#define PIKA_RADIO_ACTION(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_RADIO_ACTION, PikaRadioAction))
#define PIKA_RADIO_ACTION_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_RADIO_ACTION, PikaRadioActionClass))
#define PIKA_IS_RADIO_ACTION(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_RADIO_ACTION))
#define PIKA_IS_RADIO_ACTION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((obj), PIKA_TYPE_RADIO_ACTION))
#define PIKA_RADIO_ACTION_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj), PIKA_TYPE_RADIO_ACTION, PikaRadioActionClass))


typedef struct _PikaRadioActionClass   PikaRadioActionClass;
typedef struct _PikaRadioActionPrivate PikaRadioActionPrivate;

struct _PikaRadioAction
{
  PikaToggleAction        parent_instance;

  PikaRadioActionPrivate *priv;
};

struct _PikaRadioActionClass
{
  PikaToggleActionClass  parent_class;
};


GType         pika_radio_action_get_type          (void) G_GNUC_CONST;

PikaAction  * pika_radio_action_new               (const gchar *name,
                                                   const gchar *label,
                                                   const gchar *short_label,
                                                   const gchar *tooltip,
                                                   const gchar *icon_name,
                                                   const gchar *help_id,
                                                   gint         value,
                                                   PikaContext *context);

GSList      * pika_radio_action_get_group         (PikaRadioAction *action);
void          pika_radio_action_set_group         (PikaRadioAction *action,
                                                   GSList          *group);
void          pika_radio_action_set_group_label   (PikaRadioAction *action,
                                                   const gchar     *label);
const gchar * pika_radio_action_get_group_label   (PikaRadioAction *action);

gint          pika_radio_action_get_current_value (PikaRadioAction *action);
void          pika_radio_action_set_current_value (PikaRadioAction *action,
                                                   gint             current_value);


#endif  /* __PIKA_RADIO_ACTION_H__ */
