/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikasessioninfo-book.h
 * Copyright (C) 2001-2007 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_SESSION_INFO_BOOK_H__
#define __PIKA_SESSION_INFO_BOOK_H__


/**
 * PikaSessionInfoBook:
 *
 * Contains information about a book (a GtkNotebook of dockables) in
 * the interface.
 */
struct _PikaSessionInfoBook
{
  gint   position;
  gint   current_page;

  /*  list of PikaSessionInfoDockable  */
  GList *dockables;
};


PikaSessionInfoBook *
             pika_session_info_book_new         (void);
void         pika_session_info_book_free        (PikaSessionInfoBook  *info);

void         pika_session_info_book_serialize   (PikaConfigWriter     *writer,
                                                 PikaSessionInfoBook  *book);
GTokenType   pika_session_info_book_deserialize (GScanner             *scanner,
                                                 gint                  scope,
                                                 PikaSessionInfoBook **book);

PikaSessionInfoBook *
             pika_session_info_book_from_widget (PikaDockbook         *dockbook);

PikaDockbook * pika_session_info_book_restore   (PikaSessionInfoBook  *info,
                                                 PikaDock             *dock);


#endif  /* __PIKA_SESSION_INFO_BOOK_H__ */
