/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikasessioninfo-dockable.h
 * Copyright (C) 2001-2007 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_SESSION_INFO_DOCKABLE_H__
#define __PIKA_SESSION_INFO_DOCKABLE_H__


/**
 * PikaSessionInfoDockable:
 *
 * Contains information about a dockable in the interface.
 */
struct _PikaSessionInfoDockable
{
  gchar        *identifier;
  gboolean      locked;
  PikaTabStyle  tab_style;
  gint          view_size;

  /*  dialog specific list of PikaSessionInfoAux  */
  GList        *aux_info;
};


PikaSessionInfoDockable *
               pika_session_info_dockable_new         (void);
void           pika_session_info_dockable_free        (PikaSessionInfoDockable  *info);

void           pika_session_info_dockable_serialize   (PikaConfigWriter         *writer,
                                                       PikaSessionInfoDockable  *dockable);
GTokenType     pika_session_info_dockable_deserialize (GScanner                 *scanner,
                                                       gint                      scope,
                                                       PikaSessionInfoDockable **dockable);

PikaSessionInfoDockable *
               pika_session_info_dockable_from_widget (PikaDockable             *dockable);

PikaDockable * pika_session_info_dockable_restore     (PikaSessionInfoDockable  *info,
                                                       PikaDock                 *dock);


#endif  /* __PIKA_SESSION_INFO_DOCKABLE_H__ */
