/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikasettingsbox.h
 * Copyright (C) 2008 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_SETTINGS_BOX_H__
#define __PIKA_SETTINGS_BOX_H__


#define PIKA_TYPE_SETTINGS_BOX            (pika_settings_box_get_type ())
#define PIKA_SETTINGS_BOX(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_SETTINGS_BOX, PikaSettingsBox))
#define PIKA_SETTINGS_BOX_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_SETTINGS_BOX, PikaSettingsBoxClass))
#define PIKA_IS_SETTINGS_BOX(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_SETTINGS_BOX))
#define PIKA_IS_SETTINGS_BOX_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_SETTINGS_BOX))
#define PIKA_SETTINGS_BOX_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_SETTINGS_BOX, PikaSettingsBoxClass))


typedef struct _PikaSettingsBoxClass PikaSettingsBoxClass;

struct _PikaSettingsBox
{
  GtkBox  parent_instance;
};

struct _PikaSettingsBoxClass
{
  GtkBoxClass  parent_class;

  /*  signals  */
  void (* file_dialog_setup) (PikaSettingsBox      *box,
                              GtkFileChooserDialog *dialog,
                              gboolean              export);
  void (* import)            (PikaSettingsBox      *box,
                              GFile                *file);
  void (* export)            (PikaSettingsBox      *box,
                              GFile                *file);
  void (* selected)          (PikaSettingsBox      *box,
                              GObject              *config);
};


GType       pika_settings_box_get_type    (void) G_GNUC_CONST;

GtkWidget * pika_settings_box_new         (Pika            *pika,
                                           GObject         *config,
                                           PikaContainer   *container,
                                           const gchar     *import_dialog_title,
                                           const gchar     *export_dialog_title,
                                           const gchar     *file_dialog_help_id,
                                           GFile           *default_folder,
                                           GFile           *last_file);

GtkWidget * pika_settings_box_get_combo   (PikaSettingsBox *box);

void        pika_settings_box_add_current (PikaSettingsBox *box,
                                           gint             max_recent);

void        pika_settings_box_unset       (PikaSettingsBox *box);


#endif  /*  __PIKA_SETTINGS_BOX_H__  */
