/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikashortcutbutton.h
 * Copyright (C) 2022 Jehan
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_SHORTCUT_BUTTON_H__
#define __PIKA_SHORTCUT_BUTTON_H__


#define PIKA_TYPE_SHORTCUT_BUTTON            (pika_shortcut_button_get_type ())
#define PIKA_SHORTCUT_BUTTON(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_SHORTCUT_BUTTON, PikaShortcutButton))
#define PIKA_SHORTCUT_BUTTON_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_SHORTCUT_BUTTON, PikaShortcutButtonClass))
#define PIKA_IS_SHORTCUT_BUTTON(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_SHORTCUT_BUTTON))
#define PIKA_IS_SHORTCUT_BUTTON_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_SHORTCUT_BUTTON))
#define PIKA_SHORTCUT_BUTTON_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_SHORTCUT_BUTTON, PikaShortcutButtonClass))


typedef struct _PikaShortcutButtonPrivate PikaShortcutButtonPrivate;
typedef struct _PikaShortcutButtonClass   PikaShortcutButtonClass;

struct _PikaShortcutButton
{
  GtkToggleButton            parent_instance;

  PikaShortcutButtonPrivate *priv;
};

struct _PikaShortcutButtonClass
{
  GtkToggleButtonClass       parent_class;

  void                    (* accelerator_changed)    (PikaShortcutButton *button,
                                                      const gchar        *previous_accelerator);
};


GType          pika_shortcut_button_get_type         (void) G_GNUC_CONST;

GtkWidget    * pika_shortcut_button_new              (const gchar        *accelerator);

gchar        * pika_shortcut_button_get_accelerator  (PikaShortcutButton  *button);
void           pika_shortcut_button_get_keys         (PikaShortcutButton  *button,
                                                      guint               *keyval,
                                                      GdkModifierType     *modifiers);
void           pika_shortcut_button_set_accelerator  (PikaShortcutButton  *button,
                                                      const gchar         *accelerator,
                                                      guint                keyval,
                                                      GdkModifierType      modifiers);

void           pika_shortcut_button_accepts_modifier (PikaShortcutButton *button,
                                                      gboolean            only,
                                                      gboolean            unique);


#endif /* __PIKA_SHORTCUT_BUTTON_H__ */
