/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikatemplateeditor.h
 * Copyright (C) 2002 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_TEMPLATE_EDITOR_H__
#define __PIKA_TEMPLATE_EDITOR_H__


#define PIKA_TYPE_TEMPLATE_EDITOR            (pika_template_editor_get_type ())
#define PIKA_TEMPLATE_EDITOR(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_TEMPLATE_EDITOR, PikaTemplateEditor))
#define PIKA_TEMPLATE_EDITOR_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_TEMPLATE_EDITOR, PikaTemplateEditorClass))
#define PIKA_IS_TEMPLATE_EDITOR(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_TEMPLATE_EDITOR))
#define PIKA_IS_TEMPLATE_EDITOR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_TEMPLATE_EDITOR))
#define PIKA_TEMPLATE_EDITOR_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_TEMPLATE_EDITOR, PikaTemplateEditorClass))


typedef struct _PikaTemplateEditorClass PikaTemplateEditorClass;

struct _PikaTemplateEditor
{
  GtkBox  parent_instance;
};

struct _PikaTemplateEditorClass
{
  GtkBoxClass   parent_class;
};


GType          pika_template_editor_get_type      (void) G_GNUC_CONST;

GtkWidget    * pika_template_editor_new           (PikaTemplate       *template,
                                                   Pika               *pika,
                                                   gboolean            edit_template);

PikaTemplate * pika_template_editor_get_template  (PikaTemplateEditor *editor);

void           pika_template_editor_show_advanced (PikaTemplateEditor *editor,
                                                   gboolean            expanded);
GtkWidget    * pika_template_editor_get_size_se   (PikaTemplateEditor *editor);
GtkWidget    * pika_template_editor_get_resolution_se
                                                  (PikaTemplateEditor *editor);
GtkWidget    * pika_template_editor_get_resolution_chain
                                                  (PikaTemplateEditor *editor);


#endif  /*  __PIKA_TEMPLATE_EDITOR_H__  */
