/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * PikaTextProxy
 * Copyright (C) 2009-2010  Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_TEXT_PROXY_H__
#define __PIKA_TEXT_PROXY_H__


#define PIKA_TYPE_TEXT_PROXY            (pika_text_proxy_get_type ())
#define PIKA_TEXT_PROXY(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_TEXT_PROXY, PikaTextProxy))
#define PIKA_IS_TEXT_PROXY(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_TEXT_PROXY))
#define PIKA_TEXT_PROXY_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_TEXT_PROXY, PikaTextProxyClass))
#define PIKA_IS_TEXT_PROXY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_TEXT_PROXY))


typedef struct _PikaTextProxy       PikaTextProxy;
typedef struct _PikaTextProxyClass  PikaTextProxyClass;

struct _PikaTextProxy
{
  GtkTextView  parent_instance;
};

struct _PikaTextProxyClass
{
  GtkTextViewClass  parent_class;

  void (* change_size)     (PikaTextProxy *proxy,
                            gdouble        amount);
  void (* change_baseline) (PikaTextProxy *proxy,
                            gdouble        amount);
  void (* change_kerning)  (PikaTextProxy *proxy,
                            gdouble        amount);
};


GType       pika_text_proxy_get_type (void) G_GNUC_CONST;

GtkWidget * pika_text_proxy_new      (void);


#endif /* __PIKA_TEXT_PROXY_H__ */
