/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * PikaTextStyleEditor
 * Copyright (C) 2010  Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_TEXT_STYLE_EDITOR_H__
#define __PIKA_TEXT_STYLE_EDITOR_H__


#define PIKA_TYPE_TEXT_STYLE_EDITOR            (pika_text_style_editor_get_type ())
#define PIKA_TEXT_STYLE_EDITOR(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_TEXT_STYLE_EDITOR, PikaTextStyleEditor))
#define PIKA_TEXT_STYLE_EDITOR_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_TEXT_STYLE_EDITOR, PikaTextStyleEditorClass))
#define PIKA_IS_TEXT_STYLE_EDITOR(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_TEXT_STYLE_EDITOR))
#define PIKA_IS_TEXT_STYLE_EDITOR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_TEXT_STYLE_EDITOR))
#define PIKA_TEXT_STYLE_EDITOR_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_TEXT_STYLE_EDITOR, PikaTextStyleEditorClass))


typedef struct _PikaTextStyleEditorClass PikaTextStyleEditorClass;

struct _PikaTextStyleEditor
{
  GtkBox          parent_instance;

  Pika           *pika;
  PikaContext    *context;

  PikaText       *text; /* read-only for default values */
  PikaTextBuffer *buffer;

  PikaContainer  *fonts;
  gdouble         resolution_x;
  gdouble         resolution_y;

  GtkWidget      *upper_hbox;
  GtkWidget      *lower_hbox;

  GtkWidget      *font_entry;
  GtkWidget      *size_entry;

  GtkWidget      *color_button;

  GtkWidget      *clear_button;

  GtkWidget      *baseline_spinbutton;
  GtkAdjustment  *baseline_adjustment;

  GtkWidget      *kerning_spinbutton;
  GtkAdjustment  *kerning_adjustment;

  GList          *toggles;

  guint           update_idle_id;
};

struct _PikaTextStyleEditorClass
{
  GtkBoxClass  parent_class;
};


GType       pika_text_style_editor_get_type  (void) G_GNUC_CONST;

GtkWidget * pika_text_style_editor_new       (Pika                 *pika,
                                              PikaText             *text,
                                              PikaTextBuffer       *buffer,
                                              PikaContainer        *fonts,
                                              gdouble               resolution_x,
                                              gdouble               resolution_y);

GList     * pika_text_style_editor_list_tags (PikaTextStyleEditor  *editor,
                                              GList               **remove_tags);


#endif /*  __PIKA_TEXT_STYLE_EDITOR_H__  */
