/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * PikaTextTag
 * Copyright (C) 2010  Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_TEXT_TAG_H__
#define __PIKA_TEXT_TAG_H__


/*  GtkTextTag property names  */

#define PIKA_TEXT_PROP_NAME_SIZE     "size"
#define PIKA_TEXT_PROP_NAME_BASELINE "rise"
#define PIKA_TEXT_PROP_NAME_KERNING  "rise" /* FIXME */
#define PIKA_TEXT_PROP_NAME_FONT     "font"
#define PIKA_TEXT_PROP_NAME_FG_COLOR "foreground-rgba"
#define PIKA_TEXT_PROP_NAME_BG_COLOR "background-rgba"


gint       pika_text_tag_get_size     (GtkTextTag *tag);
gint       pika_text_tag_get_baseline (GtkTextTag *tag);
gint       pika_text_tag_get_kerning  (GtkTextTag *tag);
gchar    * pika_text_tag_get_font     (GtkTextTag *tag);
gboolean   pika_text_tag_get_fg_color (GtkTextTag *tag,
                                       PikaRGB    *color);
gboolean   pika_text_tag_get_bg_color (GtkTextTag *tag,
                                       PikaRGB    *color);


#endif /* __PIKA_TEXT_TAG_H__ */
