/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_THUMB_BOX_H__
#define __PIKA_THUMB_BOX_H__


#define PIKA_TYPE_THUMB_BOX            (pika_thumb_box_get_type ())
#define PIKA_THUMB_BOX(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_THUMB_BOX, PikaThumbBox))
#define PIKA_THUMB_BOX_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_THUMB_BOX, PikaThumbBoxClass))
#define PIKA_IS_THUMB_BOX(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_THUMB_BOX))
#define PIKA_IS_THUMB_BOX_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_THUMB_BOX))
#define PIKA_THUMB_BOX_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_THUMB_BOX, PikaThumbBoxClass))


typedef struct _PikaThumbBoxClass PikaThumbBoxClass;

struct _PikaThumbBox
{
  GtkFrame       parent_instance;

  PikaContext   *context;
  PikaImagefile *imagefile;
  GSList        *files;

  GtkWidget     *preview;
  GtkWidget     *filename;
  GtkWidget     *info;

  gboolean       progress_active;
  GtkWidget     *progress;

  guint          idle_id;
};

struct _PikaThumbBoxClass
{
  GtkFrameClass  parent_class;
};


GType       pika_thumb_box_get_type  (void) G_GNUC_CONST;

GtkWidget * pika_thumb_box_new        (PikaContext  *context);

void        pika_thumb_box_take_file  (PikaThumbBox *box,
                                       GFile        *file);
void        pika_thumb_box_take_files (PikaThumbBox *box,
                                       GSList       *files);


#endif  /*  __PIKA_THUMB_BOX_H__  */
