/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_TOOLBOX_H__
#define __PIKA_TOOLBOX_H__


#include "pikadock.h"


#define PIKA_TYPE_TOOLBOX            (pika_toolbox_get_type ())
#define PIKA_TOOLBOX(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_TOOLBOX, PikaToolbox))
#define PIKA_TOOLBOX_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_TOOLBOX, PikaToolboxClass))
#define PIKA_IS_TOOLBOX(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_TOOLBOX))
#define PIKA_IS_TOOLBOX_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_TOOLBOX))
#define PIKA_TOOLBOX_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_TOOLBOX, PikaToolboxClass))


typedef struct _PikaToolboxClass   PikaToolboxClass;
typedef struct _PikaToolboxPrivate PikaToolboxPrivate;

struct _PikaToolbox
{
  PikaDock parent_instance;

  PikaToolboxPrivate *p;
};

struct _PikaToolboxClass
{
  PikaDockClass parent_class;
};


GType               pika_toolbox_get_type           (void) G_GNUC_CONST;
GtkWidget         * pika_toolbox_new                (PikaDialogFactory *factory,
                                                     PikaContext       *context,
                                                     PikaUIManager     *ui_manager);
PikaContext       * pika_toolbox_get_context        (PikaToolbox       *toolbox);
void                pika_toolbox_set_drag_handler   (PikaToolbox       *toolbox,
                                                     PikaPanedBox      *drag_handler);



#endif /* __PIKA_TOOLBOX_H__ */
