/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikatoolbutton.h
 * Copyright (C) 2020 Ell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_TOOL_BUTTON_H__
#define __PIKA_TOOL_BUTTON_H__


#define PIKA_TYPE_TOOL_BUTTON            (pika_tool_button_get_type ())
#define PIKA_TOOL_BUTTON(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_TOOL_BUTTON, PikaToolButton))
#define PIKA_TOOL_BUTTON_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_TOOL_BUTTON, PikaToolButtonClass))
#define PIKA_IS_TOOL_BUTTON(obj)         (G_TYPE_CHECK_INSTANCE_TYPE (obj, PIKA_TYPE_TOOL_BUTTON))
#define PIKA_IS_TOOL_BUTTON_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_TOOL_BUTTON))
#define PIKA_TOOL_BUTTON_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_TOOL_BUTTON, PikaToolButtonClass))


typedef struct _PikaToolButtonPrivate PikaToolButtonPrivate;
typedef struct _PikaToolButtonClass   PikaToolButtonClass;

struct _PikaToolButton
{
  GtkToggleToolButton    parent_instance;

  PikaToolButtonPrivate *priv;
};

struct _PikaToolButtonClass
{
  GtkToggleToolButtonClass  parent_class;
};


GType          pika_tool_button_get_type      (void) G_GNUC_CONST;

GtkToolItem  * pika_tool_button_new           (PikaToolbox    *toolbox,
                                               PikaToolItem   *tool_item);

PikaToolbox  * pika_tool_button_get_toolbox   (PikaToolButton *tool_button);

void           pika_tool_button_set_tool_item (PikaToolButton *tool_button,
                                               PikaToolItem   *tool_item);
PikaToolItem * pika_tool_button_get_tool_item (PikaToolButton *tool_button);

PikaToolInfo * pika_tool_button_get_tool_info (PikaToolButton *tool_button);


#endif /* __PIKA_TOOL_BUTTON_H__ */
