/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikatooleditor.h
 * Copyright (C) 2001-2009 Michael Natterer <mitch@gimp.org>
 *                         Stephen Griffiths <scgmk5@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_TOOL_EDITOR_H__
#define __PIKA_TOOL_EDITOR_H__


#include "pikacontainertreeview.h"


#define PIKA_TYPE_TOOL_EDITOR            (pika_tool_editor_get_type ())
#define PIKA_TOOL_EDITOR(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_TOOL_EDITOR, PikaToolEditor))
#define PIKA_TOOL_EDITOR_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_TOOL_EDITOR, PikaToolEditorClass))
#define PIKA_IS_TOOL_EDITOR(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_TOOL_EDITOR))
#define PIKA_IS_TOOL_EDITOR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_TOOL_EDITOR))
#define PIKA_TOOL_EDITOR_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_TOOL_EDITOR, PikaToolEditorClass))


typedef struct _PikaToolEditorPrivate PikaToolEditorPrivate;
typedef struct _PikaToolEditorClass   PikaToolEditorClass;

struct _PikaToolEditor
{
  PikaContainerTreeView  parent_instance;

  PikaToolEditorPrivate *priv;
};

struct _PikaToolEditorClass
{
  PikaContainerTreeViewClass  parent_class;
};


GType       pika_tool_editor_get_type       (void) G_GNUC_CONST;

GtkWidget * pika_tool_editor_new            (PikaContainer  *container,
                                             PikaContext    *context,
                                             gint            view_size,
                                             gint            view_border_width);

void        pika_tool_editor_revert_changes (PikaToolEditor *tool_editor);


#endif  /*  __PIKA_TOOL_EDITOR_H__  */
