/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_UNDO_EDITOR_H__
#define __PIKA_UNDO_EDITOR_H__


#include "pikaimageeditor.h"


#define PIKA_TYPE_UNDO_EDITOR            (pika_undo_editor_get_type ())
#define PIKA_UNDO_EDITOR(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_UNDO_EDITOR, PikaUndoEditor))
#define PIKA_UNDO_EDITOR_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_UNDO_EDITOR, PikaUndoEditorClass))
#define PIKA_IS_UNDO_EDITOR(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_UNDO_EDITOR))
#define PIKA_IS_UNDO_EDITOR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_UNDO_EDITOR))
#define PIKA_UNDO_EDITOR_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_UNDO_EDITOR, PikaUndoEditorClass))


typedef struct _PikaUndoEditorClass PikaUndoEditorClass;

struct _PikaUndoEditor
{
  PikaImageEditor  parent_instance;

  PikaContext     *context;
  PikaContainer   *container;
  GtkWidget       *view;
  PikaViewSize     view_size;

  PikaUndo        *base_item;

  GtkWidget       *undo_button;
  GtkWidget       *redo_button;
  GtkWidget       *clear_button;
};

struct _PikaUndoEditorClass
{
  PikaImageEditorClass  parent_class;
};


GType       pika_undo_editor_get_type  (void) G_GNUC_CONST;

GtkWidget * pika_undo_editor_new       (PikaCoreConfig  *config,
                                        PikaMenuFactory *menu_factory);


#endif /* __PIKA_UNDO_EDITOR_H__ */
