/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikavectorstreeview.h
 * Copyright (C) 2001-2003 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_VECTORS_TREE_VIEW_H__
#define __PIKA_VECTORS_TREE_VIEW_H__


#include "pikaitemtreeview.h"


#define PIKA_TYPE_VECTORS_TREE_VIEW            (pika_vectors_tree_view_get_type ())
#define PIKA_VECTORS_TREE_VIEW(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_VECTORS_TREE_VIEW, PikaVectorsTreeView))
#define PIKA_VECTORS_TREE_VIEW_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_VECTORS_TREE_VIEW, PikaVectorsTreeViewClass))
#define PIKA_IS_VECTORS_TREE_VIEW(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_VECTORS_TREE_VIEW))
#define PIKA_IS_VECTORS_TREE_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_VECTORS_TREE_VIEW))
#define PIKA_VECTORS_TREE_VIEW_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_VECTORS_TREE_VIEW, PikaVectorsTreeViewClass))


typedef struct _PikaVectorsTreeViewClass  PikaVectorsTreeViewClass;

struct _PikaVectorsTreeView
{
  PikaItemTreeView  parent_instance;

  GtkWidget        *toselection_button;
  GtkWidget        *tovectors_button;
  GtkWidget        *stroke_button;
};

struct _PikaVectorsTreeViewClass
{
  PikaItemTreeViewClass  parent_class;
};


GType   pika_vectors_tree_view_get_type (void) G_GNUC_CONST;


#endif  /*  __PIKA_VECTORS_TREE_VIEW_H__  */
