/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995-1999 Spencer Kimball and Peter Mattis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_VIEWABLE_BOX_H__
#define __PIKA_VIEWABLE_BOX_H__


GtkWidget * pika_brush_box_new         (PikaContainer *container,
                                        PikaContext   *context,
                                        const gchar   *label,
                                        gint           spacing);
GtkWidget * pika_prop_brush_box_new    (PikaContainer *container,
                                        PikaContext   *context,
                                        const gchar   *label,
                                        gint           spacing,
                                        const gchar   *view_type_prop,
                                        const gchar   *view_size_prop,
                                        const gchar   *editor_id,
                                        const gchar   *editor_tooltip);
GtkWidget * pika_dynamics_box_new      (PikaContainer *container,
                                        PikaContext   *context,
                                        const gchar   *label,
                                        gint           spacing);
GtkWidget * pika_prop_dynamics_box_new (PikaContainer *container,
                                        PikaContext   *context,
                                        const gchar   *label,
                                        gint           spacing,
                                        const gchar   *view_type_prop,
                                        const gchar   *view_size_prop,
                                        const gchar   *editor_id,
                                        const gchar   *editor_tooltip);

GtkWidget * pika_mybrush_box_new       (PikaContainer *container,
                                        PikaContext   *context,
                                        const gchar   *label,
                                        gint           spacing);
GtkWidget * pika_prop_mybrush_box_new  (PikaContainer *container,
                                        PikaContext   *context,
                                        const gchar   *label,
                                        gint           spacing,
                                        const gchar   *view_type_prop,
                                        const gchar   *view_size_prop);

GtkWidget * pika_pattern_box_new       (PikaContainer *container,
                                        PikaContext   *context,
                                        const gchar   *label,
                                        gint           spacing);
GtkWidget * pika_prop_pattern_box_new  (PikaContainer *container,
                                        PikaContext   *context,
                                        const gchar   *label,
                                        gint           spacing,
                                        const gchar   *view_type_prop,
                                        const gchar   *view_size_prop);

GtkWidget * pika_gradient_box_new      (PikaContainer *container,
                                        PikaContext   *context,
                                        const gchar   *label,
                                        gint           scacing,
                                        const gchar   *reverse_prop,
                                        const gchar   *blend_color_space_prop);
GtkWidget * pika_prop_gradient_box_new (PikaContainer *container,
                                        PikaContext   *context,
                                        const gchar   *label,
                                        gint           scacing,
                                        const gchar   *view_type_prop,
                                        const gchar   *view_size_prop,
                                        const gchar   *reverse_prop,
                                        const gchar   *blend_color_space_prop,
                                        const gchar   *editor_id,
                                        const gchar   *editor_tooltip);

GtkWidget * pika_palette_box_new       (PikaContainer *container,
                                        PikaContext   *context,
                                        const gchar   *label,
                                        gint           spacing);
GtkWidget * pika_prop_palette_box_new  (PikaContainer *container,
                                        PikaContext   *context,
                                        const gchar   *label,
                                        gint           spacing,
                                        const gchar   *view_type_prop,
                                        const gchar   *view_size_prop,
                                        const gchar   *editor_id,
                                        const gchar   *editor_tooltip);

GtkWidget * pika_font_box_new          (PikaContainer *container,
                                        PikaContext   *context,
                                        const gchar   *label,
                                        gint           spacing);
GtkWidget * pika_prop_font_box_new     (PikaContainer *container,
                                        PikaContext   *context,
                                        const gchar   *label,
                                        gint           spacing,
                                        const gchar   *view_type_prop,
                                        const gchar   *view_size_prop);


#endif /* __PIKA_VIEWABLE_BOX_H__ */
