/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikaviewrenderergradient.h
 * Copyright (C) 2003 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_VIEW_RENDERER_GRADIENT_H__
#define __PIKA_VIEW_RENDERER_GRADIENT_H__

#include "pikaviewrenderer.h"

#define PIKA_TYPE_VIEW_RENDERER_GRADIENT            (pika_view_renderer_gradient_get_type ())
#define PIKA_VIEW_RENDERER_GRADIENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_VIEW_RENDERER_GRADIENT, PikaViewRendererGradient))
#define PIKA_VIEW_RENDERER_GRADIENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_VIEW_RENDERER_GRADIENT, PikaViewRendererGradientClass))
#define PIKA_IS_VIEW_RENDERER_GRADIENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE (obj, PIKA_TYPE_VIEW_RENDERER_GRADIENT))
#define PIKA_IS_VIEW_RENDERER_GRADIENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_VIEW_RENDERER_GRADIENT))
#define PIKA_VIEW_RENDERER_GRADIENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_VIEW_RENDERER_GRADIENT, PikaViewRendererGradientClass))


typedef struct _PikaViewRendererGradientClass  PikaViewRendererGradientClass;

struct _PikaViewRendererGradient
{
  PikaViewRenderer            parent_instance;

  gdouble                     left;
  gdouble                     right;
  gboolean                    reverse;
  PikaGradientBlendColorSpace blend_color_space;
  gboolean                    has_fg_bg_segments;
};

struct _PikaViewRendererGradientClass
{
  PikaViewRendererClass  parent_class;
};


GType   pika_view_renderer_gradient_get_type    (void) G_GNUC_CONST;

void    pika_view_renderer_gradient_set_offsets (PikaViewRendererGradient    *renderer,
                                                 gdouble                      left,
                                                 gdouble                      right);
void    pika_view_renderer_gradient_set_reverse (PikaViewRendererGradient    *renderer,
                                                 gboolean                     reverse);
void    pika_view_renderer_gradient_set_blend_color_space
                                                (PikaViewRendererGradient    *renderer,
                                                 PikaGradientBlendColorSpace  blend_color_space);


#endif /* __PIKA_VIEW_RENDERER_GRADIENT_H__ */
