/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikaviewrendererpalette.h
 * Copyright (C) 2005 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_VIEW_RENDERER_PALETTE_H__
#define __PIKA_VIEW_RENDERER_PALETTE_H__

#include "pikaviewrenderer.h"

#define PIKA_TYPE_VIEW_RENDERER_PALETTE            (pika_view_renderer_palette_get_type ())
#define PIKA_VIEW_RENDERER_PALETTE(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_VIEW_RENDERER_PALETTE, PikaViewRendererPalette))
#define PIKA_VIEW_RENDERER_PALETTE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_VIEW_RENDERER_PALETTE, PikaViewRendererPaletteClass))
#define PIKA_IS_VIEW_RENDERER_PALETTE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE (obj, PIKA_TYPE_VIEW_RENDERER_PALETTE))
#define PIKA_IS_VIEW_RENDERER_PALETTE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_VIEW_RENDERER_PALETTE))
#define PIKA_VIEW_RENDERER_PALETTE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_VIEW_RENDERER_PALETTE, PikaViewRendererPaletteClass))


typedef struct _PikaViewRendererPaletteClass  PikaViewRendererPaletteClass;

struct _PikaViewRendererPalette
{
  PikaViewRenderer  parent_instance;

  gint              cell_size;
  gboolean          draw_grid;

  gint              cell_width;
  gint              cell_height;
  gint              columns;
  gint              rows;
};

struct _PikaViewRendererPaletteClass
{
  PikaViewRendererClass  parent_class;
};


GType   pika_view_renderer_palette_get_type    (void) G_GNUC_CONST;

void    pika_view_renderer_palette_set_cell_size (PikaViewRendererPalette *renderer,
                                                  gint                     cell_size);
void    pika_view_renderer_palette_set_draw_grid (PikaViewRendererPalette *renderer,
                                                  gboolean                 draw_grid);


#endif /* __PIKA_VIEW_RENDERER_PALETTE_H__ */
