/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikawindow.h
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_WINDOW_H__
#define __PIKA_WINDOW_H__


#define PIKA_TYPE_WINDOW            (pika_window_get_type ())
#define PIKA_WINDOW(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_WINDOW, PikaWindow))
#define PIKA_WINDOW_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_WINDOW, PikaWindowClass))
#define PIKA_IS_WINDOW(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_WINDOW))
#define PIKA_IS_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_WINDOW))
#define PIKA_WINDOW_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_WINDOW, PikaWindowClass))


typedef struct _PikaWindowClass   PikaWindowClass;
typedef struct _PikaWindowPrivate PikaWindowPrivate;

struct _PikaWindow
{
  GtkApplicationWindow  parent_instance;

  PikaWindowPrivate    *private;
};

struct _PikaWindowClass
{
  GtkApplicationWindowClass  parent_class;

  void (* monitor_changed) (PikaWindow *window,
                            GdkMonitor *monitor);
};


GType       pika_window_get_type                 (void) G_GNUC_CONST;

void        pika_window_set_primary_focus_widget (PikaWindow *window,
                                                  GtkWidget  *primary_focus);
GtkWidget * pika_window_get_primary_focus_widget (PikaWindow *window);


#endif /* __PIKA_WINDOW_H__ */
