/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikawindowstrategy.h
 * Copyright (C) 2011 Martin Nordholts <martinn@src.gnome.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_WINDOW_STRATEGY_H__
#define __PIKA_WINDOW_STRATEGY_H__


#define PIKA_TYPE_WINDOW_STRATEGY (pika_window_strategy_get_type ())
G_DECLARE_INTERFACE (PikaWindowStrategy, pika_window_strategy, PIKA, WINDOW_STRATEGY, GObject)


struct _PikaWindowStrategyInterface
{
  GTypeInterface base_iface;

  /*  virtual functions  */
  GtkWidget * (* show_dockable_dialog) (PikaWindowStrategy *strategy,
                                        Pika               *pika,
                                        PikaDialogFactory  *factory,
                                        GdkMonitor         *monitor,
                                        const gchar        *identifiers);
};


GtkWidget * pika_window_strategy_show_dockable_dialog (PikaWindowStrategy *strategy,
                                                       Pika               *pika,
                                                       PikaDialogFactory  *factory,
                                                       GdkMonitor         *monitor,
                                                       const gchar        *identifiers);


#endif  /*  __PIKA_WINDOW_STRATEGY_H__  */
