## Removed Functions

These functions have been removed from PIKA 3. Most of them were deprecated
since PIKA 2.10.x or older versions. As we bump the major version, it is time
to start with a clean slate.

Below is a correspondence table with replacement function. The replacement is
not necessarily a direct search-and-replace equivalent. Some may have different
parameters, and in some case, it may require to think a bit about how things
work to reproduce the same functionality. Nevertheless everything which was
possible in the previous API is obviously still possible.

| Removed function                                | Replacement                                       |
| ----------------------------------------------- | ------------------------------------------------- |
| `pika_attach_new_parasite()`                    | `pika_attach_parasite()`                          |
| `pika_brightness_contrast()`                    | `pika_drawable_brightness_contrast()`             |
| `pika_brushes_get_brush()`                      | `pika_context_get_brush()`                        |
| `pika_brushes_get_brush_data()`                 | `pika_brush_get_pixels()`                         |
| `pika_brushes_get_spacing()`                    | `pika_brush_get_spacing()`                        |
| `pika_brushes_set_spacing()`                    | `pika_brush_set_spacing()`                        |
| `pika_by_color_select()`                        | `pika_image_select_color()`                       |
| `pika_by_color_select_full()`                   | `pika_image_select_color()`                       |
| `pika_channel_menu_new()`                       | `pika_channel_combo_box_new()`                    |
| `pika_checks_get_shades()`                      | `pika_checks_get_colors()`                        |
| `pika_color_balance()`                          | `pika_drawable_color_color_balance()`             |
| `pika_color_display_convert()`                  | `pika_color_display_convert_buffer()`             |
| `pika_color_display_convert_surface()`          | `pika_color_display_convert_buffer()`             |
| `pika_color_display_stack_convert()`            | `pika_color_display_stack_convert_buffer()`       |
| `pika_color_display_stack_convert_surface()`    | `pika_color_display_stack_convert_buffer()`       |
| `pika_color_profile_combo_box_add()`            | `pika_color_profile_combo_box_add_file()`         |
| `pika_color_profile_combo_box_get_active()`     | `pika_color_profile_combo_box_get_active_file()`  |
| `pika_color_profile_combo_box_set_active()`     | `pika_color_profile_combo_box_set_active_file()`  |
| `pika_color_profile_store_add()`                | `pika_color_profile_store_add_file()`             |
| `pika_colorize()`                               | `pika_drawable_colorize_hsl()`                    |
| `pika_context_get_transform_recursion()`        | *N/A*                                             |
| `pika_context_set_transform_recursion()`        | *N/A*                                             |
| `pika_curves_explicit()`                        | `pika_drawable_curves_explicit()`                 |
| `pika_curves_spline()`                          | `pika_drawable_curves_spline()`                   |
| `pika_desaturate()`                             | `pika_drawable_desaturate()`                      |
| `pika_desaturate_full()`                        | `pika_drawable_desaturate()`                      |
| `pika_drawable_attach_new_parasite()`           | `pika_item_attach_parasite()`                     |
| `pika_drawable_bpp()`                           | `pika_drawable_get_bpp()`                         |
| `pika_drawable_delete()`                        | `pika_item_delete()`                              |
| `pika_drawable_get_image()`                     | `pika_item_get_image()`                           |
| `pika_drawable_get_linked()`                    | *N/A*                                             |
| `pika_drawable_get_name()`                      | `pika_item_get_name()`                            |
| `pika_drawable_get_tattoo()`                    | `pika_item_get_tattoo()`                          |
| `pika_drawable_get_visible()`                   | `pika_item_get_visible()`                         |
| `pika_drawable_height()`                        | `pika_drawable_get_height()`                      |
| `pika_drawable_is_channel()`                    | `pika_item_is_channel()`                          |
| `pika_drawable_is_layer()`                      | `pika_item_is_layer()`                            |
| `pika_drawable_is_layer_mask()`                 | `pika_item_is_layer_mask()`                       |
| `pika_drawable_is_text_layer()`                 | `pika_item_is_text_layer()`                       |
| `pika_drawable_is_valid()`                      | `pika_item_is_valid()`                            |
| `pika_drawable_menu_new()`                      | `pika_drawable_combo_box_new()`                   |
| `pika_drawable_offsets()`                       | `pika_drawable_get_offsets()`                     |
| `pika_drawable_parasite_attach()`               | `pika_item_attach_parasite()`                     |
| `pika_drawable_parasite_detach()`               | `pika_item_detach_parasite()`                     |
| `pika_drawable_parasite_find()`                 | `pika_item_get_parasite()`                        |
| `pika_drawable_parasite_list()`                 | `pika_item_get_parasite_list()`                   |
| `pika_drawable_preview_new()`                   | `pika_drawable_preview_new_from_drawable()`       |
| `pika_drawable_preview_new_from_drawable_id()`  | `pika_drawable_preview_new_from_drawable()`       |
| `pika_drawable_set_image()`                     | *N/A*                                             |
| `pika_drawable_set_linked()`                    | *N/A*                                             |
| `pika_drawable_set_name()`                      | `pika_item_set_name()`                            |
| `pika_drawable_set_tattoo()`                    | `pika_item_set_tattoo()`                          |
| `pika_drawable_set_visible()`                   | `pika_item_set_visible()`                         |
| `pika_drawable_transform_2d()`                  | `pika_item_transform_2d()`                        |
| `pika_drawable_transform_2d_default()`          | `pika_item_transform_2d()`                        |
| `pika_drawable_transform_flip()`                | `pika_item_transform_flip()`                      |
| `pika_drawable_transform_flip_default()`        | `pika_item_transform_flip()`                      |
| `pika_drawable_transform_flip_simple()`         | `pika_item_transform_flip_simple()`               |
| `pika_drawable_transform_matrix()`              | `pika_item_transform_matrix()`                    |
| `pika_drawable_transform_matrix_default()`      | `pika_item_transform_matrix()`                    |
| `pika_drawable_transform_perspective()`         | `pika_item_transform_perspective()`               |
| `pika_drawable_transform_perspective_default()` | `pika_item_transform_perspective()`               |
| `pika_drawable_transform_rotate()`              | `pika_item_transform_rotate()`                    |
| `pika_drawable_transform_rotate_default()`      | `pika_item_transform_rotate()`                    |
| `pika_drawable_transform_rotate_simple()`       | `pika_item_transform_rotate_simple()`             |
| `pika_drawable_transform_scale()`               | `pika_item_transform_scale()`                     |
| `pika_drawable_transform_scale_default()`       | `pika_item_transform_scale()`                     |
| `pika_drawable_transform_shear()`               | `pika_item_transform_shear()`                     |
| `pika_drawable_transform_shear_default()`       | `pika_item_transform_shear()`                     |
| `pika_drawable_width()`                         | `pika_drawable_get_width()`                       |
| `pika_edit_blend()`                             | `pika_drawable_edit_gradient_fill()`              |
| `pika_edit_bucket_fill()`                       | `pika_drawable_edit_bucket_fill()`                |
| `pika_edit_bucket_fill_full()`                  | `pika_drawable_edit_bucket_fill()`                |
| `pika_edit_clear()`                             | `pika_drawable_edit_clear()`                      |
| `pika_edit_fill()`                              | `pika_drawable_edit_fill()`                       |
| `pika_edit_paste_as_new()`                      | `pika_edit_paste_as_new_image()`                  |
| `pika_edit_named_paste_as_new()`                | `pika_edit_named_paste_as_new_image()`            |
| `pika_edit_stroke()`                            | `pika_drawable_edit_stroke_selection()`           |
| `pika_edit_stroke_vectors()`                    | `pika_drawable_edit_stroke_item()`                |
| `pika_ellipse_select()`                         | `pika_image_select_ellipse()`                     |
| `pika_enum_combo_box_set_stock_prefix()`        | `pika_enum_combo_box_set_icon_prefix()`           |
| `pika_enum_stock_box_new()`                     | `pika_enum_icon_box_new()`                        |
| `pika_enum_stock_box_new_with_range()`          | `pika_enum_icon_box_new_with_range()`             |
| `pika_enum_stock_box_set_child_padding()`       | `pika_enum_icon_box_set_child_padding()`          |
| `pika_enum_store_set_stock_prefix()`            | `pika_enum_store_set_icon_prefix()`               |
| `pika_equalize()`                               | `pika_drawable_equalize()`                        |
| `pika_flip()`                                   | `pika_item_transform_flip_simple()`               |
| `pika_floating_sel_relax()`                     | *N/A*                                             |
| `pika_floating_sel_rigor()`                     | *N/A*                                             |
| `pika_free_select()`                            | `pika_image_select_polygon()`                     |
| `pika_fuzzy_select()`                           | `pika_image_select_contiguous_color()`            |
| `pika_fuzzy_select_full()`                      | `pika_image_select_contiguous_color()`            |
| `pika_gamma()`                                  | `pika_drawable_get_format()`                      |
| `pika_get_icon_theme_dir()`                     | *N/A*                                             |
| `pika_get_path_by_tattoo()`                     | `pika_image_get_vectors_by_tattoo()`              |
| `pika_get_theme_dir()`                          | *N/A*                                             |
| `pika_gradients_get_gradient_data()`            | `pika_gradient_get_uniform_samples()`             |
| `pika_gradients_sample_custom()`                | `pika_gradient_get_custom_samples()`              |
| `pika_gradients_sample_uniform()`               | `pika_gradient_get_uniform_samples()`             |
| `pika_histogram()`                              | `pika_drawable_histogram()`                       |
| `pika_hue_saturation()`                         | `pika_drawable_hue_saturation()`                  |
| `pika_image_add_channel()`                      | `pika_image_insert_channel()`                     |
| `pika_image_add_layer()`                        | `pika_image_insert_layer()`                       |
| `pika_image_add_vectors()`                      | `pika_image_insert_vectors()`                     |
| `pika_image_attach_new_parasite()`              | `pika_image_attach_parasite()`                    |
| `pika_image_base_type()`                        | `pika_image_get_base_type()`                      |
| `pika_image_free_shadow()`                      | `pika_drawable_free_shadow()`                     |
| `pika_image_get_channel_position()`             | `pika_image_get_item_position()`                  |
| `pika_image_get_cmap()`                         | `pika_image_get_colormap()`                       |
| `pika_image_get_layer_position()`               | `pika_image_get_item_position()`                  |
| `pika_image_get_vectors_position()`             | `pika_image_get_item_position()`                  |
| `pika_image_height()`                           | `pika_image_get_height()`                         |
| `pika_image_lower_channel()`                    | `pika_image_lower_item()`                         |
| `pika_image_lower_layer()`                      | `pika_image_lower_item()`                         |
| `pika_image_lower_layer_to_bottom()`            | `pika_image_lower_item_to_bottom()`               |
| `pika_image_lower_vectors()`                    | `pika_image_lower_item()`                         |
| `pika_image_lower_vectors_to_bottom()`          | `pika_image_lower_item_to_bottom()`               |
| `pika_image_menu_new()`                         | `pika_image_combo_box_new()`                      |
| `pika_image_parasite_attach()`                  | `pika_image_attach_parasite()`                    |
| `pika_image_parasite_detach()`                  | `pika_image_detach_parasite()`                    |
| `pika_image_parasite_find()`                    | `pika_image_get_parasite()`                       |
| `pika_image_parasite_list()`                    | `pika_image_get_parasite_list()`                  |
| `pika_image_raise_channel()`                    | `pika_image_raise_item()`                         |
| `pika_image_raise_layer()`                      | `pika_image_raise_item()`                         |
| `pika_image_raise_layer_to_top()`               | `pika_image_raise_item_to_top()`                  |
| `pika_image_raise_vectors()`                    | `pika_image_raise_item()`                         |
| `pika_image_raise_vectors_to_top()`             | `pika_image_raise_item_to_top()`                  |
| `pika_image_scale_full()`                       | `pika_image_scale()`                              |
| `pika_image_set_cmap()`                         | `pika_image_set_colormap()`                       |
| `pika_image_width()`                            | `pika_image_get_width()`                          |
| `pika_install_cmap()`                           | *N/A*                                             |
| `pika_invert()`                                 | `pika_drawable_invert()`                          |
| `pika_item_get_linked()`                        | *N/A*                                             |
| `pika_item_set_linked()`                        | *N/A*                                             |
| `pika_layer_menu_new()`                         | `pika_layer_combo_box_new()`                      |
| `pika_layer_scale_full()`                       | `pika_layer_scale()`                              |
| `pika_layer_translate()`                        | `pika_item_transform_translate()`                 |
| `pika_levels()`                                 | `pika_drawable_levels()`                          |
| `pika_levels_auto()`                            | `pika_drawable_levels_stretch()`                  |
| `pika_levels_stretch()`                         | `pika_drawable_levels_stretch()`                  |
| `pika_min_colors()`                             | *N/A*                                             |
| `pika_palettes_get_palette()`                   | `pika_context_get_palette()`                      |
| `pika_palettes_get_palette_entry()`             | `pika_palette_entry_get_color()`                  |
| `pika_parasite_attach()`                        | `pika_attach_parasite()`                          |
| `pika_parasite_data()`                          | `pika_parasite_get_data()`                        |
| `pika_parasite_data_size()`                     | `pika_parasite_get_data()`                        |
| `pika_parasite_detach()`                        | `pika_detach_parasite()`                          |
| `pika_parasite_find()`                          | `pika_get_parasite()`                             |
| `pika_parasite_flags()`                         | `pika_parasite_get_flags()`                       |
| `pika_parasite_list()`                          | `pika_get_parasite_list()`                        |
| `pika_parasite_name()`                          | `pika_parasite_get_name()`                        |
| `pika_path_delete()`                            | `pika_image_remove_vectors()`                     |
| `pika_path_get_current()`                       | `pika_image_get_active_vectors()`                 |
| `pika_path_get_locked()`                        | *N/A*                                             |
| `pika_path_get_points()`                        | `pika_vectors_stroke_get_points()`                |
| `pika_path_get_point_at_dist()`                 | `pika_vectors_stroke_get_point_at_dist()`         |
| `pika_path_get_tattoo()`                        | `pika_item_get_tattoo()`                          |
| `pika_path_import()`                            | `pika_vectors_import_from_file()`                 |
| `pika_path_list()`                              | `pika_image_get_vectors()`                        |
| `pika_path_set_current()`                       | `pika_image_set_active_vectors()`                 |
| `pika_path_set_locked()`                        | *N/A*                                             |
| `pika_path_set_points()`                        | `pika_vectors_stroke_new_from_points()`           |
| `pika_path_set_tattoo()`                        | `pika_item_set_tattoo()`                          |
| `pika_path_stroke_current()`                    | `pika_edit_stroke_vectors()`                      |
| `pika_path_to_selection()`                      | `pika_image_select_item()`                        |
| `pika_patterns_get_pattern()`                   | `pika_context_get_pattern()`                      |
| `pika_patterns_get_pattern_data()`              | `pika_pattern_get_pixels()`                       |
| `pika_perspective()`                            | `pika_item_transform_perspective()`               |
| `pika_posterize()`                              | `pika_drawable_posterize()`                       |
| `pika_prop_enum_stock_box_new()`                | `pika_prop_enum_icon_box_new()`                   |
| `pika_prop_stock_image_new()`                   | `pika_prop_icon_image_new()`                      |
| `pika_prop_unit_menu_new()`                     | `pika_prop_unit_combo_box_new()`                  |
| `pika_rect_select()`                            | `pika_image_select_rectangle()`                   |
| `pika_rotate()`                                 | `pika_item_transform_rotate()`                    |
| `pika_round_rect_select()`                      | `pika_image_select_round_rectangle()`             |
| `pika_scale()`                                  | `pika_item_transform_scale()`                     |
| `pika_selection_combine()`                      | `pika_image_select_item()`                        |
| `pika_selection_layer_alpha()`                  | `pika_image_select_item()`                        |
| `pika_selection_load()`                         | `pika_image_select_item()`                        |
| `pika_shear()`                                  | `pika_item_transform_shear()`                     |
| `pika_stock_init()`                             | `pika_icons_init()`                               |
| `pika_text()`                                   | `pika_text_fontname()`                            |
| `pika_text_get_extents()`                       | `pika_text_get_extents_fontname()`                |
| `pika_text_layer_get_hinting()`                 | `pika_text_layer_get_hint_style()`                |
| `pika_text_layer_set_hinting()`                 | `pika_text_layer_set_hint_style()`                |
| `pika_threshold()`                              | `pika_drawable_threshold()`                       |
| `pika_toggle_button_sensitive_update()`         | `g_object_bind_property()`                        |
| `pika_transform_2d()`                           | `pika_item_transform_2d()`                        |
| `pika_unit_menu_update()`                       | `#PikaUnitComboBox`                               |
| `pika_vectors_get_image()`                      | `pika_item_get_image()`                           |
| `pika_vectors_get_linked()`                     | *N/A*                                             |
| `pika_vectors_get_name()`                       | `pika_item_get_name()`                            |
| `pika_vectors_get_tattoo()`                     | `pika_item_get_tattoo()`                          |
| `pika_vectors_get_visible()`                    | `pika_item_get_visible()`                         |
| `pika_vectors_is_valid()`                       | `pika_item_is_valid()`                            |
| `pika_vectors_parasite_attach()`                | `pika_item_attach_parasite()`                     |
| `pika_vectors_parasite_detach()`                | `pika_item_detach_parasite()`                     |
| `pika_vectors_parasite_find()`                  | `pika_item_get_parasite()`                        |
| `pika_vectors_parasite_list()`                  | `pika_item_get_parasite_list()`                   |
| `pika_vectors_set_linked()`                     | *N/A*                                             |
| `pika_vectors_set_name()`                       | `pika_item_set_name()`                            |
| `pika_vectors_set_tattoo()`                     | `pika_item_set_tattoo()`                          |
| `pika_vectors_set_visible()`                    | `pika_item_set_visible()`                         |
| `pika_vectors_to_selection()`                   | `pika_image_select_item()`                        |
| `pika_zoom_preview_get_drawable_id()`           | `pika_zoom_preview_get_drawable()`                |
| `pika_zoom_preview_new()`                       | `pika_zoom_preview_new_from_drawable()`           |
| `pika_zoom_preview_new_from_drawable_id()`      | `pika_zoom_preview_new_from_drawable()`           |
| `pika_zoom_preview_new_with_model()`            | `pika_zoom_preview_new_with_model_from_drawable()`|
