/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-2003 Peter Mattis and Spencer Kimball
 *
 * pikabrush_pdb.h
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

/* NOTE: This file is auto-generated by pdbgen.pl */

#if !defined (__PIKA_H_INSIDE__) && !defined (PIKA_COMPILATION)
#error "Only <libpika/pika.h> can be included directly."
#endif

#ifndef __PIKA_BRUSH_PDB_H__
#define __PIKA_BRUSH_PDB_H__

G_BEGIN_DECLS

/* For information look into the C source or the html documentation */


PikaBrush* pika_brush_new              (const gchar              *name);
PikaBrush* pika_brush_get_by_name      (const gchar              *name);
gboolean   pika_brush_is_generated     (PikaBrush                *brush);
gboolean   pika_brush_get_info         (PikaBrush                *brush,
                                        gint                     *width,
                                        gint                     *height,
                                        gint                     *mask_bpp,
                                        gint                     *color_bpp);
gboolean   pika_brush_get_pixels       (PikaBrush                *brush,
                                        gint                     *width,
                                        gint                     *height,
                                        gint                     *mask_bpp,
                                        GBytes                  **mask_bytes,
                                        gint                     *color_bpp,
                                        GBytes                  **color_bytes);
gint       pika_brush_get_spacing      (PikaBrush                *brush);
gboolean   pika_brush_set_spacing      (PikaBrush                *brush,
                                        gint                      spacing);
gboolean   pika_brush_get_shape        (PikaBrush                *brush,
                                        PikaBrushGeneratedShape  *shape);
gboolean   pika_brush_set_shape        (PikaBrush                *brush,
                                        PikaBrushGeneratedShape   shape_in,
                                        PikaBrushGeneratedShape  *shape_out);
gboolean   pika_brush_get_radius       (PikaBrush                *brush,
                                        gdouble                  *radius);
gboolean   pika_brush_set_radius       (PikaBrush                *brush,
                                        gdouble                   radius_in,
                                        gdouble                  *radius_out);
gboolean   pika_brush_get_spikes       (PikaBrush                *brush,
                                        gint                     *spikes);
gboolean   pika_brush_set_spikes       (PikaBrush                *brush,
                                        gint                      spikes_in,
                                        gint                     *spikes_out);
gboolean   pika_brush_get_hardness     (PikaBrush                *brush,
                                        gdouble                  *hardness);
gboolean   pika_brush_set_hardness     (PikaBrush                *brush,
                                        gdouble                   hardness_in,
                                        gdouble                  *hardness_out);
gboolean   pika_brush_get_aspect_ratio (PikaBrush                *brush,
                                        gdouble                  *aspect_ratio);
gboolean   pika_brush_set_aspect_ratio (PikaBrush                *brush,
                                        gdouble                   aspect_ratio_in,
                                        gdouble                  *aspect_ratio_out);
gboolean   pika_brush_get_angle        (PikaBrush                *brush,
                                        gdouble                  *angle);
gboolean   pika_brush_set_angle        (PikaBrush                *brush,
                                        gdouble                   angle_in,
                                        gdouble                  *angle_out);


G_END_DECLS

#endif /* __PIKA_BRUSH_PDB_H__ */
