/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-1997 Peter Mattis and Spencer Kimball
 *
 * pikachannel.h
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#if !defined (__PIKA_H_INSIDE__) && !defined (PIKA_COMPILATION)
#error "Only <libpika/pika.h> can be included directly."
#endif

#ifndef __PIKA_CHANNEL_H__
#define __PIKA_CHANNEL_H__

G_BEGIN_DECLS

/* For information look into the C source or the html documentation */

#include <libpika/pikadrawable.h>


#define PIKA_TYPE_CHANNEL (pika_channel_get_type ())
G_DECLARE_DERIVABLE_TYPE (PikaChannel, pika_channel, PIKA, CHANNEL, PikaDrawable)


struct _PikaChannelClass
{
  PikaDrawableClass parent_class;

  /* Padding for future expansion */
  void (*_pika_reserved1) (void);
  void (*_pika_reserved2) (void);
  void (*_pika_reserved3) (void);
  void (*_pika_reserved4) (void);
  void (*_pika_reserved5) (void);
  void (*_pika_reserved6) (void);
  void (*_pika_reserved7) (void);
  void (*_pika_reserved8) (void);
};


PikaChannel * pika_channel_get_by_id (gint32         channel_id);

PikaChannel * pika_channel_new       (PikaImage     *image,
                                      const gchar   *name,
                                      guint          width,
                                      guint          height,
                                      gdouble        opacity,
                                      const PikaRGB *color);


G_END_DECLS

#endif /* __PIKA_CHANNEL_H__ */
