/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-2003 Peter Mattis and Spencer Kimball
 *
 * pikachannel_pdb.h
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

/* NOTE: This file is auto-generated by pdbgen.pl */

#if !defined (__PIKA_H_INSIDE__) && !defined (PIKA_COMPILATION)
#error "Only <libpika/pika.h> can be included directly."
#endif

#ifndef __PIKA_CHANNEL_PDB_H__
#define __PIKA_CHANNEL_PDB_H__

G_BEGIN_DECLS

/* For information look into the C source or the html documentation */


G_GNUC_INTERNAL PikaChannel* _pika_channel_new               (PikaImage       *image,
                                                              gint             width,
                                                              gint             height,
                                                              const gchar     *name,
                                                              gdouble          opacity,
                                                              const PikaRGB   *color);
PikaChannel*                 pika_channel_new_from_component (PikaImage       *image,
                                                              PikaChannelType  component,
                                                              const gchar     *name);
PikaChannel*                 pika_channel_copy               (PikaChannel     *channel);
gboolean                     pika_channel_combine_masks      (PikaChannel     *channel1,
                                                              PikaChannel     *channel2,
                                                              PikaChannelOps   operation,
                                                              gint             offx,
                                                              gint             offy);
gboolean                     pika_channel_get_show_masked    (PikaChannel     *channel);
gboolean                     pika_channel_set_show_masked    (PikaChannel     *channel,
                                                              gboolean         show_masked);
gdouble                      pika_channel_get_opacity        (PikaChannel     *channel);
gboolean                     pika_channel_set_opacity        (PikaChannel     *channel,
                                                              gdouble          opacity);
gboolean                     pika_channel_get_color          (PikaChannel     *channel,
                                                              PikaRGB         *color);
gboolean                     pika_channel_set_color          (PikaChannel     *channel,
                                                              const PikaRGB   *color);


G_END_DECLS

#endif /* __PIKA_CHANNEL_PDB_H__ */
