/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-2003 Peter Mattis and Spencer Kimball
 *
 * pikacontext_pdb.h
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

/* NOTE: This file is auto-generated by pdbgen.pl */

#if !defined (__PIKA_H_INSIDE__) && !defined (PIKA_COMPILATION)
#error "Only <libpika/pika.h> can be included directly."
#endif

#ifndef __PIKA_CONTEXT_PDB_H__
#define __PIKA_CONTEXT_PDB_H__

G_BEGIN_DECLS

/* For information look into the C source or the html documentation */


gboolean                      pika_context_push                           (void);
gboolean                      pika_context_pop                            (void);
gboolean                      pika_context_set_defaults                   (void);
gboolean                      pika_context_list_paint_methods             (gchar                       ***paint_methods);
gchar*                        pika_context_get_paint_method               (void);
gboolean                      pika_context_set_paint_method               (const gchar                   *name);
PikaStrokeMethod              pika_context_get_stroke_method              (void);
gboolean                      pika_context_set_stroke_method              (PikaStrokeMethod               stroke_method);
gboolean                      pika_context_get_foreground                 (PikaRGB                       *foreground);
gboolean                      pika_context_set_foreground                 (const PikaRGB                 *foreground);
gboolean                      pika_context_get_background                 (PikaRGB                       *background);
gboolean                      pika_context_set_background                 (const PikaRGB                 *background);
gboolean                      pika_context_set_default_colors             (void);
gboolean                      pika_context_swap_colors                    (void);
gdouble                       pika_context_get_opacity                    (void);
gboolean                      pika_context_set_opacity                    (gdouble                        opacity);
PikaLayerMode                 pika_context_get_paint_mode                 (void);
gboolean                      pika_context_set_paint_mode                 (PikaLayerMode                  paint_mode);
gdouble                       pika_context_get_line_width                 (void);
gboolean                      pika_context_set_line_width                 (gdouble                        line_width);
PikaUnit                      pika_context_get_line_width_unit            (void);
gboolean                      pika_context_set_line_width_unit            (PikaUnit                       line_width_unit);
PikaCapStyle                  pika_context_get_line_cap_style             (void);
gboolean                      pika_context_set_line_cap_style             (PikaCapStyle                   cap_style);
PikaJoinStyle                 pika_context_get_line_join_style            (void);
gboolean                      pika_context_set_line_join_style            (PikaJoinStyle                  join_style);
gdouble                       pika_context_get_line_miter_limit           (void);
gboolean                      pika_context_set_line_miter_limit           (gdouble                        miter_limit);
gdouble                       pika_context_get_line_dash_offset           (void);
gboolean                      pika_context_set_line_dash_offset           (gdouble                        dash_offset);
gboolean                      pika_context_get_line_dash_pattern          (gint                          *num_dashes,
                                                                           gdouble                      **dashes);
gboolean                      pika_context_set_line_dash_pattern          (gint                           num_dashes,
                                                                           const gdouble                 *dashes);
PikaBrush*                    pika_context_get_brush                      (void);
gboolean                      pika_context_set_brush                      (PikaBrush                     *brush);
gdouble                       pika_context_get_brush_size                 (void);
gboolean                      pika_context_set_brush_size                 (gdouble                        size);
gboolean                      pika_context_set_brush_default_size         (void);
gdouble                       pika_context_get_brush_aspect_ratio         (void);
gboolean                      pika_context_set_brush_aspect_ratio         (gdouble                        aspect);
gdouble                       pika_context_get_brush_angle                (void);
gboolean                      pika_context_set_brush_angle                (gdouble                        angle);
gdouble                       pika_context_get_brush_spacing              (void);
gboolean                      pika_context_set_brush_spacing              (gdouble                        spacing);
gboolean                      pika_context_set_brush_default_spacing      (void);
gdouble                       pika_context_get_brush_hardness             (void);
gboolean                      pika_context_set_brush_hardness             (gdouble                        hardness);
gboolean                      pika_context_set_brush_default_hardness     (void);
gdouble                       pika_context_get_brush_force                (void);
gboolean                      pika_context_set_brush_force                (gdouble                        force);
gchar*                        pika_context_get_dynamics                   (void);
gboolean                      pika_context_set_dynamics                   (const gchar                   *name);
gboolean                      pika_context_are_dynamics_enabled           (void);
gboolean                      pika_context_enable_dynamics                (gboolean                       enable);
gchar*                        pika_context_get_mypaint_brush              (void);
gboolean                      pika_context_set_mypaint_brush              (const gchar                   *name);
PikaPattern*                  pika_context_get_pattern                    (void);
gboolean                      pika_context_set_pattern                    (PikaPattern                   *pattern);
PikaGradient*                 pika_context_get_gradient                   (void);
gboolean                      pika_context_set_gradient                   (PikaGradient                  *gradient);
gboolean                      pika_context_set_gradient_fg_bg_rgb         (void);
gboolean                      pika_context_set_gradient_fg_bg_hsv_cw      (void);
gboolean                      pika_context_set_gradient_fg_bg_hsv_ccw     (void);
gboolean                      pika_context_set_gradient_fg_transparent    (void);
PikaGradientBlendColorSpace   pika_context_get_gradient_blend_color_space (void);
gboolean                      pika_context_set_gradient_blend_color_space (PikaGradientBlendColorSpace    blend_color_space);
PikaRepeatMode                pika_context_get_gradient_repeat_mode       (void);
gboolean                      pika_context_set_gradient_repeat_mode       (PikaRepeatMode                 repeat_mode);
gboolean                      pika_context_get_gradient_reverse           (void);
gboolean                      pika_context_set_gradient_reverse           (gboolean                       reverse);
PikaPalette*                  pika_context_get_palette                    (void);
gboolean                      pika_context_set_palette                    (PikaPalette                   *palette);
PikaFont*                     pika_context_get_font                       (void);
gboolean                      pika_context_set_font                       (PikaFont                      *font);
gboolean                      pika_context_get_antialias                  (void);
gboolean                      pika_context_set_antialias                  (gboolean                       antialias);
gboolean                      pika_context_get_feather                    (void);
gboolean                      pika_context_set_feather                    (gboolean                       feather);
gboolean                      pika_context_get_feather_radius             (gdouble                       *feather_radius_x,
                                                                           gdouble                       *feather_radius_y);
gboolean                      pika_context_set_feather_radius             (gdouble                        feather_radius_x,
                                                                           gdouble                        feather_radius_y);
gboolean                      pika_context_get_sample_merged              (void);
gboolean                      pika_context_set_sample_merged              (gboolean                       sample_merged);
PikaSelectCriterion           pika_context_get_sample_criterion           (void);
gboolean                      pika_context_set_sample_criterion           (PikaSelectCriterion            sample_criterion);
gdouble                       pika_context_get_sample_threshold           (void);
gboolean                      pika_context_set_sample_threshold           (gdouble                        sample_threshold);
gint                          pika_context_get_sample_threshold_int       (void);
gboolean                      pika_context_set_sample_threshold_int       (gint                           sample_threshold);
gboolean                      pika_context_get_sample_transparent         (void);
gboolean                      pika_context_set_sample_transparent         (gboolean                       sample_transparent);
gboolean                      pika_context_get_diagonal_neighbors         (void);
gboolean                      pika_context_set_diagonal_neighbors         (gboolean                       diagonal_neighbors);
GeglDistanceMetric            pika_context_get_distance_metric            (void);
gboolean                      pika_context_set_distance_metric            (GeglDistanceMetric             metric);
PikaInterpolationType         pika_context_get_interpolation              (void);
gboolean                      pika_context_set_interpolation              (PikaInterpolationType          interpolation);
PikaTransformDirection        pika_context_get_transform_direction        (void);
gboolean                      pika_context_set_transform_direction        (PikaTransformDirection         transform_direction);
PikaTransformResize           pika_context_get_transform_resize           (void);
gboolean                      pika_context_set_transform_resize           (PikaTransformResize            transform_resize);
gdouble                       pika_context_get_ink_size                   (void);
gboolean                      pika_context_set_ink_size                   (gdouble                        size);
gdouble                       pika_context_get_ink_angle                  (void);
gboolean                      pika_context_set_ink_angle                  (gdouble                        angle);
gdouble                       pika_context_get_ink_size_sensitivity       (void);
gboolean                      pika_context_set_ink_size_sensitivity       (gdouble                        size);
gdouble                       pika_context_get_ink_tilt_sensitivity       (void);
gboolean                      pika_context_set_ink_tilt_sensitivity       (gdouble                        tilt);
gdouble                       pika_context_get_ink_speed_sensitivity      (void);
gboolean                      pika_context_set_ink_speed_sensitivity      (gdouble                        speed);
PikaInkBlobType               pika_context_get_ink_blob_type              (void);
gboolean                      pika_context_set_ink_blob_type              (PikaInkBlobType                type);
gdouble                       pika_context_get_ink_blob_aspect_ratio      (void);
gboolean                      pika_context_set_ink_blob_aspect_ratio      (gdouble                        aspect);
gdouble                       pika_context_get_ink_blob_angle             (void);
gboolean                      pika_context_set_ink_blob_angle             (gdouble                        angle);
G_GNUC_INTERNAL PikaResource* _pika_context_get_resource                  (const gchar                   *type_name);


G_END_DECLS

#endif /* __PIKA_CONTEXT_PDB_H__ */
