/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-2000 Peter Mattis and Spencer Kimball
 *
 * pikadisplay.h
 * Copyright (C) Jehan
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#if !defined (__PIKA_H_INSIDE__) && !defined (PIKA_COMPILATION)
#error "Only <libpika/pika.h> can be included directly."
#endif

#ifndef __PIKA_DISPLAY_H__
#define __PIKA_DISPLAY_H__

G_BEGIN_DECLS


/* For information look into the C source or the html documentation */

#define PIKA_TYPE_DISPLAY            (pika_display_get_type ())
#define PIKA_DISPLAY(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_DISPLAY, PikaDisplay))
#define PIKA_DISPLAY_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_DISPLAY, PikaDisplayClass))
#define PIKA_IS_DISPLAY(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_DISPLAY))
#define PIKA_IS_DISPLAY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_DISPLAY))
#define PIKA_DISPLAY_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_DISPLAY, PikaDisplayClass))


typedef struct _PikaDisplayClass   PikaDisplayClass;
typedef struct _PikaDisplayPrivate PikaDisplayPrivate;

struct _PikaDisplay
{
  GObject             parent_instance;

  PikaDisplayPrivate *priv;
};

struct _PikaDisplayClass
{
  GObjectClass parent_class;

  /* Padding for future expansion */
  void (*_pika_reserved1) (void);
  void (*_pika_reserved2) (void);
  void (*_pika_reserved3) (void);
  void (*_pika_reserved4) (void);
  void (*_pika_reserved5) (void);
  void (*_pika_reserved6) (void);
  void (*_pika_reserved7) (void);
  void (*_pika_reserved8) (void);
};


GType         pika_display_get_type     (void) G_GNUC_CONST;

gint32        pika_display_get_id       (PikaDisplay    *display);
PikaDisplay * pika_display_get_by_id    (gint32          display_id);

gboolean      pika_display_is_valid     (PikaDisplay    *display);


G_END_DECLS

#endif /* __PIKA_DISPLAY_H__ */
