/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-2003 Peter Mattis and Spencer Kimball
 *
 * pikadrawable_pdb.h
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

/* NOTE: This file is auto-generated by pdbgen.pl */

#if !defined (__PIKA_H_INSIDE__) && !defined (PIKA_COMPILATION)
#error "Only <libpika/pika.h> can be included directly."
#endif

#ifndef __PIKA_DRAWABLE_PDB_H__
#define __PIKA_DRAWABLE_PDB_H__

G_BEGIN_DECLS

/* For information look into the C source or the html documentation */


G_GNUC_INTERNAL gchar*   _pika_drawable_get_format           (PikaDrawable               *drawable);
G_GNUC_INTERNAL gchar*   _pika_drawable_get_thumbnail_format (PikaDrawable               *drawable);
PikaImageType            pika_drawable_type                  (PikaDrawable               *drawable);
PikaImageType            pika_drawable_type_with_alpha       (PikaDrawable               *drawable);
gboolean                 pika_drawable_has_alpha             (PikaDrawable               *drawable);
gboolean                 pika_drawable_is_rgb                (PikaDrawable               *drawable);
gboolean                 pika_drawable_is_gray               (PikaDrawable               *drawable);
gboolean                 pika_drawable_is_indexed            (PikaDrawable               *drawable);
gint                     pika_drawable_get_bpp               (PikaDrawable               *drawable);
gint                     pika_drawable_get_width             (PikaDrawable               *drawable);
gint                     pika_drawable_get_height            (PikaDrawable               *drawable);
gboolean                 pika_drawable_get_offsets           (PikaDrawable               *drawable,
                                                              gint                       *offset_x,
                                                              gint                       *offset_y);
gboolean                 pika_drawable_mask_bounds           (PikaDrawable               *drawable,
                                                              gint                       *x1,
                                                              gint                       *y1,
                                                              gint                       *x2,
                                                              gint                       *y2);
gboolean                 pika_drawable_mask_intersect        (PikaDrawable               *drawable,
                                                              gint                       *x,
                                                              gint                       *y,
                                                              gint                       *width,
                                                              gint                       *height);
gboolean                 pika_drawable_merge_shadow          (PikaDrawable               *drawable,
                                                              gboolean                    undo);
gboolean                 pika_drawable_free_shadow           (PikaDrawable               *drawable);
gboolean                 pika_drawable_update                (PikaDrawable               *drawable,
                                                              gint                        x,
                                                              gint                        y,
                                                              gint                        width,
                                                              gint                        height);
gboolean                 pika_drawable_fill                  (PikaDrawable               *drawable,
                                                              PikaFillType                fill_type);
gboolean                 pika_drawable_offset                (PikaDrawable               *drawable,
                                                              gboolean                    wrap_around,
                                                              PikaOffsetType              fill_type,
                                                              gint                        offset_x,
                                                              gint                        offset_y);
G_GNUC_INTERNAL gboolean _pika_drawable_thumbnail            (PikaDrawable               *drawable,
                                                              gint                        width,
                                                              gint                        height,
                                                              gint                       *actual_width,
                                                              gint                       *actual_height,
                                                              gint                       *bpp,
                                                              GBytes                    **thumbnail_data);
G_GNUC_INTERNAL gboolean _pika_drawable_sub_thumbnail        (PikaDrawable               *drawable,
                                                              gint                        src_x,
                                                              gint                        src_y,
                                                              gint                        src_width,
                                                              gint                        src_height,
                                                              gint                        dest_width,
                                                              gint                        dest_height,
                                                              gint                       *width,
                                                              gint                       *height,
                                                              gint                       *bpp,
                                                              GBytes                    **thumbnail_data);
gboolean                 pika_drawable_foreground_extract    (PikaDrawable               *drawable,
                                                              PikaForegroundExtractMode   mode,
                                                              PikaDrawable               *mask);


G_END_DECLS

#endif /* __PIKA_DRAWABLE_PDB_H__ */
