/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-2003 Peter Mattis and Spencer Kimball
 *
 * pikadrawablecolor_pdb.h
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

/* NOTE: This file is auto-generated by pdbgen.pl */

#if !defined (__PIKA_H_INSIDE__) && !defined (PIKA_COMPILATION)
#error "Only <libpika/pika.h> can be included directly."
#endif

#ifndef __PIKA_DRAWABLE_COLOR_PDB_H__
#define __PIKA_DRAWABLE_COLOR_PDB_H__

G_BEGIN_DECLS

/* For information look into the C source or the html documentation */


gboolean pika_drawable_brightness_contrast (PikaDrawable         *drawable,
                                            gdouble               brightness,
                                            gdouble               contrast);
gboolean pika_drawable_color_balance       (PikaDrawable         *drawable,
                                            PikaTransferMode      transfer_mode,
                                            gboolean              preserve_lum,
                                            gdouble               cyan_red,
                                            gdouble               magenta_green,
                                            gdouble               yellow_blue);
gboolean pika_drawable_colorize_hsl        (PikaDrawable         *drawable,
                                            gdouble               hue,
                                            gdouble               saturation,
                                            gdouble               lightness);
gboolean pika_drawable_curves_explicit     (PikaDrawable         *drawable,
                                            PikaHistogramChannel  channel,
                                            gint                  num_values,
                                            const gdouble        *values);
gboolean pika_drawable_curves_spline       (PikaDrawable         *drawable,
                                            PikaHistogramChannel  channel,
                                            gint                  num_points,
                                            const gdouble        *points);
gboolean pika_drawable_extract_component   (PikaDrawable         *drawable,
                                            gint                  component,
                                            gboolean              invert,
                                            gboolean              linear);
gboolean pika_drawable_desaturate          (PikaDrawable         *drawable,
                                            PikaDesaturateMode    desaturate_mode);
gboolean pika_drawable_equalize            (PikaDrawable         *drawable,
                                            gboolean              mask_only);
gboolean pika_drawable_histogram           (PikaDrawable         *drawable,
                                            PikaHistogramChannel  channel,
                                            gdouble               start_range,
                                            gdouble               end_range,
                                            gdouble              *mean,
                                            gdouble              *std_dev,
                                            gdouble              *median,
                                            gdouble              *pixels,
                                            gdouble              *count,
                                            gdouble              *percentile);
gboolean pika_drawable_hue_saturation      (PikaDrawable         *drawable,
                                            PikaHueRange          hue_range,
                                            gdouble               hue_offset,
                                            gdouble               lightness,
                                            gdouble               saturation,
                                            gdouble               overlap);
gboolean pika_drawable_invert              (PikaDrawable         *drawable,
                                            gboolean              linear);
gboolean pika_drawable_levels              (PikaDrawable         *drawable,
                                            PikaHistogramChannel  channel,
                                            gdouble               low_input,
                                            gdouble               high_input,
                                            gboolean              clamp_input,
                                            gdouble               gamma,
                                            gdouble               low_output,
                                            gdouble               high_output,
                                            gboolean              clamp_output);
gboolean pika_drawable_levels_stretch      (PikaDrawable         *drawable);
gboolean pika_drawable_shadows_highlights  (PikaDrawable         *drawable,
                                            gdouble               shadows,
                                            gdouble               highlights,
                                            gdouble               whitepoint,
                                            gdouble               radius,
                                            gdouble               compress,
                                            gdouble               shadows_ccorrect,
                                            gdouble               highlights_ccorrect);
gboolean pika_drawable_posterize           (PikaDrawable         *drawable,
                                            gint                  levels);
gboolean pika_drawable_threshold           (PikaDrawable         *drawable,
                                            PikaHistogramChannel  channel,
                                            gdouble               low_threshold,
                                            gdouble               high_threshold);


G_END_DECLS

#endif /* __PIKA_DRAWABLE_COLOR_PDB_H__ */
