/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-1997 Peter Mattis and Spencer Kimball
 *
 * pikadrawablepreview.h
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#if !defined (__PIKA_UI_H_INSIDE__) && !defined (PIKA_COMPILATION)
#error "Only <libpika/pikaui.h> can be included directly."
#endif

#ifndef __PIKA_DRAWABLE_PREVIEW_H__
#define __PIKA_DRAWABLE_PREVIEW_H__

G_BEGIN_DECLS


/* For information look into the C source or the html documentation */


#define PIKA_TYPE_DRAWABLE_PREVIEW            (pika_drawable_preview_get_type ())
#define PIKA_DRAWABLE_PREVIEW(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_DRAWABLE_PREVIEW, PikaDrawablePreview))
#define PIKA_DRAWABLE_PREVIEW_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_DRAWABLE_PREVIEW, PikaDrawablePreviewClass))
#define PIKA_IS_DRAWABLE_PREVIEW(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_DRAWABLE_PREVIEW))
#define PIKA_IS_DRAWABLE_PREVIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_DRAWABLE_PREVIEW))
#define PIKA_DRAWABLE_PREVIEW_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_DRAWABLE_PREVIEW, PikaDrawablePreviewClass))


typedef struct _PikaDrawablePreviewPrivate PikaDrawablePreviewPrivate;
typedef struct _PikaDrawablePreviewClass   PikaDrawablePreviewClass;

struct _PikaDrawablePreview
{
  PikaScrolledPreview         parent_instance;

  PikaDrawablePreviewPrivate *priv;
};

struct _PikaDrawablePreviewClass
{
  PikaScrolledPreviewClass parent_class;

  /* Padding for future expansion */
  void (* _pika_reserved1) (void);
  void (* _pika_reserved2) (void);
  void (* _pika_reserved3) (void);
  void (* _pika_reserved4) (void);
  void (* _pika_reserved5) (void);
  void (* _pika_reserved6) (void);
  void (* _pika_reserved7) (void);
  void (* _pika_reserved8) (void);
};


GType          pika_drawable_preview_get_type             (void) G_GNUC_CONST;

GtkWidget    * pika_drawable_preview_new_from_drawable (PikaDrawable        *drawable);
PikaDrawable * pika_drawable_preview_get_drawable      (PikaDrawablePreview *preview);

/*  for internal use only  */
G_GNUC_INTERNAL void      _pika_drawable_preview_area_draw_thumb (PikaPreviewArea *area,
                                                                  PikaDrawable    *drawable,
                                                                  gint             width,
                                                                  gint             height);
G_GNUC_INTERNAL gboolean  _pika_drawable_preview_get_bounds      (PikaDrawable    *drawable,
                                                                  gint            *xmin,
                                                                  gint            *ymin,
                                                                  gint            *xmax,
                                                                  gint            *ymax);


G_END_DECLS

#endif /* __PIKA_DRAWABLE_PREVIEW_H__ */

