/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-2003 Peter Mattis and Spencer Kimball
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

/* NOTE: This file is autogenerated by enumcode.pl */

#ifndef __PIKA_ENUMS_H__
#define __PIKA_ENUMS_H__

G_BEGIN_DECLS


#define PIKA_TYPE_BRUSH_APPLICATION_MODE (pika_brush_application_mode_get_type ())

GType pika_brush_application_mode_get_type (void) G_GNUC_CONST;

/**
 * PikaBrushApplicationMode:
 * @PIKA_BRUSH_HARD: PIKA_BRUSH_HARD
 * @PIKA_BRUSH_SOFT: PIKA_BRUSH_SOFT
 *
 * Extracted from app/paint/paint-enums.h
 **/
typedef enum
{
  PIKA_BRUSH_HARD,
  PIKA_BRUSH_SOFT
} PikaBrushApplicationMode;


#define PIKA_TYPE_CONVERT_DITHER_TYPE (pika_convert_dither_type_get_type ())

GType pika_convert_dither_type_get_type (void) G_GNUC_CONST;

/**
 * PikaConvertDitherType:
 * @PIKA_CONVERT_DITHER_NONE: PIKA_CONVERT_DITHER_NONE
 * @PIKA_CONVERT_DITHER_FS: PIKA_CONVERT_DITHER_FS
 * @PIKA_CONVERT_DITHER_FS_LOWBLEED: PIKA_CONVERT_DITHER_FS_LOWBLEED
 * @PIKA_CONVERT_DITHER_FIXED: PIKA_CONVERT_DITHER_FIXED
 *
 * Extracted from app/core/core-enums.h
 **/
typedef enum
{
  PIKA_CONVERT_DITHER_NONE,
  PIKA_CONVERT_DITHER_FS,
  PIKA_CONVERT_DITHER_FS_LOWBLEED,
  PIKA_CONVERT_DITHER_FIXED
} PikaConvertDitherType;


#define PIKA_TYPE_HISTOGRAM_CHANNEL (pika_histogram_channel_get_type ())

GType pika_histogram_channel_get_type (void) G_GNUC_CONST;

/**
 * PikaHistogramChannel:
 * @PIKA_HISTOGRAM_VALUE: PIKA_HISTOGRAM_VALUE
 * @PIKA_HISTOGRAM_RED: PIKA_HISTOGRAM_RED
 * @PIKA_HISTOGRAM_GREEN: PIKA_HISTOGRAM_GREEN
 * @PIKA_HISTOGRAM_BLUE: PIKA_HISTOGRAM_BLUE
 * @PIKA_HISTOGRAM_ALPHA: PIKA_HISTOGRAM_ALPHA
 * @PIKA_HISTOGRAM_LUMINANCE: PIKA_HISTOGRAM_LUMINANCE
 *
 * Extracted from app/core/core-enums.h
 **/
typedef enum
{
  PIKA_HISTOGRAM_VALUE,
  PIKA_HISTOGRAM_RED,
  PIKA_HISTOGRAM_GREEN,
  PIKA_HISTOGRAM_BLUE,
  PIKA_HISTOGRAM_ALPHA,
  PIKA_HISTOGRAM_LUMINANCE
} PikaHistogramChannel;


#define PIKA_TYPE_LAYER_COLOR_SPACE (pika_layer_color_space_get_type ())

GType pika_layer_color_space_get_type (void) G_GNUC_CONST;

/**
 * PikaLayerColorSpace:
 * @PIKA_LAYER_COLOR_SPACE_AUTO: PIKA_LAYER_COLOR_SPACE_AUTO
 * @PIKA_LAYER_COLOR_SPACE_RGB_LINEAR: PIKA_LAYER_COLOR_SPACE_RGB_LINEAR
 * @PIKA_LAYER_COLOR_SPACE_RGB_PERCEPTUAL: PIKA_LAYER_COLOR_SPACE_RGB_PERCEPTUAL
 *
 * Extracted from app/operations/operations-enums.h
 **/
typedef enum
{
  PIKA_LAYER_COLOR_SPACE_AUTO,
  PIKA_LAYER_COLOR_SPACE_RGB_LINEAR,
  PIKA_LAYER_COLOR_SPACE_RGB_PERCEPTUAL
} PikaLayerColorSpace;


#define PIKA_TYPE_LAYER_COMPOSITE_MODE (pika_layer_composite_mode_get_type ())

GType pika_layer_composite_mode_get_type (void) G_GNUC_CONST;

/**
 * PikaLayerCompositeMode:
 * @PIKA_LAYER_COMPOSITE_AUTO: PIKA_LAYER_COMPOSITE_AUTO
 * @PIKA_LAYER_COMPOSITE_UNION: PIKA_LAYER_COMPOSITE_UNION
 * @PIKA_LAYER_COMPOSITE_CLIP_TO_BACKDROP: PIKA_LAYER_COMPOSITE_CLIP_TO_BACKDROP
 * @PIKA_LAYER_COMPOSITE_CLIP_TO_LAYER: PIKA_LAYER_COMPOSITE_CLIP_TO_LAYER
 * @PIKA_LAYER_COMPOSITE_INTERSECTION: PIKA_LAYER_COMPOSITE_INTERSECTION
 *
 * Extracted from app/operations/operations-enums.h
 **/
typedef enum
{
  PIKA_LAYER_COMPOSITE_AUTO,
  PIKA_LAYER_COMPOSITE_UNION,
  PIKA_LAYER_COMPOSITE_CLIP_TO_BACKDROP,
  PIKA_LAYER_COMPOSITE_CLIP_TO_LAYER,
  PIKA_LAYER_COMPOSITE_INTERSECTION
} PikaLayerCompositeMode;


#define PIKA_TYPE_LAYER_MODE (pika_layer_mode_get_type ())

GType pika_layer_mode_get_type (void) G_GNUC_CONST;

/**
 * PikaLayerMode:
 * @PIKA_LAYER_MODE_NORMAL_LEGACY: PIKA_LAYER_MODE_NORMAL_LEGACY
 * @PIKA_LAYER_MODE_DISSOLVE: PIKA_LAYER_MODE_DISSOLVE
 * @PIKA_LAYER_MODE_BEHIND_LEGACY: PIKA_LAYER_MODE_BEHIND_LEGACY
 * @PIKA_LAYER_MODE_MULTIPLY_LEGACY: PIKA_LAYER_MODE_MULTIPLY_LEGACY
 * @PIKA_LAYER_MODE_SCREEN_LEGACY: PIKA_LAYER_MODE_SCREEN_LEGACY
 * @PIKA_LAYER_MODE_OVERLAY_LEGACY: PIKA_LAYER_MODE_OVERLAY_LEGACY
 * @PIKA_LAYER_MODE_DIFFERENCE_LEGACY: PIKA_LAYER_MODE_DIFFERENCE_LEGACY
 * @PIKA_LAYER_MODE_ADDITION_LEGACY: PIKA_LAYER_MODE_ADDITION_LEGACY
 * @PIKA_LAYER_MODE_SUBTRACT_LEGACY: PIKA_LAYER_MODE_SUBTRACT_LEGACY
 * @PIKA_LAYER_MODE_DARKEN_ONLY_LEGACY: PIKA_LAYER_MODE_DARKEN_ONLY_LEGACY
 * @PIKA_LAYER_MODE_LIGHTEN_ONLY_LEGACY: PIKA_LAYER_MODE_LIGHTEN_ONLY_LEGACY
 * @PIKA_LAYER_MODE_HSV_HUE_LEGACY: PIKA_LAYER_MODE_HSV_HUE_LEGACY
 * @PIKA_LAYER_MODE_HSV_SATURATION_LEGACY: PIKA_LAYER_MODE_HSV_SATURATION_LEGACY
 * @PIKA_LAYER_MODE_HSL_COLOR_LEGACY: PIKA_LAYER_MODE_HSL_COLOR_LEGACY
 * @PIKA_LAYER_MODE_HSV_VALUE_LEGACY: PIKA_LAYER_MODE_HSV_VALUE_LEGACY
 * @PIKA_LAYER_MODE_DIVIDE_LEGACY: PIKA_LAYER_MODE_DIVIDE_LEGACY
 * @PIKA_LAYER_MODE_DODGE_LEGACY: PIKA_LAYER_MODE_DODGE_LEGACY
 * @PIKA_LAYER_MODE_BURN_LEGACY: PIKA_LAYER_MODE_BURN_LEGACY
 * @PIKA_LAYER_MODE_HARDLIGHT_LEGACY: PIKA_LAYER_MODE_HARDLIGHT_LEGACY
 * @PIKA_LAYER_MODE_SOFTLIGHT_LEGACY: PIKA_LAYER_MODE_SOFTLIGHT_LEGACY
 * @PIKA_LAYER_MODE_GRAIN_EXTRACT_LEGACY: PIKA_LAYER_MODE_GRAIN_EXTRACT_LEGACY
 * @PIKA_LAYER_MODE_GRAIN_MERGE_LEGACY: PIKA_LAYER_MODE_GRAIN_MERGE_LEGACY
 * @PIKA_LAYER_MODE_COLOR_ERASE_LEGACY: PIKA_LAYER_MODE_COLOR_ERASE_LEGACY
 * @PIKA_LAYER_MODE_OVERLAY: PIKA_LAYER_MODE_OVERLAY
 * @PIKA_LAYER_MODE_LCH_HUE: PIKA_LAYER_MODE_LCH_HUE
 * @PIKA_LAYER_MODE_LCH_CHROMA: PIKA_LAYER_MODE_LCH_CHROMA
 * @PIKA_LAYER_MODE_LCH_COLOR: PIKA_LAYER_MODE_LCH_COLOR
 * @PIKA_LAYER_MODE_LCH_LIGHTNESS: PIKA_LAYER_MODE_LCH_LIGHTNESS
 * @PIKA_LAYER_MODE_NORMAL: PIKA_LAYER_MODE_NORMAL
 * @PIKA_LAYER_MODE_BEHIND: PIKA_LAYER_MODE_BEHIND
 * @PIKA_LAYER_MODE_MULTIPLY: PIKA_LAYER_MODE_MULTIPLY
 * @PIKA_LAYER_MODE_SCREEN: PIKA_LAYER_MODE_SCREEN
 * @PIKA_LAYER_MODE_DIFFERENCE: PIKA_LAYER_MODE_DIFFERENCE
 * @PIKA_LAYER_MODE_ADDITION: PIKA_LAYER_MODE_ADDITION
 * @PIKA_LAYER_MODE_SUBTRACT: PIKA_LAYER_MODE_SUBTRACT
 * @PIKA_LAYER_MODE_DARKEN_ONLY: PIKA_LAYER_MODE_DARKEN_ONLY
 * @PIKA_LAYER_MODE_LIGHTEN_ONLY: PIKA_LAYER_MODE_LIGHTEN_ONLY
 * @PIKA_LAYER_MODE_HSV_HUE: PIKA_LAYER_MODE_HSV_HUE
 * @PIKA_LAYER_MODE_HSV_SATURATION: PIKA_LAYER_MODE_HSV_SATURATION
 * @PIKA_LAYER_MODE_HSL_COLOR: PIKA_LAYER_MODE_HSL_COLOR
 * @PIKA_LAYER_MODE_HSV_VALUE: PIKA_LAYER_MODE_HSV_VALUE
 * @PIKA_LAYER_MODE_DIVIDE: PIKA_LAYER_MODE_DIVIDE
 * @PIKA_LAYER_MODE_DODGE: PIKA_LAYER_MODE_DODGE
 * @PIKA_LAYER_MODE_BURN: PIKA_LAYER_MODE_BURN
 * @PIKA_LAYER_MODE_HARDLIGHT: PIKA_LAYER_MODE_HARDLIGHT
 * @PIKA_LAYER_MODE_SOFTLIGHT: PIKA_LAYER_MODE_SOFTLIGHT
 * @PIKA_LAYER_MODE_GRAIN_EXTRACT: PIKA_LAYER_MODE_GRAIN_EXTRACT
 * @PIKA_LAYER_MODE_GRAIN_MERGE: PIKA_LAYER_MODE_GRAIN_MERGE
 * @PIKA_LAYER_MODE_VIVID_LIGHT: PIKA_LAYER_MODE_VIVID_LIGHT
 * @PIKA_LAYER_MODE_PIN_LIGHT: PIKA_LAYER_MODE_PIN_LIGHT
 * @PIKA_LAYER_MODE_LINEAR_LIGHT: PIKA_LAYER_MODE_LINEAR_LIGHT
 * @PIKA_LAYER_MODE_HARD_MIX: PIKA_LAYER_MODE_HARD_MIX
 * @PIKA_LAYER_MODE_EXCLUSION: PIKA_LAYER_MODE_EXCLUSION
 * @PIKA_LAYER_MODE_LINEAR_BURN: PIKA_LAYER_MODE_LINEAR_BURN
 * @PIKA_LAYER_MODE_LUMA_DARKEN_ONLY: PIKA_LAYER_MODE_LUMA_DARKEN_ONLY
 * @PIKA_LAYER_MODE_LUMA_LIGHTEN_ONLY: PIKA_LAYER_MODE_LUMA_LIGHTEN_ONLY
 * @PIKA_LAYER_MODE_LUMINANCE: PIKA_LAYER_MODE_LUMINANCE
 * @PIKA_LAYER_MODE_COLOR_ERASE: PIKA_LAYER_MODE_COLOR_ERASE
 * @PIKA_LAYER_MODE_ERASE: PIKA_LAYER_MODE_ERASE
 * @PIKA_LAYER_MODE_MERGE: PIKA_LAYER_MODE_MERGE
 * @PIKA_LAYER_MODE_SPLIT: PIKA_LAYER_MODE_SPLIT
 * @PIKA_LAYER_MODE_PASS_THROUGH: PIKA_LAYER_MODE_PASS_THROUGH
 *
 * Extracted from app/operations/operations-enums.h
 **/
typedef enum
{
  PIKA_LAYER_MODE_NORMAL_LEGACY,
  PIKA_LAYER_MODE_DISSOLVE,
  PIKA_LAYER_MODE_BEHIND_LEGACY,
  PIKA_LAYER_MODE_MULTIPLY_LEGACY,
  PIKA_LAYER_MODE_SCREEN_LEGACY,
  PIKA_LAYER_MODE_OVERLAY_LEGACY,
  PIKA_LAYER_MODE_DIFFERENCE_LEGACY,
  PIKA_LAYER_MODE_ADDITION_LEGACY,
  PIKA_LAYER_MODE_SUBTRACT_LEGACY,
  PIKA_LAYER_MODE_DARKEN_ONLY_LEGACY,
  PIKA_LAYER_MODE_LIGHTEN_ONLY_LEGACY,
  PIKA_LAYER_MODE_HSV_HUE_LEGACY,
  PIKA_LAYER_MODE_HSV_SATURATION_LEGACY,
  PIKA_LAYER_MODE_HSL_COLOR_LEGACY,
  PIKA_LAYER_MODE_HSV_VALUE_LEGACY,
  PIKA_LAYER_MODE_DIVIDE_LEGACY,
  PIKA_LAYER_MODE_DODGE_LEGACY,
  PIKA_LAYER_MODE_BURN_LEGACY,
  PIKA_LAYER_MODE_HARDLIGHT_LEGACY,
  PIKA_LAYER_MODE_SOFTLIGHT_LEGACY,
  PIKA_LAYER_MODE_GRAIN_EXTRACT_LEGACY,
  PIKA_LAYER_MODE_GRAIN_MERGE_LEGACY,
  PIKA_LAYER_MODE_COLOR_ERASE_LEGACY,
  PIKA_LAYER_MODE_OVERLAY,
  PIKA_LAYER_MODE_LCH_HUE,
  PIKA_LAYER_MODE_LCH_CHROMA,
  PIKA_LAYER_MODE_LCH_COLOR,
  PIKA_LAYER_MODE_LCH_LIGHTNESS,
  PIKA_LAYER_MODE_NORMAL,
  PIKA_LAYER_MODE_BEHIND,
  PIKA_LAYER_MODE_MULTIPLY,
  PIKA_LAYER_MODE_SCREEN,
  PIKA_LAYER_MODE_DIFFERENCE,
  PIKA_LAYER_MODE_ADDITION,
  PIKA_LAYER_MODE_SUBTRACT,
  PIKA_LAYER_MODE_DARKEN_ONLY,
  PIKA_LAYER_MODE_LIGHTEN_ONLY,
  PIKA_LAYER_MODE_HSV_HUE,
  PIKA_LAYER_MODE_HSV_SATURATION,
  PIKA_LAYER_MODE_HSL_COLOR,
  PIKA_LAYER_MODE_HSV_VALUE,
  PIKA_LAYER_MODE_DIVIDE,
  PIKA_LAYER_MODE_DODGE,
  PIKA_LAYER_MODE_BURN,
  PIKA_LAYER_MODE_HARDLIGHT,
  PIKA_LAYER_MODE_SOFTLIGHT,
  PIKA_LAYER_MODE_GRAIN_EXTRACT,
  PIKA_LAYER_MODE_GRAIN_MERGE,
  PIKA_LAYER_MODE_VIVID_LIGHT,
  PIKA_LAYER_MODE_PIN_LIGHT,
  PIKA_LAYER_MODE_LINEAR_LIGHT,
  PIKA_LAYER_MODE_HARD_MIX,
  PIKA_LAYER_MODE_EXCLUSION,
  PIKA_LAYER_MODE_LINEAR_BURN,
  PIKA_LAYER_MODE_LUMA_DARKEN_ONLY,
  PIKA_LAYER_MODE_LUMA_LIGHTEN_ONLY,
  PIKA_LAYER_MODE_LUMINANCE,
  PIKA_LAYER_MODE_COLOR_ERASE,
  PIKA_LAYER_MODE_ERASE,
  PIKA_LAYER_MODE_MERGE,
  PIKA_LAYER_MODE_SPLIT,
  PIKA_LAYER_MODE_PASS_THROUGH
} PikaLayerMode;


void           pika_enums_init           (void);

const gchar ** pika_enums_get_type_names (gint *n_type_names);


G_END_DECLS

#endif /* __PIKA_ENUMS_H__ */
