/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-1997 Peter Mattis and Spencer Kimball
 *
 * pikafontselectbutton.h
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#if !defined (__PIKA_UI_H_INSIDE__) && !defined (PIKA_COMPILATION)
#error "Only <libpika/pikaui.h> can be included directly."
#endif

#ifndef __PIKA_FONT_SELECT_BUTTON_H__
#define __PIKA_FONT_SELECT_BUTTON_H__

#include <libpika/pikaresourceselectbutton.h>

G_BEGIN_DECLS

#define PIKA_TYPE_FONT_SELECT_BUTTON (pika_font_select_button_get_type ())
G_DECLARE_FINAL_TYPE (PikaFontSelectButton,
                      pika_font_select_button,
                      PIKA, FONT_SELECT_BUTTON,
                      PikaResourceSelectButton)


GtkWidget * pika_font_select_button_new (const gchar  *title,
                                         PikaResource *resource);


G_END_DECLS

#endif /* __PIKA_FONT_SELECT_BUTTON_H__ */
