/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-2000 Peter Mattis and Spencer Kimball
 *
 * pikaimagemetadata.h
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#if !defined (__PIKA_H_INSIDE__) && !defined (PIKA_COMPILATION)
#error "Only <libpika/pika.h> can be included directly."
#endif


#ifndef __PIKA_IMAGE_METADATA_H__
#define __PIKA_IMAGE_METADATA_H__

G_BEGIN_DECLS

/* For information look into the C source or the html documentation */


PikaMetadata * pika_image_metadata_load_prepare   (PikaImage             *image,
                                                   const gchar           *mime_type,
                                                   GFile                 *file,
                                                   GError               **error);
void           pika_image_metadata_load_finish    (PikaImage             *image,
                                                   const gchar           *mime_type,
                                                   PikaMetadata          *metadata,
                                                   PikaMetadataLoadFlags  flags);

PikaMetadata * pika_image_metadata_save_prepare   (PikaImage             *image,
                                                   const gchar           *mime_type,
                                                   PikaMetadataSaveFlags *suggested_flags);
PikaMetadata * pika_image_metadata_save_filter    (PikaImage             *image,
                                                   const gchar           *mime_type,
                                                   PikaMetadata          *metadata,
                                                   PikaMetadataSaveFlags  flags,
                                                   GFile                 *file,
                                                   GError               **error);
gboolean       pika_image_metadata_save_finish    (PikaImage             *image,
                                                   const gchar           *mime_type,
                                                   PikaMetadata          *metadata,
                                                   PikaMetadataSaveFlags  flags,
                                                   GFile                 *file,
                                                   GError               **error);

PikaImage    * pika_image_metadata_load_thumbnail (GFile                 *file,
                                                   GError               **error);


G_END_DECLS

#endif /* __PIKA_IMAGE_METADATA_H__ */
