/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-2003 Peter Mattis and Spencer Kimball
 *
 * pikaimageselect_pdb.h
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

/* NOTE: This file is auto-generated by pdbgen.pl */

#if !defined (__PIKA_H_INSIDE__) && !defined (PIKA_COMPILATION)
#error "Only <libpika/pika.h> can be included directly."
#endif

#ifndef __PIKA_IMAGE_SELECT_PDB_H__
#define __PIKA_IMAGE_SELECT_PDB_H__

G_BEGIN_DECLS

/* For information look into the C source or the html documentation */


gboolean pika_image_select_color            (PikaImage      *image,
                                             PikaChannelOps  operation,
                                             PikaDrawable   *drawable,
                                             const PikaRGB  *color);
gboolean pika_image_select_contiguous_color (PikaImage      *image,
                                             PikaChannelOps  operation,
                                             PikaDrawable   *drawable,
                                             gdouble         x,
                                             gdouble         y);
gboolean pika_image_select_rectangle        (PikaImage      *image,
                                             PikaChannelOps  operation,
                                             gdouble         x,
                                             gdouble         y,
                                             gdouble         width,
                                             gdouble         height);
gboolean pika_image_select_round_rectangle  (PikaImage      *image,
                                             PikaChannelOps  operation,
                                             gdouble         x,
                                             gdouble         y,
                                             gdouble         width,
                                             gdouble         height,
                                             gdouble         corner_radius_x,
                                             gdouble         corner_radius_y);
gboolean pika_image_select_ellipse          (PikaImage      *image,
                                             PikaChannelOps  operation,
                                             gdouble         x,
                                             gdouble         y,
                                             gdouble         width,
                                             gdouble         height);
gboolean pika_image_select_polygon          (PikaImage      *image,
                                             PikaChannelOps  operation,
                                             gint            num_segs,
                                             const gdouble  *segs);
gboolean pika_image_select_item             (PikaImage      *image,
                                             PikaChannelOps  operation,
                                             PikaItem       *item);


G_END_DECLS

#endif /* __PIKA_IMAGE_SELECT_PDB_H__ */
