/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-2000 Peter Mattis and Spencer Kimball
 *
 * pikaitem.h
 * Copyright (C) Jehan
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#if !defined (__PIKA_H_INSIDE__) && !defined (PIKA_COMPILATION)
#error "Only <libpika/pika.h> can be included directly."
#endif

#ifndef __PIKA_ITEM_H__
#define __PIKA_ITEM_H__

G_BEGIN_DECLS

/* For information look into the C source or the html documentation */


#define PIKA_TYPE_ITEM (pika_item_get_type ())
G_DECLARE_DERIVABLE_TYPE (PikaItem, pika_item, PIKA, ITEM, GObject)


struct _PikaItemClass
{
  GObjectClass parent_class;

  /* Padding for future expansion */
  void (*_pika_reserved1) (void);
  void (*_pika_reserved2) (void);
  void (*_pika_reserved3) (void);
  void (*_pika_reserved4) (void);
  void (*_pika_reserved5) (void);
  void (*_pika_reserved6) (void);
  void (*_pika_reserved7) (void);
  void (*_pika_reserved8) (void);
};


gint32      pika_item_get_id        (PikaItem *item);
PikaItem  * pika_item_get_by_id     (gint32    item_id);

gboolean    pika_item_is_valid      (PikaItem *item);
gboolean    pika_item_is_drawable   (PikaItem *item);
gboolean    pika_item_is_layer      (PikaItem *item);
gboolean    pika_item_is_text_layer (PikaItem *item);
gboolean    pika_item_is_channel    (PikaItem *item);
gboolean    pika_item_is_layer_mask (PikaItem *item);
gboolean    pika_item_is_selection  (PikaItem *item);
gboolean    pika_item_is_vectors    (PikaItem *item);

GList     * pika_item_list_children (PikaItem *item);


G_END_DECLS

#endif /* __PIKA_ITEM_H__ */
