/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-2003 Peter Mattis and Spencer Kimball
 *
 * pikaitem_pdb.h
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

/* NOTE: This file is auto-generated by pdbgen.pl */

#if !defined (__PIKA_H_INSIDE__) && !defined (PIKA_COMPILATION)
#error "Only <libpika/pika.h> can be included directly."
#endif

#ifndef __PIKA_ITEM_PDB_H__
#define __PIKA_ITEM_PDB_H__

G_BEGIN_DECLS

/* For information look into the C source or the html documentation */


gboolean      pika_item_id_is_valid         (gint                item_id);
gboolean      pika_item_id_is_drawable      (gint                item_id);
gboolean      pika_item_id_is_layer         (gint                item_id);
gboolean      pika_item_id_is_text_layer    (gint                item_id);
gboolean      pika_item_id_is_channel       (gint                item_id);
gboolean      pika_item_id_is_layer_mask    (gint                item_id);
gboolean      pika_item_id_is_selection     (gint                item_id);
gboolean      pika_item_id_is_vectors       (gint                item_id);
PikaImage*    pika_item_get_image           (PikaItem           *item);
gboolean      pika_item_delete              (PikaItem           *item);
gboolean      pika_item_is_group            (PikaItem           *item);
PikaItem*     pika_item_get_parent          (PikaItem           *item);
PikaItem**    pika_item_get_children        (PikaItem           *item,
                                             gint               *num_children);
gboolean      pika_item_get_expanded        (PikaItem           *item);
gboolean      pika_item_set_expanded        (PikaItem           *item,
                                             gboolean            expanded);
gchar*        pika_item_get_name            (PikaItem           *item);
gboolean      pika_item_set_name            (PikaItem           *item,
                                             const gchar        *name);
gboolean      pika_item_get_visible         (PikaItem           *item);
gboolean      pika_item_set_visible         (PikaItem           *item,
                                             gboolean            visible);
gboolean      pika_item_get_lock_content    (PikaItem           *item);
gboolean      pika_item_set_lock_content    (PikaItem           *item,
                                             gboolean            lock_content);
gboolean      pika_item_get_lock_position   (PikaItem           *item);
gboolean      pika_item_set_lock_position   (PikaItem           *item,
                                             gboolean            lock_position);
gboolean      pika_item_get_lock_visibility (PikaItem           *item);
gboolean      pika_item_set_lock_visibility (PikaItem           *item,
                                             gboolean            lock_visibility);
PikaColorTag  pika_item_get_color_tag       (PikaItem           *item);
gboolean      pika_item_set_color_tag       (PikaItem           *item,
                                             PikaColorTag        color_tag);
guint         pika_item_get_tattoo          (PikaItem           *item);
gboolean      pika_item_set_tattoo          (PikaItem           *item,
                                             guint               tattoo);
gboolean      pika_item_attach_parasite     (PikaItem           *item,
                                             const PikaParasite *parasite);
gboolean      pika_item_detach_parasite     (PikaItem           *item,
                                             const gchar        *name);
PikaParasite* pika_item_get_parasite        (PikaItem           *item,
                                             const gchar        *name);
gchar**       pika_item_get_parasite_list   (PikaItem           *item);


G_END_DECLS

#endif /* __PIKA_ITEM_PDB_H__ */
