/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-1997 Peter Mattis and Spencer Kimball
 *
 * pikaitemcombobox.h
 * Copyright (C) 2004 Sven Neumann <sven@gimp.org>
 * Copyright (C) 2006 Simon Budig <simon@gimp.org>
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#if !defined (__PIKA_UI_H_INSIDE__) && !defined (PIKA_COMPILATION)
#error "Only <libpika/pikaui.h> can be included directly."
#endif

#ifndef __PIKA_ITEM_COMBO_BOX_H__
#define __PIKA_ITEM_COMBO_BOX_H__

G_BEGIN_DECLS

/* For information look into the C source or the html documentation */


#define PIKA_TYPE_DRAWABLE_COMBO_BOX    (pika_drawable_combo_box_get_type ())
#define PIKA_DRAWABLE_COMBO_BOX(obj)    (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_DRAWABLE_COMBO_BOX, PikaDrawableComboBox))
#define PIKA_IS_DRAWABLE_COMBO_BOX(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_DRAWABLE_COMBO_BOX))

#define PIKA_TYPE_CHANNEL_COMBO_BOX     (pika_channel_combo_box_get_type ())
#define PIKA_CHANNEL_COMBO_BOX(obj)     (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_CHANNEL_COMBO_BOX, PikaChannelComboBox))
#define PIKA_IS_CHANNEL_COMBO_BOX(obj)  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_CHANNEL_COMBO_BOX))

#define PIKA_TYPE_LAYER_COMBO_BOX       (pika_layer_combo_box_get_type ())
#define PIKA_LAYER_COMBO_BOX(obj)       (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_LAYER_COMBO_BOX, PikaLayerComboBox))
#define PIKA_IS_LAYER_COMBO_BOX(obj)    (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_LAYER_COMBO_BOX))

#define PIKA_TYPE_VECTORS_COMBO_BOX     (pika_vectors_combo_box_get_type ())
#define PIKA_VECTORS_COMBO_BOX(obj)     (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_VECTORS_COMBO_BOX, PikaVectorsComboBox))
#define PIKA_IS_VECTORS_COMBO_BOX(obj)  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_VECTORS_COMBO_BOX))


GType       pika_drawable_combo_box_get_type (void) G_GNUC_CONST;
GType       pika_channel_combo_box_get_type  (void) G_GNUC_CONST;
GType       pika_layer_combo_box_get_type    (void) G_GNUC_CONST;
GType       pika_vectors_combo_box_get_type  (void) G_GNUC_CONST;

/**
 * PikaItemConstraintFunc:
 * @image:
 * @item:
 * @data: (closure):
 */
typedef gboolean (* PikaItemConstraintFunc) (PikaImage *image,
                                             PikaItem  *item,
                                             gpointer   data);

GtkWidget * pika_drawable_combo_box_new (PikaItemConstraintFunc constraint,
                                         gpointer               data,
                                         GDestroyNotify         data_destroy);
GtkWidget * pika_channel_combo_box_new  (PikaItemConstraintFunc constraint,
                                         gpointer               data,
                                         GDestroyNotify         data_destroy);
GtkWidget * pika_layer_combo_box_new    (PikaItemConstraintFunc constraint,
                                         gpointer               data,
                                         GDestroyNotify         data_destroy);
GtkWidget * pika_vectors_combo_box_new  (PikaItemConstraintFunc constraint,
                                         gpointer               data,
                                         GDestroyNotify         data_destroy);


G_END_DECLS

#endif /* __PIKA_ITEM_COMBO_BOX_H__ */
