/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-2003 Peter Mattis and Spencer Kimball
 *
 * pikalayer_pdb.h
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

/* NOTE: This file is auto-generated by pdbgen.pl */

#if !defined (__PIKA_H_INSIDE__) && !defined (PIKA_COMPILATION)
#error "Only <libpika/pika.h> can be included directly."
#endif

#ifndef __PIKA_LAYER_PDB_H__
#define __PIKA_LAYER_PDB_H__

G_BEGIN_DECLS

/* For information look into the C source or the html documentation */


G_GNUC_INTERNAL PikaLayer* _pika_layer_new                 (PikaImage              *image,
                                                            gint                    width,
                                                            gint                    height,
                                                            PikaImageType           type,
                                                            const gchar            *name,
                                                            gdouble                 opacity,
                                                            PikaLayerMode           mode);
PikaLayer*                 pika_layer_new_from_visible     (PikaImage              *image,
                                                            PikaImage              *dest_image,
                                                            const gchar            *name);
PikaLayer*                 pika_layer_new_from_drawable    (PikaDrawable           *drawable,
                                                            PikaImage              *dest_image);
PikaLayer*                 pika_layer_group_new            (PikaImage              *image);
G_GNUC_INTERNAL PikaLayer* _pika_layer_copy                (PikaLayer              *layer,
                                                            gboolean                add_alpha);
gboolean                   pika_layer_add_alpha            (PikaLayer              *layer);
gboolean                   pika_layer_flatten              (PikaLayer              *layer);
gboolean                   pika_layer_scale                (PikaLayer              *layer,
                                                            gint                    new_width,
                                                            gint                    new_height,
                                                            gboolean                local_origin);
gboolean                   pika_layer_resize               (PikaLayer              *layer,
                                                            gint                    new_width,
                                                            gint                    new_height,
                                                            gint                    offx,
                                                            gint                    offy);
gboolean                   pika_layer_resize_to_image_size (PikaLayer              *layer);
gboolean                   pika_layer_set_offsets          (PikaLayer              *layer,
                                                            gint                    offx,
                                                            gint                    offy);
PikaLayerMask*             pika_layer_create_mask          (PikaLayer              *layer,
                                                            PikaAddMaskType         mask_type);
PikaLayerMask*             pika_layer_get_mask             (PikaLayer              *layer);
PikaLayer*                 pika_layer_from_mask            (PikaLayerMask          *mask);
gboolean                   pika_layer_add_mask             (PikaLayer              *layer,
                                                            PikaLayerMask          *mask);
gboolean                   pika_layer_remove_mask          (PikaLayer              *layer,
                                                            PikaMaskApplyMode       mode);
gboolean                   pika_layer_is_floating_sel      (PikaLayer              *layer);
gboolean                   pika_layer_get_lock_alpha       (PikaLayer              *layer);
gboolean                   pika_layer_set_lock_alpha       (PikaLayer              *layer,
                                                            gboolean                lock_alpha);
gboolean                   pika_layer_get_apply_mask       (PikaLayer              *layer);
gboolean                   pika_layer_set_apply_mask       (PikaLayer              *layer,
                                                            gboolean                apply_mask);
gboolean                   pika_layer_get_show_mask        (PikaLayer              *layer);
gboolean                   pika_layer_set_show_mask        (PikaLayer              *layer,
                                                            gboolean                show_mask);
gboolean                   pika_layer_get_edit_mask        (PikaLayer              *layer);
gboolean                   pika_layer_set_edit_mask        (PikaLayer              *layer,
                                                            gboolean                edit_mask);
gdouble                    pika_layer_get_opacity          (PikaLayer              *layer);
gboolean                   pika_layer_set_opacity          (PikaLayer              *layer,
                                                            gdouble                 opacity);
PikaLayerMode              pika_layer_get_mode             (PikaLayer              *layer);
gboolean                   pika_layer_set_mode             (PikaLayer              *layer,
                                                            PikaLayerMode           mode);
PikaLayerColorSpace        pika_layer_get_blend_space      (PikaLayer              *layer);
gboolean                   pika_layer_set_blend_space      (PikaLayer              *layer,
                                                            PikaLayerColorSpace     blend_space);
PikaLayerColorSpace        pika_layer_get_composite_space  (PikaLayer              *layer);
gboolean                   pika_layer_set_composite_space  (PikaLayer              *layer,
                                                            PikaLayerColorSpace     composite_space);
PikaLayerCompositeMode     pika_layer_get_composite_mode   (PikaLayer              *layer);
gboolean                   pika_layer_set_composite_mode   (PikaLayer              *layer,
                                                            PikaLayerCompositeMode  composite_mode);


G_END_DECLS

#endif /* __PIKA_LAYER_PDB_H__ */
