/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-2003 Peter Mattis and Spencer Kimball
 *
 * pikapainttools_pdb.h
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

/* NOTE: This file is auto-generated by pdbgen.pl */

#if !defined (__PIKA_H_INSIDE__) && !defined (PIKA_COMPILATION)
#error "Only <libpika/pika.h> can be included directly."
#endif

#ifndef __PIKA_PAINT_TOOLS_PDB_H__
#define __PIKA_PAINT_TOOLS_PDB_H__

G_BEGIN_DECLS

/* For information look into the C source or the html documentation */


gboolean pika_airbrush           (PikaDrawable             *drawable,
                                  gdouble                   pressure,
                                  gint                      num_strokes,
                                  const gdouble            *strokes);
gboolean pika_airbrush_default   (PikaDrawable             *drawable,
                                  gint                      num_strokes,
                                  const gdouble            *strokes);
gboolean pika_clone              (PikaDrawable             *drawable,
                                  PikaDrawable             *src_drawable,
                                  PikaCloneType             clone_type,
                                  gdouble                   src_x,
                                  gdouble                   src_y,
                                  gint                      num_strokes,
                                  const gdouble            *strokes);
gboolean pika_clone_default      (PikaDrawable             *drawable,
                                  gint                      num_strokes,
                                  const gdouble            *strokes);
gboolean pika_convolve           (PikaDrawable             *drawable,
                                  gdouble                   pressure,
                                  PikaConvolveType          convolve_type,
                                  gint                      num_strokes,
                                  const gdouble            *strokes);
gboolean pika_convolve_default   (PikaDrawable             *drawable,
                                  gint                      num_strokes,
                                  const gdouble            *strokes);
gboolean pika_dodgeburn          (PikaDrawable             *drawable,
                                  gdouble                   exposure,
                                  PikaDodgeBurnType         dodgeburn_type,
                                  PikaTransferMode          dodgeburn_mode,
                                  gint                      num_strokes,
                                  const gdouble            *strokes);
gboolean pika_dodgeburn_default  (PikaDrawable             *drawable,
                                  gint                      num_strokes,
                                  const gdouble            *strokes);
gboolean pika_eraser             (PikaDrawable             *drawable,
                                  gint                      num_strokes,
                                  const gdouble            *strokes,
                                  PikaBrushApplicationMode  hardness,
                                  PikaPaintApplicationMode  method);
gboolean pika_eraser_default     (PikaDrawable             *drawable,
                                  gint                      num_strokes,
                                  const gdouble            *strokes);
gboolean pika_heal               (PikaDrawable             *drawable,
                                  PikaDrawable             *src_drawable,
                                  gdouble                   src_x,
                                  gdouble                   src_y,
                                  gint                      num_strokes,
                                  const gdouble            *strokes);
gboolean pika_heal_default       (PikaDrawable             *drawable,
                                  gint                      num_strokes,
                                  const gdouble            *strokes);
gboolean pika_paintbrush         (PikaDrawable             *drawable,
                                  gdouble                   fade_out,
                                  gint                      num_strokes,
                                  const gdouble            *strokes,
                                  PikaPaintApplicationMode  method,
                                  gdouble                   gradient_length);
gboolean pika_paintbrush_default (PikaDrawable             *drawable,
                                  gint                      num_strokes,
                                  const gdouble            *strokes);
gboolean pika_pencil             (PikaDrawable             *drawable,
                                  gint                      num_strokes,
                                  const gdouble            *strokes);
gboolean pika_smudge             (PikaDrawable             *drawable,
                                  gdouble                   pressure,
                                  gint                      num_strokes,
                                  const gdouble            *strokes);
gboolean pika_smudge_default     (PikaDrawable             *drawable,
                                  gint                      num_strokes,
                                  const gdouble            *strokes);


G_END_DECLS

#endif /* __PIKA_PAINT_TOOLS_PDB_H__ */
