/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-2003 Peter Mattis and Spencer Kimball
 *
 * pikapalette_pdb.h
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

/* NOTE: This file is auto-generated by pdbgen.pl */

#if !defined (__PIKA_H_INSIDE__) && !defined (PIKA_COMPILATION)
#error "Only <libpika/pika.h> can be included directly."
#endif

#ifndef __PIKA_PALETTE_PDB_H__
#define __PIKA_PALETTE_PDB_H__

G_BEGIN_DECLS

/* For information look into the C source or the html documentation */


PikaPalette* pika_palette_new             (const gchar    *name);
PikaPalette* pika_palette_get_by_name     (const gchar    *name);
gint         pika_palette_get_color_count (PikaPalette    *palette);
PikaRGB*     pika_palette_get_colors      (PikaPalette    *palette,
                                           gint           *num_colors);
gint         pika_palette_get_columns     (PikaPalette    *palette);
gboolean     pika_palette_set_columns     (PikaPalette    *palette,
                                           gint            columns);
gboolean     pika_palette_add_entry       (PikaPalette    *palette,
                                           const gchar    *entry_name,
                                           const PikaRGB  *color,
                                           gint           *entry_num);
gboolean     pika_palette_delete_entry    (PikaPalette    *palette,
                                           gint            entry_num);
gboolean     pika_palette_entry_get_color (PikaPalette    *palette,
                                           gint            entry_num,
                                           PikaRGB        *color);
gboolean     pika_palette_entry_set_color (PikaPalette    *palette,
                                           gint            entry_num,
                                           const PikaRGB  *color);
gboolean     pika_palette_entry_get_name  (PikaPalette    *palette,
                                           gint            entry_num,
                                           gchar         **entry_name);
gboolean     pika_palette_entry_set_name  (PikaPalette    *palette,
                                           gint            entry_num,
                                           const gchar    *entry_name);


G_END_DECLS

#endif /* __PIKA_PALETTE_PDB_H__ */
