/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikapdb-private.h
 * Copyright (C) 2019 Michael Natterer <mitch@gimp.org>
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_PDB_PRIVATE_H__
#define __PIKA_PDB_PRIVATE_H__

G_BEGIN_DECLS


typedef enum
{
  PIKA_PDB_ERROR_FAILED,  /* generic error condition */
  PIKA_PDB_ERROR_CANCELLED,
  PIKA_PDB_ERROR_PDB_NOT_FOUND,
  PIKA_PDB_ERROR_INVALID_ARGUMENT,
  PIKA_PDB_ERROR_INVALID_RETURN_VALUE,
  PIKA_PDB_ERROR_INTERNAL_ERROR
} PikaPdbErrorCode;


#define PIKA_PDB_ERROR (_pika_pdb_error_quark ())

GQuark _pika_pdb_error_quark (void) G_GNUC_CONST;


PikaPDB    * _pika_pdb_new         (PikaPlugIn *plug_in);

PikaPlugIn * _pika_pdb_get_plug_in (PikaPDB    *pdb);


G_END_DECLS

#endif  /*  __PIKA_PDB_PRIVATE_H__  */
