/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikapdbprocedure.h
 * Copyright (C) 2019 Michael Natterer <mitch@gimp.org>
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_PDB_PROCEDURE_H__
#define __PIKA_PDB_PROCEDURE_H__

G_BEGIN_DECLS

/* For information look into the C source or the html documentation */


#define PIKA_TYPE_PDB_PROCEDURE            (_pika_pdb_procedure_get_type ())
#define PIKA_PDB_PROCEDURE(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_PDB_PROCEDURE, PikaPDBProcedure))
#define PIKA_PDB_PROCEDURE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_PDB_PROCEDURE, PikaPDBProcedureClass))
#define PIKA_IS_PDB_PROCEDURE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_PDB_PROCEDURE))
#define PIKA_IS_PDB_PROCEDURE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_PDB_PROCEDURE))
#define PIKA_PDB_PROCEDURE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_PDB_PROCEDURE, PikaPDBProcedureClass))


typedef struct _PikaPDBProcedure        PikaPDBProcedure;
typedef struct _PikaPDBProcedureClass   PikaPDBProcedureClass;
typedef struct _PikaPDBProcedurePrivate PikaPDBProcedurePrivate;

struct _PikaPDBProcedure
{
  PikaProcedure            parent_instance;

  PikaPDBProcedurePrivate *priv;
};

struct _PikaPDBProcedureClass
{
  PikaProcedureClass parent_class;
};


GType           _pika_pdb_procedure_get_type (void) G_GNUC_CONST;

PikaProcedure * _pika_pdb_procedure_new      (PikaPDB     *pdb,
                                              const gchar *name);


G_END_DECLS

#endif  /*  __PIKA_PDB_PROCEDURE_H__  */
