/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-1997 Peter Mattis and Spencer Kimball
 *
 * pikaprocbrowserdialog.c
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#if !defined (__PIKA_UI_H_INSIDE__) && !defined (PIKA_COMPILATION)
#error "Only <libpika/pikaui.h> can be included directly."
#endif

#ifndef __PIKA_PROC_BROWSER_DIALOG_H__
#define __PIKA_PROC_BROWSER_DIALOG_H__

G_BEGIN_DECLS


/* For information look into the C source or the html documentation */


#define PIKA_TYPE_PROC_BROWSER_DIALOG            (pika_proc_browser_dialog_get_type ())
#define PIKA_PROC_BROWSER_DIALOG(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_PROC_BROWSER_DIALOG, PikaProcBrowserDialog))
#define PIKA_PROC_BROWSER_DIALOG_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_PROC_BROWSER_DIALOG, PikaProcBrowserDialogClass))
#define PIKA_IS_PROC_BROWSER_DIALOG(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_PROC_BROWSER_DIALOG))
#define PIKA_IS_PROC_BROWSER_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_PROC_BROWSER_DIALOG))
#define PIKA_PROC_BROWSER_DIALOG_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_PROC_BROWSER_DIALOG, PikaProcBrowserDialogClass))


typedef struct _PikaProcBrowserDialogPrivate PikaProcBrowserDialogPrivate;
typedef struct _PikaProcBrowserDialogClass   PikaProcBrowserDialogClass;

struct _PikaProcBrowserDialog
{
  PikaDialog                    parent_instance;

  PikaProcBrowserDialogPrivate *priv;
};

struct _PikaProcBrowserDialogClass
{
  PikaDialogClass  parent_class;

  void (* selection_changed) (PikaProcBrowserDialog *dialog);
  void (* row_activated)     (PikaProcBrowserDialog *dialog);

  /* Padding for future expansion */
  void (* _pika_reserved1) (void);
  void (* _pika_reserved2) (void);
  void (* _pika_reserved3) (void);
  void (* _pika_reserved4) (void);
  void (* _pika_reserved5) (void);
  void (* _pika_reserved6) (void);
  void (* _pika_reserved7) (void);
  void (* _pika_reserved8) (void);
};


GType       pika_proc_browser_dialog_get_type     (void) G_GNUC_CONST;

GtkWidget * pika_proc_browser_dialog_new          (const gchar  *title,
                                                   const gchar  *role,
                                                   PikaHelpFunc  help_func,
                                                   const gchar  *help_id,
                                                   ...) G_GNUC_NULL_TERMINATED;

gchar     * pika_proc_browser_dialog_get_selected (PikaProcBrowserDialog *dialog);


G_END_DECLS

#endif  /* __PIKA_PROC_BROWSER_DIALOG_H__ */
