/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikaprocedure-private.h
 * Copyright (C) 2019 Michael Natterer <mitch@gimp.org>
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#if !defined (__PIKA_H_INSIDE__) && !defined (PIKA_COMPILATION)
#error "Only <libpika/pika.h> can be included directly."
#endif

#ifndef __PIKA_PROCEDURE_PRIVATE_H__
#define __PIKA_PROCEDURE_PRIVATE_H__

G_BEGIN_DECLS


PikaDisplay  * _pika_procedure_get_display     (PikaProcedure *procedure,
                                                gint32         display_id);
PikaImage    * _pika_procedure_get_image       (PikaProcedure *procedure,
                                               gint32          image_id);
PikaItem     * _pika_procedure_get_item        (PikaProcedure *procedure,
                                                gint32         item_id);
PikaResource * _pika_procedure_get_resource    (PikaProcedure *procedure,
                                                gint32         resource_id);

void           _pika_procedure_destroy_proxies (PikaProcedure *procedure);


G_END_DECLS

#endif  /*  __PIKA_PROCEDURE_H__  */
