/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-2003 Peter Mattis and Spencer Kimball
 *
 * pikaprocedureconfig-private.h
 * Copyright (C) 2019 Michael Natterer <mitch@gimp.org>
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_PROCEDURE_CONFIG_PRIVATE_H__
#define __PIKA_PROCEDURE_CONFIG_PRIVATE_H__


gboolean   pika_procedure_config_has_default   (PikaProcedureConfig  *config);

gboolean   pika_procedure_config_load_default  (PikaProcedureConfig  *config,
                                                GError              **error);
gboolean   pika_procedure_config_save_default  (PikaProcedureConfig  *config,
                                                GError              **error);

gboolean   pika_procedure_config_load_last     (PikaProcedureConfig  *config,
                                                GError              **error);
gboolean   pika_procedure_config_save_last     (PikaProcedureConfig  *config,
                                                GError              **error);

gboolean   pika_procedure_config_load_parasite (PikaProcedureConfig  *config,
                                                PikaImage            *image,
                                                GError              **error);
gboolean   pika_procedure_config_save_parasite (PikaProcedureConfig  *config,
                                                PikaImage            *image,
                                                GError              **error);


#endif /* __PIKA_PROCEDURE_CONFIG_PRIVATE_H__ */
