/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-1997 Peter Mattis and Spencer Kimball
 *
 * pikaprogressbar.h
 * Copyright (C) 2004 Michael Natterer <mitch@gimp.org>
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#if !defined (__PIKA_UI_H_INSIDE__) && !defined (PIKA_COMPILATION)
#error "Only <libpika/pikaui.h> can be included directly."
#endif

#ifndef __PIKA_PROGRESS_BAR_H__
#define __PIKA_PROGRESS_BAR_H__

G_BEGIN_DECLS


#define PIKA_TYPE_PROGRESS_BAR            (pika_progress_bar_get_type ())
#define PIKA_PROGRESS_BAR(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_PROGRESS_BAR, PikaProgressBar))
#define PIKA_PROGRESS_BAR_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_PROGRESS_BAR, PikaProgressBarClass))
#define PIKA_IS_PROGRESS_BAR(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_PROGRESS_BAR))
#define PIKA_IS_PROGRESS_BAR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_PROGRESS_BAR))
#define PIKA_PROGRESS_BAR_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_PROGRESS_BAR, PikaProgressBarClass))


typedef struct _PikaProgressBarClass  PikaProgressBarClass;

struct _PikaProgressBar
{
  GtkProgressBar  parent_instance;

  const gchar    *progress_callback;
  gboolean        cancelable;
};

struct _PikaProgressBarClass
{
  GtkProgressBarClass  parent_class;

  /* Padding for future expansion */
  void (* _pika_reserved1) (void);
  void (* _pika_reserved2) (void);
  void (* _pika_reserved3) (void);
  void (* _pika_reserved4) (void);
};


GType       pika_progress_bar_get_type (void) G_GNUC_CONST;

GtkWidget * pika_progress_bar_new      (void);


G_END_DECLS

#endif /* __PIKA_PROGRESS_BAR_H__ */
