/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-2003 Peter Mattis and Spencer Kimball
 *
 * pikaresource_pdb.h
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

/* NOTE: This file is auto-generated by pdbgen.pl */

#if !defined (__PIKA_H_INSIDE__) && !defined (PIKA_COMPILATION)
#error "Only <libpika/pika.h> can be included directly."
#endif

#ifndef __PIKA_RESOURCE_PDB_H__
#define __PIKA_RESOURCE_PDB_H__

G_BEGIN_DECLS

/* For information look into the C source or the html documentation */


G_GNUC_INTERNAL PikaResource* _pika_resource_get_by_name        (const gchar   *type_name,
                                                                 const gchar   *resource_name);
G_GNUC_INTERNAL PikaResource* _pika_resource_get_by_identifiers (const gchar   *type_name,
                                                                 const gchar   *resource_name,
                                                                 const gchar   *collection,
                                                                 gboolean       is_internal);
gboolean                      pika_resource_id_is_valid         (gint           resource_id);
gboolean                      pika_resource_id_is_brush         (gint           resource_id);
gboolean                      pika_resource_id_is_pattern       (gint           resource_id);
gboolean                      pika_resource_id_is_gradient      (gint           resource_id);
gboolean                      pika_resource_id_is_palette       (gint           resource_id);
gboolean                      pika_resource_id_is_font          (gint           resource_id);
gchar*                        pika_resource_get_name            (PikaResource  *resource);
G_GNUC_INTERNAL gboolean      _pika_resource_get_identifiers    (PikaResource  *resource,
                                                                 gchar        **name,
                                                                 gchar        **collection_id);
gboolean                      pika_resource_is_editable         (PikaResource  *resource);
PikaResource*                 pika_resource_duplicate           (PikaResource  *resource);
gboolean                      pika_resource_rename              (PikaResource  *resource,
                                                                 const gchar   *new_name);
gboolean                      pika_resource_delete              (PikaResource  *resource);


G_END_DECLS

#endif /* __PIKA_RESOURCE_PDB_H__ */
