/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-1997 Peter Mattis and Spencer Kimball
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#if !defined (__PIKA_H_INSIDE__) && !defined (PIKA_COMPILATION)
#error "Only <libpika/pika.h> can be included directly."
#endif

#ifndef __PIKA_RESOURCE_SELECT_H__
#define __PIKA_RESOURCE_SELECT_H__

G_BEGIN_DECLS

/**
 * PikaResourceChoosedCallback:
 * @resource: Chosen resource
 * @is_dialog_closing: Did user click Close button of dialog?
 * @owner_data: (closure): Owner's data
 *
 * Callback from libpika PikaResourceSelect adapter to owner.
 **/
typedef void (* PikaResourceChoosedCallback) (PikaResource *resource,
                                              gboolean      is_dialog_closing,
                                              gpointer      owner_data);

const gchar * pika_resource_select_new       (const gchar                 *title,
                                              PikaResource                *resource,
                                              GType                        resource_type,
                                              PikaResourceChoosedCallback  callback,
                                              gpointer                     owner_data,
                                              GDestroyNotify               data_destroy);

void          pika_resource_select_destroy   (const gchar                 *temp_pdb_callback);

void          pika_resource_select_set       (const gchar                 *temp_pdb_callback,
                                              PikaResource                *resource,
                                              GType                        resource_type);

G_END_DECLS

#endif /* __PIKA_RESOURCE_SELECT_H__ */
