/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-1997 Peter Mattis and Spencer Kimball
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#if !defined (__PIKA_UI_H_INSIDE__) && !defined (PIKA_COMPILATION)
#error "Only <libpika/pikaui.h> can be included directly."
#endif

#ifndef __PIKA_RESOURCE_SELECT_BUTTON_H__
#define __PIKA_RESOURCE_SELECT_BUTTON_H__

G_BEGIN_DECLS

#define PIKA_TYPE_RESOURCE_SELECT_BUTTON (pika_resource_select_button_get_type ())
G_DECLARE_DERIVABLE_TYPE (PikaResourceSelectButton,
                          pika_resource_select_button,
                          PIKA, RESOURCE_SELECT_BUTTON, GtkBox)

struct _PikaResourceSelectButtonClass
{
  GtkBoxClass parent_class;

  void (* resource_set) (PikaResourceSelectButton *self,
                         PikaResource             *resource,
                         gboolean                  dialog_closing);

  void (*draw_interior) (PikaResourceSelectButton *self);

  GType resource_type;

  /* Padding for future expansion */
  gpointer padding[8];
};

PikaResource *pika_resource_select_button_get_resource (PikaResourceSelectButton *self);
void          pika_resource_select_button_set_resource (PikaResourceSelectButton *self,
                                                        PikaResource             *resource);

/* API from below, used by subclasses e.g. PikaBrushSelectButton */

void      pika_resource_select_button_set_drag_target  (PikaResourceSelectButton *self,
                                                        GtkWidget                *drag_region_widget,
                                                        const GtkTargetEntry     *drag_target);
void      pika_resource_select_button_set_clickable    (PikaResourceSelectButton *self,
                                                        GtkWidget                *widget);
void      pika_resource_select_button_close_popup      (PikaResourceSelectButton *self);

G_END_DECLS

#endif /* __PIKA_RESOURCE_SELECT_BUTTON_H__ */
