/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikasaveproceduredialog.h
 * Copyright (C) 2020 Jehan
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#if !defined (__PIKA_UI_H_INSIDE__) && !defined (PIKA_COMPILATION)
#error "Only <libpika/pikaui.h> can be included directly."
#endif

#ifndef __PIKA_SAVE_PROCEDURE_DIALOG_H__
#define __PIKA_SAVE_PROCEDURE_DIALOG_H__

G_BEGIN_DECLS

/* For information look into the C source or the html documentation */


#define PIKA_TYPE_SAVE_PROCEDURE_DIALOG            (pika_save_procedure_dialog_get_type ())
#define PIKA_SAVE_PROCEDURE_DIALOG(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_SAVE_PROCEDURE_DIALOG, PikaSaveProcedureDialog))
#define PIKA_SAVE_PROCEDURE_DIALOG_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_SAVE_PROCEDURE_DIALOG, PikaSaveProcedureDialogClass))
#define PIKA_IS_SAVE_PROCEDURE_DIALOG(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_SAVE_PROCEDURE_DIALOG))
#define PIKA_IS_SAVE_PROCEDURE_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_SAVE_PROCEDURE_DIALOG))
#define PIKA_SAVE_PROCEDURE_DIALOG_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_SAVE_PROCEDURE_DIALOG, PikaSaveProcedureDialogClass))


typedef struct _PikaSaveProcedureDialogClass   PikaSaveProcedureDialogClass;
typedef struct _PikaSaveProcedureDialogPrivate PikaSaveProcedureDialogPrivate;

struct _PikaSaveProcedureDialog
{
  PikaProcedureDialog             parent_instance;

  PikaSaveProcedureDialogPrivate *priv;
};

struct _PikaSaveProcedureDialogClass
{
  PikaProcedureDialogClass  parent_class;

  /* Padding for future expansion */
  void (*_pika_reserved1) (void);
  void (*_pika_reserved2) (void);
  void (*_pika_reserved3) (void);
  void (*_pika_reserved4) (void);
  void (*_pika_reserved5) (void);
  void (*_pika_reserved6) (void);
  void (*_pika_reserved7) (void);
  void (*_pika_reserved8) (void);
};


GType       pika_save_procedure_dialog_get_type          (void) G_GNUC_CONST;

GtkWidget * pika_save_procedure_dialog_new               (PikaSaveProcedure   *procedure,
                                                          PikaProcedureConfig *config,
                                                          PikaImage           *image);

void        pika_save_procedure_dialog_add_metadata      (PikaSaveProcedureDialog *dialog,
                                                          const gchar             *property);


G_END_DECLS

#endif /* __PIKA_SAVE_PROCEDURE_DIALOG_H__ */
