/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-2003 Peter Mattis and Spencer Kimball
 *
 * pikaselection_pdb.h
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

/* NOTE: This file is auto-generated by pdbgen.pl */

#if !defined (__PIKA_H_INSIDE__) && !defined (PIKA_COMPILATION)
#error "Only <libpika/pika.h> can be included directly."
#endif

#ifndef __PIKA_SELECTION_PDB_H__
#define __PIKA_SELECTION_PDB_H__

G_BEGIN_DECLS

/* For information look into the C source or the html documentation */


gboolean                   pika_selection_bounds    (PikaImage       *image,
                                                     gboolean        *non_empty,
                                                     gint            *x1,
                                                     gint            *y1,
                                                     gint            *x2,
                                                     gint            *y2);
gint                       pika_selection_value     (PikaImage       *image,
                                                     gint             x,
                                                     gint             y);
gboolean                   pika_selection_is_empty  (PikaImage       *image);
gboolean                   pika_selection_translate (PikaImage       *image,
                                                     gint             offx,
                                                     gint             offy);
G_GNUC_INTERNAL PikaLayer* _pika_selection_float    (gint             num_drawables,
                                                     const PikaItem **drawables,
                                                     gint             offx,
                                                     gint             offy);
gboolean                   pika_selection_invert    (PikaImage       *image);
gboolean                   pika_selection_sharpen   (PikaImage       *image);
gboolean                   pika_selection_all       (PikaImage       *image);
gboolean                   pika_selection_none      (PikaImage       *image);
gboolean                   pika_selection_feather   (PikaImage       *image,
                                                     gdouble          radius);
gboolean                   pika_selection_border    (PikaImage       *image,
                                                     gint             radius);
gboolean                   pika_selection_grow      (PikaImage       *image,
                                                     gint             steps);
gboolean                   pika_selection_shrink    (PikaImage       *image,
                                                     gint             steps);
gboolean                   pika_selection_flood     (PikaImage       *image);
PikaChannel*               pika_selection_save      (PikaImage       *image);


G_END_DECLS

#endif /* __PIKA_SELECTION_PDB_H__ */
