/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-2003 Peter Mattis and Spencer Kimball
 *
 * pikatextlayer_pdb.h
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

/* NOTE: This file is auto-generated by pdbgen.pl */

#if !defined (__PIKA_H_INSIDE__) && !defined (PIKA_COMPILATION)
#error "Only <libpika/pika.h> can be included directly."
#endif

#ifndef __PIKA_TEXT_LAYER_PDB_H__
#define __PIKA_TEXT_LAYER_PDB_H__

G_BEGIN_DECLS

/* For information look into the C source or the html documentation */


G_GNUC_INTERNAL PikaTextLayer* _pika_text_layer_new               (PikaImage             *image,
                                                                   const gchar           *text,
                                                                   const gchar           *fontname,
                                                                   gdouble                size,
                                                                   PikaUnit               unit);
gchar*                         pika_text_layer_get_text           (PikaTextLayer         *layer);
gboolean                       pika_text_layer_set_text           (PikaTextLayer         *layer,
                                                                   const gchar           *text);
gchar*                         pika_text_layer_get_markup         (PikaTextLayer         *layer);
gboolean                       pika_text_layer_set_markup         (PikaTextLayer         *layer,
                                                                   const gchar           *markup);
gchar*                         pika_text_layer_get_font           (PikaTextLayer         *layer);
gboolean                       pika_text_layer_set_font           (PikaTextLayer         *layer,
                                                                   const gchar           *font);
gdouble                        pika_text_layer_get_font_size      (PikaTextLayer         *layer,
                                                                   PikaUnit              *unit);
gboolean                       pika_text_layer_set_font_size      (PikaTextLayer         *layer,
                                                                   gdouble                font_size,
                                                                   PikaUnit               unit);
gboolean                       pika_text_layer_get_antialias      (PikaTextLayer         *layer);
gboolean                       pika_text_layer_set_antialias      (PikaTextLayer         *layer,
                                                                   gboolean               antialias);
PikaTextHintStyle              pika_text_layer_get_hint_style     (PikaTextLayer         *layer);
gboolean                       pika_text_layer_set_hint_style     (PikaTextLayer         *layer,
                                                                   PikaTextHintStyle      style);
gboolean                       pika_text_layer_get_kerning        (PikaTextLayer         *layer);
gboolean                       pika_text_layer_set_kerning        (PikaTextLayer         *layer,
                                                                   gboolean               kerning);
gchar*                         pika_text_layer_get_language       (PikaTextLayer         *layer);
gboolean                       pika_text_layer_set_language       (PikaTextLayer         *layer,
                                                                   const gchar           *language);
PikaTextDirection              pika_text_layer_get_base_direction (PikaTextLayer         *layer);
gboolean                       pika_text_layer_set_base_direction (PikaTextLayer         *layer,
                                                                   PikaTextDirection      direction);
PikaTextJustification          pika_text_layer_get_justification  (PikaTextLayer         *layer);
gboolean                       pika_text_layer_set_justification  (PikaTextLayer         *layer,
                                                                   PikaTextJustification  justify);
gboolean                       pika_text_layer_get_color          (PikaTextLayer         *layer,
                                                                   PikaRGB               *color);
gboolean                       pika_text_layer_set_color          (PikaTextLayer         *layer,
                                                                   const PikaRGB         *color);
gdouble                        pika_text_layer_get_indent         (PikaTextLayer         *layer);
gboolean                       pika_text_layer_set_indent         (PikaTextLayer         *layer,
                                                                   gdouble                indent);
gdouble                        pika_text_layer_get_line_spacing   (PikaTextLayer         *layer);
gboolean                       pika_text_layer_set_line_spacing   (PikaTextLayer         *layer,
                                                                   gdouble                line_spacing);
gdouble                        pika_text_layer_get_letter_spacing (PikaTextLayer         *layer);
gboolean                       pika_text_layer_set_letter_spacing (PikaTextLayer         *layer,
                                                                   gdouble                letter_spacing);
gboolean                       pika_text_layer_resize             (PikaTextLayer         *layer,
                                                                   gdouble                width,
                                                                   gdouble                height);


G_END_DECLS

#endif /* __PIKA_TEXT_LAYER_PDB_H__ */
