/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikatilebackendplugin.h
 * Copyright (C) 2011-2019 Øyvind Kolås <pippin@gimp.org>
 *                         Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_TILE_BACKEND_PLUGIN_H__
#define __PIKA_TILE_BACKEND_PLUGIN_H__

#include <gegl-buffer-backend.h>

G_BEGIN_DECLS

#define PIKA_TYPE_TILE_BACKEND_PLUGIN            (_pika_tile_backend_plugin_get_type ())
#define PIKA_TILE_BACKEND_PLUGIN(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_TILE_BACKEND_PLUGIN, PikaTileBackendPlugin))
#define PIKA_TILE_BACKEND_PLUGIN_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass),  PIKA_TYPE_TILE_BACKEND_PLUGIN, PikaTileBackendPluginClass))
#define PIKA_IS_TILE_BACKEND_PLUGIN(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_TILE_BACKEND_PLUGIN))
#define PIKA_IS_TILE_BACKEND_PLUGIN_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass),  PIKA_TYPE_TILE_BACKEND_PLUGIN))
#define PIKA_TILE_BACKEND_PLUGIN_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj),  PIKA_TYPE_TILE_BACKEND_PLUGIN, PikaTileBackendPluginClass))


typedef struct _PikaTileBackendPlugin        PikaTileBackendPlugin;
typedef struct _PikaTileBackendPluginClass   PikaTileBackendPluginClass;
typedef struct _PikaTileBackendPluginPrivate PikaTileBackendPluginPrivate;

struct _PikaTileBackendPlugin
{
  GeglTileBackend               parent_instance;

  PikaTileBackendPluginPrivate *priv;
};

struct _PikaTileBackendPluginClass
{
  GeglTileBackendClass parent_class;
};

GType             _pika_tile_backend_plugin_get_type (void) G_GNUC_CONST;

GeglTileBackend * _pika_tile_backend_plugin_new      (PikaDrawable *drawable,
                                                      gint          shadow);

G_END_DECLS

#endif /* __PIKA_TILE_BACKEND_PLUGIN_H__ */
