/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-1997 Peter Mattis and Spencer Kimball
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_UI_H__
#define __PIKA_UI_H__

#include <gio/gio.h>
#include <gtk/gtk.h>
#include <libpika/pika.h>

#include <libpikawidgets/pikawidgets.h>

#define __PIKA_UI_H_INSIDE__

#include <libpika/pikauitypes.h>

#include <libpika/pikaaspectpreview.h>
#include <libpika/pikabrushselectbutton.h>
#include <libpika/pikadrawablepreview.h>
#include <libpika/pikaexport.h>
#include <libpika/pikaresourceselectbutton.h>
#include <libpika/pikafontselectbutton.h>
#include <libpika/pikagradientselectbutton.h>
#include <libpika/pikaimagecombobox.h>
#include <libpika/pikaitemcombobox.h>
#include <libpika/pikapaletteselectbutton.h>
#include <libpika/pikapatternselectbutton.h>
#include <libpika/pikaprocbrowserdialog.h>
#include <libpika/pikaproceduredialog.h>
#include <libpika/pikaprocview.h>
#include <libpika/pikaprogressbar.h>
#include <libpika/pikapropchooserfactory.h>
#include <libpika/pikasaveproceduredialog.h>
#include <libpika/pikazoompreview.h>

#undef __PIKA_UI_H_INSIDE__

G_BEGIN_DECLS

/* For information look into the C source or the html documentation */


void        pika_ui_init                          (const gchar *prog_name);

GdkWindow * pika_ui_get_progress_window           (void);

void        pika_window_set_transient             (GtkWindow   *window);

GdkWindow * pika_ui_get_display_window            (PikaDisplay *display);
void        pika_window_set_transient_for_display (GtkWindow   *window,
                                                   PikaDisplay *display);


G_END_DECLS

#endif /* __PIKA_UI_H__ */
