/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-2000 Peter Mattis and Spencer Kimball
 *
 * pikavectors.c
 * Copyright (C) Jehan
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#include "config.h"

#include "pika.h"


struct _PikaVectors
{
  PikaItem parent_instance;
};

G_DEFINE_TYPE (PikaVectors, pika_vectors, PIKA_TYPE_ITEM)

#define parent_class pika_vectors_parent_class


static void
pika_vectors_class_init (PikaVectorsClass *klass)
{
}

static void
pika_vectors_init (PikaVectors *vectors)
{
}

/**
 * pika_vectors_get_by_id:
 * @vectors_id: The vectors id.
 *
 * Returns a #PikaVectors representing @vectors_id. This function
 * calls pika_item_get_by_id() and returns the item if it is vectors
 * or %NULL otherwise.
 *
 * Returns: (nullable) (transfer none): a #PikaVectors for @vectors_id
 *          or %NULL if @vectors_id does not represent a valid
 *          vectors. The object belongs to libpika and you must not
 *          modify or unref it.
 *
 * Since: 3.0
 **/
PikaVectors *
pika_vectors_get_by_id (gint32 vectors_id)
{
  PikaItem *item = pika_item_get_by_id (vectors_id);

  if (PIKA_IS_VECTORS (item))
    return (PikaVectors *) item;

  return NULL;
}
