/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-2003 Peter Mattis and Spencer Kimball
 *
 * pikavectors_pdb.h
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

/* NOTE: This file is auto-generated by pdbgen.pl */

#if !defined (__PIKA_H_INSIDE__) && !defined (PIKA_COMPILATION)
#error "Only <libpika/pika.h> can be included directly."
#endif

#ifndef __PIKA_VECTORS_PDB_H__
#define __PIKA_VECTORS_PDB_H__

G_BEGIN_DECLS

/* For information look into the C source or the html documentation */


PikaVectors*          pika_vectors_new                       (PikaImage               *image,
                                                              const gchar             *name);
PikaVectors*          pika_vectors_new_from_text_layer       (PikaImage               *image,
                                                              PikaLayer               *layer);
PikaVectors*          pika_vectors_copy                      (PikaVectors             *vectors);
gint*                 pika_vectors_get_strokes               (PikaVectors             *vectors,
                                                              gint                    *num_strokes);
gdouble               pika_vectors_stroke_get_length         (PikaVectors             *vectors,
                                                              gint                     stroke_id,
                                                              gdouble                  precision);
gboolean              pika_vectors_stroke_get_point_at_dist  (PikaVectors             *vectors,
                                                              gint                     stroke_id,
                                                              gdouble                  dist,
                                                              gdouble                  precision,
                                                              gdouble                 *x_point,
                                                              gdouble                 *y_point,
                                                              gdouble                 *slope,
                                                              gboolean                *valid);
gboolean              pika_vectors_remove_stroke             (PikaVectors             *vectors,
                                                              gint                     stroke_id);
gboolean              pika_vectors_stroke_close              (PikaVectors             *vectors,
                                                              gint                     stroke_id);
gboolean              pika_vectors_stroke_reverse            (PikaVectors             *vectors,
                                                              gint                     stroke_id);
gboolean              pika_vectors_stroke_translate          (PikaVectors             *vectors,
                                                              gint                     stroke_id,
                                                              gdouble                  off_x,
                                                              gdouble                  off_y);
gboolean              pika_vectors_stroke_scale              (PikaVectors             *vectors,
                                                              gint                     stroke_id,
                                                              gdouble                  scale_x,
                                                              gdouble                  scale_y);
gboolean              pika_vectors_stroke_rotate             (PikaVectors             *vectors,
                                                              gint                     stroke_id,
                                                              gdouble                  center_x,
                                                              gdouble                  center_y,
                                                              gdouble                  angle);
gboolean              pika_vectors_stroke_flip               (PikaVectors             *vectors,
                                                              gint                     stroke_id,
                                                              PikaOrientationType      flip_type,
                                                              gdouble                  axis);
gboolean              pika_vectors_stroke_flip_free          (PikaVectors             *vectors,
                                                              gint                     stroke_id,
                                                              gdouble                  x1,
                                                              gdouble                  y1,
                                                              gdouble                  x2,
                                                              gdouble                  y2);
PikaVectorsStrokeType pika_vectors_stroke_get_points         (PikaVectors             *vectors,
                                                              gint                     stroke_id,
                                                              gint                    *num_points,
                                                              gdouble                **controlpoints,
                                                              gboolean                *closed);
gint                  pika_vectors_stroke_new_from_points    (PikaVectors             *vectors,
                                                              PikaVectorsStrokeType    type,
                                                              gint                     num_points,
                                                              const gdouble           *controlpoints,
                                                              gboolean                 closed);
gdouble*              pika_vectors_stroke_interpolate        (PikaVectors             *vectors,
                                                              gint                     stroke_id,
                                                              gdouble                  precision,
                                                              gint                    *num_coords,
                                                              gboolean                *closed);
gint                  pika_vectors_bezier_stroke_new_moveto  (PikaVectors             *vectors,
                                                              gdouble                  x0,
                                                              gdouble                  y0);
gboolean              pika_vectors_bezier_stroke_lineto      (PikaVectors             *vectors,
                                                              gint                     stroke_id,
                                                              gdouble                  x0,
                                                              gdouble                  y0);
gboolean              pika_vectors_bezier_stroke_conicto     (PikaVectors             *vectors,
                                                              gint                     stroke_id,
                                                              gdouble                  x0,
                                                              gdouble                  y0,
                                                              gdouble                  x1,
                                                              gdouble                  y1);
gboolean              pika_vectors_bezier_stroke_cubicto     (PikaVectors             *vectors,
                                                              gint                     stroke_id,
                                                              gdouble                  x0,
                                                              gdouble                  y0,
                                                              gdouble                  x1,
                                                              gdouble                  y1,
                                                              gdouble                  x2,
                                                              gdouble                  y2);
gint                  pika_vectors_bezier_stroke_new_ellipse (PikaVectors             *vectors,
                                                              gdouble                  x0,
                                                              gdouble                  y0,
                                                              gdouble                  radius_x,
                                                              gdouble                  radius_y,
                                                              gdouble                  angle);
gboolean              pika_vectors_import_from_file          (PikaImage               *image,
                                                              GFile                   *file,
                                                              gboolean                 merge,
                                                              gboolean                 scale,
                                                              gint                    *num_vectors,
                                                              PikaVectors           ***vectors);
gboolean              pika_vectors_import_from_string        (PikaImage               *image,
                                                              const gchar             *string,
                                                              gint                     length,
                                                              gboolean                 merge,
                                                              gboolean                 scale,
                                                              gint                    *num_vectors,
                                                              PikaVectors           ***vectors);
gboolean              pika_vectors_export_to_file            (PikaImage               *image,
                                                              GFile                   *file,
                                                              PikaVectors             *vectors);
gchar*                pika_vectors_export_to_string          (PikaImage               *image,
                                                              PikaVectors             *vectors);


G_END_DECLS

#endif /* __PIKA_VECTORS_PDB_H__ */
