/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-1997 Peter Mattis and Spencer Kimball
 *
 * pikabase-private.h
 * Copyright (C) 2003 Sven Neumann <sven@gimp.org>
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_BASE_PRIVATE_H__
#define __PIKA_BASE_PRIVATE_H__


typedef struct _PikaUnitVtable PikaUnitVtable;

struct _PikaUnitVtable
{
  gint          (* unit_get_number_of_units)          (void);
  gint          (* unit_get_number_of_built_in_units) (void);

  PikaUnit      (* unit_new)                          (gchar    *identifier,
                                                       gdouble   factor,
                                                       gint      digits,
                                                       gchar    *symbol,
                                                       gchar    *abbreviation,
                                                       gchar    *singular,
                                                       gchar    *plural);
  gboolean      (* unit_get_deletion_flag)            (PikaUnit  unit);
  void          (* unit_set_deletion_flag)            (PikaUnit  unit,
                                                       gboolean  deletion_flag);

  gdouble       (* unit_get_factor)                   (PikaUnit  unit);
  gint          (* unit_get_digits)                   (PikaUnit  unit);
  const gchar * (* unit_get_identifier)               (PikaUnit  unit);
  const gchar * (* unit_get_symbol)                   (PikaUnit  unit);
  const gchar * (* unit_get_abbreviation)             (PikaUnit  unit);
  const gchar * (* unit_get_singular)                 (PikaUnit  unit);
  const gchar * (* unit_get_plural)                   (PikaUnit  unit);

  void          (* _reserved_1)                       (void);
  void          (* _reserved_2)                       (void);
  void          (* _reserved_3)                       (void);
  void          (* _reserved_4)                       (void);
};


extern PikaUnitVtable _pika_unit_vtable;


G_BEGIN_DECLS

void   pika_base_init              (PikaUnitVtable *vtable);
void   pika_base_compat_enums_init (void);

G_END_DECLS

#endif /* __PIKA_BASE_PRIVATE_H__ */
