/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-1997 Peter Mattis and Spencer Kimball
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_BASE_H__
#define __PIKA_BASE_H__

#define __PIKA_BASE_H_INSIDE__

#include <libpikabase/pikabasetypes.h>

#include <libpikabase/pikachecks.h>
#include <libpikabase/pikacpuaccel.h>
#include <libpikabase/pikaenv.h>
#include <libpikabase/pikalimits.h>
#include <libpikabase/pikamemsize.h>
#include <libpikabase/pikametadata.h>
#include <libpikabase/pikaparamspecs.h>
#include <libpikabase/pikaparasite.h>
#include <libpikabase/pikarectangle.h>
#include <libpikabase/pikaunit.h>
#include <libpikabase/pikautils.h>
#include <libpikabase/pikaversion.h>
#include <libpikabase/pikavaluearray.h>

#ifndef G_OS_WIN32
#include <libpikabase/pikasignal.h>
#endif

#undef __PIKA_BASE_H_INSIDE__

#endif  /* __PIKA_BASE_H__ */
