/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-1997 Peter Mattis and Spencer Kimball
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#if !defined (__PIKA_COLOR_H_INSIDE__) && !defined (PIKA_COLOR_COMPILATION)
#error "Only <libpikacolor/pikacolor.h> can be included directly."
#endif

#ifndef __PIKA_COLOR_SPACE_H__
#define __PIKA_COLOR_SPACE_H__

G_BEGIN_DECLS

/* For information look into the C source or the html documentation */


/*  Color conversion routines  */


/*  PikaRGB function  */

void   pika_rgb_to_hsv          (const PikaRGB  *rgb,
                                 PikaHSV        *hsv);
void   pika_rgb_to_hsl          (const PikaRGB  *rgb,
                                 PikaHSL        *hsl);
void   pika_rgb_to_cmyk         (const PikaRGB  *rgb,
                                 gdouble         pullout,
                                 PikaCMYK       *cmyk);

void   pika_hsv_to_rgb          (const PikaHSV  *hsv,
                                 PikaRGB        *rgb);
void   pika_hsl_to_rgb          (const PikaHSL  *hsl,
                                 PikaRGB        *rgb);
void   pika_cmyk_to_rgb         (const PikaCMYK *cmyk,
                                 PikaRGB        *rgb);

G_END_DECLS

#endif  /* __PIKA_COLOR_SPACE_H__ */
