/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-1997 Peter Mattis and Spencer Kimball
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#if !defined (__PIKA_MODULE_H_INSIDE__) && !defined (PIKA_MODULE_COMPILATION)
#error "Only <libpikamodule/pikamodule.h> can be included directly."
#endif

#ifndef __PIKA_MODULE_DB_H__
#define __PIKA_MODULE_DB_H__

G_BEGIN_DECLS

#define PIKA_TYPE_MODULE_DB            (pika_module_db_get_type ())
G_DECLARE_FINAL_TYPE (PikaModuleDB, pika_module_db, PIKA, MODULE_DB, GObject)


PikaModuleDB * pika_module_db_new              (gboolean      verbose);

void           pika_module_db_set_verbose      (PikaModuleDB *db,
                                                gboolean      verbose);
gboolean       pika_module_db_get_verbose      (PikaModuleDB *db);

void           pika_module_db_set_load_inhibit (PikaModuleDB *db,
                                                const gchar  *load_inhibit);
const gchar  * pika_module_db_get_load_inhibit (PikaModuleDB *db);

void           pika_module_db_load             (PikaModuleDB *db,
                                                const gchar  *module_path);
void           pika_module_db_refresh          (PikaModuleDB *db,
                                                const gchar  *module_path);


G_END_DECLS

#endif  /* __PIKA_MODULE_DB_H__ */
