/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-1997 Peter Mattis and Spencer Kimball
 *
 * pikabusybox.h
 * Copyright (C) 2018 Ell
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#if !defined (__PIKA_WIDGETS_H_INSIDE__) && !defined (PIKA_WIDGETS_COMPILATION)
#error "Only <libpikawidgets/pikawidgets.h> can be included directly."
#endif

#ifndef __PIKA_BUSY_BOX_H__
#define __PIKA_BUSY_BOX_H__

G_BEGIN_DECLS

#define PIKA_TYPE_BUSY_BOX            (pika_busy_box_get_type ())
#define PIKA_BUSY_BOX(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_BUSY_BOX, PikaBusyBox))
#define PIKA_BUSY_BOX_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_BUSY_BOX, PikaBusyBoxClass))
#define PIKA_IS_BUSY_BOX(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_BUSY_BOX))
#define PIKA_IS_BUSY_BOX_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_BUSY_BOX))
#define PIKA_BUSY_BOX_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_BUSY_BOX, PikaBusyBoxClass))


typedef struct _PikaBusyBoxPrivate  PikaBusyBoxPrivate;
typedef struct _PikaBusyBoxClass    PikaBusyBoxClass;

struct _PikaBusyBox
{
  GtkBox              parent_instance;

  PikaBusyBoxPrivate *priv;
};

struct _PikaBusyBoxClass
{
  GtkBoxClass  parent_class;

  /* Padding for future expansion */
  void (* _pika_reserved1) (void);
  void (* _pika_reserved2) (void);
  void (* _pika_reserved3) (void);
  void (* _pika_reserved4) (void);
  void (* _pika_reserved5) (void);
  void (* _pika_reserved6) (void);
  void (* _pika_reserved7) (void);
  void (* _pika_reserved8) (void);
};


GType         pika_busy_box_get_type    (void) G_GNUC_CONST;

GtkWidget   * pika_busy_box_new         (const gchar *message);

void          pika_busy_box_set_message (PikaBusyBox *box,
                                         const gchar *message);
const gchar * pika_busy_box_get_message (PikaBusyBox *box);


G_END_DECLS

#endif /* __PIKA_BUSY_BOX_H__ */
