/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-1997 Peter Mattis and Spencer Kimball
 *
 * pikacellrenderertoggle.h
 * Copyright (C) 2003-2004  Sven Neumann <sven@gimp.org>
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#if !defined (__PIKA_WIDGETS_H_INSIDE__) && !defined (PIKA_WIDGETS_COMPILATION)
#error "Only <libpikawidgets/pikawidgets.h> can be included directly."
#endif

#ifndef __PIKA_CELL_RENDERER_TOGGLE_H__
#define __PIKA_CELL_RENDERER_TOGGLE_H__

G_BEGIN_DECLS


#define PIKA_TYPE_CELL_RENDERER_TOGGLE            (pika_cell_renderer_toggle_get_type ())
#define PIKA_CELL_RENDERER_TOGGLE(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_CELL_RENDERER_TOGGLE, PikaCellRendererToggle))
#define PIKA_CELL_RENDERER_TOGGLE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_CELL_RENDERER_TOGGLE, PikaCellRendererToggleClass))
#define PIKA_IS_CELL_RENDERER_TOGGLE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_CELL_RENDERER_TOGGLE))
#define PIKA_IS_CELL_RENDERER_TOGGLE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_CELL_RENDERER_TOGGLE))
#define PIKA_CELL_RENDERER_TOGGLE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_CELL_RENDERER_TOGGLE, PikaCellRendererToggleClass))


typedef struct _PikaCellRendererTogglePrivate PikaCellRendererTogglePrivate;
typedef struct _PikaCellRendererToggleClass   PikaCellRendererToggleClass;

struct _PikaCellRendererToggle
{
  GtkCellRendererToggle          parent_instance;

  PikaCellRendererTogglePrivate *priv;
};

struct _PikaCellRendererToggleClass
{
  GtkCellRendererToggleClass  parent_class;

  void (* clicked) (PikaCellRendererToggle *cell,
                    const gchar            *path,
                    GdkModifierType         state);

  /* Padding for future expansion */
  void (* _pika_reserved1) (void);
  void (* _pika_reserved2) (void);
  void (* _pika_reserved3) (void);
  void (* _pika_reserved4) (void);
  void (* _pika_reserved5) (void);
  void (* _pika_reserved6) (void);
  void (* _pika_reserved7) (void);
  void (* _pika_reserved8) (void);
};


GType             pika_cell_renderer_toggle_get_type (void) G_GNUC_CONST;

GtkCellRenderer * pika_cell_renderer_toggle_new      (const gchar *icon_name);

void    pika_cell_renderer_toggle_clicked (PikaCellRendererToggle *cell,
                                           const gchar            *path,
                                           GdkModifierType         state);


G_END_DECLS

#endif /* __PIKA_CELL_RENDERER_TOGGLE_H__ */
