/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-1997 Peter Mattis and Spencer Kimball
 *
 * pikacolornotebook.h
 * Copyright (C) 2002 Michael Natterer <mitch@gimp.org>
 *
 * based on color_notebook module
 * Copyright (C) 1998 Austin Donnelly <austin@greenend.org.uk>
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#if !defined (__PIKA_WIDGETS_H_INSIDE__) && !defined (PIKA_WIDGETS_COMPILATION)
#error "Only <libpikawidgets/pikawidgets.h> can be included directly."
#endif

#ifndef __PIKA_COLOR_NOTEBOOK_H__
#define __PIKA_COLOR_NOTEBOOK_H__

#include <libpikawidgets/pikacolorselector.h>

G_BEGIN_DECLS


#define PIKA_TYPE_COLOR_NOTEBOOK            (pika_color_notebook_get_type ())
#define PIKA_COLOR_NOTEBOOK(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_COLOR_NOTEBOOK, PikaColorNotebook))
#define PIKA_COLOR_NOTEBOOK_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_COLOR_NOTEBOOK, PikaColorNotebookClass))
#define PIKA_IS_COLOR_NOTEBOOK(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_COLOR_NOTEBOOK))
#define PIKA_IS_COLOR_NOTEBOOK_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_COLOR_NOTEBOOK))
#define PIKA_COLOR_NOTEBOOK_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_COLOR_NOTEBOOK, PikaColorNotebookClass))


typedef struct _PikaColorNotebookPrivate PikaColorNotebookPrivate;
typedef struct _PikaColorNotebookClass   PikaColorNotebookClass;

struct _PikaColorNotebook
{
  PikaColorSelector         parent_instance;

  PikaColorNotebookPrivate *priv;
};

struct _PikaColorNotebookClass
{
  PikaColorSelectorClass  parent_class;

  /* Padding for future expansion */
  void (* _pika_reserved1) (void);
  void (* _pika_reserved2) (void);
  void (* _pika_reserved3) (void);
  void (* _pika_reserved4) (void);
  void (* _pika_reserved5) (void);
  void (* _pika_reserved6) (void);
  void (* _pika_reserved7) (void);
  void (* _pika_reserved8) (void);
};


GType               pika_color_notebook_get_type             (void) G_GNUC_CONST;

GtkWidget         * pika_color_notebook_set_has_page         (PikaColorNotebook *notebook,
                                                              GType              page_type,
                                                              gboolean           has_page);

GtkWidget         * pika_color_notebook_get_notebook         (PikaColorNotebook *notebook);
GList             * pika_color_notebook_get_selectors        (PikaColorNotebook *notebook);
PikaColorSelector * pika_color_notebook_get_current_selector (PikaColorNotebook *notebook);
void                pika_color_notebook_set_simulation       (PikaColorNotebook *notebook,
                                                              PikaColorProfile  *profile,
                                                              PikaColorRenderingIntent intent,
                                                              gboolean           bpc);


G_END_DECLS

#endif /* __PIKA_COLOR_NOTEBOOK_H__ */
