/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * PikaColorProfileChooserDialog
 * Copyright (C) 2006-2014 Sven Neumann <sven@gimp.org>
 *                         Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_COLOR_PROFILE_CHOOSER_DIALOG_H__
#define __PIKA_COLOR_PROFILE_CHOOSER_DIALOG_H__

G_BEGIN_DECLS


#define PIKA_TYPE_COLOR_PROFILE_CHOOSER_DIALOG            (pika_color_profile_chooser_dialog_get_type ())
#define PIKA_COLOR_PROFILE_CHOOSER_DIALOG(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_COLOR_PROFILE_CHOOSER_DIALOG, PikaColorProfileChooserDialog))
#define PIKA_COLOR_PROFILE_CHOOSER_DIALOG_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_COLOR_PROFILE_CHOOSER_DIALOG, PikaColorProfileChooserDialogClass))
#define PIKA_IS_COLOR_PROFILE_CHOOSER_DIALOG(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_COLOR_PROFILE_CHOOSER_DIALOG))
#define PIKA_IS_COLOR_PROFILE_CHOOSER_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_COLOR_PROFILE_CHOOSER_DIALOG))
#define PIKA_COLOR_PROFILE_CHOOSER_DIALOG_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_COLOR_PROFILE_CHOOSER_DIALOG, PikaColorProfileChooserDialogClass))


typedef struct _PikaColorProfileChooserDialogClass   PikaColorProfileChooserDialogClass;
typedef struct _PikaColorProfileChooserDialogPrivate PikaColorProfileChooserDialogPrivate;

struct _PikaColorProfileChooserDialog
{
  GtkFileChooserDialog                  parent_instance;

  PikaColorProfileChooserDialogPrivate *priv;
};

struct _PikaColorProfileChooserDialogClass
{
  GtkFileChooserDialogClass  parent_class;

  /* Padding for future expansion */
  void (* _pika_reserved1) (void);
  void (* _pika_reserved2) (void);
  void (* _pika_reserved3) (void);
  void (* _pika_reserved4) (void);
  void (* _pika_reserved5) (void);
  void (* _pika_reserved6) (void);
  void (* _pika_reserved7) (void);
  void (* _pika_reserved8) (void);
};


GType       pika_color_profile_chooser_dialog_get_type (void) G_GNUC_CONST;

GtkWidget * pika_color_profile_chooser_dialog_new      (const gchar          *title,
                                                        GtkWindow            *parent,
                                                        GtkFileChooserAction  action);


G_END_DECLS

#endif /* __PIKA_COLOR_PROFILE_CHOOSER_DIALOG_H__ */
