/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-1997 Peter Mattis and Spencer Kimball
 *
 * pikacolorprofilecombobox.h
 * Copyright (C) 2007  Sven Neumann <sven@gimp.org>
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#if !defined (__PIKA_WIDGETS_H_INSIDE__) && !defined (PIKA_WIDGETS_COMPILATION)
#error "Only <libpikawidgets/pikawidgets.h> can be included directly."
#endif

#ifndef __PIKA_COLOR_PROFILE_COMBO_BOX_H__
#define __PIKA_COLOR_PROFILE_COMBO_BOX_H__

G_BEGIN_DECLS

#define PIKA_TYPE_COLOR_PROFILE_COMBO_BOX            (pika_color_profile_combo_box_get_type ())
#define PIKA_COLOR_PROFILE_COMBO_BOX(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_COLOR_PROFILE_COMBO_BOX, PikaColorProfileComboBox))
#define PIKA_COLOR_PROFILE_COMBO_BOX_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_COLOR_PROFILE_COMBO_BOX, PikaColorProfileComboBoxClass))
#define PIKA_IS_COLOR_PROFILE_COMBO_BOX(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_COLOR_PROFILE_COMBO_BOX))
#define PIKA_IS_COLOR_PROFILE_COMBO_BOX_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_COLOR_PROFILE_COMBO_BOX))
#define PIKA_COLOR_PROFILE_COMBO_BOX_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_COLOR_PROFILE_COMBO_BOX, PikaColorProfileComboBoxClass))


typedef struct _PikaColorProfileComboBoxPrivate PikaColorProfileComboBoxPrivate;
typedef struct _PikaColorProfileComboBoxClass   PikaColorProfileComboBoxClass;

struct _PikaColorProfileComboBox
{
  GtkComboBox                     parent_instance;

  PikaColorProfileComboBoxPrivate *priv;
};

struct _PikaColorProfileComboBoxClass
{
  GtkComboBoxClass  parent_class;

  /* Padding for future expansion */
  void (* _pika_reserved1) (void);
  void (* _pika_reserved2) (void);
  void (* _pika_reserved3) (void);
  void (* _pika_reserved4) (void);
  void (* _pika_reserved5) (void);
  void (* _pika_reserved6) (void);
  void (* _pika_reserved7) (void);
  void (* _pika_reserved8) (void);
};


GType       pika_color_profile_combo_box_get_type           (void) G_GNUC_CONST;

GtkWidget * pika_color_profile_combo_box_new                (GtkWidget    *dialog,
                                                             GFile        *history);
GtkWidget * pika_color_profile_combo_box_new_with_model     (GtkWidget    *dialog,
                                                             GtkTreeModel *model);

void        pika_color_profile_combo_box_add_file           (PikaColorProfileComboBox *combo,
                                                             GFile                    *file,
                                                             const gchar              *label);

void        pika_color_profile_combo_box_set_active_file    (PikaColorProfileComboBox *combo,
                                                             GFile                    *file,
                                                             const gchar              *label);
void        pika_color_profile_combo_box_set_active_profile (PikaColorProfileComboBox *combo,
                                                             PikaColorProfile         *profile);

GFile *     pika_color_profile_combo_box_get_active_file    (PikaColorProfileComboBox *combo);


G_END_DECLS

#endif  /* __PIKA_COLOR_PROFILE_COMBO_BOX_H__ */
