/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-1997 Peter Mattis and Spencer Kimball
 *
 * pikaprofilestore-private.h
 * Copyright (C) 2007  Sven Neumann <sven@gimp.org>
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_COLOR_PROFILE_STORE_PRIVATE_H__
#define __PIKA_COLOR_PROFILE_STORE_PRIVATE_H__


typedef enum
{
  PIKA_COLOR_PROFILE_STORE_ITEM_FILE,
  PIKA_COLOR_PROFILE_STORE_ITEM_SEPARATOR_TOP,
  PIKA_COLOR_PROFILE_STORE_ITEM_SEPARATOR_BOTTOM,
  PIKA_COLOR_PROFILE_STORE_ITEM_DIALOG
} PikaColorProfileStoreItemType;

typedef enum
{
  PIKA_COLOR_PROFILE_STORE_ITEM_TYPE,
  PIKA_COLOR_PROFILE_STORE_LABEL,
  PIKA_COLOR_PROFILE_STORE_FILE,
  PIKA_COLOR_PROFILE_STORE_INDEX
} PikaColorProfileStoreColumns;


G_GNUC_INTERNAL gboolean  _pika_color_profile_store_history_add     (PikaColorProfileStore *store,
                                                                     GFile                 *file,
                                                                     const gchar           *label,
                                                                     GtkTreeIter           *iter);

G_GNUC_INTERNAL gboolean  _pika_color_profile_store_history_find_profile
                                                                    (PikaColorProfileStore *store,
                                                                     PikaColorProfile      *profile,
                                                                     GtkTreeIter           *iter);

G_GNUC_INTERNAL void      _pika_color_profile_store_history_reorder (PikaColorProfileStore *store,
                                                                     GtkTreeIter           *iter);


#endif  /* __PIKA_COLOR_PROFILE_STORE_PRIVATE_H__ */
