/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-1997 Peter Mattis and Spencer Kimball
 *
 * pikaprofilestore.h
 * Copyright (C) 2007  Sven Neumann <sven@gimp.org>
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#if !defined (__PIKA_WIDGETS_H_INSIDE__) && !defined (PIKA_WIDGETS_COMPILATION)
#error "Only <libpikawidgets/pikawidgets.h> can be included directly."
#endif

#ifndef __PIKA_COLOR_PROFILE_STORE_H__
#define __PIKA_COLOR_PROFILE_STORE_H__

G_BEGIN_DECLS


#define PIKA_TYPE_COLOR_PROFILE_STORE            (pika_color_profile_store_get_type ())
#define PIKA_COLOR_PROFILE_STORE(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_COLOR_PROFILE_STORE, PikaColorProfileStore))
#define PIKA_COLOR_PROFILE_STORE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_COLOR_PROFILE_STORE, PikaColorProfileStoreClass))
#define PIKA_IS_COLOR_PROFILE_STORE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_COLOR_PROFILE_STORE))
#define PIKA_IS_COLOR_PROFILE_STORE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_COLOR_PROFILE_STORE))
#define PIKA_COLOR_PROFILE_STORE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_COLOR_PROFILE_STORE, PikaColorProfileStoreClass))


typedef struct _PikaColorProfileStorePrivate PikaColorProfileStorePrivate;
typedef struct _PikaColorProfileStoreClass   PikaColorProfileStoreClass;

struct _PikaColorProfileStore
{
  GtkListStore                  parent_instance;

  PikaColorProfileStorePrivate *priv;
};

struct _PikaColorProfileStoreClass
{
  GtkListStoreClass  parent_class;

  void (* _pika_reserved1) (void);
  void (* _pika_reserved2) (void);
  void (* _pika_reserved3) (void);
  void (* _pika_reserved4) (void);
  void (* _pika_reserved5) (void);
  void (* _pika_reserved6) (void);
  void (* _pika_reserved7) (void);
  void (* _pika_reserved8) (void);
};


GType          pika_color_profile_store_get_type (void) G_GNUC_CONST;

GtkListStore * pika_color_profile_store_new      (GFile                 *history);

void           pika_color_profile_store_add_file (PikaColorProfileStore *store,
                                                  GFile                 *file,
                                                  const gchar           *label);


G_END_DECLS

#endif  /* __PIKA_COLOR_PROFILE_STORE_H__ */
