/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * PikaColorProfileView
 * Copyright (C) 2014 Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PIKA_COLOR_PROFILE_VIEW_H__
#define __PIKA_COLOR_PROFILE_VIEW_H__

G_BEGIN_DECLS


#define PIKA_TYPE_COLOR_PROFILE_VIEW            (pika_color_profile_view_get_type ())
#define PIKA_COLOR_PROFILE_VIEW(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_COLOR_PROFILE_VIEW, PikaColorProfileView))
#define PIKA_COLOR_PROFILE_VIEW_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_COLOR_PROFILE_VIEW, PikaColorProfileViewClass))
#define PIKA_IS_COLOR_PROFILE_VIEW(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_COLOR_PROFILE_VIEW))
#define PIKA_IS_COLOR_PROFILE_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_COLOR_PROFILE_VIEW))
#define PIKA_COLOR_PROFILE_VIEW_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_COLOR_PROFILE_VIEW, PikaColorProfileViewClass))


typedef struct _PikaColorProfileViewClass   PikaColorProfileViewClass;
typedef struct _PikaColorProfileViewPrivate PikaColorProfileViewPrivate;

struct _PikaColorProfileView
{
  GtkTextView                  parent_instance;

  PikaColorProfileViewPrivate *priv;
};

struct _PikaColorProfileViewClass
{
  GtkTextViewClass  parent_class;

  /* Padding for future expansion */
  void (* _pika_reserved1) (void);
  void (* _pika_reserved2) (void);
  void (* _pika_reserved3) (void);
  void (* _pika_reserved4) (void);
  void (* _pika_reserved5) (void);
  void (* _pika_reserved6) (void);
  void (* _pika_reserved7) (void);
  void (* _pika_reserved8) (void);
};


GType       pika_color_profile_view_get_type    (void) G_GNUC_CONST;

GtkWidget * pika_color_profile_view_new         (void);

void        pika_color_profile_view_set_profile (PikaColorProfileView *view,
                                                 PikaColorProfile     *profile);
void        pika_color_profile_view_set_error   (PikaColorProfileView *view,
                                                 const gchar          *message);

G_END_DECLS

#endif /* __PIKA_COLOR_PROFILE_VIEW_H__ */
