/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-1997 Peter Mattis and Spencer Kimball
 *
 * pikacolorscale.h
 * Copyright (C) 2002  Sven Neumann <sven@gimp.org>
 *                     Michael Natterer <mitch@gimp.org>
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#if !defined (__PIKA_WIDGETS_H_INSIDE__) && !defined (PIKA_WIDGETS_COMPILATION)
#error "Only <libpikawidgets/pikawidgets.h> can be included directly."
#endif

#ifndef __PIKA_COLOR_SCALE_H__
#define __PIKA_COLOR_SCALE_H__

G_BEGIN_DECLS


#define PIKA_TYPE_COLOR_SCALE            (pika_color_scale_get_type ())
#define PIKA_COLOR_SCALE(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_COLOR_SCALE, PikaColorScale))
#define PIKA_COLOR_SCALE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_COLOR_SCALE, PikaColorScaleClass))
#define PIKA_IS_COLOR_SCALE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_COLOR_SCALE))
#define PIKA_IS_COLOR_SCALE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_COLOR_SCALE))
#define PIKA_COLOR_SCALE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_COLOR_SCALE, PikaColorScaleClass))


typedef struct _PikaColorScalePrivate PikaColorScalePrivate;
typedef struct _PikaColorScaleClass   PikaColorScaleClass;

struct _PikaColorScale
{
  GtkScale               parent_instance;

  PikaColorScalePrivate *priv;
};

struct _PikaColorScaleClass
{
  GtkScaleClass  parent_class;

  /* Padding for future expansion */
  void (* _pika_reserved1) (void);
  void (* _pika_reserved2) (void);
  void (* _pika_reserved3) (void);
  void (* _pika_reserved4) (void);
  void (* _pika_reserved5) (void);
  void (* _pika_reserved6) (void);
  void (* _pika_reserved7) (void);
  void (* _pika_reserved8) (void);
};


GType       pika_color_scale_get_type         (void) G_GNUC_CONST;
GtkWidget * pika_color_scale_new              (GtkOrientation            orientation,
                                               PikaColorSelectorChannel  channel);

void        pika_color_scale_set_channel      (PikaColorScale           *scale,
                                               PikaColorSelectorChannel  channel);
void        pika_color_scale_set_color        (PikaColorScale           *scale,
                                               const PikaRGB            *rgb,
                                               const PikaHSV            *hsv);

void        pika_color_scale_set_color_config (PikaColorScale           *scale,
                                               PikaColorConfig          *config);


G_END_DECLS

#endif /* __PIKA_COLOR_SCALE_H__ */
