/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-1997 Peter Mattis and Spencer Kimball
 *
 * pikacolorscaleentry.h
 * Copyright (C) 2020 Jehan
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#if !defined (__PIKA_WIDGETS_H_INSIDE__) && !defined (PIKA_WIDGETS_COMPILATION)
#error "Only <libpikawidgets/pikawidgets.h> can be included directly."
#endif

#ifndef __PIKA_COLOR_SCALE_ENTRY_H__
#define __PIKA_COLOR_SCALE_ENTRY_H__

#include <libpikawidgets/pikascaleentry.h>

G_BEGIN_DECLS

#define PIKA_TYPE_COLOR_SCALE_ENTRY (pika_color_scale_entry_get_type ())
G_DECLARE_FINAL_TYPE (PikaColorScaleEntry, pika_color_scale_entry, PIKA, COLOR_SCALE_ENTRY, PikaScaleEntry)

GtkWidget     * pika_color_scale_entry_new        (const gchar *text,
                                                   gdouble      value,
                                                   gdouble      lower,
                                                   gdouble      upper,
                                                   guint        digits);


G_END_DECLS

#endif /* __PIKA_COLOR_SCALE_ENTRY_H__ */
