/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-1997 Peter Mattis and Spencer Kimball
 *
 * pikaenumlabel.h
 * Copyright (C) 2005  Sven Neumann <sven@gimp.org>
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#if !defined (__PIKA_WIDGETS_H_INSIDE__) && !defined (PIKA_WIDGETS_COMPILATION)
#error "Only <libpikawidgets/pikawidgets.h> can be included directly."
#endif

#ifndef __PIKA_ENUM__LABEL_H__
#define __PIKA_ENUM__LABEL_H__

G_BEGIN_DECLS


#define PIKA_TYPE_ENUM_LABEL            (pika_enum_label_get_type ())
#define PIKA_ENUM_LABEL(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_ENUM_LABEL, PikaEnumLabel))
#define PIKA_ENUM_LABEL_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_ENUM_LABEL, PikaEnumLabelClass))
#define PIKA_IS_ENUM_LABEL(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_ENUM_LABEL))
#define PIKA_IS_ENUM_LABEL_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_ENUM_LABEL))
#define PIKA_ENUM_LABEL_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_ENUM_LABEL, PikaEnumLabelClass))


typedef struct _PikaEnumLabelPrivate PikaEnumLabelPrivate;
typedef struct _PikaEnumLabelClass   PikaEnumLabelClass;

struct _PikaEnumLabel
{
  GtkLabel              parent_instance;

  PikaEnumLabelPrivate *priv;
};

struct _PikaEnumLabelClass
{
  GtkLabelClass  parent_class;

  /* Padding for future expansion */
  void (* _pika_reserved1) (void);
  void (* _pika_reserved2) (void);
  void (* _pika_reserved3) (void);
  void (* _pika_reserved4) (void);
  void (* _pika_reserved5) (void);
  void (* _pika_reserved6) (void);
  void (* _pika_reserved7) (void);
  void (* _pika_reserved8) (void);
};


GType       pika_enum_label_get_type         (void) G_GNUC_CONST;

GtkWidget * pika_enum_label_new              (GType          enum_type,
                                              gint           value);
void        pika_enum_label_set_value        (PikaEnumLabel *label,
                                              gint           value);


G_END_DECLS

#endif  /* __PIKA_ENUM_LABEL_H__ */
