/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-1997 Peter Mattis and Spencer Kimball
 *
 * pikafileentry.h
 * Copyright (C) 1999-2004 Michael Natterer <mitch@gimp.org>
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#ifndef PIKA_DISABLE_DEPRECATED

#if !defined (__PIKA_WIDGETS_H_INSIDE__) && !defined (PIKA_WIDGETS_COMPILATION)
#error "Only <libpikawidgets/pikawidgets.h> can be included directly."
#endif

#ifndef __PIKA_FILE_ENTRY_H__
#define __PIKA_FILE_ENTRY_H__

G_BEGIN_DECLS

/* For information look into the C source or the html documentation */


#define PIKA_TYPE_FILE_ENTRY            (pika_file_entry_get_type ())
#define PIKA_FILE_ENTRY(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_FILE_ENTRY, PikaFileEntry))
#define PIKA_FILE_ENTRY_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_FILE_ENTRY, PikaFileEntryClass))
#define PIKA_IS_FILE_ENTRY(obj)         (G_TYPE_CHECK_INSTANCE_TYPE (obj, PIKA_TYPE_FILE_ENTRY))
#define PIKA_IS_FILE_ENTRY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_FILE_ENTRY))
#define PIKA_FILE_ENTRY_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_FILE_ENTRY, PikaFileEntryClass))


typedef struct _PikaFileEntryPrivate PikaFileEntryPrivate;
typedef struct _PikaFileEntryClass   PikaFileEntryClass;

struct _PikaFileEntry
{
  GtkBox                parent_instance;

  PikaFileEntryPrivate *priv;
};

struct _PikaFileEntryClass
{
  GtkBoxClass  parent_class;

  void (* filename_changed) (PikaFileEntry *entry);

  /* Padding for future expansion */
  void (* _pika_reserved1) (void);
  void (* _pika_reserved2) (void);
  void (* _pika_reserved3) (void);
  void (* _pika_reserved4) (void);
  void (* _pika_reserved5) (void);
  void (* _pika_reserved6) (void);
  void (* _pika_reserved7) (void);
  void (* _pika_reserved8) (void);
};


GType       pika_file_entry_get_type     (void) G_GNUC_CONST;

GtkWidget * pika_file_entry_new          (const gchar   *title,
                                          const gchar   *filename,
                                          gboolean       dir_only,
                                          gboolean       check_valid);

gchar     * pika_file_entry_get_filename (PikaFileEntry *entry);
void        pika_file_entry_set_filename (PikaFileEntry *entry,
                                          const gchar   *filename);

GtkWidget * pika_file_entry_get_entry    (PikaFileEntry *entry);


G_END_DECLS

#endif /* __PIKA_FILE_ENTRY_H__ */

#endif /* PIKA_DISABLE_DEPRECATED */
