/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-1997 Peter Mattis and Spencer Kimball
 *
 * pikaframe.h
 * Copyright (C) 2004  Sven Neumann <sven@gimp.org>
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#if !defined (__PIKA_WIDGETS_H_INSIDE__) && !defined (PIKA_WIDGETS_COMPILATION)
#error "Only <libpikawidgets/pikawidgets.h> can be included directly."
#endif

#ifndef __PIKA_FRAME_H__
#define __PIKA_FRAME_H__

G_BEGIN_DECLS

/* For information look into the C source or the html documentation */


#define PIKA_TYPE_FRAME            (pika_frame_get_type ())
#define PIKA_FRAME(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_FRAME, PikaFrame))
#define PIKA_FRAME_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_FRAME, PikaFrameClass))
#define PIKA_IS_FRAME(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_FRAME))
#define PIKA_IS_FRAME_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_FRAME))
#define PIKA_FRAME_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_FRAME, PikaFrameClass))


typedef struct _PikaFramePrivate PikaFramePrivate;
typedef struct _PikaFrameClass   PikaFrameClass;

struct _PikaFrame
{
  GtkFrame          parent_instance;

  PikaFramePrivate *priv;
};

struct _PikaFrameClass
{
  GtkFrameClass  parent_class;

  /* Padding for future expansion */
  void (* _pika_reserved1) (void);
  void (* _pika_reserved2) (void);
  void (* _pika_reserved3) (void);
  void (* _pika_reserved4) (void);
  void (* _pika_reserved5) (void);
  void (* _pika_reserved6) (void);
  void (* _pika_reserved7) (void);
  void (* _pika_reserved8) (void);
};


GType       pika_frame_get_type  (void) G_GNUC_CONST;
GtkWidget * pika_frame_new       (const gchar *label);


G_END_DECLS

#endif /* __PIKA_FRAME_H__ */
