/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-1997 Peter Mattis and Spencer Kimball
 *
 * pikacolorscaleentry.h
 * Copyright (C) 2020 Jehan
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#if !defined (__PIKA_WIDGETS_H_INSIDE__) && !defined (PIKA_WIDGETS_COMPILATION)
#error "Only <libpikawidgets/pikawidgets.h> can be included directly."
#endif

#ifndef __PIKA_LABEL_SPIN_H__
#define __PIKA_LABEL_SPIN_H__

#include <libpikawidgets/pikalabeled.h>

G_BEGIN_DECLS

#define PIKA_TYPE_LABEL_SPIN (pika_label_spin_get_type ())
G_DECLARE_DERIVABLE_TYPE (PikaLabelSpin, pika_label_spin, PIKA, LABEL_SPIN, PikaLabeled)

struct _PikaLabelSpinClass
{
  PikaLabeledClass   parent_class;

  /*  Signals */
  void            (* value_changed)    (PikaLabelSpin *spin);

  /* Padding for future expansion */
  void (* _pika_reserved1) (void);
  void (* _pika_reserved2) (void);
  void (* _pika_reserved3) (void);
  void (* _pika_reserved4) (void);
  void (* _pika_reserved5) (void);
  void (* _pika_reserved6) (void);
  void (* _pika_reserved7) (void);
  void (* _pika_reserved8) (void);
};

GtkWidget  * pika_label_spin_new             (const gchar   *text,
                                              gdouble        value,
                                              gdouble        lower,
                                              gdouble        upper,
                                              gint           digits);

void         pika_label_spin_set_value       (PikaLabelSpin *spin,
                                              gdouble        value);
gdouble      pika_label_spin_get_value       (PikaLabelSpin *spin);

void         pika_label_spin_set_increments  (PikaLabelSpin *spin,
                                              gdouble        step,
                                              gdouble        page);
void         pika_label_spin_set_digits      (PikaLabelSpin *spin,
                                              gint           digits);

GtkWidget  * pika_label_spin_get_spin_button (PikaLabelSpin *spin);

G_END_DECLS

#endif /* __PIKA_LABEL_SPIN_H__ */
