/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-1997 Peter Mattis and Spencer Kimball
 *
 * pikamemsizeentry.h
 * Copyright (C) 2000-2003  Sven Neumann <sven@gimp.org>
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#if !defined (__PIKA_WIDGETS_H_INSIDE__) && !defined (PIKA_WIDGETS_COMPILATION)
#error "Only <libpikawidgets/pikawidgets.h> can be included directly."
#endif

#ifndef __PIKA_MEMSIZE_ENTRY_H__
#define __PIKA_MEMSIZE_ENTRY_H__

G_BEGIN_DECLS


#define PIKA_TYPE_MEMSIZE_ENTRY            (pika_memsize_entry_get_type ())
#define PIKA_MEMSIZE_ENTRY(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_MEMSIZE_ENTRY, PikaMemsizeEntry))
#define PIKA_MEMSIZE_ENTRY_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_MEMSIZE_ENTRY, PikaMemsizeEntryClass))
#define PIKA_IS_MEMSIZE_ENTRY(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_MEMSIZE_ENTRY))
#define PIKA_IS_MEMSIZE_ENTRY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_MEMSIZE_ENTRY))
#define PIKA_MEMSIZE_ENTRY_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_MEMSIZE_ENTRY, PikaMemsizeEntryClass))


typedef struct _PikaMemsizeEntryPrivate PikaMemsizeEntryPrivate;
typedef struct _PikaMemsizeEntryClass   PikaMemsizeEntryClass;

struct _PikaMemsizeEntry
{
  GtkBox  parent_instance;

  PikaMemsizeEntryPrivate *priv;
};

struct _PikaMemsizeEntryClass
{
  GtkBoxClass  parent_class;

  void (* value_changed)  (PikaMemsizeEntry *entry);

  /* Padding for future expansion */
  void (* _pika_reserved1) (void);
  void (* _pika_reserved2) (void);
  void (* _pika_reserved3) (void);
  void (* _pika_reserved4) (void);
  void (* _pika_reserved5) (void);
  void (* _pika_reserved6) (void);
  void (* _pika_reserved7) (void);
  void (* _pika_reserved8) (void);
};


GType       pika_memsize_entry_get_type       (void) G_GNUC_CONST;

GtkWidget * pika_memsize_entry_new            (guint64           value,
                                               guint64           lower,
                                               guint64           upper);
void        pika_memsize_entry_set_value      (PikaMemsizeEntry *entry,
                                               guint64           value);
guint64     pika_memsize_entry_get_value      (PikaMemsizeEntry *entry);

GtkWidget * pika_memsize_entry_get_spinbutton (PikaMemsizeEntry *entry);


G_END_DECLS

#endif /* __PIKA_MEMSIZE_ENTRY_H__ */
