/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-1997 Peter Mattis and Spencer Kimball
 *
 * pikaoffsetarea.h
 * Copyright (C) 2001  Sven Neumann <sven@gimp.org>
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#if !defined (__PIKA_WIDGETS_H_INSIDE__) && !defined (PIKA_WIDGETS_COMPILATION)
#error "Only <libpikawidgets/pikawidgets.h> can be included directly."
#endif

#ifndef __PIKA_OFFSET_AREA_H__
#define __PIKA_OFFSET_AREA_H__

G_BEGIN_DECLS


/* For information look into the C source or the html documentation */

#define PIKA_TYPE_OFFSET_AREA            (pika_offset_area_get_type ())
#define PIKA_OFFSET_AREA(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_OFFSET_AREA, PikaOffsetArea))
#define PIKA_OFFSET_AREA_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_OFFSET_AREA, PikaOffsetAreaClass))
#define PIKA_IS_OFFSET_AREA(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_OFFSET_AREA))
#define PIKA_IS_OFFSET_AREA_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_OFFSET_AREA))
#define PIKA_OFFSET_AREA_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_OFFSET_AREA, PikaOffsetAreaClass))


typedef struct _PikaOffsetAreaPrivate PikaOffsetAreaPrivate;
typedef struct _PikaOffsetAreaClass   PikaOffsetAreaClass;

struct _PikaOffsetArea
{
  GtkDrawingArea         parent_instance;

  PikaOffsetAreaPrivate *priv;
};

struct _PikaOffsetAreaClass
{
  GtkDrawingAreaClass  parent_class;

  void (* offsets_changed) (PikaOffsetArea *offset_area,
                            gint            offset_x,
                            gint            offset_y);

  /* Padding for future expansion */
  void (* _pika_reserved1) (void);
  void (* _pika_reserved2) (void);
  void (* _pika_reserved3) (void);
  void (* _pika_reserved4) (void);
  void (* _pika_reserved5) (void);
  void (* _pika_reserved6) (void);
  void (* _pika_reserved7) (void);
  void (* _pika_reserved8) (void);
};


GType       pika_offset_area_get_type    (void) G_GNUC_CONST;

GtkWidget * pika_offset_area_new         (gint            orig_width,
                                          gint            orig_height);
void        pika_offset_area_set_pixbuf  (PikaOffsetArea *offset_area,
                                          GdkPixbuf      *pixbuf);

void        pika_offset_area_set_size    (PikaOffsetArea *offset_area,
                                          gint            width,
                                          gint            height);
void        pika_offset_area_set_offsets (PikaOffsetArea *offset_area,
                                          gint            offset_x,
                                          gint            offset_y);


G_END_DECLS

#endif /* __PIKA_OFFSET_AREA_H__ */
