/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-1997 Peter Mattis and Spencer Kimball
 *
 * pikapickbutton.h
 * Copyright (C) 2002 Michael Natterer <mitch@gimp.org>
 *
 * based on gtk-2-0/gtk/gtkcolorsel.c
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#if !defined (__PIKA_WIDGETS_H_INSIDE__) && !defined (PIKA_WIDGETS_COMPILATION)
#error "Only <libpikawidgets/pikawidgets.h> can be included directly."
#endif

#ifndef __PIKA_PICK_BUTTON_H__
#define __PIKA_PICK_BUTTON_H__

G_BEGIN_DECLS


#define PIKA_TYPE_PICK_BUTTON            (pika_pick_button_get_type ())
#define PIKA_PICK_BUTTON(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_PICK_BUTTON, PikaPickButton))
#define PIKA_PICK_BUTTON_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_PICK_BUTTON, PikaPickButtonClass))
#define PIKA_IS_PICK_BUTTON(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_PICK_BUTTON))
#define PIKA_IS_PICK_BUTTON_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_PICK_BUTTON))
#define PIKA_PICK_BUTTON_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_PICK_BUTTON, PikaPickButtonClass))


typedef struct _PikaPickButtonPrivate PikaPickButtonPrivate;
typedef struct _PikaPickButtonClass   PikaPickButtonClass;

struct _PikaPickButton
{
  GtkButton              parent_instance;

  PikaPickButtonPrivate *priv;
};

struct _PikaPickButtonClass
{
  GtkButtonClass  parent_class;

  void (* color_picked) (PikaPickButton *button,
                         const PikaRGB  *color);

  /* Padding for future expansion */
  void (* _pika_reserved1) (void);
  void (* _pika_reserved2) (void);
  void (* _pika_reserved3) (void);
  void (* _pika_reserved4) (void);
  void (* _pika_reserved5) (void);
  void (* _pika_reserved6) (void);
  void (* _pika_reserved7) (void);
  void (* _pika_reserved8) (void);
};


GType       pika_pick_button_get_type (void) G_GNUC_CONST;
GtkWidget * pika_pick_button_new      (void);


G_END_DECLS

#endif /* __PIKA_PICK_BUTTON_H__ */
