/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-1997 Peter Mattis and Spencer Kimball
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#if !defined (__PIKA_WIDGETS_H_INSIDE__) && !defined (PIKA_WIDGETS_COMPILATION)
#error "Only <libpikawidgets/pikawidgets.h> can be included directly."
#endif

#ifndef __PIKA_RULER_H__
#define __PIKA_RULER_H__

G_BEGIN_DECLS

#define PIKA_TYPE_RULER            (pika_ruler_get_type ())
#define PIKA_RULER(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_RULER, PikaRuler))
#define PIKA_RULER_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_RULER, PikaRulerClass))
#define PIKA_IS_RULER(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_RULER))
#define PIKA_IS_RULER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_RULER))
#define PIKA_RULER_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_RULER, PikaRulerClass))


typedef struct _PikaRulerPrivate PikaRulerPrivate;
typedef struct _PikaRulerClass   PikaRulerClass;

struct _PikaRuler
{
  GtkWidget         parent_instance;

  PikaRulerPrivate *priv;
};

struct _PikaRulerClass
{
  GtkWidgetClass  parent_class;

  /* Padding for future expansion */
  void (*_pika_reserved1) (void);
  void (*_pika_reserved2) (void);
  void (*_pika_reserved3) (void);
  void (*_pika_reserved4) (void);
  void (*_pika_reserved5) (void);
  void (*_pika_reserved6) (void);
  void (*_pika_reserved7) (void);
  void (*_pika_reserved8) (void);
};


GType       pika_ruler_get_type            (void) G_GNUC_CONST;

GtkWidget * pika_ruler_new                 (GtkOrientation  orientation);

void        pika_ruler_add_track_widget    (PikaRuler      *ruler,
                                            GtkWidget      *widget);
void        pika_ruler_remove_track_widget (PikaRuler      *ruler,
                                            GtkWidget      *widget);

void        pika_ruler_set_unit            (PikaRuler      *ruler,
                                            PikaUnit        unit);
PikaUnit    pika_ruler_get_unit            (PikaRuler      *ruler);
void        pika_ruler_set_position        (PikaRuler      *ruler,
                                            gdouble         position);
gdouble     pika_ruler_get_position        (PikaRuler      *ruler);
void        pika_ruler_set_range           (PikaRuler      *ruler,
                                            gdouble         lower,
                                            gdouble         upper,
                                            gdouble         max_size);
void        pika_ruler_get_range           (PikaRuler      *ruler,
                                            gdouble        *lower,
                                            gdouble        *upper,
                                            gdouble        *max_size);

G_END_DECLS

#endif /* __PIKA_RULER_H__ */
