/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * pikaspinscale.h
 * Copyright (C) 2010  Michael Natterer <mitch@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#if !defined (__PIKA_WIDGETS_H_INSIDE__) && !defined (PIKA_WIDGETS_COMPILATION)
#error "Only <libpikawidgets/pikawidgets.h> can be included directly."
#endif

#ifndef __PIKA_SPIN_SCALE_H__
#define __PIKA_SPIN_SCALE_H__

#include <libpikawidgets/pikaspinbutton.h>

G_BEGIN_DECLS


#define PIKA_TYPE_SPIN_SCALE            (pika_spin_scale_get_type ())
#define PIKA_SPIN_SCALE(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_SPIN_SCALE, PikaSpinScale))
#define PIKA_SPIN_SCALE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_SPIN_SCALE, PikaSpinScaleClass))
#define PIKA_IS_SPIN_SCALE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_SPIN_SCALE))
#define PIKA_IS_SPIN_SCALE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_SPIN_SCALE))
#define PIKA_SPIN_SCALE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_SPIN_SCALE, PikaSpinScaleClass))


typedef struct _PikaSpinScale      PikaSpinScale;
typedef struct _PikaSpinScaleClass PikaSpinScaleClass;

struct _PikaSpinScale
{
  PikaSpinButton  parent_instance;
};

struct _PikaSpinScaleClass
{
  PikaSpinButtonClass  parent_class;
};


GType         pika_spin_scale_get_type            (void) G_GNUC_CONST;

GtkWidget   * pika_spin_scale_new                 (GtkAdjustment *adjustment,
                                                   const gchar   *label,
                                                   gint           digits);

void          pika_spin_scale_set_label           (PikaSpinScale *scale,
                                                   const gchar   *label);
const gchar * pika_spin_scale_get_label           (PikaSpinScale *scale);

void          pika_spin_scale_set_scale_limits    (PikaSpinScale *scale,
                                                   gdouble        lower,
                                                   gdouble        upper);
void          pika_spin_scale_unset_scale_limits  (PikaSpinScale *scale);
gboolean      pika_spin_scale_get_scale_limits    (PikaSpinScale *scale,
                                                   gdouble       *lower,
                                                   gdouble       *upper);

void          pika_spin_scale_set_gamma           (PikaSpinScale *scale,
                                                   gdouble        gamma);
gdouble       pika_spin_scale_get_gamma           (PikaSpinScale *scale);

void          pika_spin_scale_set_constrain_drag  (PikaSpinScale *scale,
                                                   gboolean       constrain);
gboolean      pika_spin_scale_get_constrain_drag  (PikaSpinScale *scale);

const guint   pika_spin_scale_get_mnemonic_keyval (PikaSpinScale *scale);

G_END_DECLS

#endif  /*  __PIKA_SPIN_SCALE_H__  */
