/* LIBPIKA - The PIKA Library
 * Copyright (C) 1995-1999 Peter Mattis and Spencer Kimball
 *
 * pikaunitcombobox.h
 * Copyright (C) 2004  Sven Neumann <sven@gimp.org>
 *
 * This library is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <https://www.gnu.org/licenses/>.
 */

#if !defined (__PIKA_WIDGETS_H_INSIDE__) && !defined (PIKA_WIDGETS_COMPILATION)
#error "Only <libpikawidgets/pikawidgets.h> can be included directly."
#endif

#ifndef __PIKA_UNIT_COMBO_BOX_H__
#define __PIKA_UNIT_COMBO_BOX_H__

G_BEGIN_DECLS


#define PIKA_TYPE_UNIT_COMBO_BOX            (pika_unit_combo_box_get_type ())
#define PIKA_UNIT_COMBO_BOX(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIKA_TYPE_UNIT_COMBO_BOX, PikaUnitComboBox))
#define PIKA_UNIT_COMBO_BOX_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PIKA_TYPE_UNIT_COMBO_BOX, PikaUnitComboBoxClass))
#define PIKA_IS_UNIT_COMBO_BOX(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIKA_TYPE_UNIT_COMBO_BOX))
#define PIKA_IS_UNIT_COMBO_BOX_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIKA_TYPE_UNIT_COMBO_BOX))
#define PIKA_UNIT_COMBO_BOX_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PIKA_TYPE_UNIT_COMBO_BOX, PikaUnitComboBoxClass))


typedef struct _PikaUnitComboBoxPrivate PikaUnitComboBoxPrivate;
typedef struct _PikaUnitComboBoxClass   PikaUnitComboBoxClass;

struct _PikaUnitComboBox
{
  GtkComboBox              parent_instance;

  PikaUnitComboBoxPrivate *priv;
};

struct _PikaUnitComboBoxClass
{
  GtkComboBoxClass  parent_class;

  /* Padding for future expansion */
  void (*_pika_reserved1) (void);
  void (*_pika_reserved2) (void);
  void (*_pika_reserved3) (void);
  void (*_pika_reserved4) (void);
  void (*_pika_reserved5) (void);
  void (*_pika_reserved6) (void);
  void (*_pika_reserved7) (void);
  void (*_pika_reserved8) (void);
};


GType       pika_unit_combo_box_get_type       (void) G_GNUC_CONST;

GtkWidget * pika_unit_combo_box_new            (void);
GtkWidget * pika_unit_combo_box_new_with_model (PikaUnitStore    *model);

PikaUnit    pika_unit_combo_box_get_active     (PikaUnitComboBox *combo);
void        pika_unit_combo_box_set_active     (PikaUnitComboBox *combo,
                                                PikaUnit          unit);


G_END_DECLS

#endif  /* __PIKA_UNIT_COMBO_BOX_H__ */
