/* PIKA - Photo and Image Kooker Application
 * a rebranding of The GNU Image Manipulation Program (created with heckimp)
 * A derived work which may be trivial. However, any changes may be (C)2023 by Aldercone Studio
 *
 * Original copyright, applying to most contents (license remains unchanged): 
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * jpeg-settings.h
 * Copyright (C) 2007 Raphaël Quinet <raphael@gimp.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __JPEG_SETTINGS_H__
#define __JPEG_SETTINGS_H__

gboolean  jpeg_detect_original_settings  (struct jpeg_decompress_struct *cinfo,
                                          PikaImage       *image);

gboolean  jpeg_restore_original_settings (PikaImage       *image,
                                          gint            *quality,
                                          JpegSubsampling *subsmp,
                                          gint            *num_quant_tables);

guint   **jpeg_restore_original_tables   (PikaImage       *image,
                                          gint             num_quant_tables);

void      jpeg_swap_original_settings    (PikaImage       *image);

#endif /* __JPEG_SETTINGS_H__ */
