; PIKA - Photo and Image Kooker Application
; Copyright (C) 1995 Spencer Kimball and Peter Mattis
;
; pika-online.scm
; Copyright (C) 2003  Henrik Brix Andersen <brix@gimp.org>
;
; This program is free software: you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation; either version 3 of the License, or
; (at your option) any later version.
;
; This program is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.
;
; You should have received a copy of the GNU General Public License
; along with this program.  If not, see <https://www.gnu.org/licenses/>.

(define (pika-online-docs-web-site)
  (plug-in-web-browser "https://docs.pika.org/")
)

(define (pika-help-main)
  (pika-help "" "pika-main")
)

(define (pika-help-concepts-usage)
  (pika-help "" "pika-concepts-usage")
)

(define (pika-help-using-docks)
  (pika-help "" "pika-concepts-docks")
)

(define (pika-help-using-simpleobjects)
  (pika-help "" "pika-using-simpleobjects")
)

(define (pika-help-using-selections)
  (pika-help "" "pika-using-selections")
)

(define (pika-help-using-fileformats)
  (pika-help "" "pika-using-fileformats")
)

(define (pika-help-using-photography)
  (pika-help "" "pika-using-photography")
)

(define (pika-help-using-web)
  (pika-help "" "pika-using-web")
)

(define (pika-help-concepts-paths)
  (pika-help "" "pika-concepts-paths")
)


; shortcuts to help topics
(script-fu-register "pika-help-concepts-paths"
   _"Using _Paths"
   _"Bookmark to the user manual"
    "Roman Joost <romanofski@gimp.org>"
    "Roman Joost <romanofski@gimp.org>"
    "2006"
    ""
)

(script-fu-menu-register "pika-help-concepts-paths"
			 "<Image>/Help/User Manual")


(script-fu-register "pika-help-using-web"
   _"_Preparing your Images for the Web"
   _"Bookmark to the user manual"
    "Roman Joost <romanofski@gimp.org>"
    "Roman Joost <romanofski@gimp.org>"
    "2006"
    ""
)

(script-fu-menu-register "pika-help-using-web"
			 "<Image>/Help/User Manual")


(script-fu-register "pika-help-using-photography"
   _"_Working with Digital Camera Photos"
   _"Bookmark to the user manual"
    "Roman Joost <romanofski@gimp.org>"
    "Roman Joost <romanofski@gimp.org>"
    "2006"
    ""
)

(script-fu-menu-register "pika-help-using-photography"
			 "<Image>/Help/User Manual")


(script-fu-register "pika-help-using-fileformats"
   _"Create, Open and Save _Files"
   _"Bookmark to the user manual"
    "Roman Joost <romanofski@gimp.org>"
    "Roman Joost <romanofski@gimp.org>"
    "2006"
    ""
)

(script-fu-menu-register "pika-help-using-fileformats"
			 "<Image>/Help/User Manual")


(script-fu-register "pika-help-concepts-usage"
   _"_Basic Concepts"
   _"Bookmark to the user manual"
    "Roman Joost <romanofski@gimp.org>"
    "Roman Joost <romanofski@gimp.org>"
    "2006"
    ""
)

(script-fu-menu-register "pika-help-concepts-usage"
			 "<Image>/Help/User Manual")


(script-fu-register "pika-help-using-docks"
   _"How to Use _Dialogs"
   _"Bookmark to the user manual"
    "Roman Joost <romanofski@gimp.org>"
    "Roman Joost <romanofski@gimp.org>"
    "2006"
    ""
)

(script-fu-menu-register "pika-help-using-docks"
			 "<Image>/Help/User Manual")


(script-fu-register "pika-help-using-simpleobjects"
   _"Drawing _Simple Objects"
   _"Bookmark to the user manual"
    "Roman Joost <romanofski@gimp.org>"
    "Roman Joost <romanofski@gimp.org>"
    "2006"
    ""
)

(script-fu-menu-register "pika-help-using-simpleobjects"
			 "<Image>/Help/User Manual")


(script-fu-register "pika-help-using-selections"
   _"Create and Use _Selections"
   _"Bookmark to the user manual"
    "Roman Joost <romanofski@gimp.org>"
    "Roman Joost <romanofski@gimp.org>"
    "2006"
    ""
)

(script-fu-menu-register "pika-help-using-simpleobjects"
			 "<Image>/Help/User Manual")

(script-fu-register "pika-help-main"
   _"_[Table of Contents]"
   _"Bookmark to the user manual"
    "Alx Sa"
    "Alx Sa"
    "2023"
    ""
)

(script-fu-menu-register "pika-help-main"
			 "<Image>/Help/User Manual")


;; Links to PIKA related web sites

(define (pika-online-main-web-site)
  (plug-in-web-browser "https://heckin.technology/AlderconeStudio/PIKApp/")
)

(define (pika-online-developer-web-site)
  (plug-in-web-browser "https://developer.pika.org/")
)

(define (pika-online-roadmap)
  (plug-in-web-browser "https://developer.pika.org/core/roadmap/")
)

(define (pika-online-bugs-features)
  (plug-in-web-browser "https://gitlab.gnome.org/GNOME/pika/issues")
)

; (define (pika-online-plug-in-web-site)
;   (plug-in-web-browser "https://registry.pika.org/")
; )


(script-fu-register "pika-online-main-web-site"
   _"_Main Web Site"
   _"Bookmark to the PIKA web site"
    "Henrik Brix Andersen <brix@gimp.org>"
    "Henrik Brix Andersen <brix@gimp.org>"
    "2003"
    ""
)

(script-fu-menu-register "pika-online-main-web-site"
                         "<Image>/Help/PIKA Online")


(script-fu-register "pika-online-developer-web-site"
   _"_Developer Web Site"
   _"Bookmark to the PIKA web site"
    "Henrik Brix Andersen <brix@gimp.org>"
    "Henrik Brix Andersen <brix@gimp.org>"
    "2003"
    ""
)

(script-fu-menu-register "pika-online-developer-web-site"
                         "<Image>/Help/PIKA Online")


(script-fu-register "pika-online-roadmap"
   _"_Roadmaps"
   _"Bookmark to the roadmaps of PIKA"
    "Alexandre Prokoudine <alexandre.prokoudine@gmail.com>"
    "Alexandre Prokoudine <alexandre.prokoudine@gmail.com>"
    "2018"
    ""
)

(script-fu-menu-register "pika-online-roadmap"
                         "<Image>/Help/PIKA Online")


(script-fu-register "pika-online-bugs-features"
   _"_Bug Reports and Feature Requests"
   _"Bookmark to the bug tracker of PIKA"
    "Alexandre Prokoudine <alexandre.prokoudine@gmail.com>"
    "Alexandre Prokoudine <alexandre.prokoudine@gmail.com>"
    "2018"
    ""
)

(script-fu-menu-register "pika-online-bugs-features"
                         "<Image>/Help/PIKA Online")


(script-fu-register "pika-online-docs-web-site"
   _"_User Manual Web Site"
   _"Bookmark to the PIKA web site"
    "Roman Joost <romanofski@gimp.org>"
    "Roman Joost <romanofski@gimp.org>"
    "2006"
    ""
)

(script-fu-menu-register "pika-online-docs-web-site"
                         "<Image>/Help/PIKA Online")


; (script-fu-register "pika-online-plug-in-web-site"
;    _"Plug-in _Registry"
;    _"Bookmark to the PIKA web site"
;     "Henrik Brix Andersen <brix@gimp.org>"
;     "Henrik Brix Andersen <brix@gimp.org>"
;     "2003"
;     ""
; )

; (script-fu-menu-register "pika-online-plug-in-web-site"
;                          "<Image>/Help/PIKA Online")
